import { Issue } from './types/issue';
import { Project } from './types/project';
import { AssistedErrorStrategyOption } from './handled-api/common';
import { User } from './types/user';
interface OptionDetails {
    id?: number;
    value?: string;
    cascadingOptions?: string[];
}
interface CacheOptions extends AssistedErrorStrategyOption {
}
export declare class CacheManager {
    private connection;
    private options?;
    private fields?;
    private issueTypes?;
    private priorities?;
    private resolutions?;
    private projects;
    private customFieldOptions;
    private users?;
    constructor(connection: string, options?: CacheOptions | undefined);
    clearCache(): void;
    getAllUsers(): Promise<User.GetUsers.Response.OK>;
    private fetchAllUsers;
    getAllFields(): Promise<Issue.Field.Custom.CreateField.Response.OK[]>;
    getAllIssueTypes(): Promise<Issue.Type.GetType.Response.OK[]>;
    getProject(projectKey: string): Promise<Project.GetProject.Response.OK>;
    getCustomFieldOptions(fieldId: number): Promise<OptionDetails[]>;
    getAllPriorities(): Promise<Issue.Priority.GetPriority.Response.OK[]>;
    getAllResolutions(): Promise<Issue.Resolution.GetResolution.Response.OK[]>;
    private fetchCustomFieldContextId;
    private fetchCustomFieldOptions;
}
export {};
//# sourceMappingURL=cacheManager.d.ts.map