import { Issue } from './types/issue';
import { CustomFieldsCollection } from './reader/customField';
import { IssueHelper } from './helper/issue';
import { ErrorStrategyBuilder } from './builders/errorStrategy';
export interface AtlassianErrorResponse {
    errorMessages: string[];
    errors: Record<string, string>;
}
export interface AnyError extends Record<any, any> {
}
export declare namespace ManagedIssue {
    namespace Read {
        interface Response extends Issue.GetIssue.Response.OK {
            /**
             * Method for reading custom fields in more managable way.
             */
            getCustomFields(): Promise<CustomFieldsCollection>;
        }
    }
}
export declare class BuildersGroup {
    private issueHelper;
    constructor(issueHelper: IssueHelper);
    get ErrorStrategy(): ErrorStrategyBuilder;
    get IssueBuilder(): import("./builders/issue").IssueBuilder;
}
//# sourceMappingURL=common.d.ts.map