import { UserAsResponse } from "../definitions/UserAsResponse";
export interface AttachmentMetadataAsResponse {
    /**
     * The ID of the attachment.
     */
    id?: number;
    /**
     * The URL of the attachment metadata details.
     */
    self?: string;
    /**
     * The name of the attachment file.
     */
    filename?: string;
    /**
     * Details of the user who attached the file.
     */
    author?: UserAsResponse;
    /**
     * The datetime the attachment was created.
     */
    created?: string;
    /**
     * The size of the attachment.
     */
    size?: number;
    /**
     * The MIME type of the attachment.
     */
    mimeType?: string;
    /**
     * Additional properties of the attachment.
     */
    properties?: {
        [x: string]: any;
    };
    /**
     * The URL of the attachment.
     */
    content?: string;
    /**
     * The URL of a thumbnail representing the attachment.
     */
    thumbnail?: string;
    /**
     * \[EXPERIMENTAL\] - The file ID of the attachment in the media store.
     */
    mediaApiFileId?: string;
}
//# sourceMappingURL=AttachmentMetadataAsResponse.d.ts.map