import { Visibility } from "../definitions/Visibility";
import { EntityProperty } from "../definitions/EntityProperty";
import { AtlassianDocumentFormat } from "@avst-lib/jira-cloud/types/adf";
export interface Comment {
    /**
     * The comment text in [Atlassian Document Format](https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/).
     */
    body?: AtlassianDocumentFormat;
    /**
     * The group or role to which this comment is visible. Optional on create and update.
     */
    visibility?: Visibility;
    /**
     * A list of comment properties. Optional on create and update.
     */
    properties?: Array<EntityProperty>;
    [x: string]: any;
}
//# sourceMappingURL=Comment.d.ts.map