import { GroupNameAsResponse } from "../definitions/GroupNameAsResponse";
import { FieldDetailsAsResponse } from "../definitions/FieldDetailsAsResponse";
import { ProjectRoleAsResponse } from "../definitions/ProjectRoleAsResponse";
import { UserDetailsAsResponse } from "../definitions/UserDetailsAsResponse";
export interface EventNotificationAsResponse {
    /**
     * Expand options that include additional event notification details in the response.
     */
    expand?: string;
    /**
     * The ID of the notification.
     */
    id?: number;
    /**
     * Identifies the recipients of the notification.
     */
    notificationType?: "CurrentAssignee" | "Reporter" | "CurrentUser" | "ProjectLead" | "ComponentLead" | "User" | "Group" | "ProjectRole" | "EmailAddress" | "AllWatchers" | "UserCustomField" | "GroupCustomField";
    /**
  * The value of the `notificationType`:
  
   *  `User` The `parameter` is the user account ID.
   *  `Group` The `parameter` is the group name.
   *  `ProjectRole` The `parameter` is the project role ID.
   *  `UserCustomField` The `parameter` is the ID of the custom field.
   *  `GroupCustomField` The `parameter` is the ID of the custom field.
  */
    parameter?: string;
    /**
     * The specified group.
     */
    group?: GroupNameAsResponse;
    /**
     * The custom user or group field.
     */
    field?: FieldDetailsAsResponse;
    /**
     * The email address.
     */
    emailAddress?: string;
    /**
     * The specified project role.
     */
    projectRole?: ProjectRoleAsResponse;
    /**
     * The specified user.
     */
    user?: UserDetailsAsResponse;
}
//# sourceMappingURL=EventNotificationAsResponse.d.ts.map