import { SharePermission } from "../definitions/SharePermission";
export interface Filter {
    /**
     * The name of the filter. Must be unique.
     */
    name: string;
    /**
     * A description of the filter.
     */
    description?: string;
    /**
     * The JQL query for the filter. For example, *project = SSP AND issuetype = Bug*.
     */
    jql?: string;
    /**
     * Whether the filter is selected as a favorite.
     */
    favourite?: boolean;
    /**
     * The groups and projects that the filter is shared with.
     */
    sharePermissions?: Array<SharePermission>;
    /**
     * The groups and projects that can edit the filter.
     */
    editPermissions?: Array<SharePermission>;
}
//# sourceMappingURL=Filter.d.ts.map