import { JsonTypeBeanAsResponse } from "../definitions/JsonTypeBeanAsResponse";
import { IssueTransitionAsResponse } from "../definitions/IssueTransitionAsResponse";
import { OperationsAsResponse } from "../definitions/OperationsAsResponse";
import { IssueUpdateMetadataAsResponse } from "../definitions/IssueUpdateMetadataAsResponse";
import { PageOfChangelogsAsResponse } from "../definitions/PageOfChangelogsAsResponse";
import { IncludedFieldsAsResponse } from "../definitions/IncludedFieldsAsResponse";
import { IssueTypeDetailsAsResponse } from "../definitions/IssueTypeDetailsAsResponse";
import { LinkedIssueAsResponse } from "../definitions/LinkedIssueAsResponse";
import { ProjectAsResponse } from "../definitions/ProjectAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { ResolutionAsResponse } from "../definitions/ResolutionAsResponse";
import { WatchersAsResponse } from "../definitions/WatchersAsResponse";
import { PriorityAsResponse } from "../definitions/PriorityAsResponse";
import { IssueLinkAsResponse } from "../definitions/IssueLinkAsResponse";
import { UserDetailsAsResponse } from "../definitions/UserDetailsAsResponse";
import { StatusDetailsAsResponse } from "../definitions/StatusDetailsAsResponse";
import { ComponentAsResponse } from "../definitions/ComponentAsResponse";
import { AttachmentAsResponse } from "../definitions/AttachmentAsResponse";
import { VotesAsResponse } from "../definitions/VotesAsResponse";
import { PageOfCommentsAsResponse } from "../definitions/PageOfCommentsAsResponse";
import { PageOfWorklogsAsResponse } from "../definitions/PageOfWorklogsAsResponse";
export interface IssueBeanAsResponse {
    /**
     * Expand options that include additional issue details in the response.
     */
    expand?: string;
    /**
     * The ID of the issue.
     */
    id?: string;
    /**
     * The URL of the issue details.
     */
    self?: string;
    /**
     * The key of the issue.
     */
    key?: string;
    /**
     * The rendered value of each field present on the issue.
     */
    renderedFields?: {
        [x: string]: any;
    };
    /**
     * Details of the issue properties identified in the request.
     */
    properties?: {
        [x: string]: any;
    };
    /**
     * The ID and name of each field present on the issue.
     */
    names?: {
        [x: string]: string;
    };
    /**
     * The schema describing each field present on the issue.
     */
    schema?: {
        [x: string]: JsonTypeBeanAsResponse;
    };
    /**
     * The transitions that can be performed on the issue.
     */
    transitions?: Array<IssueTransitionAsResponse>;
    /**
     * The operations that can be performed on the issue.
     */
    operations?: OperationsAsResponse;
    /**
     * The metadata for the fields on the issue that can be amended.
     */
    editmeta?: IssueUpdateMetadataAsResponse;
    /**
     * Details of changelogs associated with the issue.
     */
    changelog?: PageOfChangelogsAsResponse;
    /**
     * The versions of each field on the issue.
     */
    versionedRepresentations?: {
        [x: string]: any;
    };
    fieldsToInclude?: IncludedFieldsAsResponse;
    fields?: {
        statuscategorychangedate?: string;
        issuetype?: IssueTypeDetailsAsResponse;
        parent?: LinkedIssueAsResponse;
        timespent?: number;
        project?: ProjectAsResponse;
        fixVersions?: Array<VersionAsResponse>;
        aggregatedtimespent?: number;
        resolution?: ResolutionAsResponse;
        resolutiondate?: string;
        workratio?: number;
        lastViewed?: any;
        watches?: WatchersAsResponse;
        created?: string;
        priority?: PriorityAsResponse;
        labels?: Array<string>;
        aggregatetimeoriginalestimate?: number;
        timeestimate?: number;
        versions?: Array<VersionAsResponse>;
        issuelinks?: Array<IssueLinkAsResponse>;
        assignee?: UserDetailsAsResponse;
        updated?: string;
        status?: StatusDetailsAsResponse;
        components?: Array<ComponentAsResponse>;
        timeoriginalestimate?: number;
        description?: any;
        timetracking?: {
            originalEstimate?: string;
            remainingEstimate?: string;
            timeSpent?: string;
            originalEsimateSeconds?: number;
            remainingEstimateSeconds?: number;
            timeSpentSeconds?: number;
        };
        security?: {
            self?: string;
            id?: string;
            description?: string;
            name?: string;
        };
        aggregatetimeestimate?: number;
        attachment?: Array<AttachmentAsResponse>;
        summary?: string;
        creator?: UserDetailsAsResponse;
        subtasks?: Array<LinkedIssueAsResponse>;
        reporter?: UserDetailsAsResponse;
        aggregateprogress?: {
            progress?: number;
            total?: number;
            percent?: number;
        };
        environment?: any;
        duedate?: string;
        progress?: {
            progress?: number;
            total?: number;
            percent?: number;
        };
        votes?: VotesAsResponse;
        comment?: PageOfCommentsAsResponse;
        worklog?: PageOfWorklogsAsResponse;
        [x: string]: any;
    };
}
//# sourceMappingURL=IssueBeanAsResponse.d.ts.map