import { AtlassianDocumentFormat } from "@avst-lib/jira-cloud/types/adf";
interface IdProperty {
    id: string;
}
interface AccountIdProperty {
    accountId: string;
}
interface IssueCommonFields {
    components?: IdProperty[];
    description?: AtlassianDocumentFormat;
    assignee?: AccountIdProperty;
    fixVersions?: IdProperty[];
    priority?: IdProperty;
    labels?: string[];
    versions?: IdProperty[];
    duedate?: string;
    security?: IdProperty;
    environment?: AtlassianDocumentFormat;
    reporter?: AccountIdProperty;
    parent?: {
        id?: string;
        key?: string;
    };
}
export interface IssueFieldsCreate extends IssueCommonFields {
    project: IdProperty;
    issuetype: IdProperty;
    summary: string;
    resolution?: IdProperty;
}
export interface IssueFieldsUpdate extends IssueCommonFields {
    project?: IdProperty;
    issuetype?: IdProperty;
    summary?: string;
}
export {};
//# sourceMappingURL=IssueFields.d.ts.map