export interface IssueTypeCreateBean {
    /**
     * The unique name for the issue type. The maximum length is 60 characters.
     */
    name: string;
    /**
     * The description of the issue type.
     */
    description?: string;
    /**
  * Deprecated. Use `hierarchyLevel` instead.
  
  Whether the issue type is `subtype` or `standard`. Defaults to `standard`.
  */
    type?: "subtask" | "standard";
    /**
  * The hierarchy level of the issue type. Use:
  
   *  `-1` for Subtask.
   *  `0` for Base.
  
  Defaults to `0`.
  */
    hierarchyLevel?: number;
}
//# sourceMappingURL=IssueTypeCreateBean.d.ts.map