import { NotificationRecipients } from "../definitions/NotificationRecipients";
import { NotificationRecipientsRestrictions } from "../definitions/NotificationRecipientsRestrictions";
export interface Notification {
    /**
     * The subject of the email notification for the issue. If this is not specified, then the subject is set to the issue key and summary.
     */
    subject?: string;
    /**
     * The plain text body of the email notification for the issue.
     */
    textBody?: string;
    /**
     * The HTML body of the email notification for the issue.
     */
    htmlBody?: string;
    /**
     * The recipients of the email notification for the issue.
     */
    to?: NotificationRecipients;
    /**
     * Restricts the notifications to users with the specified permissions.
     */
    restrict?: NotificationRecipientsRestrictions;
    [x: string]: any;
}
//# sourceMappingURL=Notification.d.ts.map