import { Scope } from "../definitions/Scope";
import { PermissionGrant } from "../definitions/PermissionGrant";
export interface PermissionScheme {
    /**
     * The name of the permission scheme. Must be unique.
     */
    name: string;
    /**
     * A description for the permission scheme.
     */
    description?: string;
    /**
     * The scope of the permission scheme.
     */
    scope?: Scope;
    /**
     * The permission scheme to create or update. See [About permission schemes and grants](../api-group-permission-schemes/#about-permission-schemes-and-grants) for more information.
     */
    permissions?: Array<PermissionGrant>;
    [x: string]: any;
}
//# sourceMappingURL=PermissionScheme.d.ts.map