import { Application } from "../definitions/Application";
import { RemoteObject } from "../definitions/RemoteObject";
export interface RemoteIssueLinkRequest {
    /**
  * An identifier for the remote item in the remote system. For example, the global ID for a remote item in Confluence would consist of the app ID and page ID, like this: `appId=456&pageId=123`.
  
  Setting this field enables the remote issue link details to be updated or deleted using remote system and item details as the record identifier, rather than using the record's Jira ID.
  
  The maximum length is 255 characters.
  */
    globalId?: string;
    /**
     * Details of the remote application the linked item is in. For example, trello.
     */
    application?: Application;
    /**
     * Description of the relationship between the issue and the linked item. If not set, the relationship description "links to" is used in Jira.
     */
    relationship?: string;
    /**
     * Details of the item linked to.
     */
    object: RemoteObject;
    [x: string]: any;
}
//# sourceMappingURL=RemoteIssueLinkRequest.d.ts.map