import { UserBeanAvatarUrlsAsResponse } from "../definitions/UserBeanAvatarUrlsAsResponse";
export interface UserBeanAsResponse {
    /**
     * The URL of the user.
     */
    self?: string;
    /**
     * The display name of the user. Depending on the user’s privacy setting, this may return an alternative value.
     */
    displayName?: string;
    /**
     * Whether the user is active.
     */
    active?: boolean;
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId?: string;
    /**
     * The avatars of the user.
     */
    avatarUrls?: UserBeanAvatarUrlsAsResponse;
}
//# sourceMappingURL=UserBeanAsResponse.d.ts.map