import { PublishedWorkflowIdAsResponse } from "../definitions/PublishedWorkflowIdAsResponse";
import { TransitionAsResponse } from "../definitions/TransitionAsResponse";
import { WorkflowStatusAsResponse } from "../definitions/WorkflowStatusAsResponse";
import { WorkflowSchemeIdNameAsResponse } from "../definitions/WorkflowSchemeIdNameAsResponse";
import { ProjectDetailsAsResponse } from "../definitions/ProjectDetailsAsResponse";
import { WorkflowOperationsAsResponse } from "../definitions/WorkflowOperationsAsResponse";
export interface WorkflowAsResponse {
    id: PublishedWorkflowIdAsResponse;
    /**
     * The description of the workflow.
     */
    description: string;
    /**
     * The transitions of the workflow.
     */
    transitions?: Array<TransitionAsResponse>;
    /**
     * The statuses of the workflow.
     */
    statuses?: Array<WorkflowStatusAsResponse>;
    /**
     * Whether this is the default workflow.
     */
    isDefault?: boolean;
    /**
     * The workflow schemes the workflow is assigned to.
     */
    schemes?: Array<WorkflowSchemeIdNameAsResponse>;
    /**
     * The projects the workflow is assigned to, through workflow schemes.
     */
    projects?: Array<ProjectDetailsAsResponse>;
    /**
     * Whether the workflow has a draft version.
     */
    hasDraftWorkflow?: boolean;
    operations?: WorkflowOperationsAsResponse;
    /**
     * The creation date of the workflow.
     */
    created?: string;
    /**
     * The last edited date of the workflow.
     */
    updated?: string;
}
//# sourceMappingURL=WorkflowAsResponse.d.ts.map