import { Application } from "../../types/application";
/**
* Returns all application roles. In Jira, application roles are managed using the [Application access configuration](https://confluence.atlassian.com/x/3YxjL) page.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-get
* @param options Request options.
*/
export declare function getApplicationRoles<T = Application.Role.GetRoles.Response.OK>(options: Application.Role.GetRoles.Options.HandledApi): Promise<Application.Role.GetRoles.Response.OK>;
/**
* Returns an application role.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-key-get
* @param options Request options.
*/
export declare function getApplicationRole<T = Application.Role.GetRole.Response.OK>(options: Application.Role.GetRole.Options.HandledApi): Promise<import("../../definitions/ApplicationRoleAsResponse").ApplicationRoleAsResponse>;
//# sourceMappingURL=role.d.ts.map