import { getApplicationRoles as getApplicationRolesFn } from "../../raw-api/application/role";
import { executeRequest } from "../../handled-api/common";
import { getApplicationRole as getApplicationRoleFn } from "../../raw-api/application/role";
/**
* Returns all application roles. In Jira, application roles are managed using the [Application access configuration](https://confluence.atlassian.com/x/3YxjL) page.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-get
* @param options Request options.
*/
export function getApplicationRoles(options) {
    return executeRequest(() => getApplicationRolesFn(options), options.errorStrategy);
}
/**
* Returns an application role.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-key-get
* @param options Request options.
*/
export function getApplicationRole(options) {
    return executeRequest(() => getApplicationRoleFn(options), options.errorStrategy);
}
