import { Filter } from "../../types/filter";
/**
* Returns the default sharing settings for new filters and dashboards for a user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-get
* @param options Request options.
*/
export declare function getFiltersDefaultShareScope<T = Filter.Share.GetDefaultScope.Response.OK>(options: Filter.Share.GetDefaultScope.Options.HandledApi): Promise<import("../../definitions/DefaultShareScopeAsResponse").DefaultShareScopeAsResponse>;
/**
* Sets the default sharing for new filters and dashboards for a user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-put
* @param options Request options.
*/
export declare function setFiltersDefaultShareScope<T = Filter.Share.SetDefaultScope.Response.OK>(options: Filter.Share.SetDefaultScope.Options.HandledApi): Promise<import("../../definitions/DefaultShareScopeAsResponse").DefaultShareScopeAsResponse>;
//# sourceMappingURL=share.d.ts.map