import { getFiltersDefaultShareScope as getFiltersDefaultShareScopeFn } from "../../raw-api/filter/share";
import { executeRequest } from "../../handled-api/common";
import { setFiltersDefaultShareScope as setFiltersDefaultShareScopeFn } from "../../raw-api/filter/share";
/**
* Returns the default sharing settings for new filters and dashboards for a user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-get
* @param options Request options.
*/
export function getFiltersDefaultShareScope(options) {
    return executeRequest(() => getFiltersDefaultShareScopeFn(options), options.errorStrategy);
}
/**
* Sets the default sharing for new filters and dashboards for a user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-put
* @param options Request options.
*/
export function setFiltersDefaultShareScope(options) {
    return executeRequest(() => setFiltersDefaultShareScopeFn(options), options.errorStrategy);
}
