import { Issue } from "../../../types/issue";
/**
* Creates a custom field.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-field-post
* @param options Request options.
*/
export declare function createIssueCustomField<T = Issue.Field.Custom.CreateField.Response.OK>(options: Issue.Field.Custom.CreateField.Options.HandledApi): Promise<import("../../../definitions/FieldDetailsAsResponse").FieldDetailsAsResponse>;
/**
* Updates a custom field.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-put
* @param options Request options.
*/
export declare function updateIssueCustomField<T = Issue.Field.Custom.UpdateField.Response.OK>(options: Issue.Field.Custom.UpdateField.Options.HandledApi): Promise<any>;
//# sourceMappingURL=custom.d.ts.map