import { createIssueCustomField as createIssueCustomFieldFn } from "../../../raw-api/issue/field/custom";
import { executeRequest } from "../../../handled-api/common";
import { updateIssueCustomField as updateIssueCustomFieldFn } from "../../../raw-api/issue/field/custom";
/**
* Creates a custom field.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-field-post
* @param options Request options.
*/
export function createIssueCustomField(options) {
    return executeRequest(() => createIssueCustomFieldFn(options), options.errorStrategy);
}
/**
* Updates a custom field.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-put
* @param options Request options.
*/
export function updateIssueCustomField(options) {
    return executeRequest(() => updateIssueCustomFieldFn(options), options.errorStrategy);
}
