import { Issue } from "../../../../types/issue";
/**
* Returns a custom field option. For example, an option in a select list.

Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.

This operation can be accessed anonymously.

**[Permissions](#permissions) required:** The custom field option is returned as follows:

 *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
 *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the custom field is used in, and the field is visible in at least one layout the user has permission to view.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-customFieldOption-id-get
* @param options Request options.
* @deprecated
*/
export declare function getIssueCustomFieldOption<T = Issue.Field.Custom.Option.GetOption.Response.OK>(options: Issue.Field.Custom.Option.GetOption.Options.HandledApi): Promise<import("../../../../definitions/CustomFieldOptionAsResponse").CustomFieldOptionAsResponse>;
//# sourceMappingURL=option.d.ts.map