import { Issue } from "../../types/issue";
/**
* Returns the default issue navigator columns.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-get
* @param options Request options.
*/
export declare function getIssueNavigatorDefaultColumns<T = Issue.Navigator.GetDefaultColumns.Response.OK>(options: Issue.Navigator.GetDefaultColumns.Options.HandledApi): Promise<Issue.Navigator.GetDefaultColumns.Response.OK>;
/**
* Sets the default issue navigator columns.

The `columns` parameter accepts a navigable field value and is expressed as HTML form data. To specify multiple columns, pass multiple `columns` parameters. For example, in curl:

`curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/settings/columns`

If no column details are sent, then all default columns are removed.

A navigable field is one that can be used as a column on the issue navigator. Find details of navigable issue columns using [Get fields](#api-rest-api-3-field-get).

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-put
* @param options Request options.
*/
export declare function setIssueNavigatorDefaultColumns<T = Issue.Navigator.SetDefaultColumns.Response.OK>(options: Issue.Navigator.SetDefaultColumns.Options.HandledApi): Promise<any>;
//# sourceMappingURL=navigator.d.ts.map