import { Issue } from "../../types/issue";
/**
* Returns the list of all issue priorities.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-get
* @param options Request options.
*/
export declare function getIssuePriorities<T = Issue.Priority.GetPriorities.Response.OK>(options: Issue.Priority.GetPriorities.Options.HandledApi): Promise<Issue.Priority.GetPriorities.Response.OK>;
/**
* Returns an issue priority.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-id-get
* @param options Request options.
*/
export declare function getIssuePriority<T = Issue.Priority.GetPriority.Response.OK>(options: Issue.Priority.GetPriority.Options.HandledApi): Promise<import("../../definitions/PriorityAsResponse").PriorityAsResponse>;
//# sourceMappingURL=priority.d.ts.map