import { getIssuePriorities as getIssuePrioritiesFn } from "../../raw-api/issue/priority";
import { executeRequest } from "../../handled-api/common";
import { getIssuePriority as getIssuePriorityFn } from "../../raw-api/issue/priority";
/**
* Returns the list of all issue priorities.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-get
* @param options Request options.
*/
export function getIssuePriorities(options) {
    return executeRequest(() => getIssuePrioritiesFn(options), options.errorStrategy);
}
/**
* Returns an issue priority.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-id-get
* @param options Request options.
*/
export function getIssuePriority(options) {
    return executeRequest(() => getIssuePriorityFn(options), options.errorStrategy);
}
