import { Issue } from "../../types/issue";
/**
* Returns a list of all issue resolution values.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-get
* @param options Request options.
*/
export declare function getIssueResolutions<T = Issue.Resolution.GetResolutions.Response.OK>(options: Issue.Resolution.GetResolutions.Options.HandledApi): Promise<Issue.Resolution.GetResolutions.Response.OK>;
/**
* Returns an issue resolution value.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-id-get
* @param options Request options.
*/
export declare function getIssueResolution<T = Issue.Resolution.GetResolution.Response.OK>(options: Issue.Resolution.GetResolution.Options.HandledApi): Promise<import("../../definitions/ResolutionAsResponse").ResolutionAsResponse>;
//# sourceMappingURL=resolution.d.ts.map