import { getIssueResolutions as getIssueResolutionsFn } from "../../raw-api/issue/resolution";
import { executeRequest } from "../../handled-api/common";
import { getIssueResolution as getIssueResolutionFn } from "../../raw-api/issue/resolution";
/**
* Returns a list of all issue resolution values.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-get
* @param options Request options.
*/
export function getIssueResolutions(options) {
    return executeRequest(() => getIssueResolutionsFn(options), options.errorStrategy);
}
/**
* Returns an issue resolution value.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-id-get
* @param options Request options.
*/
export function getIssueResolution(options) {
    return executeRequest(() => getIssueResolutionFn(options), options.errorStrategy);
}
