import { Issue } from "../../../types/issue";
/**
* Returns all [issue security schemes](https://confluence.atlassian.com/x/J4lKLg).

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-get
* @param options Request options.
*/
export declare function getIssueSecuritySchemes<T = Issue.Security.Scheme.GetSchemes.Response.OK>(options: Issue.Security.Scheme.GetSchemes.Options.HandledApi): Promise<import("../../../definitions/SecuritySchemesAsResponse").SecuritySchemesAsResponse>;
/**
* Returns an issue security scheme along with its security levels.

**[Permissions](#permissions) required:**

 *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
 *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project that uses the requested issue security scheme.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-id-get
* @param options Request options.
*/
export declare function getIssueSecurityScheme<T = Issue.Security.Scheme.GetScheme.Response.OK>(options: Issue.Security.Scheme.GetScheme.Options.HandledApi): Promise<import("../../../definitions/SecuritySchemeAsResponse").SecuritySchemeAsResponse>;
//# sourceMappingURL=scheme.d.ts.map