import { getLabels as getLabelsFn } from "../raw-api/label";
import { executeRequest } from "../handled-api/common";
/**
 * Returns a [paginated](#pagination) list of labels.
 * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-label-get
 * @param options Request options.
 */
export function getLabels(options) {
    return executeRequest(() => getLabelsFn(options), options.errorStrategy);
}
