import { Project } from "../../types/project";
/**
* Returns all project categories.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-get
* @param options Request options.
*/
export declare function getProjectCategories<T = Project.Category.GetCategories.Response.OK>(options: Project.Category.GetCategories.Options.HandledApi): Promise<Project.Category.GetCategories.Response.OK>;
/**
* Creates a project category.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-post
* @param options Request options.
*/
export declare function createProjectCategory<T = Project.Category.CreateCategory.Response.OK>(options: Project.Category.CreateCategory.Options.HandledApi): Promise<import("../../definitions/ProjectCategoryAsResponse").ProjectCategoryAsResponse>;
/**
* Returns a project category.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-get
* @param options Request options.
*/
export declare function getProjectCategory<T = Project.Category.GetCategory.Response.OK>(options: Project.Category.GetCategory.Options.HandledApi): Promise<import("../../definitions/ProjectCategoryAsResponse").ProjectCategoryAsResponse>;
/**
* Updates a project category.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-put
* @param options Request options.
*/
export declare function updateProjectCategory<T = Project.Category.UpdateCategory.Response.OK>(options: Project.Category.UpdateCategory.Options.HandledApi): Promise<import("../../definitions/UpdatedProjectCategoryAsResponse").UpdatedProjectCategoryAsResponse>;
/**
* Deletes a project category.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-delete
* @param options Request options.
*/
export declare function deleteProjectCategory<T = Project.Category.DeleteCategory.Response.OK>(options: Project.Category.DeleteCategory.Options.HandledApi): Promise<undefined>;
//# sourceMappingURL=category.d.ts.map