import { Project } from "../../../../types/project";
/**
* Returns the [default actors](#api-rest-api-3-resolution-get) for the project role.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-actors-get
* @param options Request options.
*/
export declare function getDefaultActorsForProjectRole<T = Project.Role.Actor.Default.GetActors.Response.OK>(options: Project.Role.Actor.Default.GetActors.Options.HandledApi): Promise<import("../../../../definitions/ProjectRoleAsResponse").ProjectRoleAsResponse>;
/**
* Adds [default actors](#api-rest-api-3-resolution-get) to a role. You may add groups or users, but you cannot add groups and users in the same request.

Changing a project role's default actors does not affect project role members for projects already created.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-actors-post
* @param options Request options.
*/
export declare function addDefaultActorsToProjectRole<T = Project.Role.Actor.Default.AddActors.Response.OK>(options: Project.Role.Actor.Default.AddActors.Options.HandledApi): Promise<import("../../../../definitions/ProjectRoleAsResponse").ProjectRoleAsResponse>;
/**
* Deletes the [default actors](#api-rest-api-3-resolution-get) from a project role. You may delete a group or user, but you cannot delete a group and a user in the same request.

Changing a project role's default actors does not affect project role members for projects already created.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-actors-delete
* @param options Request options.
*/
export declare function deleteDefaultActorsFromProjectRole<T = Project.Role.Actor.Default.DeleteActors.Response.OK>(options: Project.Role.Actor.Default.DeleteActors.Options.HandledApi): Promise<import("../../../../definitions/ProjectRoleAsResponse").ProjectRoleAsResponse>;
//# sourceMappingURL=default.d.ts.map