import { Project } from "../../../types/project";
/**
* Returns the [issue security scheme](https://confluence.atlassian.com/x/J4lKLg) associated with the project.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or the *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-issuesecuritylevelscheme-get
* @param options Request options.
*/
export declare function getProjectIssueSecurityScheme<T = Project.Security.Scheme.GetIssueScheme.Response.OK>(options: Project.Security.Scheme.GetIssueScheme.Options.HandledApi): Promise<import("../../../definitions/SecuritySchemeAsResponse").SecuritySchemeAsResponse>;
//# sourceMappingURL=scheme.d.ts.map