import { Project } from "../../types/project";
/**
* Returns all [project types](https://confluence.atlassian.com/x/Var1Nw), whether or not the instance has a valid license for each type.

This operation can be accessed anonymously.

**[Permissions](#permissions) required:** None.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-get
* @param options Request options.
*/
export declare function getProjectTypes<T = Project.Type.GetTypes.Response.OK>(options: Project.Type.GetTypes.Options.HandledApi): Promise<Project.Type.GetTypes.Response.OK>;
/**
 * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw) with a valid license.
 * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-accessible-get
 * @param options Request options.
 */
export declare function getLicensedProjectTypes<T = Project.Type.GetLicensedTypes.Response.OK>(options: Project.Type.GetLicensedTypes.Options.HandledApi): Promise<Project.Type.GetLicensedTypes.Response.OK>;
/**
* Returns a [project type](https://confluence.atlassian.com/x/Var1Nw).

This operation can be accessed anonymously.

**[Permissions](#permissions) required:** None.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-get
* @param options Request options.
*/
export declare function getProjectTypeByKey<T = Project.Type.GetTypeByKey.Response.OK>(options: Project.Type.GetTypeByKey.Options.HandledApi): Promise<import("../../definitions/ProjectTypeAsResponse").ProjectTypeAsResponse>;
/**
* Returns a [project type](https://confluence.atlassian.com/x/Var1Nw) if it is accessible to the user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-accessible-get
* @param options Request options.
*/
export declare function getAccessibleProjectTypeByKey<T = Project.Type.GetAccessibleTypeByKey.Response.OK>(options: Project.Type.GetAccessibleTypeByKey.Options.HandledApi): Promise<import("../../definitions/ProjectTypeAsResponse").ProjectTypeAsResponse>;
//# sourceMappingURL=type.d.ts.map