import { getWorkflows as getWorkflowsFn } from "../raw-api/workflow";
import { executeRequest } from "../handled-api/common";
/**
* Returns a [paginated](#pagination) list of published classic workflows. When workflow names are specified, details of those workflows are returned. Otherwise, all published classic workflows are returned.

This operation does not return next-gen workflows.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-search-get
* @param options Request options.
*/
export function getWorkflows(options) {
    return executeRequest(() => getWorkflowsFn(options), options.errorStrategy);
}
