import { Workflow } from "../../../types/workflow";
/**
* Returns a list of all status categories.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-get
* @param options Request options.
*/
export declare function getWorkflowStatusCategories<T = Workflow.Status.Category.GetCategories.Response.OK>(options: Workflow.Status.Category.GetCategories.Options.HandledApi): Promise<Workflow.Status.Category.GetCategories.Response.OK>;
/**
* Returns a status category. Status categories provided a mechanism for categorizing [statuses](#api-rest-api-3-status-idOrName-get).

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-idorkey-get
* @param options Request options.
*/
export declare function getWorkflowStatusCategory<T = Workflow.Status.Category.GetCategory.Response.OK>(options: Workflow.Status.Category.GetCategory.Options.HandledApi): Promise<import("../../../definitions/StatusCategoryAsResponse").StatusCategoryAsResponse>;
//# sourceMappingURL=category.d.ts.map