import { getWorkflowStatusCategories as getWorkflowStatusCategoriesFn } from "../../../raw-api/workflow/status/category";
import { executeRequest } from "../../../handled-api/common";
import { getWorkflowStatusCategory as getWorkflowStatusCategoryFn } from "../../../raw-api/workflow/status/category";
/**
* Returns a list of all status categories.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-get
* @param options Request options.
*/
export function getWorkflowStatusCategories(options) {
    return executeRequest(() => getWorkflowStatusCategoriesFn(options), options.errorStrategy);
}
/**
* Returns a status category. Status categories provided a mechanism for categorizing [statuses](#api-rest-api-3-status-idOrName-get).

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-idorkey-get
* @param options Request options.
*/
export function getWorkflowStatusCategory(options) {
    return executeRequest(() => getWorkflowStatusCategoryFn(options), options.errorStrategy);
}
