import { Filter } from "../../types/filter";
/**
* Returns the default sharing settings for new filters and dashboards for a user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-get
* @param options Request options.
*/
export declare function getFiltersDefaultShareScope(options: Filter.Share.GetDefaultScope.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/DefaultShareScopeAsResponse").DefaultShareScopeAsResponse | undefined>>;
/**
* Sets the default sharing for new filters and dashboards for a user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-put
* @param options Request options.
*/
export declare function setFiltersDefaultShareScope(options: Filter.Share.SetDefaultScope.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/DefaultShareScopeAsResponse").DefaultShareScopeAsResponse | undefined>>;
//# sourceMappingURL=share.d.ts.map