import { httpGet } from "../../raw-api/common";
import { httpPut } from "../../raw-api/common";
/**
* Returns the default sharing settings for new filters and dashboards for a user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-get
* @param options Request options.
*/
export function getFiltersDefaultShareScope(options) {
    const { connectionId: instanceId, headers } = options;
    return httpGet(instanceId, `/rest/api/3/filter/defaultShareScope`, headers);
}
/**
* Sets the default sharing for new filters and dashboards for a user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-put
* @param options Request options.
*/
export function setFiltersDefaultShareScope(options) {
    const { connectionId: instanceId, headers, body } = options;
    return httpPut(instanceId, `/rest/api/3/filter/defaultShareScope`, body, headers);
}
