import { Group } from "../../types/group";
/**
* Returns a [paginated](#pagination) list of all users in a group.

Note that users are ordered by username, however the username is not returned in the results due to privacy reasons.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-member-get
* @param options Request options.
*/
export declare function getUsersFromGroup(options: Group.User.GetUsers.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/PageBeanUserDetailsAsResponse").PageBeanUserDetailsAsResponse | undefined>>;
/**
* Adds a user to a group.

**[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-user-post
* @param options Request options.
*/
export declare function addUserToGroup(options: Group.User.AddUser.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/GroupAsResponse").GroupAsResponse | undefined>>;
/**
* Removes a user from a group.

**[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-user-delete
* @param options Request options.
*/
export declare function removeUserFromGroup(options: Group.User.RemoveUser.Options.RawApi): Promise<import("@avst-api/commons").Response<undefined>>;
//# sourceMappingURL=user.d.ts.map