import { httpPost } from "../../../raw-api/common";
import { httpPut } from "../../../raw-api/common";
/**
* Creates a custom field.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-field-post
* @param options Request options.
*/
export function createIssueCustomField(options) {
    const { connectionId: instanceId, headers, body } = options;
    return httpPost(instanceId, `/rest/api/3/field`, body, headers);
}
/**
* Updates a custom field.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-put
* @param options Request options.
*/
export function updateIssueCustomField(options) {
    const { connectionId: instanceId, headers, fieldId, body } = options;
    return httpPut(instanceId, `/rest/api/3/field/${fieldId}`, body, headers);
}
