import { Issue } from "../../types/issue";
/**
* Returns the list of all issue priorities.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-get
* @param options Request options.
*/
export declare function getIssuePriorities(options: Issue.Priority.GetPriorities.Options.RawApi): Promise<import("@avst-api/commons").Response<Issue.Priority.GetPriorities.Response.OK | undefined>>;
/**
* Returns an issue priority.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-id-get
* @param options Request options.
*/
export declare function getIssuePriority(options: Issue.Priority.GetPriority.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/PriorityAsResponse").PriorityAsResponse | undefined>>;
//# sourceMappingURL=priority.d.ts.map