import { httpGet } from "../../raw-api/common";
/**
* Returns the list of all issue priorities.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-get
* @param options Request options.
*/
export function getIssuePriorities(options) {
    const { connectionId: instanceId, headers } = options;
    return httpGet(instanceId, `/rest/api/3/priority`, headers);
}
/**
* Returns an issue priority.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-id-get
* @param options Request options.
*/
export function getIssuePriority(options) {
    const { connectionId: instanceId, headers, id } = options;
    return httpGet(instanceId, `/rest/api/3/priority/${id}`, headers);
}
