import { Issue } from "../../types/issue";
/**
* Returns a list of all issue resolution values.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-get
* @param options Request options.
*/
export declare function getIssueResolutions(options: Issue.Resolution.GetResolutions.Options.RawApi): Promise<import("@avst-api/commons").Response<Issue.Resolution.GetResolutions.Response.OK | undefined>>;
/**
* Returns an issue resolution value.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-id-get
* @param options Request options.
*/
export declare function getIssueResolution(options: Issue.Resolution.GetResolution.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/ResolutionAsResponse").ResolutionAsResponse | undefined>>;
//# sourceMappingURL=resolution.d.ts.map