import { httpGet } from "../../raw-api/common";
/**
* Returns a list of all issue resolution values.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-get
* @param options Request options.
*/
export function getIssueResolutions(options) {
    const { connectionId: instanceId, headers } = options;
    return httpGet(instanceId, `/rest/api/3/resolution`, headers);
}
/**
* Returns an issue resolution value.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-id-get
* @param options Request options.
*/
export function getIssueResolution(options) {
    const { connectionId: instanceId, headers, id } = options;
    return httpGet(instanceId, `/rest/api/3/resolution/${id}`, headers);
}
