import { httpGet } from "../raw-api/common";
import { constructUrl } from "@avst-api/commons";
/**
 * Returns a [paginated](#pagination) list of labels.
 * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-label-get
 * @param options Request options.
 */
export function getLabels(options) {
    const { connectionId: instanceId, headers, startAt, maxResults } = options;
    const queryParams = { startAt, maxResults };
    return httpGet(instanceId, constructUrl(`/rest/api/3/label`, queryParams), headers);
}
