import { Project } from "../../types/project";
/**
* Returns all project categories.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-get
* @param options Request options.
*/
export declare function getProjectCategories(options: Project.Category.GetCategories.Options.RawApi): Promise<import("@avst-api/commons").Response<Project.Category.GetCategories.Response.OK | undefined>>;
/**
* Creates a project category.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-post
* @param options Request options.
*/
export declare function createProjectCategory(options: Project.Category.CreateCategory.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/ProjectCategoryAsResponse").ProjectCategoryAsResponse | undefined>>;
/**
* Returns a project category.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-get
* @param options Request options.
*/
export declare function getProjectCategory(options: Project.Category.GetCategory.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/ProjectCategoryAsResponse").ProjectCategoryAsResponse | undefined>>;
/**
* Updates a project category.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-put
* @param options Request options.
*/
export declare function updateProjectCategory(options: Project.Category.UpdateCategory.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/UpdatedProjectCategoryAsResponse").UpdatedProjectCategoryAsResponse | undefined>>;
/**
* Deletes a project category.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-delete
* @param options Request options.
*/
export declare function deleteProjectCategory(options: Project.Category.DeleteCategory.Options.RawApi): Promise<import("@avst-api/commons").Response<undefined>>;
//# sourceMappingURL=category.d.ts.map