import { httpGet } from "../../../raw-api/common";
import { constructUrl } from "@avst-api/commons";
/**
* Gets a [notification scheme](https://confluence.atlassian.com/x/8YdKLg) associated with the project. See the [Get notification scheme](#api-rest-api-3-notificationscheme-id-get) resource for more information about notification schemes.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectkeyorid-notificationscheme-get
* @param options Request options.
*/
export function getProjectNotificationScheme(options) {
    const { connectionId: instanceId, headers, projectKeyOrId, expand } = options;
    const queryParams = { expand };
    return httpGet(instanceId, constructUrl(`/rest/api/3/project/${projectKeyOrId}/notificationscheme`, queryParams), headers);
}
