import { httpGet } from "../../../raw-api/common";
/**
* Returns the [issue security scheme](https://confluence.atlassian.com/x/J4lKLg) associated with the project.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or the *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-issuesecuritylevelscheme-get
* @param options Request options.
*/
export function getProjectIssueSecurityScheme(options) {
    const { connectionId: instanceId, headers, projectKeyOrId } = options;
    return httpGet(instanceId, `/rest/api/3/project/${projectKeyOrId}/issuesecuritylevelscheme`, headers);
}
