import { Project } from "../../types/project";
/**
* Returns all [project types](https://confluence.atlassian.com/x/Var1Nw), whether or not the instance has a valid license for each type.

This operation can be accessed anonymously.

**[Permissions](#permissions) required:** None.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-get
* @param options Request options.
*/
export declare function getProjectTypes(options: Project.Type.GetTypes.Options.RawApi): Promise<import("@avst-api/commons").Response<Project.Type.GetTypes.Response.OK | undefined>>;
/**
 * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw) with a valid license.
 * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-accessible-get
 * @param options Request options.
 */
export declare function getLicensedProjectTypes(options: Project.Type.GetLicensedTypes.Options.RawApi): Promise<import("@avst-api/commons").Response<Project.Type.GetLicensedTypes.Response.OK | undefined>>;
/**
* Returns a [project type](https://confluence.atlassian.com/x/Var1Nw).

This operation can be accessed anonymously.

**[Permissions](#permissions) required:** None.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-get
* @param options Request options.
*/
export declare function getProjectTypeByKey(options: Project.Type.GetTypeByKey.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/ProjectTypeAsResponse").ProjectTypeAsResponse | undefined>>;
/**
* Returns a [project type](https://confluence.atlassian.com/x/Var1Nw) if it is accessible to the user.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-accessible-get
* @param options Request options.
*/
export declare function getAccessibleProjectTypeByKey(options: Project.Type.GetAccessibleTypeByKey.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/ProjectTypeAsResponse").ProjectTypeAsResponse | undefined>>;
//# sourceMappingURL=type.d.ts.map