import { Project } from "../../types/project";
/**
* Validates a project key by confirming the key is a valid string and not in use.

**[Permissions](#permissions) required:** None.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-projectvalidate-key-get
* @param options Request options.
*/
export declare function validateProjectKey(options: Project.Validation.ValidateProjectKey.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/ErrorCollectionAsResponse").ErrorCollectionAsResponse | undefined>>;
/**
* Validates a project key and, if the key is invalid or in use, generates a valid random string for the project key.

**[Permissions](#permissions) required:** None.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-projectvalidate-validProjectKey-get
* @param options Request options.
*/
export declare function getValidProjectKey(options: Project.Validation.GetValidProjectKey.Options.RawApi): Promise<import("@avst-api/commons").Response<string | undefined>>;
/**
* Checks that a project name isn't in use. If the name isn't in use, the passed string is returned. If the name is in use, this operation attempts to generate a valid project name based on the one supplied, usually by adding a sequence number. If a valid project name cannot be generated, a 404 response is returned.

**[Permissions](#permissions) required:** None.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-projectvalidate-validProjectName-get
* @param options Request options.
*/
export declare function getValidProjectName(options: Project.Validation.GetValidProjectName.Options.RawApi): Promise<import("@avst-api/commons").Response<string | undefined>>;
//# sourceMappingURL=validation.d.ts.map