import { httpGet } from "../raw-api/common";
import { constructUrl } from "@avst-api/commons";
/**
* Returns a [paginated](#pagination) list of published classic workflows. When workflow names are specified, details of those workflows are returned. Otherwise, all published classic workflows are returned.

This operation does not return next-gen workflows.

**[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-search-get
* @param options Request options.
*/
export function getWorkflows(options) {
    const { connectionId: instanceId, headers, startAt, maxResults, workflowName, expand, queryString, orderBy, isActive } = options;
    const queryParams = { startAt, maxResults, workflowName, expand, queryString, orderBy, isActive };
    return httpGet(instanceId, constructUrl(`/rest/api/3/workflow/search`, queryParams, true), headers);
}
