import { Workflow } from "../../types/workflow";
/**
* Returns a list of all statuses associated with workflows.

This operation can be accessed anonymously.

**[Permissions](#permissions) required:** None.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-status-get
* @param options Request options.
*/
export declare function getWorkflowStatuses(options: Workflow.Status.GetStatuses.Options.RawApi): Promise<import("@avst-api/commons").Response<Workflow.Status.GetStatuses.Response.OK | undefined>>;
/**
* Returns a status. The status must be associated with a workflow to be returned.

If a name is used on more than one status, only the status found first is returned. Therefore, identifying the status by its ID may be preferable.

This operation can be accessed anonymously.

[Permissions](#permissions) required: None.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-status-idOrName-get
* @param options Request options.
*/
export declare function getWorkflowStatus(options: Workflow.Status.GetStatus.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../definitions/StatusDetailsAsResponse").StatusDetailsAsResponse | undefined>>;
//# sourceMappingURL=status.d.ts.map