import { Workflow } from "../../../types/workflow";
/**
* Returns a list of all status categories.

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-get
* @param options Request options.
*/
export declare function getWorkflowStatusCategories(options: Workflow.Status.Category.GetCategories.Options.RawApi): Promise<import("@avst-api/commons").Response<Workflow.Status.Category.GetCategories.Response.OK | undefined>>;
/**
* Returns a status category. Status categories provided a mechanism for categorizing [statuses](#api-rest-api-3-status-idOrName-get).

**[Permissions](#permissions) required:** Permission to access Jira.
* Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-idorkey-get
* @param options Request options.
*/
export declare function getWorkflowStatusCategory(options: Workflow.Status.Category.GetCategory.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../../../definitions/StatusCategoryAsResponse").StatusCategoryAsResponse | undefined>>;
//# sourceMappingURL=category.d.ts.map