import { getFields } from '../raw-api/common';
export class CustomFieldReader {
    constructor(fields, issue) {
        this.textFields = new CustomFieldCollection();
        this.numberFields = new CustomFieldCollection();
        this.multiSelectFields = new CustomFieldCollection();
        this.datePickerFields = new CustomFieldCollection();
        this.selectFields = new CustomFieldCollection();
        this.multiCheckboxesFields = new CustomFieldCollection();
        this.dateTimePickerFields = new CustomFieldCollection();
        this.labelsFields = new CustomFieldCollection();
        this.radioButtonsFields = new CustomFieldCollection();
        this.multiLineTextFields = new CustomFieldCollection();
        this.urlFields = new CustomFieldCollection();
        this.userPickerFields = new CustomFieldCollection();
        this.dateOfFirstResponseFields = new CustomFieldCollection();
        this.daysSinceLastCommentFields = new CustomFieldCollection();
        this.domainOfAssigneeFields = new CustomFieldCollection();
        this.domainOfReporterFields = new CustomFieldCollection();
        this.globalRankFields = new CustomFieldCollection();
        this.multiGroupPickerFields = new CustomFieldCollection();
        this.groupPickerFields = new CustomFieldCollection();
        this.lastCommentByUserFlagFields = new CustomFieldCollection();
        this.lastPublicCommentDateFields = new CustomFieldCollection();
        this.messageForEditFields = new CustomFieldCollection();
        this.messageForViewFields = new CustomFieldCollection();
        this.numberOfAttachmentsFields = new CustomFieldCollection();
        this.numberOfCommentsFields = new CustomFieldCollection();
        this.parentLinkFields = new CustomFieldCollection();
        this.participantsOfAnIssueFields = new CustomFieldCollection();
        this.projectPickerFields = new CustomFieldCollection();
        this.teamFields = new CustomFieldCollection();
        this.readOnlyTextFields = new CustomFieldCollection();
        this.timeInStatusFields = new CustomFieldCollection();
        this.multiUserPickerFields = new CustomFieldCollection();
        this.userPropertyFields = new CustomFieldCollection();
        this.usernameOfLastUpdaterOrCommenterFields = new CustomFieldCollection();
        this.multiVersionPickerFields = new CustomFieldCollection();
        this.versionPickerFields = new CustomFieldCollection();
        this.issueColorFields = new CustomFieldCollection();
        this.uuidFields = new CustomFieldCollection();
        this.epicColorFields = new CustomFieldCollection();
        this.epicStatusFields = new CustomFieldCollection();
        this.epicLinkFields = new CustomFieldCollection();
        this.slaFields = new CustomFieldCollection();
        this.approvalsFields = new CustomFieldCollection();
        this.organizationsFields = new CustomFieldCollection();
        this.requestTypeFields = new CustomFieldCollection();
        this.requestParticipantsFields = new CustomFieldCollection();
        this.satisfactionDateFields = new CustomFieldCollection();
        this.satisfactionFields = new CustomFieldCollection();
        this.requestLanguageFields = new CustomFieldCollection();
        this.sprintFields = new CustomFieldCollection();
        this.locationFields = new CustomFieldCollection();
        this.assetsFields = new CustomFieldCollection();
        this.epicNameFields = new CustomFieldCollection();
        this.developmentFields = new CustomFieldCollection();
        this.cascadingSelectFields = new CustomFieldCollection();
        this.extractFields(fields, issue);
    }
    extractFields(fields, issue) {
        fields.forEach(field => {
            if (field.custom) {
                switch (field.schema.custom) {
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:textfield':
                        this.processField(this.textFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:float':
                        this.processField(this.numberFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:multiselect':
                        this.processField(this.multiSelectFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:datepicker':
                        this.processField(this.datePickerFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:select':
                        this.processField(this.selectFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:multicheckboxes':
                        this.processField(this.multiCheckboxesFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:datetime':
                        this.processField(this.dateTimePickerFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:labels':
                        this.processField(this.labelsFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:radiobuttons':
                        this.processField(this.radioButtonsFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:textarea':
                        this.processField(this.multiLineTextFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:url':
                        this.processField(this.urlFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:userpicker':
                        this.processField(this.userPickerFields, field, issue);
                        break;
                    case 'com.atlassian.jira.ext.charting:firstresponsedate':
                        this.processField(this.dateOfFirstResponseFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:dayslastcommented':
                        this.processField(this.daysSinceLastCommentFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:assigneedomain':
                        this.processField(this.domainOfAssigneeFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:reporterdomain':
                        this.processField(this.domainOfReporterFields, field, issue);
                        break;
                    case 'com.pyxis.greenhopper.jira:gh-lexo-rank':
                        this.processField(this.globalRankFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:multigrouppicker':
                        this.processField(this.multiGroupPickerFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:grouppicker':
                        this.processField(this.groupPickerFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:lastusercommented':
                        this.processField(this.lastCommentByUserFlagFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:LastCommentDate':
                        this.processField(this.lastPublicCommentDateFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:message':
                        this.processField(this.messageForEditFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:viewmessage':
                        this.processField(this.messageForViewFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:attachments':
                        this.processField(this.numberOfAttachmentsFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:comments':
                        this.processField(this.numberOfCommentsFields, field, issue);
                        break;
                    case 'com.atlassian.jpo:jpo-custom-field-parent':
                        this.processField(this.parentLinkFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:participants':
                        this.processField(this.participantsOfAnIssueFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:project':
                        this.processField(this.projectPickerFields, field, issue);
                        break;
                    case 'com.atlassian.teams:rm-teams-custom-field-team':
                        this.processField(this.teamFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:readonlyfield':
                        this.processField(this.readOnlyTextFields, field, issue);
                        break;
                    case 'com.atlassian.jira.ext.charting:timeinstatus':
                        this.processField(this.timeInStatusFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:multiuserpicker':
                        this.processField(this.multiUserPickerFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:userproperty':
                        this.processField(this.userPropertyFields, field, issue);
                        break;
                    case 'com.atlassian.jira.toolkit:lastupdaterorcommenter':
                        this.processField(this.usernameOfLastUpdaterOrCommenterFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:multiversion':
                        this.processField(this.multiVersionPickerFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:version':
                        this.processField(this.versionPickerFields, field, issue);
                        break;
                    case 'com.pyxis.greenhopper.jira:jsw-issue-color':
                        this.processField(this.issueColorFields, field, issue);
                        break;
                    case 'com.atlassian.jconnect.jconnect-plugin:uuid':
                        this.processField(this.uuidFields, field, issue);
                        break;
                    case 'com.pyxis.greenhopper.jira:gh-epic-color':
                        this.processField(this.epicColorFields, field, issue);
                        break;
                    case 'com.pyxis.greenhopper.jira:gh-epic-status':
                        this.processField(this.epicStatusFields, field, issue);
                        break;
                    case 'com.pyxis.greenhopper.jira:gh-epic-link':
                        this.processField(this.epicLinkFields, field, issue);
                        break;
                    case 'com.atlassian.servicedesk:sd-sla-field':
                        this.processField(this.slaFields, field, issue);
                        break;
                    case 'com.atlassian.servicedesk.approvals-plugin:sd-approvals':
                        this.processField(this.approvalsFields, field, issue);
                        break;
                    case 'com.atlassian.servicedesk:sd-customer-organizations':
                        this.processField(this.organizationsFields, field, issue);
                        break;
                    case 'com.atlassian.servicedesk:vp-origin':
                        this.processField(this.requestTypeFields, field, issue);
                        break;
                    case 'com.atlassian.servicedesk:sd-request-participants':
                        this.processField(this.requestParticipantsFields, field, issue);
                        break;
                    case 'com.atlassian.servicedesk:sd-request-feedback-date':
                        this.processField(this.satisfactionDateFields, field, issue);
                        break;
                    case 'com.atlassian.servicedesk:sd-request-feedback':
                        this.processField(this.satisfactionFields, field, issue);
                        break;
                    case 'com.atlassian.servicedesk.servicedesk-lingo-integration-plugin:sd-request-language':
                        this.processField(this.requestLanguageFields, field, issue);
                        break;
                    case 'com.pyxis.greenhopper.jira:gh-sprint':
                        this.processField(this.sprintFields, field, issue);
                        break;
                    case 'com.atlassian.jconnect.jconnect-plugin:location':
                        this.processField(this.locationFields, field, issue);
                        break;
                    case 'com.atlassian.servicedesk.assets-plugin:assetfield':
                        this.processField(this.assetsFields, field, issue);
                        break;
                    case 'com.pyxis.greenhopper.jira:gh-epic-label':
                        this.processField(this.epicNameFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugin.system.customfieldtypes:cascadingselect':
                        this.processField(this.cascadingSelectFields, field, issue);
                        break;
                    case 'com.atlassian.jira.plugins.jira-development-integration-plugin:devsummarycf':
                        this.processField(this.developmentFields, field, issue);
                        break;
                }
            }
        });
    }
    processField(collection, field, issue) {
        const fieldValue = issue.fields[field.id];
        collection.fields.push(this.getField(field, fieldValue));
    }
    getField(field, value) {
        return {
            id: field.id,
            name: field.name,
            value
        };
    }
}
export class CustomFieldCollection {
    constructor() {
        this.fields = [];
    }
    hasValue(customFieldIdOrName) {
        return this.getFields(customFieldIdOrName).length > 0;
    }
    /**
     * Returns custom field value by field ID or name, or undefined when value is not set
     */
    getValue(customFieldIdOrName) {
        const fields = this.getFields(customFieldIdOrName);
        if (fields.length === 0) {
            throw new CustomFieldNotFound(`Custom field with name or ID '${customFieldIdOrName}' does not exist.`);
        }
        else if (fields.length === 1) {
            return fields[0].value;
        }
        else {
            throw new CustomFieldMultipleMatches(`Found too many matching custom field values with the same name '${customFieldIdOrName}', please consider using field ID instead`);
        }
    }
    getFields(customFieldIdOrName) {
        return getFields(this.fields, customFieldIdOrName);
    }
}
export class CustomFieldNotFound extends Error {
    constructor(message) {
        super(message);
        this.message = message;
        this.name = 'CustomFieldNotFound';
    }
}
export class CustomFieldMultipleMatches extends Error {
    constructor(message) {
        super(message);
        this.message = message;
        this.name = 'CustomFieldMultipleMatches';
    }
}
