import { UserDetails } from '../../definitions/UserDetails';
interface DateDTO {
    iso8601?: string;
    jira?: string;
    friendly?: string;
    epochMillis?: number;
}
interface Approver extends UserDetails {
    _links?: {
        self?: string;
        jiraRest?: string;
    };
}
interface Approval {
    id?: string;
    name?: string;
    _links?: {
        self?: string;
    };
    finalDecision?: 'approved' | 'declined' | 'pending';
    canAnswerApproval?: boolean;
    approvers?: {
        approver?: Approver;
        approverDecision?: 'approved' | 'declined' | 'pending';
    }[];
    createdDate?: DateDTO;
    completedDate?: DateDTO;
}
export interface PagedApproval {
    size?: number;
    start?: number;
    limit?: number;
    isLastPage?: boolean;
    values?: Approval[];
    _expands?: string[];
    _links?: {
        self?: string;
        base?: string;
        context?: string;
        next?: string;
        prev?: string;
    };
}
export {};
//# sourceMappingURL=approval.d.ts.map