import { JsonTypeBeanAsResponse } from '../../definitions/JsonTypeBeanAsResponse';
interface RequestTypeFieldValue {
    value?: string;
    label?: string;
    children?: RequestTypeFieldValue[];
}
export interface RequestType {
    id?: string;
    name?: string;
    _links?: {
        self?: string;
    };
    description?: string;
    helpText?: string;
    issueTypeId?: string;
    serviceDeskId?: string;
    groupIds?: string[];
    icon?: {
        id?: string;
        _links?: {
            iconUrls?: Record<string, any>;
        };
    };
    fields?: {
        requestTypeFields?: {
            fieldId?: string;
            name?: string;
            description?: string;
            required?: boolean;
            defaultValues?: RequestTypeFieldValue[];
            validValues?: RequestTypeFieldValue[];
            jiraSchema?: JsonTypeBeanAsResponse;
        }[];
        canRaiseOnBehalfOf?: boolean;
        canAddRequestParticipants?: boolean;
    };
    _expands?: string[];
}
export {};
//# sourceMappingURL=requestType.d.ts.map