import { PageBeanProjectDetailsAsResponse } from "../definitions/PageBeanProjectDetailsAsResponse";
import { HeadersOption, ConnectionOption } from "@avst-api/commons";
import { AssistedErrorStrategyOption } from "../handled-api/common";
import { ErrorStrategyOption } from "../handled-api/common";
import { PageBeanIssueTypeScreenSchemeAsResponse } from "../definitions/PageBeanIssueTypeScreenSchemeAsResponse";
import { IssueTypeScreenSchemeDetails } from "../definitions/IssueTypeScreenSchemeDetails";
import { IssueTypeScreenSchemeIdAsResponse } from "../definitions/IssueTypeScreenSchemeIdAsResponse";
import { PageBeanIssueTypeScreenSchemeItemAsResponse } from "../definitions/PageBeanIssueTypeScreenSchemeItemAsResponse";
import { PageBeanIssueTypeScreenSchemesProjectsAsResponse } from "../definitions/PageBeanIssueTypeScreenSchemesProjectsAsResponse";
import { IssueTypeScreenSchemeProjectAssociation } from "../definitions/IssueTypeScreenSchemeProjectAssociation";
import { IssueTypeScreenSchemeUpdateDetails } from "../definitions/IssueTypeScreenSchemeUpdateDetails";
import { IssueTypeScreenSchemeMappingDetails } from "../definitions/IssueTypeScreenSchemeMappingDetails";
import { UpdateDefaultScreenScheme } from "../definitions/UpdateDefaultScreenScheme";
import { IssueTypeIds } from "../definitions/IssueTypeIds";
import { PropertyKeysAsResponse } from "../definitions/PropertyKeysAsResponse";
import { EntityPropertyAsResponse } from "../definitions/EntityPropertyAsResponse";
import { IssueTypeDetailsAsResponse } from "../definitions/IssueTypeDetailsAsResponse";
import { IssueTypeCreateBean } from "../definitions/IssueTypeCreateBean";
import { IssueTypeUpdateBean } from "../definitions/IssueTypeUpdateBean";
import { AvatarAsResponse } from "../definitions/AvatarAsResponse";
import { PageBeanIssueTypeSchemeAsResponse } from "../definitions/PageBeanIssueTypeSchemeAsResponse";
import { IssueTypeSchemeDetails } from "../definitions/IssueTypeSchemeDetails";
import { IssueTypeSchemeIDAsResponse } from "../definitions/IssueTypeSchemeIDAsResponse";
import { PageBeanIssueTypeSchemeMappingAsResponse } from "../definitions/PageBeanIssueTypeSchemeMappingAsResponse";
import { PageBeanIssueTypeSchemeProjectsAsResponse } from "../definitions/PageBeanIssueTypeSchemeProjectsAsResponse";
import { IssueTypeSchemeProjectAssociation } from "../definitions/IssueTypeSchemeProjectAssociation";
import { IssueTypeSchemeUpdateDetails } from "../definitions/IssueTypeSchemeUpdateDetails";
import { OrderOfIssueTypes } from "../definitions/OrderOfIssueTypes";
import { FieldConfigurationDetails } from "../definitions/FieldConfigurationDetails";
import { FieldConfigurationAsResponse } from "../definitions/FieldConfigurationAsResponse";
import { PageBeanFieldConfigurationDetailsAsResponse } from "../definitions/PageBeanFieldConfigurationDetailsAsResponse";
import { PageBeanFieldConfigurationItemAsResponse } from "../definitions/PageBeanFieldConfigurationItemAsResponse";
import { PageBeanFieldConfigurationIssueTypeItemAsResponse } from "../definitions/PageBeanFieldConfigurationIssueTypeItemAsResponse";
import { PageBeanFieldConfigurationSchemeProjectsAsResponse } from "../definitions/PageBeanFieldConfigurationSchemeProjectsAsResponse";
import { FieldConfigurationSchemeProjectAssociation } from "../definitions/FieldConfigurationSchemeProjectAssociation";
import { PageBeanFieldConfigurationSchemeAsResponse } from "../definitions/PageBeanFieldConfigurationSchemeAsResponse";
import { CustomFieldOptionAsResponse } from "../definitions/CustomFieldOptionAsResponse";
import { CustomFieldDefinitionJsonBean } from "../definitions/CustomFieldDefinitionJsonBean";
import { FieldDetailsAsResponse } from "../definitions/FieldDetailsAsResponse";
import { PageBeanCustomFieldContextOptionAsResponse } from "../definitions/PageBeanCustomFieldContextOptionAsResponse";
import { BulkCustomFieldOptionCreateRequest } from "../definitions/BulkCustomFieldOptionCreateRequest";
import { CustomFieldCreatedContextOptionsListAsResponse } from "../definitions/CustomFieldCreatedContextOptionsListAsResponse";
import { BulkCustomFieldOptionUpdateRequest } from "../definitions/BulkCustomFieldOptionUpdateRequest";
import { CustomFieldUpdatedContextOptionsListAsResponse } from "../definitions/CustomFieldUpdatedContextOptionsListAsResponse";
import { OrderOfCustomFieldOptions } from "../definitions/OrderOfCustomFieldOptions";
import { PageBeanCustomFieldContextAsResponse } from "../definitions/PageBeanCustomFieldContextAsResponse";
import { CreateCustomFieldContext } from "../definitions/CreateCustomFieldContext";
import { CreateCustomFieldContextAsResponse } from "../definitions/CreateCustomFieldContextAsResponse";
import { PageBeanCustomFieldContextDefaultValueAsResponse } from "../definitions/PageBeanCustomFieldContextDefaultValueAsResponse";
import { CustomFieldContextDefaultValueUpdate } from "../definitions/CustomFieldContextDefaultValueUpdate";
import { PageBeanIssueTypeToContextMappingAsResponse } from "../definitions/PageBeanIssueTypeToContextMappingAsResponse";
import { PageBeanCustomFieldContextProjectMappingAsResponse } from "../definitions/PageBeanCustomFieldContextProjectMappingAsResponse";
import { CustomFieldContextUpdateDetails } from "../definitions/CustomFieldContextUpdateDetails";
import { ProjectIds } from "../definitions/ProjectIds";
import { UpdateCustomFieldDetails } from "../definitions/UpdateCustomFieldDetails";
import { PageBeanFieldAsResponse } from "../definitions/PageBeanFieldAsResponse";
import { ErrorCollectionAsResponse } from "../definitions/ErrorCollectionAsResponse";
import { PageBeanContextAsResponse } from "../definitions/PageBeanContextAsResponse";
import { PageOfWorklogsAsResponse } from "../definitions/PageOfWorklogsAsResponse";
import { Visibility } from "../definitions/Visibility";
import { EntityProperty } from "../definitions/EntityProperty";
import { WorklogAsResponse } from "../definitions/WorklogAsResponse";
import { AtlassianDocumentFormat } from "@avst-lib/jira-cloud/types/adf";
import { Worklog } from "../definitions/Worklog";
import { ChangedWorklogsAsResponse } from "../definitions/ChangedWorklogsAsResponse";
import { WorklogIdsRequestBean } from "../definitions/WorklogIdsRequestBean";
import { AttachmentMetadataAsResponse } from "../definitions/AttachmentMetadataAsResponse";
import { AttachmentArchiveMetadataReadableAsResponse } from "../definitions/AttachmentArchiveMetadataReadableAsResponse";
import { AttachmentArchiveImplAsResponse } from "../definitions/AttachmentArchiveImplAsResponse";
import { AttachmentAsResponse } from "../definitions/AttachmentAsResponse";
import { IssueCommentListRequestBean } from "../definitions/IssueCommentListRequestBean";
import { PageBeanCommentAsResponse } from "../definitions/PageBeanCommentAsResponse";
import { PageOfCommentsAsResponse } from "../definitions/PageOfCommentsAsResponse";
import { CommentAsResponse } from "../definitions/CommentAsResponse";
import { Comment } from "../definitions/Comment";
import { IssueFieldsCreate } from "../definitions/IssueFields";
import { HistoryMetadata } from "../definitions/HistoryMetadata";
import { FieldUpdateOperation } from "../definitions/FieldUpdateOperation";
import { IssueBuilder } from "../builders/issue";
import { CreatedIssueAsResponse } from "../definitions/CreatedIssueAsResponse";
import { CreatedIssuesAsResponse } from "../definitions/CreatedIssuesAsResponse";
import { IssueCreateMetadataAsResponse } from "../definitions/IssueCreateMetadataAsResponse";
import { IssueUpdateMetadataAsResponse } from "../definitions/IssueUpdateMetadataAsResponse";
import { IssueBeanAsResponse } from "../definitions/IssueBeanAsResponse";
import { IssueFieldsUpdate } from "../definitions/IssueFields";
import { PageBeanChangelogAsResponse } from "../definitions/PageBeanChangelogAsResponse";
import { IssueChangelogIds } from "../definitions/IssueChangelogIds";
import { PageOfChangelogsAsResponse } from "../definitions/PageOfChangelogsAsResponse";
import { Notification } from "../definitions/Notification";
import { RemoteIssueLinkAsResponse } from "../definitions/RemoteIssueLinkAsResponse";
import { RemoteIssueLinkRequest } from "../definitions/RemoteIssueLinkRequest";
import { RemoteIssueLinkIdentifiesAsResponse } from "../definitions/RemoteIssueLinkIdentifiesAsResponse";
import { LinkIssueRequestJsonBean } from "../definitions/LinkIssueRequestJsonBean";
import { IssueLinkAsResponse } from "../definitions/IssueLinkAsResponse";
import { IssueLinkTypesAsResponse } from "../definitions/IssueLinkTypesAsResponse";
import { IssueLinkTypeAsResponse } from "../definitions/IssueLinkTypeAsResponse";
import { IssueLinkType } from "../definitions/IssueLinkType";
import { TransitionsAsResponse } from "../definitions/TransitionsAsResponse";
import { VotesAsResponse } from "../definitions/VotesAsResponse";
import { WatchersAsResponse } from "../definitions/WatchersAsResponse";
import { IssuesAndJQLQueries } from "../definitions/IssuesAndJQLQueries";
import { IssueMatchesAsResponse } from "../definitions/IssueMatchesAsResponse";
import { SearchRequestBean } from "../definitions/SearchRequestBean";
import { SearchResultsAsResponse } from "../definitions/SearchResultsAsResponse";
import { PriorityAsResponse } from "../definitions/PriorityAsResponse";
import { ResolutionAsResponse } from "../definitions/ResolutionAsResponse";
import { PageBeanIssueSecurityLevelMemberAsResponse } from "../definitions/PageBeanIssueSecurityLevelMemberAsResponse";
import { SecuritySchemesAsResponse } from "../definitions/SecuritySchemesAsResponse";
import { SecuritySchemeAsResponse } from "../definitions/SecuritySchemeAsResponse";
import { SecurityLevelAsResponse } from "../definitions/SecurityLevelAsResponse";
import { PageBeanNotificationSchemeAsResponse } from "../definitions/PageBeanNotificationSchemeAsResponse";
import { NotificationSchemeAsResponse } from "../definitions/NotificationSchemeAsResponse";
import { ColumnItemAsResponse } from "../definitions/ColumnItemAsResponse";
export declare namespace Issue {
    namespace Type {
        namespace Screen {
            namespace Scheme {
                namespace GetProjects {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = PageBeanProjectDetailsAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the issue type screen scheme.
                             */
                            issueTypeScreenSchemeId: number;
                            /**
                             * The index of the first item to return in a page of results (page offset).
                             */
                            startAt?: number;
                            /**
                             * The maximum number of items to return per page.
                             */
                            maxResults?: number;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace GetSchemes {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = PageBeanIssueTypeScreenSchemeAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The index of the first item to return in a page of results (page offset).
                             */
                            startAt?: number;
                            /**
                             * The maximum number of items to return per page.
                             */
                            maxResults?: number;
                            /**
                             * The list of issue type screen scheme IDs. To include multiple IDs, provide an ampersand-separated list. For example, `id=10000&id=10001`.
                             */
                            id?: Array<number>;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace CreateScheme {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = IssueTypeScreenSchemeDetails;
                    namespace Response {
                        type OK = IssueTypeScreenSchemeIdAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            body: Issue.Type.Screen.Scheme.CreateScheme.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace GetSchemeItems {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = PageBeanIssueTypeScreenSchemeItemAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The index of the first item to return in a page of results (page offset).
                             */
                            startAt?: number;
                            /**
                             * The maximum number of items to return per page.
                             */
                            maxResults?: number;
                            /**
                             * The list of issue type screen scheme IDs. To include multiple issue type screen schemes, separate IDs with ampersand: `issueTypeScreenSchemeId=10000&issueTypeScreenSchemeId=10001`.
                             */
                            issueTypeScreenSchemeId?: Array<number>;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace GetSchemesForProjects {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = PageBeanIssueTypeScreenSchemesProjectsAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The index of the first item to return in a page of results (page offset).
                             */
                            startAt?: number;
                            /**
                             * The maximum number of items to return per page.
                             */
                            maxResults?: number;
                            /**
                             * The list of project IDs. To include multiple projects, separate IDs with ampersand: `projectId=10000&projectId=10001`.
                             */
                            projectId: Array<number>;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace AssignSchemeToProject {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = IssueTypeScreenSchemeProjectAssociation;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            body: Issue.Type.Screen.Scheme.AssignSchemeToProject.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace UpdateScheme {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = IssueTypeScreenSchemeUpdateDetails;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the issue type screen scheme.
                             */
                            issueTypeScreenSchemeId: string;
                            body: Issue.Type.Screen.Scheme.UpdateScheme.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace DeleteScheme {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the issue type screen scheme.
                             */
                            issueTypeScreenSchemeId: string;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace AppendMappings {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = IssueTypeScreenSchemeMappingDetails;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the issue type screen scheme.
                             */
                            issueTypeScreenSchemeId: string;
                            body: Issue.Type.Screen.Scheme.AppendMappings.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace UpdateDefaultScheme {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = UpdateDefaultScreenScheme;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the issue type screen scheme.
                             */
                            issueTypeScreenSchemeId: string;
                            body: Issue.Type.Screen.Scheme.UpdateDefaultScheme.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace RemoveMappings {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = IssueTypeIds;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the issue type screen scheme.
                             */
                            issueTypeScreenSchemeId: string;
                            body: Issue.Type.Screen.Scheme.RemoveMappings.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
            }
        }
        namespace Property {
            namespace GetPropertyKeys {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PropertyKeysAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue type.
                         */
                        issueTypeId: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetProperty {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = EntityPropertyAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue type.
                         */
                        issueTypeId: string;
                        /**
                         * The key of the property. Use [Get issue type property keys](#api-rest-api-3-issuetype-issueTypeId-properties-get) to get a list of all issue type property keys.
                         */
                        propertyKey: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace SetProperty {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = any;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue type.
                         */
                        issueTypeId: string;
                        /**
                         * The key of the issue type property. The maximum length is 255 characters.
                         */
                        propertyKey: string;
                        body: Issue.Type.Property.SetProperty.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace DeleteProperty {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = undefined;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue type.
                         */
                        issueTypeId: string;
                        /**
                         * The key of the property. Use [Get issue type property keys](#api-rest-api-3-issuetype-issueTypeId-properties-get) to get a list of all issue type property keys.
                         */
                        propertyKey: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
        namespace GetTypesForUser {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = Array<IssueTypeDetailsAsResponse>;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace CreateType {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = IssueTypeCreateBean;
            namespace Response {
                type OK = IssueTypeDetailsAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    body: Issue.Type.CreateType.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetTypesForProject {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = Array<IssueTypeDetailsAsResponse>;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the project.
                     */
                    projectId: number;
                    /**
          * The level of the issue type to filter by. Use:
          
           *  `-1` for Subtask.
           *  `0` for Base.
           *  `1` for Epic.
          */
                    level?: number;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetType {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = IssueTypeDetailsAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue type.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace UpdateType {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = IssueTypeUpdateBean;
            namespace Response {
                type OK = IssueTypeDetailsAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue type.
                     */
                    id: string;
                    body: Issue.Type.UpdateType.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace DeleteType {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = undefined;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue type.
                     */
                    id: string;
                    /**
                     * The ID of the replacement issue type.
                     */
                    alternativeIssueTypeId?: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetAlternativeTypes {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = Array<IssueTypeDetailsAsResponse>;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue type.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace LoadTypeAvatar {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = {
                /**
                 * Valid image types are JPEG, GIF, or PNG.
                 */
                filetype: string;
                /**
                 * File's content.
                 */
                content: ArrayBuffer;
            };
            namespace Response {
                type OK = AvatarAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue type.
                     */
                    id: string;
                    /**
                     * The X coordinate of the top-left corner of the crop region.
                     */
                    x?: number;
                    /**
                     * The Y coordinate of the top-left corner of the crop region.
                     */
                    y?: number;
                    /**
                     * The length of each side of the crop region.
                     */
                    size: number;
                    body: Issue.Type.LoadTypeAvatar.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace Scheme {
            namespace GetSchemes {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PageBeanIssueTypeSchemeAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The index of the first item to return in a page of results (page offset).
                         */
                        startAt?: number;
                        /**
                         * The maximum number of items to return per page.
                         */
                        maxResults?: number;
                        /**
                         * The list of issue type schemes IDs. To include multiple IDs, provide an ampersand-separated list. For example, `id=10000&id=10001`.
                         */
                        id?: Array<number>;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace CreateScheme {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = IssueTypeSchemeDetails;
                namespace Response {
                    type OK = IssueTypeSchemeIDAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        body: Issue.Type.Scheme.CreateScheme.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetSchemeItems {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PageBeanIssueTypeSchemeMappingAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The index of the first item to return in a page of results (page offset).
                         */
                        startAt?: number;
                        /**
                         * The maximum number of items to return per page.
                         */
                        maxResults?: number;
                        /**
                         * The list of issue type scheme IDs. To include multiple IDs, provide an ampersand-separated list. For example, `issueTypeSchemeId=10000&issueTypeSchemeId=10001`.
                         */
                        issueTypeSchemeId?: Array<number>;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetSchemesForProjects {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PageBeanIssueTypeSchemeProjectsAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The index of the first item to return in a page of results (page offset).
                         */
                        startAt?: number;
                        /**
                         * The maximum number of items to return per page.
                         */
                        maxResults?: number;
                        /**
                         * The list of project IDs. To include multiple project IDs, provide an ampersand-separated list. For example, `projectId=10000&projectId=10001`.
                         */
                        projectId: Array<number>;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace AssignToProject {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = IssueTypeSchemeProjectAssociation;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        body: Issue.Type.Scheme.AssignToProject.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace AddIssueTypesToScheme {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = IssueTypeIds;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue type scheme.
                         */
                        issueTypeSchemeId: number;
                        body: Issue.Type.Scheme.AddIssueTypesToScheme.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace UpdateScheme {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = IssueTypeSchemeUpdateDetails;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue type scheme.
                         */
                        issueTypeSchemeId: number;
                        body: Issue.Type.Scheme.UpdateScheme.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace DeleteScheme {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue type scheme.
                         */
                        issueTypeSchemeId: number;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace ChangeIssueTypesOrder {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = OrderOfIssueTypes;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue type scheme.
                         */
                        issueTypeSchemeId: number;
                        body: Issue.Type.Scheme.ChangeIssueTypesOrder.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace RemoveIssueTypesFromScheme {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue type scheme.
                         */
                        issueTypeSchemeId: number;
                        /**
                         * The ID of the issue type.
                         */
                        issueTypeId: number;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
    }
    namespace Field {
        namespace Configuration {
            namespace CreateConfiguration {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = FieldConfigurationDetails;
                namespace Response {
                    type OK = FieldConfigurationAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        body: Issue.Field.Configuration.CreateConfiguration.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetConfigurations {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PageBeanFieldConfigurationDetailsAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The index of the first item to return in a page of results (page offset).
                         */
                        startAt?: number;
                        /**
                         * The maximum number of items to return per page.
                         */
                        maxResults?: number;
                        /**
                         * The list of field configuration IDs. To include multiple IDs, provide an ampersand-separated list. For example, `id=10000&id=10001`.
                         */
                        id?: Array<number>;
                        /**
                         * If *true* returns default field configurations only.
                         */
                        isDefault?: boolean;
                        /**
                         * The query string used to match against field configuration names and descriptions.
                         */
                        query?: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace UpdateConfiguration {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = FieldConfigurationDetails;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the field configuration.
                         */
                        id: number;
                        body: Issue.Field.Configuration.UpdateConfiguration.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace DeleteConfiguration {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the field configuration.
                         */
                        id: number;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetConfigurationItems {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PageBeanFieldConfigurationItemAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the field configuration.
                         */
                        id: number;
                        /**
                         * The index of the first item to return in a page of results (page offset).
                         */
                        startAt?: number;
                        /**
                         * The maximum number of items to return per page.
                         */
                        maxResults?: number;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetConfigurationIssueTypeItems {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PageBeanFieldConfigurationIssueTypeItemAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The index of the first item to return in a page of results (page offset).
                         */
                        startAt?: number;
                        /**
                         * The maximum number of items to return per page.
                         */
                        maxResults?: number;
                        /**
                         * The list of field configuration scheme IDs. To include multiple field configuration schemes separate IDs with ampersand: `fieldConfigurationSchemeId=10000&fieldConfigurationSchemeId=10001`.
                         */
                        fieldConfigurationSchemeId?: Array<number>;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace Scheme {
                namespace GetSchemesForProjects {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = PageBeanFieldConfigurationSchemeProjectsAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The index of the first item to return in a page of results (page offset).
                             */
                            startAt?: number;
                            /**
                             * The maximum number of items to return per page.
                             */
                            maxResults?: number;
                            /**
                             * The list of project IDs. To include multiple projects, separate IDs with ampersand: `projectId=10000&projectId=10001`.
                             */
                            projectId: Array<number>;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace AssignSchemeToProject {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = FieldConfigurationSchemeProjectAssociation;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            body: Issue.Field.Configuration.Scheme.AssignSchemeToProject.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
            }
            namespace GetSchemes {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PageBeanFieldConfigurationSchemeAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The index of the first item to return in a page of results (page offset).
                         */
                        startAt?: number;
                        /**
                         * The maximum number of items to return per page.
                         */
                        maxResults?: number;
                        /**
                         * The list of field configuration scheme IDs. To include multiple IDs, provide an ampersand-separated list. For example, `id=10000&id=10001`.
                         */
                        id?: Array<number>;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
        namespace Custom {
            namespace Option {
                namespace GetOption {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = CustomFieldOptionAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field option.
                             */
                            id: string;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
            }
            namespace CreateField {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = CustomFieldDefinitionJsonBean;
                namespace Response {
                    type OK = FieldDetailsAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        body: Issue.Field.Custom.CreateField.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace Context {
                namespace Option {
                    namespace GetOptions {
                        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                        }
                        namespace Response {
                            type OK = PageBeanCustomFieldContextOptionAsResponse;
                            type Error = undefined;
                        }
                        namespace Options {
                            interface Base {
                                /**
                                 * The ID of the custom field.
                                 */
                                fieldId: string;
                                /**
                                 * The ID of the context.
                                 */
                                contextId: number;
                                /**
                                 * The ID of the option.
                                 */
                                optionId?: number;
                                /**
                                 * Whether only options are returned.
                                 */
                                onlyOptions?: boolean;
                                /**
                                 * The index of the first item to return in a page of results (page offset).
                                 */
                                startAt?: number;
                                /**
                                 * The maximum number of items to return per page.
                                 */
                                maxResults?: number;
                            }
                            interface RawApi extends Base, ConnectionOption, HeadersOption {
                            }
                            interface HandledApi extends RawApi, ErrorStrategyOption {
                            }
                        }
                    }
                    namespace CreateOptions {
                        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                        }
                        type Body = BulkCustomFieldOptionCreateRequest;
                        namespace Response {
                            type OK = CustomFieldCreatedContextOptionsListAsResponse;
                            type Error = undefined;
                        }
                        namespace Options {
                            interface Base {
                                /**
                                 * The ID of the custom field.
                                 */
                                fieldId: string;
                                /**
                                 * The ID of the context.
                                 */
                                contextId: number;
                                body: Issue.Field.Custom.Context.Option.CreateOptions.Body;
                            }
                            interface RawApi extends Base, ConnectionOption, HeadersOption {
                            }
                            interface HandledApi extends RawApi, ErrorStrategyOption {
                            }
                        }
                    }
                    namespace UpdateOptions {
                        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                        }
                        type Body = BulkCustomFieldOptionUpdateRequest;
                        namespace Response {
                            type OK = CustomFieldUpdatedContextOptionsListAsResponse;
                            type Error = undefined;
                        }
                        namespace Options {
                            interface Base {
                                /**
                                 * The ID of the custom field.
                                 */
                                fieldId: string;
                                /**
                                 * The ID of the context.
                                 */
                                contextId: number;
                                body: Issue.Field.Custom.Context.Option.UpdateOptions.Body;
                            }
                            interface RawApi extends Base, ConnectionOption, HeadersOption {
                            }
                            interface HandledApi extends RawApi, ErrorStrategyOption {
                            }
                        }
                    }
                    namespace ReorderOptions {
                        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                        }
                        type Body = OrderOfCustomFieldOptions;
                        namespace Response {
                            type OK = any;
                            type Error = undefined;
                        }
                        namespace Options {
                            interface Base {
                                /**
                                 * The ID of the custom field.
                                 */
                                fieldId: string;
                                /**
                                 * The ID of the context.
                                 */
                                contextId: number;
                                body: Issue.Field.Custom.Context.Option.ReorderOptions.Body;
                            }
                            interface RawApi extends Base, ConnectionOption, HeadersOption {
                            }
                            interface HandledApi extends RawApi, ErrorStrategyOption {
                            }
                        }
                    }
                    namespace DeleteOption {
                        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                        }
                        namespace Response {
                            type OK = undefined;
                            type Error = undefined;
                        }
                        namespace Options {
                            interface Base {
                                /**
                                 * The ID of the custom field.
                                 */
                                fieldId: string;
                                /**
                                 * The ID of the context from which an option should be deleted.
                                 */
                                contextId: number;
                                /**
                                 * The ID of the option to delete.
                                 */
                                optionId: number;
                            }
                            interface RawApi extends Base, ConnectionOption, HeadersOption {
                            }
                            interface HandledApi extends RawApi, ErrorStrategyOption {
                            }
                        }
                    }
                }
                namespace GetContexts {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = PageBeanCustomFieldContextAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field.
                             */
                            fieldId: string;
                            /**
                             * Whether to return contexts that apply to all issue types.
                             */
                            isAnyIssueType?: boolean;
                            /**
                             * Whether to return contexts that apply to all projects.
                             */
                            isGlobalContext?: boolean;
                            /**
                             * The list of context IDs. To include multiple contexts, separate IDs with ampersand: `contextId=10000&contextId=10001`.
                             */
                            contextId?: Array<number>;
                            /**
                             * The index of the first item to return in a page of results (page offset).
                             */
                            startAt?: number;
                            /**
                             * The maximum number of items to return per page.
                             */
                            maxResults?: number;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace CreateContext {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = CreateCustomFieldContext;
                    namespace Response {
                        type OK = CreateCustomFieldContextAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field.
                             */
                            fieldId: string;
                            body: Issue.Field.Custom.Context.CreateContext.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace GetDefaultContexts {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = PageBeanCustomFieldContextDefaultValueAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field, for example `customfield\_10000`.
                             */
                            fieldId: string;
                            /**
                             * The IDs of the contexts.
                             */
                            contextId?: Array<number>;
                            /**
                             * The index of the first item to return in a page of results (page offset).
                             */
                            startAt?: number;
                            /**
                             * The maximum number of items to return per page.
                             */
                            maxResults?: number;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace SetDefaultContexts {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = CustomFieldContextDefaultValueUpdate;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field.
                             */
                            fieldId: string;
                            body: Issue.Field.Custom.Context.SetDefaultContexts.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace GetIssueTypes {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = PageBeanIssueTypeToContextMappingAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field.
                             */
                            fieldId: string;
                            /**
                             * The ID of the context. To include multiple contexts, provide an ampersand-separated list. For example, `contextId=10001&contextId=10002`.
                             */
                            contextId?: Array<number>;
                            /**
                             * The index of the first item to return in a page of results (page offset).
                             */
                            startAt?: number;
                            /**
                             * The maximum number of items to return per page.
                             */
                            maxResults?: number;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace GetProjectMappings {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    namespace Response {
                        type OK = PageBeanCustomFieldContextProjectMappingAsResponse;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field, for example `customfield\_10000`.
                             */
                            fieldId: string;
                            /**
                             * The list of context IDs. To include multiple context, separate IDs with ampersand: `contextId=10000&contextId=10001`.
                             */
                            contextId?: Array<number>;
                            /**
                             * The index of the first item to return in a page of results (page offset).
                             */
                            startAt?: number;
                            /**
                             * The maximum number of items to return per page.
                             */
                            maxResults?: number;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace UpdateContext {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = CustomFieldContextUpdateDetails;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field.
                             */
                            fieldId: string;
                            /**
                             * The ID of the context.
                             */
                            contextId: number;
                            body: Issue.Field.Custom.Context.UpdateContext.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace AddIssueTypes {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = IssueTypeIds;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field.
                             */
                            fieldId: string;
                            /**
                             * The ID of the context.
                             */
                            contextId: number;
                            body: Issue.Field.Custom.Context.AddIssueTypes.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace RemoveIssueTypes {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = IssueTypeIds;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field.
                             */
                            fieldId: string;
                            /**
                             * The ID of the context.
                             */
                            contextId: number;
                            body: Issue.Field.Custom.Context.RemoveIssueTypes.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace AssignToProjects {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = ProjectIds;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field.
                             */
                            fieldId: string;
                            /**
                             * The ID of the context.
                             */
                            contextId: number;
                            body: Issue.Field.Custom.Context.AssignToProjects.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
                namespace RemoveFromProjects {
                    interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                    }
                    type Body = ProjectIds;
                    namespace Response {
                        type OK = any;
                        type Error = undefined;
                    }
                    namespace Options {
                        interface Base {
                            /**
                             * The ID of the custom field.
                             */
                            fieldId: string;
                            /**
                             * The ID of the context.
                             */
                            contextId: number;
                            body: Issue.Field.Custom.Context.RemoveFromProjects.Body;
                        }
                        interface RawApi extends Base, ConnectionOption, HeadersOption {
                        }
                        interface HandledApi extends RawApi, ErrorStrategyOption {
                        }
                    }
                }
            }
            namespace UpdateField {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = UpdateCustomFieldDetails;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the custom field.
                         */
                        fieldId: string;
                        body: Issue.Field.Custom.UpdateField.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
        namespace GetFields {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = Array<FieldDetailsAsResponse>;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetFieldsPaginated {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = PageBeanFieldAsResponse;
                type Error = ErrorCollectionAsResponse | undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The index of the first item to return in a page of results (page offset).
                     */
                    startAt?: number;
                    /**
                     * The maximum number of items to return per page.
                     */
                    maxResults?: number;
                    /**
                     * The type of fields to search.
                     */
                    type?: Array<"custom" | "system">;
                    /**
                     * The IDs of the custom fields to return or, where `query` is specified, filter.
                     */
                    id?: Array<string>;
                    /**
                     * String used to perform a case-insensitive partial match with field names or descriptions.
                     */
                    query?: string;
                    /**
          * [Order](#ordering) the results by a field:
          
           *  `contextsCount` Sorts by the number of contexts related to a field.
           *  `lastUsed` Sorts by the date when the value of the field last changed.
           *  `name` Sorts by the field name.
           *  `screensCount` Sorts by the number of screens related to a field.
          */
                    orderBy?: "contextsCount" | "-contextsCount" | "+contextsCount" | "lastUsed" | "-lastUsed" | "+lastUsed" | "name" | "-name" | "+name" | "screensCount" | "-screensCount" | "+screensCount";
                    /**
          * Use [expand](#expansion) to include additional information in the response. This parameter accepts a comma-separated list. Expand options include:
          
           *  `key` Returns the key for each field.
           *  `lastUsed` Returns the date when the value of the field last changed.
           *  `screensCount` Returns the number of screens related to a field.
           *  `contextsCount` Returns the number of contexts related to a field.
           *  `isLocked` Returns information about whether the field is [locked](https://confluence.atlassian.com/x/ZSN7Og).
           *  `searcherKey` Returns the searcher key for each custom field.
          */
                    expand?: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetContexts {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = PageBeanContextAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the field to return contexts for.
                     */
                    fieldId: string;
                    /**
                     * The index of the first item to return in a page of results (page offset).
                     */
                    startAt?: number;
                    /**
                     * The maximum number of items to return per page.
                     */
                    maxResults?: number;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace DeleteField {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = undefined;
                type Error = any | ErrorCollectionAsResponse;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of a custom field.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace RestoreField {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = any;
                type Error = ErrorCollectionAsResponse;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of a custom field.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace MoveToTrash {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = any;
                type Error = ErrorCollectionAsResponse;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of a custom field.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Worklog {
        namespace Property {
            namespace GetKeys {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PropertyKeysAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        /**
                         * The ID of the worklog.
                         */
                        worklogId: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetProperty {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = EntityPropertyAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        /**
                         * The ID of the worklog.
                         */
                        worklogId: string;
                        /**
                         * The key of the property.
                         */
                        propertyKey: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace SetProperty {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = any;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        /**
                         * The ID of the worklog.
                         */
                        worklogId: string;
                        /**
                         * The key of the issue property. The maximum length is 255 characters.
                         */
                        propertyKey: string;
                        body: Issue.Worklog.Property.SetProperty.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace DeleteProperty {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = undefined;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        /**
                         * The ID of the worklog.
                         */
                        worklogId: string;
                        /**
                         * The key of the property.
                         */
                        propertyKey: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
        namespace GetWorklogs {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = PageOfWorklogsAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The index of the first item to return in a page of results (page offset).
                     */
                    startAt?: number;
                    /**
                     * The maximum number of items to return per page.
                     */
                    maxResults?: number;
                    /**
                     * The worklog start date and time, as a UNIX timestamp in milliseconds, after which worklogs are returned.
                     */
                    startedAfter?: number;
                    /**
                     * The worklog start date and time, as a UNIX timestamp in milliseconds, before which worklogs are returned.
                     */
                    startedBefore?: number;
                    /**
                     * Use [expand](#expansion) to include additional information about worklogs in the response. This parameter accepts`properties`, which returns worklog properties.
                     */
                    expand?: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace AddWorklog {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = {
                /**
                 * A comment about the worklog in [Atlassian Document Format](https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/). Optional when creating or updating a worklog.
                 */
                comment?: AtlassianDocumentFormat;
                /**
                 * Details about any restrictions in the visibility of the worklog. Optional when creating or updating a worklog.
                 */
                visibility?: Visibility;
                /**
                 * The datetime on which the worklog effort was started. Required when creating a worklog. Optional when updating a worklog.
                 */
                started: string;
                /**
                 * The time spent working on the issue as days (\#d), hours (\#h), or minutes (\#m or \#). Required when creating a worklog if `timeSpentSeconds` isn't provided. Optional when updating a worklog. Cannot be provided if `timeSpentSecond` is provided.
                 */
                timeSpent?: string;
                /**
                 * The time in seconds spent working on the issue. Required when creating a worklog if `timeSpent` isn't provided. Optional when updating a worklog. Cannot be provided if `timeSpent` is provided.
                 */
                timeSpentSeconds?: number;
                /**
                 * Details of properties for the worklog. Optional when creating or updating a worklog.
                 */
                properties?: Array<EntityProperty>;
                [x: string]: any;
            };
            namespace Response {
                type OK = WorklogAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key the issue.
                     */
                    issueIdOrKey?: string;
                    /**
                     * Whether users watching the issue are notified by email.
                     */
                    notifyUsers?: boolean;
                    /**
                      * Defines how to update the issue's time estimate, the options are:
                      
                      *  `new` Sets the estimate to a specific value, defined in `newEstimate`.
                      *  `leave` Leaves the estimate unchanged.
                      *  `manual` Reduces the estimate by amount specified in `reduceBy`.
                      *  `auto` Reduces the estimate by the value of `timeSpent` in the worklog.
                      */
                    adjustEstimate?: "new" | "leave" | "manual" | "auto";
                    /**
                     * The value to set as the issue's remaining time estimate, as days (\#d), hours (\#h), or minutes (\#m or \#). For example, *2d*. Required when `adjustEstimate` is `new`.
                     */
                    newEstimate?: string;
                    /**
                     * The amount to reduce the issue's remaining estimate by, as days (\#d), hours (\#h), or minutes (\#m). For example, *2d*. Required when `adjustEstimate` is `manual`.
                     */
                    reduceBy?: string;
                    /**
                     * Use [expand](#expansion) to include additional information about work logs in the response. This parameter accepts `properties`, which returns worklog properties.
                     */
                    expand?: string;
                    /**
                     * Whether the worklog entry should be added to the issue even if the issue is not editable, because jira.issue.editable set to false or missing. For example, the issue is closed. Only connect app users with admin scope permission can use this flag.
                     */
                    overrideEditableFlag?: boolean;
                    body: Issue.Worklog.AddWorklog.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetWorklog {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = WorklogAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The ID of the worklog.
                     */
                    id: string;
                    /**
          * Use [expand](#expansion) to include additional information about work logs in the response. This parameter accepts
          
          `properties`, which returns worklog properties.
          */
                    expand?: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace UpdateWorklog {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = Worklog;
            namespace Response {
                type OK = WorklogAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The ID of the worklog.
                     */
                    id: string;
                    /**
                     * Whether users watching the issue are notified by email.
                     */
                    notifyUsers?: boolean;
                    /**
          * Defines how to update the issue's time estimate, the options are:
          
           *  `new` Sets the estimate to a specific value, defined in `newEstimate`.
           *  `leave` Leaves the estimate unchanged.
           *  `auto` Updates the estimate by the difference between the original and updated value of `timeSpent` or `timeSpentSeconds`.
          */
                    adjustEstimate?: "new" | "leave" | "manual" | "auto";
                    /**
                     * The value to set as the issue's remaining time estimate, as days (\#d), hours (\#h), or minutes (\#m or \#). For example, *2d*. Required when `adjustEstimate` is `new`.
                     */
                    newEstimate?: string;
                    /**
                     * Use [expand](#expansion) to include additional information about worklogs in the response. This parameter accepts `properties`, which returns worklog properties.
                     */
                    expand?: string;
                    /**
                     * Whether the worklog should be added to the issue even if the issue is not editable. For example, because the issue is closed. Connect app users with admin permission and Forge app users with the `manage:jira-configuration` scope can use this flag.
                     */
                    overrideEditableFlag?: boolean;
                    body: Issue.Worklog.UpdateWorklog.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace DeleteWorklog {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = undefined;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The ID of the worklog.
                     */
                    id: string;
                    /**
                     * Whether users watching the issue are notified by email.
                     */
                    notifyUsers?: boolean;
                    /**
          * Defines how to update the issue's time estimate, the options are:
          
           *  `new` Sets the estimate to a specific value, defined in `newEstimate`.
           *  `leave` Leaves the estimate unchanged.
           *  `manual` Increases the estimate by amount specified in `increaseBy`.
           *  `auto` Reduces the estimate by the value of `timeSpent` in the worklog.
          */
                    adjustEstimate?: "new" | "leave" | "manual" | "auto";
                    /**
                     * The value to set as the issue's remaining time estimate, as days (\#d), hours (\#h), or minutes (\#m or \#). For example, *2d*. Required when `adjustEstimate` is `new`.
                     */
                    newEstimate?: string;
                    /**
                     * The amount to increase the issue's remaining estimate by, as days (\#d), hours (\#h), or minutes (\#m or \#). For example, *2d*. Required when `adjustEstimate` is `manual`.
                     */
                    increaseBy?: string;
                    /**
                     * Whether the work log entry should be added to the issue even if the issue is not editable, because jira.issue.editable set to false or missing. For example, the issue is closed. Connect app users with admin permission and Forge app users with the `manage:jira-configuration` scope can use this flag.
                     */
                    overrideEditableFlag?: boolean;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetDeletedIds {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = ChangedWorklogsAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The date and time, as a UNIX timestamp in milliseconds, after which deleted worklogs are returned.
                     */
                    since?: number;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetFromIds {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = WorklogIdsRequestBean;
            namespace Response {
                type OK = Array<WorklogAsResponse>;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * Use [expand](#expansion) to include additional information about worklogs in the response. This parameter accepts `properties` that returns the properties of each worklog.
                     */
                    expand?: string;
                    body: Issue.Worklog.GetFromIds.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetUpdatedIds {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = ChangedWorklogsAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The date and time, as a UNIX timestamp in milliseconds, after which updated worklogs are returned.
                     */
                    since?: number;
                    /**
                     * Use [expand](#expansion) to include additional information about worklogs in the response. This parameter accepts `properties` that returns the properties of each worklog.
                     */
                    expand?: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Attachment {
        namespace Metadata {
            namespace GetMetadata {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = AttachmentMetadataAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the attachment.
                         */
                        id: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetMetadataForExpandedAttachment {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = AttachmentArchiveMetadataReadableAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the attachment.
                         */
                        id: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetContentsMetadataForExpandedAttachment {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = AttachmentArchiveImplAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the attachment.
                         */
                        id: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
        namespace DeleteAttachment {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = undefined;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the attachment.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace AddAttachments {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            interface Body {
                /**
                 * Name of the file.
                 */
                fileName: string;
                /**
                 * Content of the file.
                 */
                content: string | ArrayBuffer;
            }
            namespace Response {
                type OK = Array<AttachmentAsResponse>;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue that attachments are added to.
                     */
                    issueIdOrKey: string | number;
                    body: Issue.Attachment.AddAttachments.Body[];
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Comment {
        namespace GetCommentsByIds {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = IssueCommentListRequestBean;
            namespace Response {
                type OK = PageBeanCommentAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
          * Use [expand](#expansion) to include additional information about comments in the response. This parameter accepts a comma-separated list. Expand options include:
          
           *  `renderedBody` Returns the comment body rendered in HTML.
           *  `properties` Returns the comment's properties.
          */
                    expand?: string;
                    body: Issue.Comment.GetCommentsByIds.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace Property {
            namespace GetKeys {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PropertyKeysAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the comment.
                         */
                        commentId: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetProperty {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = EntityPropertyAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the comment.
                         */
                        commentId: string;
                        /**
                         * The key of the property.
                         */
                        propertyKey: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace SetProperty {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = any;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the comment.
                         */
                        commentId: string;
                        /**
                         * The key of the property. The maximum length is 255 characters.
                         */
                        propertyKey: string;
                        body: Issue.Comment.Property.SetProperty.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace DeleteProperty {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = undefined;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the comment.
                         */
                        commentId: string;
                        /**
                         * The key of the property.
                         */
                        propertyKey: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
        namespace GetComments {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = PageOfCommentsAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The index of the first item to return in a page of results (page offset).
                     */
                    startAt?: number;
                    /**
                     * The maximum number of items to return per page.
                     */
                    maxResults?: number;
                    /**
                     * [Order](#ordering) the results by a field. Accepts *created* to sort comments by their created date.
                     */
                    orderBy?: "created" | "-created" | "+created";
                    /**
                     * Use [expand](#expansion) to include additional information about comments in the response. This parameter accepts `renderedBody`, which returns the comment body rendered in HTML.
                     */
                    expand?: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace AddComment {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = {
                /**
                 * The comment text in [Atlassian Document Format](https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/).
                 */
                body: AtlassianDocumentFormat;
                /**
                 * The group or role to which this comment is visible. Optional on create and update.
                 */
                visibility?: Visibility;
                /**
                 * A list of comment properties. Optional on create and update.
                 */
                properties?: Array<EntityProperty>;
                [x: string]: any;
            };
            namespace Response {
                type OK = CommentAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey?: string;
                    /**
                     * Use [expand](#expansion) to include additional information about comments in the response. This parameter accepts `renderedBody`, which returns the comment body rendered in HTML.
                     */
                    expand?: string;
                    body: Issue.Comment.AddComment.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetComment {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = CommentAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The ID of the comment.
                     */
                    id: string;
                    /**
                     * Use [expand](#expansion) to include additional information about comments in the response. This parameter accepts `renderedBody`, which returns the comment body rendered in HTML.
                     */
                    expand?: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace UpdateComment {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = Comment;
            namespace Response {
                type OK = CommentAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The ID of the comment.
                     */
                    id: string;
                    /**
                     * Set to false to stop users being notified that a comment is updated
                     */
                    notifyUsers?: boolean;
                    /**
                     * Use [expand](#expansion) to include additional information about comments in the response. This parameter accepts `renderedBody`, which returns the comment body rendered in HTML.
                     */
                    expand?: string;
                    body: Issue.Comment.UpdateComment.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace DeleteComment {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = undefined;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The ID of the comment.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace CreateIssue {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        type Body = AssistedBodyFunction | {
            /**
             * Details of a transition. Required when performing a transition, optional when creating or editing an issue.
             */
            transition?: {
                /**
                 * The ID of the issue transition. Required when specifying a transition to undertake.
                 */
                id: string;
            };
            /**
             * List of issue screen fields to update, specifying the sub-field to update and its value for each field. This field provides a straightforward option when setting a sub-field. When multiple sub-fields or other operations are required, use `update`. Fields included in here cannot be included in `update`.
             */
            fields?: IssueFieldsCreate;
            /**
             * List of operations to perform on issue screen fields. Note that fields included in here cannot be included in `fields`.
             */
            update?: {
                [x: string]: Array<FieldUpdateOperation>;
            };
            /**
             * Additional issue history details.
             */
            historyMetadata?: HistoryMetadata;
            /**
             * Details of issue properties to be add or update.
             */
            properties?: {
                /**
                 * The key of the property.
                 */
                key: string;
                /**
                 * The value of the property.
                 */
                value: any;
            }[];
            [x: string]: any;
        };
        type AssistedBodyFunction = (issueBuilder: IssueBuilder) => IssueBuilder | Issue.CreateIssue.Body;
        namespace Response {
            type OK = CreatedIssueAsResponse;
            type Error = ErrorCollectionAsResponse;
        }
        namespace Options {
            interface Base {
                /**
                 * Whether the project in which the issue is created is added to the user's **Recently viewed** project list, as shown under **Projects** in Jira.
                 */
                updateHistory?: boolean;
                body: Issue.CreateIssue.Body;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace CreateIssues {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        type Body = {
            issueUpdates: Array<Issue.CreateIssue.Body>;
            [x: string]: any;
        };
        namespace Response {
            type OK = CreatedIssuesAsResponse;
            type Error = CreatedIssuesAsResponse | undefined;
        }
        namespace Options {
            interface Base {
                body: Issue.CreateIssues.Body;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace Metadata {
        namespace GetCreateMetadata {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = IssueCreateMetadataAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * List of project IDs. This parameter accepts a comma-separated list. Multiple project IDs can also be provided using an ampersand-separated list. For example, `projectIds=10000,10001&projectIds=10020,10021`. This parameter may be provided with `projectKeys`.
                     */
                    projectIds?: Array<string>;
                    /**
                     * List of project keys. This parameter accepts a comma-separated list. Multiple project keys can also be provided using an ampersand-separated list. For example, `projectKeys=proj1,proj2&projectKeys=proj3`. This parameter may be provided with `projectIds`.
                     */
                    projectKeys?: Array<string>;
                    /**
                     * List of issue type IDs. This parameter accepts a comma-separated list. Multiple issue type IDs can also be provided using an ampersand-separated list. For example, `issuetypeIds=10000,10001&issuetypeIds=10020,10021`. This parameter may be provided with `issuetypeNames`.
                     */
                    issuetypeIds?: Array<string>;
                    /**
                     * List of issue type names. This parameter accepts a comma-separated list. Multiple issue type names can also be provided using an ampersand-separated list. For example, `issuetypeNames=name1,name2&issuetypeNames=name3`. This parameter may be provided with `issuetypeIds`.
                     */
                    issuetypeNames?: Array<string>;
                    /**
                     * Use [expand](#expansion) to include additional information about issue metadata in the response. This parameter accepts `projects.issuetypes.fields`, which returns information about the fields in the issue creation screen for each issue type. Fields hidden from the screen are not returned. Use the information to populate the `fields` and `update` fields in [Create issue](#api-rest-api-3-issue-post) and [Create issues](#api-rest-api-3-issue-bulk-post).
                     */
                    expand?: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetEditMetadata {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = IssueUpdateMetadataAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * Whether hidden fields are returned. Available to Connect app users with admin permission and Forge app users with the `manage:jira-configuration` scope.
                     */
                    overrideScreenSecurity?: boolean;
                    /**
                     * Whether non-editable fields are returned. Available to Connect app users with admin permission and Forge app users with the `manage:jira-configuration` scope.
                     */
                    overrideEditableFlag?: boolean;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace GetIssue {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        namespace Response {
            type OK = IssueBeanAsResponse;
            type Error = ErrorCollectionAsResponse;
        }
        namespace Options {
            interface Base {
                /**
                 * The ID or key of the issue.
                 */
                issueIdOrKey: string;
                /**
        * A list of fields to return for the issue. This parameter accepts a comma-separated list. Use it to retrieve a subset of fields. Allowed values:
        
         *  `*all` Returns all fields.
         *  `*navigable` Returns navigable fields.
         *  Any issue field, prefixed with a minus to exclude.
        
        Examples:
        
         *  `summary,comment` Returns only the summary and comments fields.
         *  `-description` Returns all (default) fields except description.
         *  `*navigable,-comment` Returns all navigable fields except comment.
        
        This parameter may be specified multiple times. For example, `fields=field1,field2& fields=field3`.
        
        Note: All fields are returned by default. This differs from [Search for issues using JQL (GET)](#api-rest-api-3-search-get) and [Search for issues using JQL (POST)](#api-rest-api-3-search-post) where the default is all navigable fields.
        */
                fields?: Array<string>;
                /**
                 * Whether fields in `fields` are referenced by keys rather than IDs. This parameter is useful where fields have been added by a connect app and a field's key may differ from its ID.
                 */
                fieldsByKeys?: boolean;
                /**
        * Use [expand](#expansion) to include additional information about the issues in the response. This parameter accepts a comma-separated list. Expand options include:
        
         *  `renderedFields` Returns field values rendered in HTML format.
         *  `names` Returns the display name of each field.
         *  `schema` Returns the schema describing a field type.
         *  `transitions` Returns all possible transitions for the issue.
         *  `editmeta` Returns information about how each field can be edited.
         *  `changelog` Returns a list of recent updates to an issue, sorted by date, starting from the most recent.
         *  `versionedRepresentations` Returns a JSON array for each version of a field's value, with the highest number representing the most recent version. Note: When included in the request, the `fields` parameter is ignored.
        */
                expand?: string;
                /**
        * A list of issue properties to return for the issue. This parameter accepts a comma-separated list. Allowed values:
        
         *  `*all` Returns all issue properties.
         *  Any issue property key, prefixed with a minus to exclude.
        
        Examples:
        
         *  `*all` Returns all properties.
         *  `*all,-prop1` Returns all properties except `prop1`.
         *  `prop1,prop2` Returns `prop1` and `prop2` properties.
        
        This parameter may be specified multiple times. For example, `properties=prop1,prop2& properties=prop3`.
        */
                properties?: Array<string>;
                /**
                 * Whether the project in which the issue is created is added to the user's **Recently viewed** project list, as shown under **Projects** in Jira. This also populates the [JQL issues search](#api-rest-api-3-search-get) `lastViewed` field.
                 */
                updateHistory?: boolean;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace EditIssue {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        type Body = AssistedBodyFunction | {
            /**
             * Details of a transition. Required when performing a transition, optional when creating or editing an issue.
             */
            transition?: {
                /**
                 * The ID of the issue transition. Required when specifying a transition to undertake.
                 */
                id: string;
            };
            /**
             * List of issue screen fields to update, specifying the sub-field to update and its value for each field. This field provides a straightforward option when setting a sub-field. When multiple sub-fields or other operations are required, use `update`. Fields included in here cannot be included in `update`.
             */
            fields?: IssueFieldsUpdate;
            /**
             * List of operations to perform on issue screen fields. Note that fields included in here cannot be included in `fields`.
             */
            update?: {
                [x: string]: Array<FieldUpdateOperation>;
            };
            /**
             * Additional issue history details.
             */
            historyMetadata?: HistoryMetadata;
            /**
             * Details of issue properties to be add or update.
             */
            properties?: {
                /**
                 * The key of the property.
                 */
                key: string;
                /**
                 * The value of the property.
                 */
                value: any;
            }[];
            [x: string]: any;
        };
        type AssistedBodyFunction = (issueBuilder: IssueBuilder) => IssueBuilder | Issue.EditIssue.Body;
        namespace Response {
            type OK = {};
            type Error = undefined;
        }
        namespace Options {
            interface Base {
                /**
                 * The ID or key of the issue.
                 */
                issueIdOrKey: string;
                /**
                 * Whether a notification email about the issue update is sent to all watchers. To disable the notification, administer Jira or administer project permissions are required. If the user doesn't have the necessary permission the request is ignored.
                 */
                notifyUsers?: boolean;
                /**
                 * Whether screen security should be overridden to enable hidden fields to be edited. Available to Connect app users with admin permissions.
                 */
                overrideScreenSecurity?: boolean;
                /**
                 * Whether screen security should be overridden to enable uneditable fields to be edited. Available to Connect app users with admin permissions.
                 */
                overrideEditableFlag?: boolean;
                body: Issue.EditIssue.Body;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace DeleteIssue {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        namespace Response {
            type OK = undefined;
            type Error = undefined;
        }
        namespace Options {
            interface Base {
                /**
                 * The ID or key of the issue.
                 */
                issueIdOrKey: string;
                /**
                 * Whether the issue's subtasks are deleted when the issue is deleted.
                 */
                deleteSubtasks?: "true" | "false";
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace AssignIssue {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        type Body = {
            /**
             * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*. Required in requests.
             */
            accountId: string;
        };
        namespace Response {
            type OK = any;
            type Error = undefined;
        }
        namespace Options {
            interface Base {
                /**
                 * The ID or key of the issue to be assigned.
                 */
                issueIdOrKey?: string;
                body: Issue.AssignIssue.Body;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace GetChangeLogs {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        namespace Response {
            type OK = PageBeanChangelogAsResponse;
            type Error = undefined;
        }
        namespace Options {
            interface Base {
                /**
                 * The ID or key of the issue.
                 */
                issueIdOrKey: string;
                /**
                 * The index of the first item to return in a page of results (page offset).
                 */
                startAt?: number;
                /**
                 * The maximum number of items to return per page.
                 */
                maxResults?: number;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace GetChangeLogsById {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        type Body = IssueChangelogIds;
        namespace Response {
            type OK = PageOfChangelogsAsResponse;
            type Error = undefined;
        }
        namespace Options {
            interface Base {
                /**
                 * The ID or key of the issue.
                 */
                issueIdOrKey: string;
                body: Issue.GetChangeLogsById.Body;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace SendNotification {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        type Body = Notification;
        namespace Response {
            type OK = any;
            type Error = undefined;
        }
        namespace Options {
            interface Base {
                /**
                 * ID or key of the issue that the notification is sent for.
                 */
                issueIdOrKey: string;
                body: Issue.SendNotification.Body;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace Property {
        namespace GetKeys {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = PropertyKeysAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The key or ID of the issue.
                     */
                    issueIdOrKey: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetProperty {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = EntityPropertyAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The key or ID of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The key of the property.
                     */
                    propertyKey: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace SetProperty {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = any;
            namespace Response {
                type OK = any;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The key of the issue property. The maximum length is 255 characters.
                     */
                    propertyKey: string;
                    body: Issue.Property.SetProperty.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace DeleteProperty {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = undefined;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The key or ID of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The key of the property.
                     */
                    propertyKey: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Link {
        namespace Remote {
            namespace GetLinks {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = RemoteIssueLinkAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        /**
                         * The global ID of the remote issue link.
                         */
                        globalId?: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace CreateOrUpdateLink {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = RemoteIssueLinkRequest;
                namespace Response {
                    type OK = RemoteIssueLinkIdentifiesAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        body: Issue.Link.Remote.CreateOrUpdateLink.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace DeleteLinkByGlobalId {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = undefined;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        /**
                         * The global ID of a remote issue link.
                         */
                        globalId: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetLink {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = RemoteIssueLinkAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        /**
                         * The ID of the remote issue link.
                         */
                        linkId: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace UpdateLink {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = RemoteIssueLinkRequest;
                namespace Response {
                    type OK = any;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        /**
                         * The ID of the remote issue link.
                         */
                        linkId: string;
                        body: Issue.Link.Remote.UpdateLink.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace DeleteLink {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = undefined;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID or key of the issue.
                         */
                        issueIdOrKey: string;
                        /**
                         * The ID of a remote issue link.
                         */
                        linkId: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
        namespace CreateLink {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = LinkIssueRequestJsonBean;
            namespace Response {
                type OK = any;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    body: Issue.Link.CreateLink.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetLink {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = IssueLinkAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue link.
                     */
                    linkId: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace DeleteLink {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = undefined;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue link.
                     */
                    linkId: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace Type {
            namespace GetTypes {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = IssueLinkTypesAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace CreateType {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = {
                    /**
          * The ID of the issue link type and is used as follows:
          
           *  In the [ issueLink](#api-rest-api-3-issueLink-post) resource it is the type of issue link. Required on create when `name` isn't provided. Otherwise, read only.
           *  In the [ issueLinkType](#api-rest-api-3-issueLinkType-post) resource it is read only.
          */
                    id?: string;
                    /**
          * The name of the issue link type and is used as follows:
          
           *  In the [ issueLink](#api-rest-api-3-issueLink-post) resource it is the type of issue link. Required on create when `id` isn't provided. Otherwise, read only.
           *  In the [ issueLinkType](#api-rest-api-3-issueLinkType-post) resource it is required on create and optional on update. Otherwise, read only.
          */
                    name: string;
                    /**
          * The description of the issue link type inward link and is used as follows:
          
           *  In the [ issueLink](#api-rest-api-3-issueLink-post) resource it is read only.
           *  In the [ issueLinkType](#api-rest-api-3-issueLinkType-post) resource it is required on create and optional on update. Otherwise, read only.
          */
                    inward: string;
                    /**
          * The description of the issue link type outward link and is used as follows:
          
           *  In the [ issueLink](#api-rest-api-3-issueLink-post) resource it is read only.
           *  In the [ issueLinkType](#api-rest-api-3-issueLinkType-post) resource it is required on create and optional on update. Otherwise, read only.
          */
                    outward: string;
                };
                namespace Response {
                    type OK = IssueLinkTypeAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        body: Issue.Link.Type.CreateType.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetType {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = IssueLinkTypeAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue link type.
                         */
                        issueLinkTypeId: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace UpdateType {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                type Body = IssueLinkType;
                namespace Response {
                    type OK = IssueLinkTypeAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue link type.
                         */
                        issueLinkTypeId: string;
                        body: Issue.Link.Type.UpdateType.Body;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace DeleteType {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = undefined;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue link type.
                         */
                        issueLinkTypeId: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
    }
    namespace Transition {
        namespace GetTransitions {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = TransitionsAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * Use [expand](#expansion) to include additional information about transitions in the response. This parameter accepts `transitions.fields`, which returns information about the fields in the transition screen for each transition. Fields hidden from the screen are not returned. Use this information to populate the `fields` and `update` fields in [Transition issue](#api-rest-api-3-issue-issueIdOrKey-transitions-post).
                     */
                    expand?: string;
                    /**
                     * The ID of the transition.
                     */
                    transitionId?: string;
                    /**
                     * Whether transitions with the condition *Hide From User Condition* are included in the response.
                     */
                    skipRemoteOnlyCondition?: boolean;
                    /**
                     * Whether details of transitions that fail a condition are included in the response
                     */
                    includeUnavailableTransitions?: boolean;
                    /**
                     * Whether the transitions are sorted by ops-bar sequence value first then category order (Todo, In Progress, Done) or only by ops-bar sequence value.
                     */
                    sortByOpsBarAndStatus?: boolean;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace PerformTransition {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = {
                /**
                 * Details of a transition. Required when performing a transition, optional when creating or editing an issue.
                 */
                transition: {
                    /**
                     * The ID of the issue transition. Required when specifying a transition to undertake.
                     */
                    id: string;
                };
                /**
                 * List of issue screen fields to update, specifying the sub-field to update and its value for each field. This field provides a straightforward option when setting a sub-field. When multiple sub-fields or other operations are required, use `update`. Fields included in here cannot be included in `update`.
                 */
                fields?: IssueFieldsUpdate;
                /**
                 * List of operations to perform on issue screen fields. Note that fields included in here cannot be included in `fields`.
                 */
                update?: {
                    [x: string]: Array<FieldUpdateOperation>;
                };
                /**
                 * Additional issue history details.
                 */
                historyMetadata?: HistoryMetadata;
                /**
                 * Details of issue properties to be add or update.
                 */
                properties?: {
                    /**
                     * The key of the property.
                     */
                    key: string;
                    /**
                     * The value of the property.
                     */
                    value: any;
                }[];
                [x: string]: any;
            };
            namespace Response {
                type OK = {};
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    body: Issue.Transition.PerformTransition.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Vote {
        namespace GetVotes {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = VotesAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace AddVote {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = any;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace DeleteVote {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = undefined;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Watcher {
        namespace GetWatchers {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = WatchersAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace AddWatcher {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = string;
            namespace Response {
                type OK = any;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    body: Issue.Watcher.AddWatcher.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace DeleteWatcher {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = undefined;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID or key of the issue.
                     */
                    issueIdOrKey: string;
                    /**
                     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*. Required.
                     */
                    accountId: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Search {
        namespace CheckAgainstJql {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = IssuesAndJQLQueries;
            namespace Response {
                type OK = IssueMatchesAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    body: Issue.Search.CheckAgainstJql.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace SearchByJql {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = SearchRequestBean;
            namespace Response {
                type OK = SearchResultsAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    body: Issue.Search.SearchByJql.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Priority {
        namespace GetPriorities {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = Array<PriorityAsResponse>;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetPriority {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = PriorityAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue priority.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Resolution {
        namespace GetResolutions {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = Array<ResolutionAsResponse>;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace GetResolution {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = ResolutionAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue resolution value.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Security {
        namespace GetMembers {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = PageBeanIssueSecurityLevelMemberAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue security scheme. Use the [Get issue security schemes](#api-rest-api-3-issuesecurityschemes-get) operation to get a list of issue security scheme IDs.
                     */
                    issueSecuritySchemeId: number;
                    /**
                     * The index of the first item to return in a page of results (page offset).
                     */
                    startAt?: number;
                    /**
                     * The maximum number of items to return per page.
                     */
                    maxResults?: number;
                    /**
                     * The list of issue security level IDs. To include multiple issue security levels separate IDs with ampersand: `issueSecurityLevelId=10000&issueSecurityLevelId=10001`.
                     */
                    issueSecurityLevelId?: Array<number>;
                    /**
          * Use expand to include additional information in the response. This parameter accepts a comma-separated list. Expand options include:
          
           *  `all` Returns all expandable information.
           *  `field` Returns information about the custom field granted the permission.
           *  `group` Returns information about the group that is granted the permission.
           *  `projectRole` Returns information about the project role granted the permission.
           *  `user` Returns information about the user who is granted the permission.
          */
                    expand?: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace Scheme {
            namespace GetSchemes {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = SecuritySchemesAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetScheme {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = SecuritySchemeAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the issue security scheme. Use the [Get issue security schemes](#api-rest-api-3-issuesecurityschemes-get) operation to get a list of issue security scheme IDs.
                         */
                        id: number;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
        namespace GetLevel {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = SecurityLevelAsResponse;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    /**
                     * The ID of the issue security level.
                     */
                    id: string;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
    namespace Notification {
        namespace Scheme {
            namespace GetSchemes {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = PageBeanNotificationSchemeAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The index of the first item to return in a page of results (page offset).
                         */
                        startAt?: number;
                        /**
                         * The maximum number of items to return per page.
                         */
                        maxResults?: number;
                        /**
            * Use [expand](#expansion) to include additional information in the response. This parameter accepts a comma-separated list. Expand options include:
            
             *  `all` Returns all expandable information.
             *  `field` Returns information about any custom fields assigned to receive an event.
             *  `group` Returns information about any groups assigned to receive an event.
             *  `notificationSchemeEvents` Returns a list of event associations. This list is returned for all expandable information.
             *  `projectRole` Returns information about any project roles assigned to receive an event.
             *  `user` Returns information about any users assigned to receive an event.
            */
                        expand?: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
            namespace GetScheme {
                interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
                }
                namespace Response {
                    type OK = NotificationSchemeAsResponse;
                    type Error = undefined;
                }
                namespace Options {
                    interface Base {
                        /**
                         * The ID of the notification scheme. Use [Get notification schemes paginated](#api-rest-api-3-notificationscheme-get) to get a list of notification scheme IDs.
                         */
                        id: number;
                        /**
            * Use [expand](#expansion) to include additional information in the response. This parameter accepts a comma-separated list. Expand options include:
            
             *  `all` Returns all expandable information.
             *  `field` Returns information about any custom fields assigned to receive an event.
             *  `group` Returns information about any groups assigned to receive an event.
             *  `notificationSchemeEvents` Returns a list of event associations. This list is returned for all expandable information.
             *  `projectRole` Returns information about any project roles assigned to receive an event.
             *  `user` Returns information about any users assigned to receive an event.
            */
                        expand?: string;
                    }
                    interface RawApi extends Base, ConnectionOption, HeadersOption {
                    }
                    interface HandledApi extends RawApi, ErrorStrategyOption {
                    }
                }
            }
        }
    }
    namespace Navigator {
        namespace GetDefaultColumns {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            namespace Response {
                type OK = Array<ColumnItemAsResponse>;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
        namespace SetDefaultColumns {
            interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
            }
            type Body = {
                /**
                 * The field IDs.
                 */
                columns: Array<string>;
            };
            namespace Response {
                type OK = any;
                type Error = undefined;
            }
            namespace Options {
                interface Base {
                    body: Issue.Navigator.SetDefaultColumns.Body;
                }
                interface RawApi extends Base, ConnectionOption, HeadersOption {
                }
                interface HandledApi extends RawApi, ErrorStrategyOption {
                }
            }
        }
    }
}
//# sourceMappingURL=issue.d.ts.map