import { JqlQueriesToParse } from "../definitions/JqlQueriesToParse";
import { ParsedJqlQueriesAsResponse } from "../definitions/ParsedJqlQueriesAsResponse";
import { ErrorCollectionAsResponse } from "../definitions/ErrorCollectionAsResponse";
import { HeadersOption, ConnectionOption } from "@avst-api/commons";
import { AssistedErrorStrategyOption } from "../handled-api/common";
import { ErrorStrategyOption } from "../handled-api/common";
import { JQLPersonalDataMigrationRequest } from "../definitions/JQLPersonalDataMigrationRequest";
import { ConvertedJQLQueriesAsResponse } from "../definitions/ConvertedJQLQueriesAsResponse";
import { JQLReferenceDataAsResponse } from "../definitions/JQLReferenceDataAsResponse";
export declare namespace Jql {
    namespace ParseQuery {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        type Body = JqlQueriesToParse;
        namespace Response {
            type OK = ParsedJqlQueriesAsResponse;
            type Error = ErrorCollectionAsResponse | undefined;
        }
        namespace Options {
            interface Base {
                /**
        * How to validate the JQL query and treat the validation results. Validation options include:
        
         *  `strict` Returns all errors. If validation fails, the query structure is not returned.
         *  `warn` Returns all errors. If validation fails but the JQL query is correctly formed, the query structure is returned.
         *  `none` No validation is performed. If JQL query is correctly formed, the query structure is returned.
        */
                validation?: "strict" | "warn" | "none";
                body: Jql.ParseQuery.Body;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace ConvertUserIdentifiersToAccountIdsInQueries {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        type Body = JQLPersonalDataMigrationRequest;
        namespace Response {
            type OK = ConvertedJQLQueriesAsResponse;
            type Error = undefined;
        }
        namespace Options {
            interface Base {
                body: Jql.ConvertUserIdentifiersToAccountIdsInQueries.Body;
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
    namespace GetReferenceData {
        interface Options extends Options.Base, HeadersOption, AssistedErrorStrategyOption {
        }
        namespace Response {
            type OK = JQLReferenceDataAsResponse;
            type Error = undefined;
        }
        namespace Options {
            interface Base {
            }
            interface RawApi extends Base, ConnectionOption, HeadersOption {
            }
            interface HandledApi extends RawApi, ErrorStrategyOption {
            }
        }
    }
}
//# sourceMappingURL=jql.d.ts.map