import { getIssueTypeScreenSchemeProjects as getIssueTypeScreenSchemeProjectsFn } from "./handled-api/issue/type/screen/scheme";
import { getIssueTypeScreenSchemes as getIssueTypeScreenSchemesFn } from "./handled-api/issue/type/screen/scheme";
import { createIssueTypeScreenScheme as createIssueTypeScreenSchemeFn } from "./handled-api/issue/type/screen/scheme";
import { getIssueTypeScreenSchemeItems as getIssueTypeScreenSchemeItemsFn } from "./handled-api/issue/type/screen/scheme";
import { getIssueTypeScreenSchemesForProjects as getIssueTypeScreenSchemesForProjectsFn } from "./handled-api/issue/type/screen/scheme";
import { assignIssueTypeScreenSchemeToProject as assignIssueTypeScreenSchemeToProjectFn } from "./handled-api/issue/type/screen/scheme";
import { updateIssueTypeScreenScheme as updateIssueTypeScreenSchemeFn } from "./handled-api/issue/type/screen/scheme";
import { deleteIssueTypeScreenScheme as deleteIssueTypeScreenSchemeFn } from "./handled-api/issue/type/screen/scheme";
import { appendMappingsToIssueTypeScreenScheme as appendMappingsToIssueTypeScreenSchemeFn } from "./handled-api/issue/type/screen/scheme";
import { updateDefaultIssueTypeScreenScheme as updateDefaultIssueTypeScreenSchemeFn } from "./handled-api/issue/type/screen/scheme";
import { removeMappingsFromIssueTypeScreenScheme as removeMappingsFromIssueTypeScreenSchemeFn } from "./handled-api/issue/type/screen/scheme";
import { getIssueTypePropertyKeys as getIssueTypePropertyKeysFn } from "./handled-api/issue/type/property";
import { getIssueTypeProperty as getIssueTypePropertyFn } from "./handled-api/issue/type/property";
import { setIssueTypeProperty as setIssueTypePropertyFn } from "./handled-api/issue/type/property";
import { deleteIssueTypeProperty as deleteIssueTypePropertyFn } from "./handled-api/issue/type/property";
import { getIssueTypeSchemes as getIssueTypeSchemesFn } from "./handled-api/issue/type/scheme";
import { createIssueTypeScheme as createIssueTypeSchemeFn } from "./handled-api/issue/type/scheme";
import { getIssueTypeSchemeItems as getIssueTypeSchemeItemsFn } from "./handled-api/issue/type/scheme";
import { getIssueTypeSchemesForProjects as getIssueTypeSchemesForProjectsFn } from "./handled-api/issue/type/scheme";
import { assignIssueTypeSchemeToProject as assignIssueTypeSchemeToProjectFn } from "./handled-api/issue/type/scheme";
import { addIssueTypesToIssueTypeScheme as addIssueTypesToIssueTypeSchemeFn } from "./handled-api/issue/type/scheme";
import { updateIssueTypeScheme as updateIssueTypeSchemeFn } from "./handled-api/issue/type/scheme";
import { deleteIssueTypeScheme as deleteIssueTypeSchemeFn } from "./handled-api/issue/type/scheme";
import { changeIssueTypeSchemeIssueTypesOrder as changeIssueTypeSchemeIssueTypesOrderFn } from "./handled-api/issue/type/scheme";
import { removeIssueTypesFromIssueTypeScheme as removeIssueTypesFromIssueTypeSchemeFn } from "./handled-api/issue/type/scheme";
import { getIssueTypesForUser as getIssueTypesForUserFn } from "./handled-api/issue/type";
import { createIssueType as createIssueTypeFn } from "./handled-api/issue/type";
import { getIssueTypesForProject as getIssueTypesForProjectFn } from "./handled-api/issue/type";
import { getIssueType as getIssueTypeFn } from "./handled-api/issue/type";
import { updateIssueType as updateIssueTypeFn } from "./handled-api/issue/type";
import { deleteIssueType as deleteIssueTypeFn } from "./handled-api/issue/type";
import { getAlternativeIssueTypes as getAlternativeIssueTypesFn } from "./handled-api/issue/type";
import { loadIssueTypeAvatar as loadIssueTypeAvatarFn } from "./handled-api/issue/type";
import { getIssueFieldConfigurationSchemesForProjects as getIssueFieldConfigurationSchemesForProjectsFn } from "./handled-api/issue/field/configuration/scheme";
import { assignIssueFieldConfigurationSchemeToProject as assignIssueFieldConfigurationSchemeToProjectFn } from "./handled-api/issue/field/configuration/scheme";
import { createIssueFieldConfiguration as createIssueFieldConfigurationFn } from "./handled-api/issue/field/configuration";
import { getIssueFieldConfigurations as getIssueFieldConfigurationsFn } from "./handled-api/issue/field/configuration";
import { updateIssueFieldConfiguration as updateIssueFieldConfigurationFn } from "./handled-api/issue/field/configuration";
import { deleteIssueFieldConfiguration as deleteIssueFieldConfigurationFn } from "./handled-api/issue/field/configuration";
import { getIssueFieldConfigurationItems as getIssueFieldConfigurationItemsFn } from "./handled-api/issue/field/configuration";
import { getIssueFieldConfigurationIssueTypeItems as getIssueFieldConfigurationIssueTypeItemsFn } from "./handled-api/issue/field/configuration";
import { getIssueFieldConfigurationSchemes as getIssueFieldConfigurationSchemesFn } from "./handled-api/issue/field/configuration";
import { getIssueCustomFieldOption as getIssueCustomFieldOptionFn } from "./handled-api/issue/field/custom/option";
import { getIssueCustomFieldContextOptions as getIssueCustomFieldContextOptionsFn } from "./handled-api/issue/field/custom/context/option";
import { createIssueCustomFieldContextOptions as createIssueCustomFieldContextOptionsFn } from "./handled-api/issue/field/custom/context/option";
import { updateIssueCustomFieldContextOptions as updateIssueCustomFieldContextOptionsFn } from "./handled-api/issue/field/custom/context/option";
import { reorderIssueCustomFieldContextOptions as reorderIssueCustomFieldContextOptionsFn } from "./handled-api/issue/field/custom/context/option";
import { deleteIssueCustomFieldContextOption as deleteIssueCustomFieldContextOptionFn } from "./handled-api/issue/field/custom/context/option";
import { getIssueCustomFieldContexts as getIssueCustomFieldContextsFn } from "./handled-api/issue/field/custom/context";
import { createIssueCustomFieldContext as createIssueCustomFieldContextFn } from "./handled-api/issue/field/custom/context";
import { getIssueCustomFieldDefaultContexts as getIssueCustomFieldDefaultContextsFn } from "./handled-api/issue/field/custom/context";
import { setIssueCustomFieldDefaultContexts as setIssueCustomFieldDefaultContextsFn } from "./handled-api/issue/field/custom/context";
import { getIssueCustomFieldIssueTypesForContext as getIssueCustomFieldIssueTypesForContextFn } from "./handled-api/issue/field/custom/context";
import { getIssueCustomFieldContextToProjectMappings as getIssueCustomFieldContextToProjectMappingsFn } from "./handled-api/issue/field/custom/context";
import { updateIssueCustomFieldContext as updateIssueCustomFieldContextFn } from "./handled-api/issue/field/custom/context";
import { addIssueTypesToIssueCustomFieldContext as addIssueTypesToIssueCustomFieldContextFn } from "./handled-api/issue/field/custom/context";
import { removeIssueTypesFromIssueCustomFieldContext as removeIssueTypesFromIssueCustomFieldContextFn } from "./handled-api/issue/field/custom/context";
import { assignIssueCustomFieldContextToProjects as assignIssueCustomFieldContextToProjectsFn } from "./handled-api/issue/field/custom/context";
import { removeIssueCustomFieldContextFromProjects as removeIssueCustomFieldContextFromProjectsFn } from "./handled-api/issue/field/custom/context";
import { createIssueCustomField as createIssueCustomFieldFn } from "./handled-api/issue/field/custom";
import { updateIssueCustomField as updateIssueCustomFieldFn } from "./handled-api/issue/field/custom";
import { getIssueFields as getIssueFieldsFn } from "./handled-api/issue/field";
import { getFieldsPaginated as getFieldsPaginatedFn } from "./handled-api/issue/field";
import { getFieldContexts as getFieldContextsFn } from "./handled-api/issue/field";
import { deleteIssueCustomField as deleteIssueCustomFieldFn } from "./handled-api/issue/field";
import { restoreIssueCustomField as restoreIssueCustomFieldFn } from "./handled-api/issue/field";
import { moveIssueCustomFieldToTrash as moveIssueCustomFieldToTrashFn } from "./handled-api/issue/field";
import { getWorklogPropertyKeys as getWorklogPropertyKeysFn } from "./handled-api/issue/worklog/property";
import { getWorklogProperty as getWorklogPropertyFn } from "./handled-api/issue/worklog/property";
import { setWorklogProperty as setWorklogPropertyFn } from "./handled-api/issue/worklog/property";
import { deleteWorklogProperty as deleteWorklogPropertyFn } from "./handled-api/issue/worklog/property";
import { getIssueWorklogs as getIssueWorklogsFn } from "./handled-api/issue/worklog";
import { addIssueWorklog as addIssueWorklogFn } from "./handled-api/issue/worklog";
import { getIssueWorklog as getIssueWorklogFn } from "./handled-api/issue/worklog";
import { updateIssueWorklog as updateIssueWorklogFn } from "./handled-api/issue/worklog";
import { deleteIssueWorklog as deleteIssueWorklogFn } from "./handled-api/issue/worklog";
import { getDeletedIssueWorklogIds as getDeletedIssueWorklogIdsFn } from "./handled-api/issue/worklog";
import { getIssueWorklogsFromIds as getIssueWorklogsFromIdsFn } from "./handled-api/issue/worklog";
import { getUpdatedIssueWorklogIds as getUpdatedIssueWorklogIdsFn } from "./handled-api/issue/worklog";
import { getIssueAttachmentMetadata as getIssueAttachmentMetadataFn } from "./handled-api/issue/attachment/metadata";
import { getMetadataForExpandedIssueAttachment as getMetadataForExpandedIssueAttachmentFn } from "./handled-api/issue/attachment/metadata";
import { getContentsMetadataForExpandedIssueAttachment as getContentsMetadataForExpandedIssueAttachmentFn } from "./handled-api/issue/attachment/metadata";
import { deleteIssueAttachment as deleteIssueAttachmentFn } from "./handled-api/issue/attachment";
import { addIssueAttachments as addIssueAttachmentsFn } from "./handled-api/issue/attachment";
import { getIssueCommentPropertyKeys as getIssueCommentPropertyKeysFn } from "./handled-api/issue/comment/property";
import { getIssueCommentProperty as getIssueCommentPropertyFn } from "./handled-api/issue/comment/property";
import { setIssueCommentProperty as setIssueCommentPropertyFn } from "./handled-api/issue/comment/property";
import { deleteIssueCommentProperty as deleteIssueCommentPropertyFn } from "./handled-api/issue/comment/property";
import { getIssueCommentsByIds as getIssueCommentsByIdsFn } from "./handled-api/issue/comment";
import { getIssueComments as getIssueCommentsFn } from "./handled-api/issue/comment";
import { addIssueComment as addIssueCommentFn } from "./handled-api/issue/comment";
import { getIssueComment as getIssueCommentFn } from "./handled-api/issue/comment";
import { updateIssueComment as updateIssueCommentFn } from "./handled-api/issue/comment";
import { deleteIssueComment as deleteIssueCommentFn } from "./handled-api/issue/comment";
import { getCreateIssueMetadata as getCreateIssueMetadataFn } from "./handled-api/issue/metadata";
import { getEditIssueMetadata as getEditIssueMetadataFn } from "./handled-api/issue/metadata";
import { getIssuePropertyKeys as getIssuePropertyKeysFn } from "./handled-api/issue/property";
import { getIssueProperty as getIssuePropertyFn } from "./handled-api/issue/property";
import { setIssueProperty as setIssuePropertyFn } from "./handled-api/issue/property";
import { deleteIssueProperty as deleteIssuePropertyFn } from "./handled-api/issue/property";
import { getRemoteIssueLinks as getRemoteIssueLinksFn } from "./handled-api/issue/link/remote";
import { createOrUpdateRemoteIssueLink as createOrUpdateRemoteIssueLinkFn } from "./handled-api/issue/link/remote";
import { deleteRemoteIssueLinkByGlobalId as deleteRemoteIssueLinkByGlobalIdFn } from "./handled-api/issue/link/remote";
import { getRemoteIssueLink as getRemoteIssueLinkFn } from "./handled-api/issue/link/remote";
import { updateRemoteIssueLink as updateRemoteIssueLinkFn } from "./handled-api/issue/link/remote";
import { deleteRemoteIssueLink as deleteRemoteIssueLinkFn } from "./handled-api/issue/link/remote";
import { getIssueLinkTypes as getIssueLinkTypesFn } from "./handled-api/issue/link/type";
import { createIssueLinkType as createIssueLinkTypeFn } from "./handled-api/issue/link/type";
import { getIssueLinkType as getIssueLinkTypeFn } from "./handled-api/issue/link/type";
import { updateIssueLinkType as updateIssueLinkTypeFn } from "./handled-api/issue/link/type";
import { deleteIssueLinkType as deleteIssueLinkTypeFn } from "./handled-api/issue/link/type";
import { createIssueLink as createIssueLinkFn } from "./handled-api/issue/link";
import { getIssueLink as getIssueLinkFn } from "./handled-api/issue/link";
import { deleteIssueLink as deleteIssueLinkFn } from "./handled-api/issue/link";
import { getIssueTransitions as getIssueTransitionsFn } from "./handled-api/issue/transition";
import { performIssueTransition as performIssueTransitionFn } from "./handled-api/issue/transition";
import { getIssueVotes as getIssueVotesFn } from "./handled-api/issue/vote";
import { addIssueVote as addIssueVoteFn } from "./handled-api/issue/vote";
import { deleteIssueVote as deleteIssueVoteFn } from "./handled-api/issue/vote";
import { getIssueWatchers as getIssueWatchersFn } from "./handled-api/issue/watcher";
import { addIssueWatcher as addIssueWatcherFn } from "./handled-api/issue/watcher";
import { deleteIssueWatcher as deleteIssueWatcherFn } from "./handled-api/issue/watcher";
import { checkIssuesAgainstJql as checkIssuesAgainstJqlFn } from "./handled-api/issue/search";
import { searchIssuesByJql as searchIssuesByJqlFn } from "./handled-api/issue/search";
import { getIssuePriorities as getIssuePrioritiesFn } from "./handled-api/issue/priority";
import { getIssuePriority as getIssuePriorityFn } from "./handled-api/issue/priority";
import { getIssueResolutions as getIssueResolutionsFn } from "./handled-api/issue/resolution";
import { getIssueResolution as getIssueResolutionFn } from "./handled-api/issue/resolution";
import { getIssueSecuritySchemes as getIssueSecuritySchemesFn } from "./handled-api/issue/security/scheme";
import { getIssueSecurityScheme as getIssueSecuritySchemeFn } from "./handled-api/issue/security/scheme";
import { getIssueSecurityMembers as getIssueSecurityMembersFn } from "./handled-api/issue/security";
import { getIssueSecurityLevel as getIssueSecurityLevelFn } from "./handled-api/issue/security";
import { getIssueNotificationSchemes as getIssueNotificationSchemesFn } from "./handled-api/issue/notification/scheme";
import { getIssueNotificationScheme as getIssueNotificationSchemeFn } from "./handled-api/issue/notification/scheme";
import { getIssueNavigatorDefaultColumns as getIssueNavigatorDefaultColumnsFn } from "./handled-api/issue/navigator";
import { setIssueNavigatorDefaultColumns as setIssueNavigatorDefaultColumnsFn } from "./handled-api/issue/navigator";
import { createIssue as createIssueFn } from "./handled-api/issue";
import { injectBuilderForCreateIssueFunction } from "./handled-api/issue";
import { createIssues as createIssuesFn } from "./handled-api/issue";
import { getIssue as getIssueFn } from "./handled-api/issue";
import { IssueHelper } from "./helper/issue";
import { editIssue as editIssueFn } from "./handled-api/issue";
import { injectBuilderForEditIssueFunction } from "./handled-api/issue";
import { deleteIssue as deleteIssueFn } from "./handled-api/issue";
import { assignIssue as assignIssueFn } from "./handled-api/issue";
import { getIssueChangeLogs as getIssueChangeLogsFn } from "./handled-api/issue";
import { getIssueChangeLogsById as getIssueChangeLogsByIdFn } from "./handled-api/issue";
import { sendNotificationForIssue as sendNotificationForIssueFn } from "./handled-api/issue";
import { getDashboardItemPropertyKeys as getDashboardItemPropertyKeysFn } from "./handled-api/dashboard/property";
import { getDashboardItemProperty as getDashboardItemPropertyFn } from "./handled-api/dashboard/property";
import { setDashboardItemProperty as setDashboardItemPropertyFn } from "./handled-api/dashboard/property";
import { deleteDashboardItemProperty as deleteDashboardItemPropertyFn } from "./handled-api/dashboard/property";
import { getDashboards as getDashboardsFn } from "./handled-api/dashboard";
import { createDashboard as createDashboardFn } from "./handled-api/dashboard";
import { searchDashboards as searchDashboardsFn } from "./handled-api/dashboard";
import { getDashboard as getDashboardFn } from "./handled-api/dashboard";
import { updateDashboard as updateDashboardFn } from "./handled-api/dashboard";
import { deleteDashboard as deleteDashboardFn } from "./handled-api/dashboard";
import { copyDashboard as copyDashboardFn } from "./handled-api/dashboard";
import { getApplicationRoles as getApplicationRolesFn } from "./handled-api/application/role";
import { getApplicationRole as getApplicationRoleFn } from "./handled-api/application/role";
import { findUsersAssignableToProjects as findUsersAssignableToProjectsFn } from "./handled-api/user/search";
import { findUsersAssignableToIssues as findUsersAssignableToIssuesFn } from "./handled-api/user/search";
import { findUsersWithPermissions as findUsersWithPermissionsFn } from "./handled-api/user/search";
import { findUsersForPicker as findUsersForPickerFn } from "./handled-api/user/search";
import { findUsers as findUsersFn } from "./handled-api/user/search";
import { findUsersByQuery as findUsersByQueryFn } from "./handled-api/user/search";
import { findUserKeysByQuery as findUserKeysByQueryFn } from "./handled-api/user/search";
import { findUsersWithBrowsePermission as findUsersWithBrowsePermissionFn } from "./handled-api/user/search";
import { getUserPropertyKeys as getUserPropertyKeysFn } from "./handled-api/user/property";
import { getUserProperty as getUserPropertyFn } from "./handled-api/user/property";
import { setUserProperty as setUserPropertyFn } from "./handled-api/user/property";
import { deleteUserProperty as deleteUserPropertyFn } from "./handled-api/user/property";
import { getUserDefaultColumns as getUserDefaultColumnsFn } from "./handled-api/user";
import { setUserDefaultColumns as setUserDefaultColumnsFn } from "./handled-api/user";
import { resetUserDefaultColumns as resetUserDefaultColumnsFn } from "./handled-api/user";
import { getUser as getUserFn } from "./handled-api/user";
import { createUser as createUserFn } from "./handled-api/user";
import { deleteUser as deleteUserFn } from "./handled-api/user";
import { getAccountIdsForUsers as getAccountIdsForUsersFn } from "./handled-api/user";
import { getUserEmail as getUserEmailFn } from "./handled-api/user";
import { getUserGroups as getUserGroupsFn } from "./handled-api/user";
import { getUsers as getUsersFn } from "./handled-api/user";
import { setApplicationProperty as setApplicationPropertyFn } from "./handled-api/instance";
import { getApplicationProperty as getApplicationPropertyFn } from "./handled-api/instance";
import { getAdvancedSettings as getAdvancedSettingsFn } from "./handled-api/instance";
import { getJiraAttachmentSettings as getJiraAttachmentSettingsFn } from "./handled-api/instance";
import { getGlobalSettings as getGlobalSettingsFn } from "./handled-api/instance";
import { getJiraInstanceInfo as getJiraInstanceInfoFn } from "./handled-api/instance";
import { getLicense as getLicenseFn } from "./handled-api/instance";
import { createProjectComponent as createProjectComponentFn } from "./handled-api/project/component";
import { getProjectComponent as getProjectComponentFn } from "./handled-api/project/component";
import { updateProjectComponent as updateProjectComponentFn } from "./handled-api/project/component";
import { deleteProjectComponent as deleteProjectComponentFn } from "./handled-api/project/component";
import { getProjectComponentIssueCount as getProjectComponentIssueCountFn } from "./handled-api/project/component";
import { getProjectComponentsPaginated as getProjectComponentsPaginatedFn } from "./handled-api/project/component";
import { getProjectComponents as getProjectComponentsFn } from "./handled-api/project/component";
import { getDefaultActorsForProjectRole as getDefaultActorsForProjectRoleFn } from "./handled-api/project/role/actor/default";
import { addDefaultActorsToProjectRole as addDefaultActorsToProjectRoleFn } from "./handled-api/project/role/actor/default";
import { deleteDefaultActorsFromProjectRole as deleteDefaultActorsFromProjectRoleFn } from "./handled-api/project/role/actor/default";
import { setActorsForProjectRole as setActorsForProjectRoleFn } from "./handled-api/project/role/actor";
import { addActorsToProjectRole as addActorsToProjectRoleFn } from "./handled-api/project/role/actor";
import { deleteActorsFromProjectRole as deleteActorsFromProjectRoleFn } from "./handled-api/project/role/actor";
import { getProjectRolesForProject as getProjectRolesForProjectFn } from "./handled-api/project/role";
import { getProjectRoleForProject as getProjectRoleForProjectFn } from "./handled-api/project/role";
import { getProjectRoleDetails as getProjectRoleDetailsFn } from "./handled-api/project/role";
import { getProjectRoles as getProjectRolesFn } from "./handled-api/project/role";
import { createProjectRole as createProjectRoleFn } from "./handled-api/project/role";
import { getProjectRole as getProjectRoleFn } from "./handled-api/project/role";
import { fullyUpdateProjectRole as fullyUpdateProjectRoleFn } from "./handled-api/project/role";
import { partiallyUpdateProjectRole as partiallyUpdateProjectRoleFn } from "./handled-api/project/role";
import { deleteProjectRole as deleteProjectRoleFn } from "./handled-api/project/role";
import { getProjectVersionRelatedIssueCount as getProjectVersionRelatedIssueCountFn } from "./handled-api/project/version/count";
import { getProjectVersionUnresolvedIssueCount as getProjectVersionUnresolvedIssueCountFn } from "./handled-api/project/version/count";
import { getProjectVersionsPaginated as getProjectVersionsPaginatedFn } from "./handled-api/project/version";
import { getProjectVersions as getProjectVersionsFn } from "./handled-api/project/version";
import { createProjectVersion as createProjectVersionFn } from "./handled-api/project/version";
import { getProjectVersion as getProjectVersionFn } from "./handled-api/project/version";
import { updateProjectVersion as updateProjectVersionFn } from "./handled-api/project/version";
import { mergeProjectVersions as mergeProjectVersionsFn } from "./handled-api/project/version";
import { moveProjectVersion as moveProjectVersionFn } from "./handled-api/project/version";
import { deleteAndReplaceProjectVersion as deleteAndReplaceProjectVersionFn } from "./handled-api/project/version";
import { getProjectIssueTypeHierarchy as getProjectIssueTypeHierarchyFn } from "./handled-api/project/issueType";
import { validateProjectKey as validateProjectKeyFn } from "./handled-api/project/validation";
import { getValidProjectKey as getValidProjectKeyFn } from "./handled-api/project/validation";
import { getValidProjectName as getValidProjectNameFn } from "./handled-api/project/validation";
import { getProjectTypes as getProjectTypesFn } from "./handled-api/project/type";
import { getLicensedProjectTypes as getLicensedProjectTypesFn } from "./handled-api/project/type";
import { getProjectTypeByKey as getProjectTypeByKeyFn } from "./handled-api/project/type";
import { getAccessibleProjectTypeByKey as getAccessibleProjectTypeByKeyFn } from "./handled-api/project/type";
import { getProjectCategories as getProjectCategoriesFn } from "./handled-api/project/category";
import { createProjectCategory as createProjectCategoryFn } from "./handled-api/project/category";
import { getProjectCategory as getProjectCategoryFn } from "./handled-api/project/category";
import { updateProjectCategory as updateProjectCategoryFn } from "./handled-api/project/category";
import { deleteProjectCategory as deleteProjectCategoryFn } from "./handled-api/project/category";
import { getProjectNotificationScheme as getProjectNotificationSchemeFn } from "./handled-api/project/notification/scheme";
import { assignProjectPermissionScheme as assignProjectPermissionSchemeFn } from "./handled-api/project/permission/scheme";
import { getProjectPermissionScheme as getProjectPermissionSchemeFn } from "./handled-api/project/permission/scheme";
import { getProjectIssueSecurityLevels as getProjectIssueSecurityLevelsFn } from "./handled-api/project/permission/scheme";
import { getProjectIssueSecurityScheme as getProjectIssueSecuritySchemeFn } from "./handled-api/project/security/scheme";
import { getProjectPropertyKeys as getProjectPropertyKeysFn } from "./handled-api/project/property";
import { getProjectProperty as getProjectPropertyFn } from "./handled-api/project/property";
import { setProjectProperty as setProjectPropertyFn } from "./handled-api/project/property";
import { deleteProjectProperty as deleteProjectPropertyFn } from "./handled-api/project/property";
import { createProject as createProjectFn } from "./handled-api/project";
import { getProjects as getProjectsFn } from "./handled-api/project";
import { getProject as getProjectFn } from "./handled-api/project";
import { updateProject as updateProjectFn } from "./handled-api/project";
import { deleteProject as deleteProjectFn } from "./handled-api/project";
import { getStatusesForProject as getStatusesForProjectFn } from "./handled-api/project";
import { getFavouriteFilters as getFavouriteFiltersFn } from "./handled-api/filter/favourite";
import { addFilterAsFavourite as addFilterAsFavouriteFn } from "./handled-api/filter/favourite";
import { removeFilterAsFavourite as removeFilterAsFavouriteFn } from "./handled-api/filter/favourite";
import { getFilterColumns as getFilterColumnsFn } from "./handled-api/filter/column";
import { setFilterColumns as setFilterColumnsFn } from "./handled-api/filter/column";
import { resetFilterColumns as resetFilterColumnsFn } from "./handled-api/filter/column";
import { getFiltersSharePermissions as getFiltersSharePermissionsFn } from "./handled-api/filter/share/permission";
import { addFiltersSharePermission as addFiltersSharePermissionFn } from "./handled-api/filter/share/permission";
import { getFiltersSharePermission as getFiltersSharePermissionFn } from "./handled-api/filter/share/permission";
import { deleteFiltersSharePermission as deleteFiltersSharePermissionFn } from "./handled-api/filter/share/permission";
import { getFiltersDefaultShareScope as getFiltersDefaultShareScopeFn } from "./handled-api/filter/share";
import { setFiltersDefaultShareScope as setFiltersDefaultShareScopeFn } from "./handled-api/filter/share";
import { createFilter as createFilterFn } from "./handled-api/filter";
import { getMyFilters as getMyFiltersFn } from "./handled-api/filter";
import { searchFilters as searchFiltersFn } from "./handled-api/filter";
import { getFilter as getFilterFn } from "./handled-api/filter";
import { updateFilter as updateFilterFn } from "./handled-api/filter";
import { deleteFilter as deleteFilterFn } from "./handled-api/filter";
import { getUsersFromGroup as getUsersFromGroupFn } from "./handled-api/group/user";
import { addUserToGroup as addUserToGroupFn } from "./handled-api/group/user";
import { removeUserFromGroup as removeUserFromGroupFn } from "./handled-api/group/user";
import { createGroup as createGroupFn } from "./handled-api/group";
import { removeGroup as removeGroupFn } from "./handled-api/group";
import { findGroups as findGroupsFn } from "./handled-api/group";
import { findUsersAndGroupsForPicker as findUsersAndGroupsForPickerFn } from "./handled-api/groupAndUserPicker";
import { parseJqlQuery as parseJqlQueryFn } from "./handled-api/jql";
import { convertUserIdentifiersToAccountIdsInJqlQueries as convertUserIdentifiersToAccountIdsInJqlQueriesFn } from "./handled-api/jql";
import { getReferenceDataForJql as getReferenceDataForJqlFn } from "./handled-api/jql";
import { getLabels as getLabelsFn } from "./handled-api/label";
import { getPermissionSchemeGrants as getPermissionSchemeGrantsFn } from "./handled-api/permission/scheme/grant";
import { createPermissionSchemeGrant as createPermissionSchemeGrantFn } from "./handled-api/permission/scheme/grant";
import { getPermissionSchemeGrant as getPermissionSchemeGrantFn } from "./handled-api/permission/scheme/grant";
import { deletePermissionSchemeGrant as deletePermissionSchemeGrantFn } from "./handled-api/permission/scheme/grant";
import { getPermissionSchemes as getPermissionSchemesFn } from "./handled-api/permission/scheme";
import { createPermissionScheme as createPermissionSchemeFn } from "./handled-api/permission/scheme";
import { getPermissionScheme as getPermissionSchemeFn } from "./handled-api/permission/scheme";
import { updatePermissionScheme as updatePermissionSchemeFn } from "./handled-api/permission/scheme";
import { deletePermissionScheme as deletePermissionSchemeFn } from "./handled-api/permission/scheme";
import { getMyPermissions as getMyPermissionsFn } from "./handled-api/permission";
import { getPermissions as getPermissionsFn } from "./handled-api/permission";
import { getBulkPermissions as getBulkPermissionsFn } from "./handled-api/permission";
import { getPermittedProjects as getPermittedProjectsFn } from "./handled-api/permission";
import { getMyPreference as getMyPreferenceFn } from "./handled-api/myself";
import { setMyPreference as setMyPreferenceFn } from "./handled-api/myself";
import { deleteMyPreference as deleteMyPreferenceFn } from "./handled-api/myself";
import { getMyLocale as getMyLocaleFn } from "./handled-api/myself";
import { getCurrentUser as getCurrentUserFn } from "./handled-api/myself";
import { getWorkflowStatusCategories as getWorkflowStatusCategoriesFn } from "./handled-api/workflow/status/category";
import { getWorkflowStatusCategory as getWorkflowStatusCategoryFn } from "./handled-api/workflow/status/category";
import { getWorkflowStatuses as getWorkflowStatusesFn } from "./handled-api/workflow/status";
import { getWorkflowStatus as getWorkflowStatusFn } from "./handled-api/workflow/status";
import { getWorkflowSchemeProjectAssociations as getWorkflowSchemeProjectAssociationsFn } from "./handled-api/workflow/scheme/project";
import { assignWorkflowSchemeToProject as assignWorkflowSchemeToProjectFn } from "./handled-api/workflow/scheme/project";
import { getWorkflowSchemes as getWorkflowSchemesFn } from "./handled-api/workflow/scheme";
import { createWorkflowScheme as createWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { getWorkflowScheme as getWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { updateWorkflowScheme as updateWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { deleteWorkflowScheme as deleteWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { getWorkflowForIssueTypeInWorkflowScheme as getWorkflowForIssueTypeInWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { setWorkflowForIssueTypeInWorkflowScheme as setWorkflowForIssueTypeInWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { deleteWorkflowForIssueTypeInWorkflowScheme as deleteWorkflowForIssueTypeInWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { getIssueTypesForWorkflowInWorkflowScheme as getIssueTypesForWorkflowInWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { setIssueTypesForWorkflowInWorkflowScheme as setIssueTypesForWorkflowInWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { deleteIssueTypesForWorkflowInWorkflowScheme as deleteIssueTypesForWorkflowInWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { getDefaultWorkflowForWorkflowScheme as getDefaultWorkflowForWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { updateDefaultWorkflowForWorkflowScheme as updateDefaultWorkflowForWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { deleteDefaultWorkflowForWorkflowScheme as deleteDefaultWorkflowForWorkflowSchemeFn } from "./handled-api/workflow/scheme";
import { updateWorkflowTransitionProperty as updateWorkflowTransitionPropertyFn } from "./handled-api/workflow/transition/property";
import { createWorkflowTransitionProperty as createWorkflowTransitionPropertyFn } from "./handled-api/workflow/transition/property";
import { deleteWorkflowTransitionProperty as deleteWorkflowTransitionPropertyFn } from "./handled-api/workflow/transition/property";
import { getWorkflows as getWorkflowsFn } from "./handled-api/workflow";
import { getScreenSchemes as getScreenSchemesFn } from "./handled-api/screen/scheme";
import { createScreenScheme as createScreenSchemeFn } from "./handled-api/screen/scheme";
import { updateScreenScheme as updateScreenSchemeFn } from "./handled-api/screen/scheme";
import { deleteScreenScheme as deleteScreenSchemeFn } from "./handled-api/screen/scheme";
import { getScreenTabFields as getScreenTabFieldsFn } from "./handled-api/screen/tab/field";
import { addScreenTabField as addScreenTabFieldFn } from "./handled-api/screen/tab/field";
import { removeScreenTabField as removeScreenTabFieldFn } from "./handled-api/screen/tab/field";
import { moveScreenTabField as moveScreenTabFieldFn } from "./handled-api/screen/tab/field";
import { getScreenTabs as getScreenTabsFn } from "./handled-api/screen/tab";
import { createScreenTab as createScreenTabFn } from "./handled-api/screen/tab";
import { updateScreenTab as updateScreenTabFn } from "./handled-api/screen/tab";
import { deleteScreenTab as deleteScreenTabFn } from "./handled-api/screen/tab";
import { moveScreenTab as moveScreenTabFn } from "./handled-api/screen/tab";
import { getScreensForField as getScreensForFieldFn } from "./handled-api/screen";
import { getScreens as getScreensFn } from "./handled-api/screen";
import { createScreen as createScreenFn } from "./handled-api/screen";
import { addFieldToDefaultScreen as addFieldToDefaultScreenFn } from "./handled-api/screen";
import { getAvailableScreenFields as getAvailableScreenFieldsFn } from "./handled-api/screen";
import { updateScreen as updateScreenFn } from "./handled-api/screen";
import { deleteScreen as deleteScreenFn } from "./handled-api/screen";
import { getAvatars as getAvatarsFn } from "./handled-api/avatar";
import { loadAvatar as loadAvatarFn } from "./handled-api/avatar";
import { deleteAvatar as deleteAvatarFn } from "./handled-api/avatar";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
import { BuildersGroup } from "./common";
import { injectBuilders } from "./handled-api/common";
export var JiraCloudConnection;
(function (JiraCloudConnection) {
    function connect(connection, options) {
        return new JiraCloudInstance(connection, options);
    }
    JiraCloudConnection.connect = connect;
})(JiraCloudConnection || (JiraCloudConnection = {}));
export class JiraCloudInstance {
    constructor(connection, options) {
        if (!options) {
            options = {};
        }
        options = injectBuilders(options);
        if (options.errorStrategy === undefined) {
            options.errorStrategy = ErrorStrategyBuilder.create()
                .retryOnRateLimiting()
                .build();
        }
        this.connection = connection;
        this.issueHelper = new IssueHelper(connection, options);
        this.All = new AllGroup(connection, options, this.issueHelper);
        this.Builders = new BuildersGroup(this.issueHelper);
        this.Issue = new IssueGroup(connection, options, this.issueHelper);
        this.Dashboard = new DashboardGroup(connection, options);
        this.Application = new ApplicationGroup(connection, options);
        this.User = new UserGroup(connection, options);
        this.Instance = new InstanceGroup(connection, options);
        this.Project = new ProjectGroup(connection, options);
        this.Filter = new FilterGroup(connection, options);
        this.Group = new GroupGroup(connection, options);
        this.GroupAndUserPicker = new GroupAndUserPickerGroup(connection, options);
        this.Jql = new JqlGroup(connection, options);
        this.Label = new LabelGroup(connection, options);
        this.Permission = new PermissionGroup(connection, options);
        this.Myself = new MyselfGroup(connection, options);
        this.Workflow = new WorkflowGroup(connection, options);
        this.Screen = new ScreenGroup(connection, options);
        this.Avatar = new AvatarGroup(connection, options);
    }
    /**
     * Performs fetch call using managed connection.
     */
    fetch(url, options) {
        return fetch(url, {
            ...options,
            headers: {
                ...options === null || options === void 0 ? void 0 : options.headers,
                "x-hzn-connection-id": this.connection
            }
        });
    }
    /**
     * Set global error strategy.
     */
    setGlobalErrorStrategy(errorStrategy) {
        const connection = this.connection;
        const options = injectBuilders({ errorStrategy });
        this.issueHelper = new IssueHelper(connection, options);
        this.All = new AllGroup(connection, options, this.issueHelper);
        this.Builders = new BuildersGroup(this.issueHelper);
        this.Issue = new IssueGroup(connection, options, this.issueHelper);
        this.Dashboard = new DashboardGroup(connection, options);
        this.Application = new ApplicationGroup(connection, options);
        this.User = new UserGroup(connection, options);
        this.Instance = new InstanceGroup(connection, options);
        this.Project = new ProjectGroup(connection, options);
        this.Filter = new FilterGroup(connection, options);
        this.Group = new GroupGroup(connection, options);
        this.GroupAndUserPicker = new GroupAndUserPickerGroup(connection, options);
        this.Jql = new JqlGroup(connection, options);
        this.Label = new LabelGroup(connection, options);
        this.Permission = new PermissionGroup(connection, options);
        this.Myself = new MyselfGroup(connection, options);
        this.Workflow = new WorkflowGroup(connection, options);
        this.Screen = new ScreenGroup(connection, options);
        this.Avatar = new AvatarGroup(connection, options);
    }
}
class BaseGroup {
    constructor(connection, options) {
        this.connection = connection;
        this.options = options;
    }
    getBuildOptions(options) {
        var _a, _b;
        const injectedOptions = injectBuilders(options);
        const errorStrategy = { ...((_a = this.options.errorStrategy) !== null && _a !== void 0 ? _a : {}), ...((_b = injectedOptions === null || injectedOptions === void 0 ? void 0 : injectedOptions.errorStrategy) !== null && _b !== void 0 ? _b : {}) };
        const newOptions = { connectionId: this.connection, ...options, errorStrategy };
        return injectBuilders(newOptions);
    }
}
class IssueGroup extends BaseGroup {
    constructor(connection, options, issueHelper) {
        super(connection, options);
        this.issueHelper = issueHelper;
        this.Type = new IssueTypeGroup(connection, options);
        this.Field = new IssueFieldGroup(connection, options);
        this.Worklog = new IssueWorklogGroup(connection, options);
        this.Attachment = new IssueAttachmentGroup(connection, options);
        this.Comment = new IssueCommentGroup(connection, options);
        this.Metadata = new IssueMetadataGroup(connection, options);
        this.Property = new IssuePropertyGroup(connection, options);
        this.Link = new IssueLinkGroup(connection, options);
        this.Transition = new IssueTransitionGroup(connection, options);
        this.Vote = new IssueVoteGroup(connection, options);
        this.Watcher = new IssueWatcherGroup(connection, options);
        this.Search = new IssueSearchGroup(connection, options);
        this.Priority = new IssuePriorityGroup(connection, options);
        this.Resolution = new IssueResolutionGroup(connection, options);
        this.Security = new IssueSecurityGroup(connection, options);
        this.Notification = new IssueNotificationGroup(connection, options);
        this.Navigator = new IssueNavigatorGroup(connection, options);
    }
    /**
  * Creates an issue or, where the option to create subtasks is enabled in Jira, a subtask. A transition may be applied, to move the issue or subtask to a workflow step other than the default start step, and issue properties set.
  
  The content of the issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issue's create screen. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Creating a subtask differs from creating an issue as follows:
  
   *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
   *  `parent` must contain the ID or key of the parent issue.
  
  In a next-gen project any issue may be made a child providing that the parent and child are members of the same project. In a classic project the parent field is only valid for subtasks.
  
  **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which the issue or subtask is created.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-post
  * @param options Request options.
  */
    createIssue(options) {
        return createIssueFn(this.getBuildOptions(injectBuilderForCreateIssueFunction(options, this.connection, this.options)));
    }
    /**
  * Creates issues and, where the option to create subtasks is enabled in Jira, subtasks. Transitions may be applied, to move the issues or subtasks to a workflow step other than the default start step, and issue properties set.
  
  The content of each issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issues' create screens. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Creating a subtask differs from creating an issue as follows:
  
   *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
   *  `parent` the must contain the ID or key of the parent issue.
  
  **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which each issue or subtask is created.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-bulk-post
  * @param options Request options.
  */
    createIssues(options) {
        return createIssuesFn(this.getBuildOptions(options));
    }
    /**
  * Returns the details for an issue.
  
  The issue is identified by its ID or key, however, if the identifier doesn't match an issue, a case-insensitive search and check for moved issues is performed. If a matching issue is found its details are returned, a 302 or other redirect is **not** returned. The issue key returned in the response is the key of the issue found.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-get
  * @param options Request options.
  */
    getIssue(options) {
        return getIssueFn(this.getBuildOptions(options)).then(issue => {
            if (issue && issue.id && issue.key && issue.fields) {
                issue.getCustomFields = () => this.issueHelper.getCustomFieldReader(issue);
            }
            return Promise.resolve(issue);
        });
    }
    /**
  * Edits an issue. A transition may be applied and issue properties updated as part of the edit.
  
  The edits to the issue's fields are defined using `update` and `fields`. The fields that can be edited are determined using [ Get edit issue metadata](#api-rest-api-3-issue-issueIdOrKey-editmeta-get).
  
  The parent field may be set by key or ID. For standard issue types, the parent may be removed by setting `update.parent.set.none` to *true*. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Connect app users with admin permissions (from user permissions and app scopes) can override the screen security configuration using `overrideScreenSecurity` and `overrideEditableFlag`.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-put
  * @param options Request options.
  */
    editIssue(options) {
        return editIssueFn(this.getBuildOptions(injectBuilderForEditIssueFunction(options, this.connection, this.options)));
    }
    /**
  * Deletes an issue.
  
  An issue cannot be deleted if it has one or more subtasks. To delete an issue with subtasks, set `deleteSubtasks`. This causes the issue's subtasks to be deleted with the issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Delete issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-delete
  * @param options Request options.
  */
    deleteIssue(options) {
        return deleteIssueFn(this.getBuildOptions(options));
    }
    /**
  * Assigns an issue to a user. Use this operation when the calling user does not have the *Edit Issues* permission but has the *Assign issue* permission for the project that the issue is in.
  
  If `name` or `accountId` is set to:
  
   *  `"-1"`, the issue is assigned to the default assignee for the project.
   *  `null`, the issue is set to unassigned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* and *Assign Issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-assignee-put
  * @param options Request options.
  */
    assignIssue(options) {
        return assignIssueFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all changelogs for an issue sorted by date, starting from the oldest.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-changelog-get
  * @param options Request options.
  */
    getChangeLogs(options) {
        return getIssueChangeLogsFn(this.getBuildOptions(options));
    }
    /**
  * Returns changelogs for an issue specified by a list of changelog IDs.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-changelog-list-post
  * @param options Request options.
  */
    getChangeLogsById(options) {
        return getIssueChangeLogsByIdFn(this.getBuildOptions(options));
    }
    /**
  * Creates an email notification for an issue and adds it to the mail queue.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-notify-post
  * @param options Request options.
  */
    sendNotification(options) {
        return sendNotificationForIssueFn(this.getBuildOptions(options));
    }
}
class IssueTypeGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Screen = new IssueTypeScreenGroup(connection, options);
        this.Property = new IssueTypePropertyGroup(connection, options);
        this.Scheme = new IssueTypeSchemeGroup(connection, options);
    }
    /**
  * Returns all issue types.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issue types are only returned as follows:
  
   *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), all issue types are returned.
   *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for one or more projects, the issue types associated with the projects the user has permission to browse are returned.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-get
  * @param options Request options.
  */
    getTypesForUser(options) {
        return getIssueTypesForUserFn(this.getBuildOptions(options));
    }
    /**
  * Creates an issue type and adds it to the default issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-post
  * @param options Request options.
  */
    createType(options) {
        return createIssueTypeFn(this.getBuildOptions(options));
    }
    /**
  * Returns issue types for a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in the relevant project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-project-get
  * @param options Request options.
  */
    getTypesForProject(options) {
        return getIssueTypesForProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in a project the issue type is associated with or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-get
  * @param options Request options.
  */
    getType(options) {
        return getIssueTypeFn(this.getBuildOptions(options));
    }
    /**
  * Updates the issue type.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-put
  * @param options Request options.
  */
    updateType(options) {
        return updateIssueTypeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the issue type. If the issue type is in use, all uses are updated with the alternative issue type (`alternativeIssueTypeId`). A list of alternative issue types are obtained from the [Get alternative issue types](#api-rest-api-3-issuetype-id-alternatives-get) resource.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-delete
  * @param options Request options.
  */
    deleteType(options) {
        return deleteIssueTypeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of issue types that can be used to replace the issue type. The alternative issue types are those assigned to the same workflow scheme, field configuration scheme, and screen scheme.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-alternatives-get
  * @param options Request options.
  */
    getAlternativeTypes(options) {
        return getAlternativeIssueTypesFn(this.getBuildOptions(options));
    }
    /**
  * Loads an avatar for the issue type.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST \ --user email@example.com:<api_token> \ --header 'X-Atlassian-Token: no-check' \ --header 'Content-Type: image/< image_type>' \ --data-binary "<@/path/to/file/with/your/avatar>" \ --url 'https://your-domain.atlassian.net/rest/api/3/issuetype/{issueTypeId}'This`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar, use [ Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-avatar2-post
  * @param options Request options.
  */
    loadTypeAvatar(options) {
        return loadIssueTypeAvatarFn(this.getBuildOptions(options));
    }
}
class IssueTypeScreenGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Scheme = new IssueTypeScreenSchemeGroup(connection, options);
    }
}
class IssueTypeScreenSchemeGroup extends BaseGroup {
    /**
  * Returns a [paginated](#pagination) list of projects associated with an issue type screen scheme.
  
  Only company-managed projects associated with an issue type screen scheme are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-project-get
  * @param options Request options.
  */
    getProjects(options) {
        return getIssueTypeScreenSchemeProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type screen schemes.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescreenscheme-get
  * @param options Request options.
  */
    getSchemes(options) {
        return getIssueTypeScreenSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-post
  * @param options Request options.
  */
    createScheme(options) {
        return createIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type screen scheme items.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescreenscheme-mapping-get
  * @param options Request options.
  */
    getSchemeItems(options) {
        return getIssueTypeScreenSchemeItemsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type screen schemes and, for each issue type screen scheme, a list of the projects that use it.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescreenscheme-project-get
  * @param options Request options.
  */
    getSchemesForProjects(options) {
        return getIssueTypeScreenSchemesForProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Assigns an issue type screen scheme to a project.
  
  Issue type screen schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-project-put
  * @param options Request options.
  */
    assignSchemeToProject(options) {
        return assignIssueTypeScreenSchemeToProjectFn(this.getBuildOptions(options));
    }
    /**
  * Updates an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-put
  * @param options Request options.
  */
    updateScheme(options) {
        return updateIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-delete
  * @param options Request options.
  */
    deleteScheme(options) {
        return deleteIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Appends issue type to screen scheme mappings to an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-put
  * @param options Request options.
  */
    appendMappings(options) {
        return appendMappingsToIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates the default screen scheme of an issue type screen scheme. The default screen scheme is used for all unmapped issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-default-put
  * @param options Request options.
  */
    updateDefaultScheme(options) {
        return updateDefaultIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Removes issue type to screen scheme mappings from an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-remove-post
  * @param options Request options.
  */
    removeMappings(options) {
        return removeMappingsFromIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
}
class IssueTypePropertyGroup extends BaseGroup {
    /**
  * Returns all the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys of the issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the property keys of any issue type.
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the property keys of any issue types associated with the projects the user has permission to browse.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-get
  * @param options Request options.
  */
    getPropertyKeys(options) {
        return getIssueTypePropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the key and value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the details of any issue type.
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the details of any issue types associated with the projects the user has permission to browse.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-get
  * @param options Request options.
  */
    getProperty(options) {
        return getIssueTypePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Creates or updates the value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). Use this resource to store and update data against an issue type.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-put
  * @param options Request options.
  */
    setProperty(options) {
        return setIssueTypePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty(options) {
        return deleteIssueTypePropertyFn(this.getBuildOptions(options));
    }
}
class IssueTypeSchemeGroup extends BaseGroup {
    /**
  * Returns a [paginated](#pagination) list of issue type schemes.
  
  Only issue type schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescheme-get
  * @param options Request options.
  */
    getSchemes(options) {
        return getIssueTypeSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-post
  * @param options Request options.
  */
    createScheme(options) {
        return createIssueTypeSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type scheme items.
  
  Only issue type scheme items used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescheme-mapping-get
  * @param options Request options.
  */
    getSchemeItems(options) {
        return getIssueTypeSchemeItemsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type schemes and, for each issue type scheme, a list of the projects that use it.
  
  Only issue type schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescheme-project-get
  * @param options Request options.
  */
    getSchemesForProjects(options) {
        return getIssueTypeSchemesForProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Assigns an issue type scheme to a project.
  
  If any issues in the project are assigned issue types not present in the new scheme, the operation will fail. To complete the assignment those issues must be updated to use issue types in the new scheme.
  
  Issue type schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-project-put
  * @param options Request options.
  */
    assignToProject(options) {
        return assignIssueTypeSchemeToProjectFn(this.getBuildOptions(options));
    }
    /**
  * Adds issue types to an issue type scheme.
  
  The added issue types are appended to the issue types list.
  
  If any of the issue types exist in the issue type scheme, the operation fails and no issue types are added.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-put
  * @param options Request options.
  */
    addIssueTypesToScheme(options) {
        return addIssueTypesToIssueTypeSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-put
  * @param options Request options.
  */
    updateScheme(options) {
        return updateIssueTypeSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue type scheme.
  
  Only issue type schemes used in classic projects can be deleted.
  
  Any projects assigned to the scheme are reassigned to the default issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-delete
  * @param options Request options.
  */
    deleteScheme(options) {
        return deleteIssueTypeSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Changes the order of issue types in an issue type scheme.
  
  The request body parameters must meet the following requirements:
  
   *  all of the issue types must belong to the issue type scheme.
   *  either `after` or `position` must be provided.
   *  the issue type in `after` must not be in the issue type list.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-move-put
  * @param options Request options.
  */
    changeIssueTypesOrder(options) {
        return changeIssueTypeSchemeIssueTypesOrderFn(this.getBuildOptions(options));
    }
    /**
  * Removes an issue type from an issue type scheme.
  
  This operation cannot remove:
  
   *  any issue type used by issues.
   *  any issue types from the default issue type scheme.
   *  the last standard issue type from an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-issuetypeid-delete
  * @param options Request options.
  */
    removeIssueTypesFromScheme(options) {
        return removeIssueTypesFromIssueTypeSchemeFn(this.getBuildOptions(options));
    }
}
class IssueFieldGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Configuration = new IssueFieldConfigurationGroup(connection, options);
        this.Custom = new IssueFieldCustomGroup(connection, options);
    }
    /**
  * Returns system and custom issue fields according to the following rules:
  
   *  Fields that cannot be added to the issue navigator are always returned.
   *  Fields that cannot be placed on an issue screen are always returned.
   *  Fields that depend on global Jira settings are only returned if the setting is enabled. That is, timetracking fields, subtasks, votes, and watches.
   *  For all other fields, this operation only returns the fields that the user has permission to view (that is, the field is used in at least one project that the user has *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.)
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-field-get
  * @param options Request options.
  */
    getFields(options) {
        return getIssueFieldsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of fields for Classic Jira projects. The list can include:
  
   *  all fields.
   *  specific fields, by defining `id`.
   *  fields that contain a string in the field name or description, by defining `query`.
   *  specific fields that contain a string in the field name or description, by defining `id` and `query`.
  
  Only custom fields can be queried, `type` must be set to `custom`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-field-search-get
  * @param options Request options.
  */
    getFieldsPaginated(options) {
        return getFieldsPaginatedFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of the contexts a field is used in. Deprecated, use [ Get custom field contexts](#api-rest-api-3-field-fieldId-context-get).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-contexts-get
  * @param options Request options.
  * @deprecated
  */
    getContexts(options) {
        return getFieldContextsFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a custom field. The custom field is deleted whether it is in the trash or not. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  This operation is [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-delete
  * @param options Request options.
  */
    deleteField(options) {
        return deleteIssueCustomFieldFn(this.getBuildOptions(options));
    }
    /**
  * Restores a custom field from trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-restore-post
  * @param options Request options.
  */
    restoreField(options) {
        return restoreIssueCustomFieldFn(this.getBuildOptions(options));
    }
    /**
  * Moves a custom field to trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-trash-post
  * @param options Request options.
  */
    moveToTrash(options) {
        return moveIssueCustomFieldToTrashFn(this.getBuildOptions(options));
    }
}
class IssueFieldConfigurationGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Scheme = new IssueFieldConfigurationSchemeGroup(connection, options);
    }
    /**
  * Creates a field configuration. The field configuration is created with the same field properties as the default configuration, with all the fields being optional.
  
  This operation can only create configurations for use in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-post
  * @param options Request options.
  */
    createConfiguration(options) {
        return createIssueFieldConfigurationFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of field configurations. The list can be for all field configurations or a subset determined by any combination of these criteria:
  
   *  a list of field configuration item IDs.
   *  whether the field configuration is a default.
   *  whether the field configuration name or description contains a query string.
  
  Only field configurations used in company-managed (classic) projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-fieldconfiguration-get
  * @param options Request options.
  */
    getConfigurations(options) {
        return getIssueFieldConfigurationsFn(this.getBuildOptions(options));
    }
    /**
  * Updates a field configuration. The name and the description provided in the request override the existing values.
  
  This operation can only update configurations used in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-put
  * @param options Request options.
  */
    updateConfiguration(options) {
        return updateIssueFieldConfigurationFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a field configuration.
  
  This operation can only delete configurations used in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-delete
  * @param options Request options.
  */
    deleteConfiguration(options) {
        return deleteIssueFieldConfigurationFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all fields for a configuration.
  
  Only the fields from configurations used in company-managed (classic) projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-fieldconfiguration-id-fields-get
  * @param options Request options.
  */
    getConfigurationItems(options) {
        return getIssueFieldConfigurationItemsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of field configuration issue type items.
  
  Only items used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-fieldconfigurationscheme-mapping-get
  * @param options Request options.
  */
    getConfigurationIssueTypeItems(options) {
        return getIssueFieldConfigurationIssueTypeItemsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of field configuration schemes.
  
  Only field configuration schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-get
  * @param options Request options.
  */
    getSchemes(options) {
        return getIssueFieldConfigurationSchemesFn(this.getBuildOptions(options));
    }
}
class IssueFieldConfigurationSchemeGroup extends BaseGroup {
    /**
  * Returns a [paginated](#pagination) list of field configuration schemes and, for each scheme, a list of the projects that use it.
  
  The list is sorted by field configuration scheme ID. The first item contains the list of project IDs assigned to the default field configuration scheme.
  
  Only field configuration schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-fieldconfigurationscheme-project-get
  * @param options Request options.
  */
    getSchemesForProjects(options) {
        return getIssueFieldConfigurationSchemesForProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Assigns a field configuration scheme to a project. If the field configuration scheme ID is `null`, the operation assigns the default field configuration scheme.
  
  Field configuration schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-project-put
  * @param options Request options.
  */
    assignSchemeToProject(options) {
        return assignIssueFieldConfigurationSchemeToProjectFn(this.getBuildOptions(options));
    }
}
class IssueFieldCustomGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Option = new IssueFieldCustomOptionGroup(connection, options);
        this.Context = new IssueFieldCustomContextGroup(connection, options);
    }
    /**
  * Creates a custom field.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-field-post
  * @param options Request options.
  */
    createField(options) {
        return createIssueCustomFieldFn(this.getBuildOptions(options));
    }
    /**
  * Updates a custom field.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-put
  * @param options Request options.
  */
    updateField(options) {
        return updateIssueCustomFieldFn(this.getBuildOptions(options));
    }
}
class IssueFieldCustomOptionGroup extends BaseGroup {
    /**
  * Returns a custom field option. For example, an option in a select list.
  
  Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The custom field option is returned as follows:
  
   *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the custom field is used in, and the field is visible in at least one layout the user has permission to view.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-customFieldOption-id-get
  * @param options Request options.
  * @deprecated
  */
    getOption(options) {
        return getIssueCustomFieldOptionFn(this.getBuildOptions(options));
    }
}
class IssueFieldCustomContextGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Option = new IssueFieldCustomContextOptionGroup(connection, options);
    }
    /**
  * Returns a [paginated](#pagination) list of [ contexts](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html) for a custom field. Contexts can be returned as follows:
  
   *  With no other parameters set, all contexts.
   *  By defining `id` only, all contexts from the list of IDs.
   *  By defining `isAnyIssueType`, limit the list of contexts returned to either those that apply to all issue types (true) or those that apply to only a subset of issue types (false)
   *  By defining `isGlobalContext`, limit the list of contexts return to either those that apply to all projects (global contexts) (true) or those that apply to only a subset of projects (false).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-get
  * @param options Request options.
  */
    getContexts(options) {
        return getIssueCustomFieldContextsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a custom field context.
  
  If `projectIds` is empty, a global context is created. A global context is one that applies to all project. If `issueTypeIds` is empty, the context applies to all issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-post
  * @param options Request options.
  */
    createContext(options) {
        return createIssueCustomFieldContextFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of defaults for a custom field. The results can be filtered by `contextId`, otherwise all values are returned. If no defaults are set for a context, nothing is returned.
  The returned object depends on type of the custom field:
  
   *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
   *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
   *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
   *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
   *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
   *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
   *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
   *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group picker.
   *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group picker.
   *  `CustomFieldContextDefaultValueURL` (type `url`) for URL.
   *  `CustomFieldContextDefaultValueProject` (type `project`) for project picker.
   *  `CustomFieldContextDefaultValueFloat` (type `float`) for float (a floating-point number).
   *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
   *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text field.
   *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area field.
   *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) field.
   *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version picker.
   *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version picker.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-get
  * @param options Request options.
  */
    getDefaultContexts(options) {
        return getIssueCustomFieldDefaultContextsFn(this.getBuildOptions(options));
    }
    /**
  * Sets default for contexts of a custom field. Default are defined using these objects:
  
   *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
   *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
   *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
   *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
   *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
   *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
   *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
   *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group picker.
   *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group picker.
   *  `CustomFieldContextDefaultValueURL` (type `url`) for URL.
   *  `CustomFieldContextDefaultValueProject` (type `project`) for project picker.
   *  `CustomFieldContextDefaultValueFloat` (type `float`) for float (a floating-point number).
   *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
   *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text field.
   *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area field.
   *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) field.
   *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version picker.
   *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version picker.
  
  Only one type of default object can be included in a request. To remove a default for a context, set the default parameter to `null`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-put
  * @param options Request options.
  */
    setDefaultContexts(options) {
        return setIssueCustomFieldDefaultContextsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of context to issue type mappings for a custom field. Mappings are returned for all contexts or a list of contexts. Mappings are ordered first by context ID and then by issue type ID.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-issuetypemapping-get
  * @param options Request options.
  */
    getIssueTypes(options) {
        return getIssueCustomFieldIssueTypesForContextFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of context to project mappings for a custom field. The result can be filtered by `contextId`. Otherwise, all mappings are returned. Invalid IDs are ignored.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-projectmapping-get
  * @param options Request options.
  */
    getProjectMappings(options) {
        return getIssueCustomFieldContextToProjectMappingsFn(this.getBuildOptions(options));
    }
    /**
  * Updates a [ custom field context](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-put
  * @param options Request options.
  */
    updateContext(options) {
        return updateIssueCustomFieldContextFn(this.getBuildOptions(options));
    }
    /**
  * Adds issue types to a custom field context, appending the issue types to the issue types list.
  
  A custom field context without any issue types applies to all issue types. Adding issue types to such a custom field context would result in it applying to only the listed issue types.
  
  If any of the issue types exists in the custom field context, the operation fails and no issue types are added.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-put
  * @param options Request options.
  */
    addIssueTypes(options) {
        return addIssueTypesToIssueCustomFieldContextFn(this.getBuildOptions(options));
    }
    /**
  * Removes issue types from a custom field context.
  
  A custom field context without any issue types applies to all issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-remove-post
  * @param options Request options.
  */
    removeIssueTypes(options) {
        return removeIssueTypesFromIssueCustomFieldContextFn(this.getBuildOptions(options));
    }
    /**
  * Assigns a custom field context to projects.
  
  If any project in the request is assigned to any context of the custom field, the operation fails.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-put
  * @param options Request options.
  */
    assignToProjects(options) {
        return assignIssueCustomFieldContextToProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Removes a custom field context from projects.
  
  A custom field context without any projects applies to all projects. Removing all projects from a custom field context would result in it applying to all projects.
  
  If any project in the request is not assigned to the context, or the operation would result in two global contexts for the field, the operation fails.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-remove-post
  * @param options Request options.
  */
    removeFromProjects(options) {
        return removeIssueCustomFieldContextFromProjectsFn(this.getBuildOptions(options));
    }
}
class IssueFieldCustomContextOptionGroup extends BaseGroup {
    /**
  * Returns a [paginated](#pagination) list of all custom field option for a context. Options are returned first then cascading options, in the order they display in Jira.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-get
  * @param options Request options.
  */
    getOptions(options) {
        return getIssueCustomFieldContextOptionsFn(this.getBuildOptions(options));
    }
    /**
  * Creates options and, where the custom select field is of the type Select List (cascading), cascading options for a custom select field. The options are added to a context of the field.
  
  The maximum number of options that can be created per request is 1000 and each field can have a maximum of 10000 options.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-post
  * @param options Request options.
  */
    createOptions(options) {
        return createIssueCustomFieldContextOptionsFn(this.getBuildOptions(options));
    }
    /**
  * Updates the options of a custom field.
  
  If any of the options are not found, no options are updated. Options where the values in the request match the current values aren't updated and aren't reported in the response.
  
  Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-put
  * @param options Request options.
  */
    updateOptions(options) {
        return updateIssueCustomFieldContextOptionsFn(this.getBuildOptions(options));
    }
    /**
  * Changes the order of custom field options or cascading options in a context.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-move-put
  * @param options Request options.
  */
    reorderOptions(options) {
        return reorderIssueCustomFieldContextOptionsFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a custom field option.
  
  Options with cascading options cannot be deleted without deleting the cascading options first.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-optionid-delete
  * @param options Request options.
  */
    deleteOption(options) {
        return deleteIssueCustomFieldContextOptionFn(this.getBuildOptions(options));
    }
}
class IssueWorklogGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Property = new IssueWorklogPropertyGroup(connection, options);
    }
    /**
  * Returns worklogs for an issue, starting from the oldest worklog or from the worklog started on or after a date and time.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Workloads are only returned where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-get
  * @param options Request options.
  */
    getWorklogs(options) {
        return getIssueWorklogsFn(this.getBuildOptions(options));
    }
    /**
  * Adds a worklog to an issue.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Work on issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-post
  * @param options Request options.
  */
    addWorklog(options) {
        return addIssueWorklogFn(this.getBuildOptions(options));
    }
    /**
  * Returns a worklog.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-id-get
  * @param options Request options.
  */
    getWorklog(options) {
        return getIssueWorklogFn(this.getBuildOptions(options));
    }
    /**
  * Updates a worklog.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-id-put
  * @param options Request options.
  */
    updateWorklog(options) {
        return updateIssueWorklogFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a worklog from an issue.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Delete all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any worklog or *Delete own worklogs* to delete worklogs created by the user,
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-id-delete
  * @param options Request options.
  */
    deleteWorklog(options) {
        return deleteIssueWorklogFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of IDs and delete timestamps for worklogs deleted after a date and time.
  
  This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
  
  This resource does not return worklogs deleted during the minute preceding the request.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-worklog-deleted-get
  * @param options Request options.
  */
    getDeletedIds(options) {
        return getDeletedIssueWorklogIdsFn(this.getBuildOptions(options));
    }
    /**
  * Returns worklog details for a list of worklog IDs.
  
  The returned list of worklogs is limited to 1000 items.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
  
   *  the worklog is set as *Viewable by All Users*.
   *  the user is a member of a project role or group with permission to view the worklog.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-worklog-list-post
  * @param options Request options.
  */
    getFromIds(options) {
        return getIssueWorklogsFromIdsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of IDs and update timestamps for worklogs updated after a date and time.
  
  This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
  
  This resource does not return worklogs updated during the minute preceding the request.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
  
   *  the worklog is set as *Viewable by All Users*.
   *  the user is a member of a project role or group with permission to view the worklog.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-worklog-updated-get
  * @param options Request options.
  */
    getUpdatedIds(options) {
        return getUpdatedIssueWorklogIdsFn(this.getBuildOptions(options));
    }
}
class IssueWorklogPropertyGroup extends BaseGroup {
    /**
  * Returns the keys of all properties for a worklog.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-get
  * @param options Request options.
  */
    getKeys(options) {
        return getWorklogPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the value of a worklog property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-get
  * @param options Request options.
  */
    getProperty(options) {
        return getWorklogPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of a worklog property. Use this operation to store custom data against the worklog.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-put
  * @param options Request options.
  */
    setProperty(options) {
        return setWorklogPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a worklog property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty(options) {
        return deleteWorklogPropertyFn(this.getBuildOptions(options));
    }
}
class IssueAttachmentGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Metadata = new IssueAttachmentMetadataGroup(connection, options);
    }
    /**
  * Deletes an attachment from an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the project holding the issue containing the attachment:
  
   *  *Delete own attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by the calling user.
   *  *Delete all attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by any user.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-id-delete
  * @param options Request options.
  */
    deleteAttachment(options) {
        return deleteIssueAttachmentFn(this.getBuildOptions(options));
    }
    /**
  * Adds one or more attachments to an issue. Attachments are posted as multipart/form-data ([RFC 1867](https://www.ietf.org/rfc/rfc1867.txt)).
  
  Note that:
  
   *  The request must have a `X-Atlassian-Token: no-check` header, if not it is blocked. See [Special headers](#special-request-headers) for more information.
   *  The name of the multipart/form-data parameter that contains the attachments must be `file`.
  
  The following examples upload a file called *myfile.txt* to the issue *TEST-123*:
  
  #### curl ####
  
      curl --location --request POST 'https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments'
       -u 'email@example.com:<api_token>'
       -H 'X-Atlassian-Token: no-check'
       --form 'file=@"myfile.txt"'
  
  #### Node.js ####
  
      // This code sample uses the 'node-fetch' and 'form-data' libraries:
       // https://www.npmjs.com/package/node-fetch
       // https://www.npmjs.com/package/form-data
       const fetch = require('node-fetch');
       const FormData = require('form-data');
       const fs = require('fs');
      
       const filePath = 'myfile.txt';
       const form = new FormData();
       const stats = fs.statSync(filePath);
       const fileSizeInBytes = stats.size;
       const fileStream = fs.createReadStream(filePath);
      
       form.append('file', fileStream, {knownLength: fileSizeInBytes});
      
       fetch('https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments', {
           method: 'POST',
           body: form,
           headers: {
               'Authorization': `Basic ${Buffer.from(
                   'email@example.com:'
               ).toString('base64')}`,
               'Accept': 'application/json',
               'X-Atlassian-Token': 'no-check'
           }
       })
           .then(response => {
               console.log(
                   `Response: ${response.status} ${response.statusText}`
               );
               return response.text();
           })
           .then(text => console.log(text))
           .catch(err => console.error(err));
  
  #### Java ####
  
      // This code sample uses the  'Unirest' library:
       // http://unirest.io/java.html
       HttpResponse response = Unirest.post("https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments")
               .basicAuth("email@example.com", "")
               .header("Accept", "application/json")
               .header("X-Atlassian-Token", "no-check")
               .field("file", new File("myfile.txt"))
               .asJson();
      
               System.out.println(response.getBody());
  
  #### Python ####
  
      # This code sample uses the 'requests' library:
       # http://docs.python-requests.org
       import requests
       from requests.auth import HTTPBasicAuth
       import json
      
       url = "https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments"
      
       auth = HTTPBasicAuth("email@example.com", "")
      
       headers = {
          "Accept": "application/json",
          "X-Atlassian-Token": "no-check"
       }
      
       response = requests.request(
          "POST",
          url,
          headers = headers,
          auth = auth,
          files = {
               "file": ("myfile.txt", open("myfile.txt","rb"), "application-type")
          }
       )
      
       print(json.dumps(json.loads(response.text), sort_keys=True, indent=4, separators=(",", ": ")))
  
  #### PHP ####
  
      // This code sample uses the 'Unirest' library:
       // http://unirest.io/php.html
       Unirest\Request::auth('email@example.com', '');
      
       $headers = array(
         'Accept' => 'application/json',
         'X-Atlassian-Token' => 'no-check'
       );
      
       $parameters = array(
         'file' => File::add('myfile.txt')
       );
      
       $response = Unirest\Request::post(
         'https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments',
         $headers,
         $parameters
       );
      
       var_dump($response)
  
  #### Forge ####
  
      // This sample uses Atlassian Forge and the `form-data` library.
       // https://developer.atlassian.com/platform/forge/
       // https://www.npmjs.com/package/form-data
       import api from "@forge/api";
       import FormData from "form-data";
      
       const form = new FormData();
       form.append('file', fileStream, {knownLength: fileSizeInBytes});
      
       const response = await api.asApp().requestJira('/rest/api/2/issue/{issueIdOrKey}/attachments', {
           method: 'POST',
           body: form,
           headers: {
               'Accept': 'application/json',
               'X-Atlassian-Token': 'no-check'
           }
       });
      
       console.log(`Response: ${response.status} ${response.statusText}`);
       console.log(await response.json());
  
  Tip: Use a client library. Many client libraries have classes for handling multipart POST operations. For example, in Java, the Apache HTTP Components library provides a [MultiPartEntity](http://hc.apache.org/httpcomponents-client-ga/httpmime/apidocs/org/apache/http/entity/mime/MultipartEntity.html) class for multipart POST operations.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* and *Create attachments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-attachments-post
  * @param options Request options.
  */
    addAttachments(options) {
        return addIssueAttachmentsFn(this.getBuildOptions(options));
    }
}
class IssueAttachmentMetadataGroup extends BaseGroup {
    /**
  * Returns the metadata for an attachment. Note that the attachment itself is not returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-id-get
  * @param options Request options.
  */
    getMetadata(options) {
        return getIssueAttachmentMetadataFn(this.getBuildOptions(options));
    }
    /**
  * Returns the metadata for the contents of an attachment, if it is an archive, and metadata for the attachment itself. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned and metadata for the ZIP archive. Currently, only the ZIP archive format is supported.
  
  Use this operation to retrieve data that is presented to the user, as this operation returns the metadata for the attachment itself, such as the attachment's ID and name. Otherwise, use [ Get contents metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-raw-get), which only returns the metadata for the attachment's contents.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-id-expand-human-get
  * @param options Request options.
  */
    getMetadataForExpandedAttachment(options) {
        return getMetadataForExpandedIssueAttachmentFn(this.getBuildOptions(options));
    }
    /**
  * Returns the metadata for the contents of an attachment, if it is an archive. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned. Currently, only the ZIP archive format is supported.
  
  Use this operation if you are processing the data without presenting it to the user, as this operation only returns the metadata for the contents of the attachment. Otherwise, to retrieve data to present to the user, use [ Get all metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-human-get) which also returns the metadata for the attachment itself, such as the attachment's ID and name.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-id-expand-raw-get
  * @param options Request options.
  */
    getContentsMetadataForExpandedAttachment(options) {
        return getContentsMetadataForExpandedIssueAttachmentFn(this.getBuildOptions(options));
    }
}
class IssueCommentGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Property = new IssueCommentPropertyGroup(connection, options);
    }
    /**
  * Returns a [paginated](#pagination) list of comments specified by a list of comment IDs.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Comments are returned where the user:
  
   *  has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-list-post
  * @param options Request options.
  */
    getCommentsByIds(options) {
        return getIssueCommentsByIdsFn(this.getBuildOptions(options));
    }
    /**
  * Returns all comments for an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Comments are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-get
  * @param options Request options.
  */
    getComments(options) {
        return getIssueCommentsFn(this.getBuildOptions(options));
    }
    /**
  * Adds a comment to an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Add comments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-post
  * @param options Request options.
  */
    addComment(options) {
        return addIssueCommentFn(this.getBuildOptions(options));
    }
    /**
  * Returns a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-id-get
  * @param options Request options.
  */
    getComment(options) {
        return getIssueCommentFn(this.getBuildOptions(options));
    }
    /**
  * Updates a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any comment or *Edit own comments* to update comment created by the user.
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-id-put
  * @param options Request options.
  */
    updateComment(options) {
        return updateIssueCommentFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a comment.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Delete all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any comment or *Delete own comments* to delete comment created by the user,
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-id-delete
  * @param options Request options.
  */
    deleteComment(options) {
        return deleteIssueCommentFn(this.getBuildOptions(options));
    }
}
class IssueCommentPropertyGroup extends BaseGroup {
    /**
  * Returns the keys of all the properties of a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-commentId-properties-get
  * @param options Request options.
  */
    getKeys(options) {
        return getIssueCommentPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the value of a comment property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-commentId-properties-propertyKey-get
  * @param options Request options.
  */
    getProperty(options) {
        return getIssueCommentPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Creates or updates the value of a property for a comment. Use this resource to store custom data against a comment.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on any comment.
   *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on a comment created by the user.
  
  Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-commentId-properties-propertyKey-put
  * @param options Request options.
  */
    setProperty(options) {
        return setIssueCommentPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a comment property.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from any comment.
   *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from a comment created by the user.
  
  Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-commentId-properties-propertyKey-delete
  * @param options Request options.
  */
    deleteProperty(options) {
        return deleteIssueCommentPropertyFn(this.getBuildOptions(options));
    }
}
class IssueMetadataGroup extends BaseGroup {
    /**
  * Returns details of projects, issue types within projects, and, when requested, the create screen fields for each issue type for the user. Use the information to populate the requests in [ Create issue](#api-rest-api-3-issue-post) and [Create issues](#api-rest-api-3-issue-bulk-post).
  
  The request can be restricted to specific projects or issue types using the query parameters. The response will contain information for the valid projects, issue types, or project and issue type combinations requested. Note that invalid project, issue type, or project and issue type combinations do not generate errors.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Create issues* [project permission](https://confluence.atlassian.com/x/yodKLg) in the requested projects.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-createmeta-get
  * @param options Request options.
  */
    getCreateMetadata(options) {
        return getCreateIssueMetadataFn(this.getBuildOptions(options));
    }
    /**
  * Returns the edit screen fields for an issue that are visible to and editable by the user. Use the information to populate the requests in [Edit issue](#api-rest-api-3-issue-issueIdOrKey-put).
  
  Connect app users with admin permission (from user permissions and app scopes) and Forge app users with the `manage:jira-configuration` scope can return additional details using:
  
   *  `overrideScreenSecurity` Returns hidden fields.
   *  `overrideEditableFlag` Returns uneditable fields. For example, where an issue has a workflow status of closed none of its fields are editable.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  Note: For any fields to be editable the user must have the *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-editmeta-get
  * @param options Request options.
  */
    getEditMetadata(options) {
        return getEditIssueMetadataFn(this.getBuildOptions(options));
    }
}
class IssuePropertyGroup extends BaseGroup {
    /**
  * Returns the URLs and keys of an issue's properties.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Property details are only returned where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-properties-get
  * @param options Request options.
  */
    getKeys(options) {
        return getIssuePropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the key and value of an issue's property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-properties-propertyKey-get
  * @param options Request options.
  */
    getProperty(options) {
        return getIssuePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of an issue's property. Use this resource to store custom data against an issue.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-properties-propertyKey-put
  * @param options Request options.
  */
    setProperty(options) {
        return setIssuePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue's property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-properties-propertyKey-delete
  * @param options Request options.
  */
    deleteProperty(options) {
        return deleteIssuePropertyFn(this.getBuildOptions(options));
    }
}
class IssueLinkGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Remote = new IssueLinkRemoteGroup(connection, options);
        this.Type = new IssueLinkTypeGroup(connection, options);
    }
    /**
  * Creates a link between two issues. Use this operation to indicate a relationship between two issues and optionally add a comment to the from (outward) issue. To use this resource the site must have [Issue Linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This resource returns nothing on the creation of an issue link. To obtain the ID of the issue link, use `https://your-domain.atlassian.net/rest/api/3/issue/[linked issue key]?fields=issuelinks`.
  
  If the link request duplicates a link, the response indicates that the issue link was created. If the request included a comment, the comment is added.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues to be linked,
   *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) on the project containing the from (outward) issue,
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLink-post
  * @param options Request options.
  */
    createLink(options) {
        return createIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue link.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the linked issues.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLink-linkId-get
  * @param options Request options.
  */
    getLink(options) {
        return getIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue link.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  Browse project [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues in the link.
   *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one of the projects containing issues in the link.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLink-linkId-delete
  * @param options Request options.
  */
    deleteLink(options) {
        return deleteIssueLinkFn(this.getBuildOptions(options));
    }
}
class IssueLinkRemoteGroup extends BaseGroup {
    /**
  * Returns the remote issue links for an issue. When a remote issue link global ID is provided the record with that global ID is returned, otherwise all remote issue links are returned. Where a global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-get
  * @param options Request options.
  */
    getLinks(options) {
        return getRemoteIssueLinksFn(this.getBuildOptions(options));
    }
    /**
  * Creates or updates a remote issue link for an issue.
  
  If a `globalId` is provided and a remote issue link with that global ID is found it is updated. Any fields without values in the request are set to null. Otherwise, the remote issue link is created.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-post
  * @param options Request options.
  */
    createOrUpdateLink(options) {
        return createOrUpdateRemoteIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the remote issue link from the issue using the link's global ID. Where the global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is implemented, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-delete
  * @param options Request options.
  */
    deleteLinkByGlobalId(options) {
        return deleteRemoteIssueLinkByGlobalIdFn(this.getBuildOptions(options));
    }
    /**
  * Returns a remote issue link for an issue.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-linkId-get
  * @param options Request options.
  */
    getLink(options) {
        return getRemoteIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Updates a remote issue link for an issue.
  
  Note: Fields without values in the request are set to null.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-linkId-put
  * @param options Request options.
  */
    updateLink(options) {
        return updateRemoteIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a remote issue link from an issue.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects*, *Edit issues*, and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-linkId-delete
  * @param options Request options.
  */
    deleteLink(options) {
        return deleteRemoteIssueLinkFn(this.getBuildOptions(options));
    }
}
class IssueLinkTypeGroup extends BaseGroup {
    /**
  * Returns a list of all issue link types.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-get
  * @param options Request options.
  */
    getTypes(options) {
        return getIssueLinkTypesFn(this.getBuildOptions(options));
    }
    /**
  * Creates an issue link type. Use this operation to create descriptions of the reasons why issues are linked. The issue link type consists of a name and descriptions for a link's inward and outward relationships.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-post
  * @param options Request options.
  */
    createType(options) {
        return createIssueLinkTypeFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-issueLinkTypeId-get
  * @param options Request options.
  */
    getType(options) {
        return getIssueLinkTypeFn(this.getBuildOptions(options));
    }
    /**
  * Updates an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-issueLinkTypeId-put
  * @param options Request options.
  */
    updateType(options) {
        return updateIssueLinkTypeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-issueLinkTypeId-delete
  * @param options Request options.
  */
    deleteType(options) {
        return deleteIssueLinkTypeFn(this.getBuildOptions(options));
    }
}
class IssueTransitionGroup extends BaseGroup {
    /**
  * Returns either all transitions or a transition that can be performed by the user on an issue, based on the issue's status.
  
  Note, if a request is made for a transition that does not exist or cannot be performed on the issue, given its status, the response will return any empty transitions list.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required: A list or transition is returned only when the user has:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  However, if the user does not have the *Transition issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) the response will not list any transitions.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-transitions-get
  * @param options Request options.
  */
    getTransitions(options) {
        return getIssueTransitionsFn(this.getBuildOptions(options));
    }
    /**
  * Performs an issue transition and, if the transition has a screen, updates the fields from the transition screen.
  
  sortByCategory To update the fields on the transition screen, specify the fields in the `fields` or `update` parameters in the request body. Get details about the fields using [ Get transitions](#api-rest-api-3-issue-issueIdOrKey-transitions-get) with the `transitions.fields` expand.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Transition issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-transitions-post
  * @param options Request options.
  */
    performTransition(options) {
        return performIssueTransitionFn(this.getBuildOptions(options));
    }
}
class IssueVoteGroup extends BaseGroup {
    /**
  * Returns details about the votes on an issue.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  Note that users with the necessary permissions for this operation but without the *View voters and watchers* project permissions are not returned details in the `voters` field.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-votes-get
  * @param options Request options.
  */
    getVotes(options) {
        return getIssueVotesFn(this.getBuildOptions(options));
    }
    /**
  * Adds the user's vote to an issue. This is the equivalent of the user clicking *Vote* on an issue in Jira.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-votes-post
  * @param options Request options.
  */
    addVote(options) {
        return addIssueVoteFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a user's vote from an issue. This is the equivalent of the user clicking *Unvote* on an issue in Jira.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-votes-delete
  * @param options Request options.
  */
    deleteVote(options) {
        return deleteIssueVoteFn(this.getBuildOptions(options));
    }
}
class IssueWatcherGroup extends BaseGroup {
    /**
  * Returns the watchers for an issue.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To see details of users on the watchlist other than themselves, *View voters and watchers* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-watchers-get
  * @param options Request options.
  */
    getWatchers(options) {
        return getIssueWatchersFn(this.getBuildOptions(options));
    }
    /**
  * Adds a user as a watcher of an issue by passing the account ID of the user. For example, `"5b10ac8d82e05b22cc7d4ef5"`. If no user is specified the calling user is added.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To add users other than themselves to the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-watchers-post
  * @param options Request options.
  */
    addWatcher(options) {
        return addIssueWatcherFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a user as a watcher of an issue.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To remove users other than themselves from the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-watchers-delete
  * @param options Request options.
  */
    deleteWatcher(options) {
        return deleteIssueWatcherFn(this.getBuildOptions(options));
    }
}
class IssueSearchGroup extends BaseGroup {
    /**
  * Checks whether one or more issues would be returned by one or more JQL queries.
  
  **[Permissions](#permissions) required:** None, however, issues are only matched against JQL queries where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-search-post
  * @param options Request options.
  */
    checkAgainstJql(options) {
        return checkIssuesAgainstJqlFn(this.getBuildOptions(options));
    }
    /**
  * Searches for issues using [JQL](https://confluence.atlassian.com/x/egORLQ).
  
  There is a [GET](#api-rest-api-3-search-get) version of this resource that can be used for smaller JQL query expressions.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issues are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-search-get
  * @param options Request options.
  */
    searchByJql(options) {
        return searchIssuesByJqlFn(this.getBuildOptions(options));
    }
}
class IssuePriorityGroup extends BaseGroup {
    /**
  * Returns the list of all issue priorities.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-get
  * @param options Request options.
  */
    getPriorities(options) {
        return getIssuePrioritiesFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue priority.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-id-get
  * @param options Request options.
  */
    getPriority(options) {
        return getIssuePriorityFn(this.getBuildOptions(options));
    }
}
class IssueResolutionGroup extends BaseGroup {
    /**
  * Returns a list of all issue resolution values.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-get
  * @param options Request options.
  */
    getResolutions(options) {
        return getIssueResolutionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue resolution value.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-id-get
  * @param options Request options.
  */
    getResolution(options) {
        return getIssueResolutionFn(this.getBuildOptions(options));
    }
}
class IssueSecurityGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Scheme = new IssueSecuritySchemeGroup(connection, options);
    }
    /**
  * Returns issue security level members.
  
  Only issue security level members in context of classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuesecurityschemes-issueSecuritySchemeId-members-get
  * @param options Request options.
  */
    getMembers(options) {
        return getIssueSecurityMembersFn(this.getBuildOptions(options));
    }
    /**
  * Returns details of an issue security level.
  
  Use [Get issue security scheme](#api-rest-api-3-issuesecurityschemes-id-get) to obtain the IDs of issue security levels associated with the issue security scheme.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-level/#api-rest-api-3-securitylevel-id-get
  * @param options Request options.
  */
    getLevel(options) {
        return getIssueSecurityLevelFn(this.getBuildOptions(options));
    }
}
class IssueSecuritySchemeGroup extends BaseGroup {
    /**
  * Returns all [issue security schemes](https://confluence.atlassian.com/x/J4lKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-get
  * @param options Request options.
  */
    getSchemes(options) {
        return getIssueSecuritySchemesFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue security scheme along with its security levels.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project that uses the requested issue security scheme.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-id-get
  * @param options Request options.
  */
    getScheme(options) {
        return getIssueSecuritySchemeFn(this.getBuildOptions(options));
    }
}
class IssueNotificationGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Scheme = new IssueNotificationSchemeGroup(connection, options);
    }
}
class IssueNotificationSchemeGroup extends BaseGroup {
    /**
  * Returns a [paginated](#pagination) list of [notification schemes](https://confluence.atlassian.com/x/8YdKLg) ordered by display name.
  
  ### About notification schemes ###
  
  A notification scheme is a list of events and recipients who will receive notifications for those events. The list is contained within the `notificationSchemeEvents` object and contains pairs of `events` and `notifications`:
  
   *  `event` Identifies the type of event. The events can be [Jira system events](https://confluence.atlassian.com/x/8YdKLg#Creatinganotificationscheme-eventsEvents) or [custom events](https://confluence.atlassian.com/x/AIlKLg).
   *  `notifications` Identifies the [recipients](https://confluence.atlassian.com/x/8YdKLg#Creatinganotificationscheme-recipientsRecipients) of notifications for each event. Recipients can be any of the following types:
      
       *  `CurrentAssignee`
       *  `Reporter`
       *  `CurrentUser`
       *  `ProjectLead`
       *  `ComponentLead`
       *  `User` (the `parameter` is the user key)
       *  `Group` (the `parameter` is the group name)
       *  `ProjectRole` (the `parameter` is the project role ID)
       *  `EmailAddress`
       *  `AllWatchers`
       *  `UserCustomField` (the `parameter` is the ID of the custom field)
       *  `GroupCustomField`(the `parameter` is the ID of the custom field)
  
  *Note that you should allow for events without recipients to appear in responses.*
  
  **[Permissions](#permissions) required:** Permission to access Jira, however the user must have permission to administer at least one project associated with a notification scheme for it to be returned.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-notification-schemes/#api-rest-api-3-notificationscheme-get
  * @param options Request options.
  */
    getSchemes(options) {
        return getIssueNotificationSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [notification scheme](https://confluence.atlassian.com/x/8YdKLg), including the list of events and the recipients who will receive notifications for those events.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however the user must have permission to administer at least one project associated with the notification scheme.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-notification-schemes/#api-rest-api-3-notificationscheme-id-get
  * @param options Request options.
  */
    getScheme(options) {
        return getIssueNotificationSchemeFn(this.getBuildOptions(options));
    }
}
class IssueNavigatorGroup extends BaseGroup {
    /**
  * Returns the default issue navigator columns.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-get
  * @param options Request options.
  */
    getDefaultColumns(options) {
        return getIssueNavigatorDefaultColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Sets the default issue navigator columns.
  
  The `columns` parameter accepts a navigable field value and is expressed as HTML form data. To specify multiple columns, pass multiple `columns` parameters. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/settings/columns`
  
  If no column details are sent, then all default columns are removed.
  
  A navigable field is one that can be used as a column on the issue navigator. Find details of navigable issue columns using [Get fields](#api-rest-api-3-field-get).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-put
  * @param options Request options.
  */
    setDefaultColumns(options) {
        return setIssueNavigatorDefaultColumnsFn(this.getBuildOptions(options));
    }
}
class DashboardGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Property = new DashboardPropertyGroup(connection, options);
    }
    /**
  * Returns a list of dashboards owned by or shared with the user. The list may be filtered to include only favorite or owned dashboards.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-get
  * @param options Request options.
  */
    getDashboards(options) {
        return getDashboardsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a dashboard.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-post
  * @param options Request options.
  */
    createDashboard(options) {
        return createDashboardFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of dashboards. This operation is similar to [Get dashboards](#api-rest-api-3-dashboard-get) except that the results can be refined to include dashboards that have specific attributes. For example, dashboards with a particular name. When multiple attributes are specified only filters matching all attributes are returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The following dashboards that match the query parameters are returned:
  
   *  Dashboards owned by the user. Not returned for anonymous users.
   *  Dashboards shared with a group that the user is a member of. Not returned for anonymous users.
   *  Dashboards shared with a private project that the user can browse. Not returned for anonymous users.
   *  Dashboards shared with a public project.
   *  Dashboards shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-search-get
  * @param options Request options.
  */
    searchDashboards(options) {
        return searchDashboardsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a dashboard.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  
  However, to get a dashboard, the dashboard must be shared with the user or the user must own it. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-get
  * @param options Request options.
  */
    getDashboard(options) {
        return getDashboardFn(this.getBuildOptions(options));
    }
    /**
  * Updates a dashboard, replacing all the dashboard details with those provided.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be updated must be owned by the user.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-put
  * @param options Request options.
  */
    updateDashboard(options) {
        return updateDashboardFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a dashboard.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be deleted must be owned by the user.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-delete
  * @param options Request options.
  */
    deleteDashboard(options) {
        return deleteDashboardFn(this.getBuildOptions(options));
    }
    /**
  * Copies a dashboard. Any values provided in the `dashboard` parameter replace those in the copied dashboard.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be copied must be owned by or shared with the user.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-copy-post
  * @param options Request options.
  */
    copyDashboard(options) {
        return copyDashboardFn(this.getBuildOptions(options));
    }
}
class DashboardPropertyGroup extends BaseGroup {
    /**
  * Returns the keys of all properties for a dashboard item.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira’s anonymous access is permitted.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-get
  * @param options Request options.
  */
    getPropertyKeys(options) {
        return getDashboardItemPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the key and value of a dashboard item property.
  
  A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
  
  When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
  
  There is no resource to set or get dashboard items.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira’s anonymous access is permitted.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-get
  * @param options Request options.
  */
    getProperty(options) {
        return getDashboardItemPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of a dashboard item property. Use this resource in apps to store custom data against a dashboard item.
  
  A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
  
  When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
  
  There is no resource to set or get dashboard items.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-put
  * @param options Request options.
  */
    setProperty(options) {
        return setDashboardItemPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a dashboard item property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty(options) {
        return deleteDashboardItemPropertyFn(this.getBuildOptions(options));
    }
}
class ApplicationGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Role = new ApplicationRoleGroup(connection, options);
    }
}
class ApplicationRoleGroup extends BaseGroup {
    /**
  * Returns all application roles. In Jira, application roles are managed using the [Application access configuration](https://confluence.atlassian.com/x/3YxjL) page.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-get
  * @param options Request options.
  */
    getRoles(options) {
        return getApplicationRolesFn(this.getBuildOptions(options));
    }
    /**
  * Returns an application role.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-key-get
  * @param options Request options.
  */
    getRole(options) {
        return getApplicationRoleFn(this.getBuildOptions(options));
    }
}
class UserGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Search = new UserSearchGroup(connection, options);
        this.Property = new UserPropertyGroup(connection, options);
    }
    /**
  * Returns the default [issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If `accountId` is not passed in the request, the calling user's details are returned.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLgl), to get the column details for any user.
   *  Permission to access Jira, to get the calling user's column details.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-get
  * @param options Request options.
  */
    getDefaultColumns(options) {
        return getUserDefaultColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Sets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If an account ID is not passed, the calling user's default columns are set. If no column details are sent, then all default columns are removed.
  
  The parameters for this resource are expressed as HTML form data. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/user/columns?accountId=5b10ac8d82e05b22cc7d4ef5'`
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
   *  Permission to access Jira, to set the calling user's columns.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-put
  * @param options Request options.
  */
    setDefaultColumns(options) {
        return setUserDefaultColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Resets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user to the system default. If `accountId` is not passed, the calling user's default columns are reset.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
   *  Permission to access Jira, to set the calling user's columns.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-delete
  * @param options Request options.
  */
    resetDefaultColumns(options) {
        return resetUserDefaultColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a user.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-get
  * @param options Request options.
  */
    getUser(options) {
        return getUserFn(this.getBuildOptions(options));
    }
    /**
  * Creates a user. This resource is retained for legacy compatibility. As soon as a more suitable alternative is available this resource will be deprecated.
  
  If the user exists and has access to Jira, the operation returns a 201 status. If the user exists but does not have access to Jira, the operation returns a 400 status.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-post
  * @param options Request options.
  */
    createUser(options) {
        return createUserFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a user.
  
  **[Permissions](#permissions) required:** Site administration (that is, membership of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-delete
  * @param options Request options.
  */
    deleteUser(options) {
        return deleteUserFn(this.getBuildOptions(options));
    }
    /**
  * Returns the account IDs for the users specified in the `key` or `username` parameters. Note that multiple `key` or `username` parameters can be specified.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-bulk-migration-get
  * @param options Request options.
  */
    getAccountIdsForUsers(options) {
        return getAccountIdsForUsersFn(this.getBuildOptions(options));
    }
    /**
     * Returns a user's email address. This API is only available to apps approved by Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-email-get
     * @param options Request options.
     */
    getEmail(options) {
        return getUserEmailFn(this.getBuildOptions(options));
    }
    /**
  * Returns the groups to which a user belongs.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-groups-get
  * @param options Request options.
  */
    getGroups(options) {
        return getUserGroupsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of all (active and inactive) users.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-users-search-get
  * @param options Request options.
  */
    getUsers(options) {
        return getUsersFn(this.getBuildOptions(options));
    }
}
class UserSearchGroup extends BaseGroup {
    /**
  * Returns a list of users who can be assigned issues in one or more projects. The list may be restricted to users whose attributes match a string.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned issues in the projects. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned issues in the projects, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-assignable-multiProjectSearch-get
  * @param options Request options.
  */
    findUsersAssignableToProjects(options) {
        return findUsersAssignableToProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users that can be assigned to an issue. Use this operation to find the list of users who can be assigned to:
  
   *  a new issue, by providing the `projectKeyOrId`.
   *  an updated issue, by providing the `issueKey`.
   *  to an issue during a transition (workflow action), by providing the `issueKey` and the transition id in `actionDescriptorId`. You can obtain the IDs of an issue's valid transitions using the `transitions` option in the `expand` parameter of [ Get issue](#api-rest-api-3-issue-issueIdOrKey-get).
  
  In all these cases, you can pass an account ID to determine if a user can be assigned to an issue. The user is returned in the response if they can be assigned to the issue or issue transition.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned the issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned the issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-assignable-search-get
  * @param options Request options.
  */
    findUsersAssignableToIssues(options) {
        return findUsersAssignableToIssuesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users who fulfill these criteria:
  
   *  their user attributes match a search string.
   *  they have a set of permissions for a project or issue.
  
  If no search string is provided, a list of all users with the permissions is returned.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission for the project or issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission for the project or issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get users for any project.
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project, to get users for that project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-permission-search-get
  * @param options Request options.
  */
    findUsersWithPermissions(options) {
        return findUsersWithPermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users whose attributes match the query term. The returned object includes the `html` field where the matched query term is highlighted with the HTML strong tag. A list of account IDs can be provided to exclude users from the results.
  
  This operation takes the users in the range defined by `maxResults`, up to the thousandth user, and then returns only the users from that range that match the query term. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the query term, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return search results for an exact name match only.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-picker-get
  * @param options Request options.
  */
    findUsersForPicker(options) {
        return findUsersForPickerFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users that match the search string and property.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and property. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and property, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls or calls by users without the required permission return empty search results.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-search-get
  * @param options Request options.
  */
    findUsers(options) {
        return findUsersFn(this.getBuildOptions(options));
    }
    /**
  * Finds users with a structured query and returns a [paginated](#pagination) list of user details.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  
  The query statements are:
  
   *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
   *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
   *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
   *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
   *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
   *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
   *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
   *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value.
  
  The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
  
  `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-search-query-get
  * @param options Request options.
  */
    findUsersByQuery(options) {
        return findUsersByQueryFn(this.getBuildOptions(options));
    }
    /**
  * Finds users with a structured query and returns a [paginated](#pagination) list of user keys.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  
  The query statements are:
  
   *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
   *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
   *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
   *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
   *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
   *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
   *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
   *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value.
  
  The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
  
  `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-search-query-key-get
  * @param options Request options.
  */
    findUserKeysByQuery(options) {
        return findUserKeysByQueryFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users who fulfill these criteria:
  
   *  their user attributes match a search string.
   *  they have permission to browse issues.
  
  Use this resource to find users who can browse:
  
   *  an issue, by providing the `issueKey`.
   *  any issue in a project, by providing the `projectKey`.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission to browse issues. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission to browse issues, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return empty search results.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-viewissue-search-get
  * @param options Request options.
  */
    findUsersWithBrowsePermission(options) {
        return findUsersWithBrowsePermissionFn(this.getBuildOptions(options));
    }
}
class UserPropertyGroup extends BaseGroup {
    /**
  * Returns the keys of all properties for a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to access the property keys on any user.
   *  Access to Jira, to access the calling user's property keys.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-get
  * @param options Request options.
  */
    getPropertyKeys(options) {
        return getUserPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the value of a user's property.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get a property from any user.
   *  Access to Jira, to get a property from the calling user's record.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-get
  * @param options Request options.
  */
    getProperty(options) {
        return getUserPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of a user's property. Use this resource to store custom data against a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set a property on any user.
   *  Access to Jira, to set a property on the calling user's record.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-put
  * @param options Request options.
  */
    setProperty(options) {
        return setUserPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a property from a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to delete a property from any user.
   *  Access to Jira, to delete a property from the calling user's record.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty(options) {
        return deleteUserPropertyFn(this.getBuildOptions(options));
    }
}
class InstanceGroup extends BaseGroup {
    /**
  * Changes the value of an application property. For example, you can change the value of the `jira.clone.prefix` from its default value of *CLONE -* to *Clone -* if you prefer sentence case capitalization. Editable properties are described below along with their default values.
  
  #### Advanced settings ####
  
  The advanced settings below are also accessible in [Jira](https://confluence.atlassian.com/x/vYXKM).
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.clone.prefix` | The string of text prefixed to the title of a cloned issue. | `CLONE -` |
  | `jira.date.picker.java.format` | The date format for the Java (server-side) generated dates. This must be the same as the `jira.date.picker.javascript.format` format setting. | `d/MMM/yy` |
  | `jira.date.picker.javascript.format` | The date format for the JavaScript (client-side) generated dates. This must be the same as the `jira.date.picker.java.format` format setting. | `%e/%b/%y` |
  | `jira.date.time.picker.java.format` | The date format for the Java (server-side) generated date times. This must be the same as the `jira.date.time.picker.javascript.format` format setting. | `dd/MMM/yy h:mm a` |
  | `jira.date.time.picker.javascript.format` | The date format for the JavaScript (client-side) generated date times. This must be the same as the `jira.date.time.picker.java.format` format setting. | `%e/%b/%y %I:%M %p` |
  | `jira.issue.actions.order` | The default order of actions (such as *Comments* or *Change history*) displayed on the issue view. | `asc` |
  | `jira.table.cols.subtasks` | The columns to show while viewing subtask issues in a table. For example, a list of subtasks on an issue. | `issuetype, status, assignee, progress` |
  | `jira.view.issue.links.sort.order` | The sort order of the list of issue links on the issue view. | `type, status, priority` |
  | `jira.comment.collapsing.minimum.hidden` | The minimum number of comments required for comment collapsing to occur. A value of `0` disables comment collapsing. | `4` |
  | `jira.newsletter.tip.delay.days` | The number of days before a prompt to sign up to the Jira Insiders newsletter is shown. A value of `-1` disables this feature. | `7` |
  
  
  #### Look and feel ####
  
  The settings listed below adjust the [look and feel](https://confluence.atlassian.com/x/VwCLLg).
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.lf.date.time` | The [ time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `h:mm a` |
  | `jira.lf.date.day` | The [ day format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `EEEE h:mm a` |
  | `jira.lf.date.complete` | The [ date and time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy h:mm a` |
  | `jira.lf.date.dmy` | The [ date format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy` |
  | `jira.date.time.picker.use.iso8061` | When enabled, sets Monday as the first day of the week in the date picker, as specified by the ISO8601 standard. | `false` |
  | `jira.lf.logo.url` | The URL of the logo image file. | `/images/icon-jira-logo.png` |
  | `jira.lf.logo.show.application.title` | Controls the visibility of the application title on the sidebar. | `false` |
  | `jira.lf.favicon.url` | The URL of the favicon. | `/favicon.ico` |
  | `jira.lf.favicon.hires.url` | The URL of the high-resolution favicon. | `/images/64jira.png` |
  | `jira.lf.navigation.bgcolour` | The background color of the sidebar. | `#0747A6` |
  | `jira.lf.navigation.highlightcolour` | The color of the text and logo of the sidebar. | `#DEEBFF` |
  | `jira.lf.hero.button.base.bg.colour` | The background color of the hero button. | `#3b7fc4` |
  | `jira.title` | The text for the application title. The application title can also be set in *General settings*. | `Jira` |
  | `jira.option.globalsharing` | Whether filters and dashboards can be shared with anyone signed into Jira. | `true` |
  | `xflow.product.suggestions.enabled` | Whether to expose product suggestions for other Atlassian products within Jira. | `true` |
  
  
  #### Other settings ####
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.issuenav.criteria.autoupdate` | Whether instant updates to search criteria is active. | `true` |
  
  
  *Note: Be careful when changing [application properties and advanced settings](https://confluence.atlassian.com/x/vYXKM).*
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-application-properties-id-put
  * @param options Request options.
  */
    setApplicationProperty(options) {
        return setApplicationPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Returns all application properties or an application property.
  
  If you specify a value for the `key` parameter, then an application property is returned as an object (not in an array). Otherwise, an array of all editable application properties is returned. See [Set application property](#api-rest-api-3-application-properties-id-put) for descriptions of editable properties.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-application-properties-get
  * @param options Request options.
  */
    getApplicationProperty(options) {
        return getApplicationPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Returns the application properties that are accessible on the *Advanced Settings* page. To navigate to the *Advanced Settings* page in Jira, choose the Jira icon > **Jira settings** > **System**, **General Configuration** and then click **Advanced Settings** (in the upper right).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-application-properties-advanced-settings-get
  * @param options Request options.
  */
    getAdvancedSettings(options) {
        return getAdvancedSettingsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the attachment settings, that is, whether attachments are enabled and the maximum attachment size allowed.
  
  Note that there are also [project permissions](https://confluence.atlassian.com/x/yodKLg) that restrict whether users can create and delete attachments.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-meta-get
  * @param options Request options.
  */
    getAttachmentSettings(options) {
        return getJiraAttachmentSettingsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the [global settings](https://confluence.atlassian.com/x/qYXKM) in Jira. These settings determine whether optional features (for example, subtasks, time tracking, and others) are enabled. If time tracking is enabled, this operation also returns the time tracking configuration.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-configuration-get
  * @param options Request options.
  */
    getGlobalSettings(options) {
        return getGlobalSettingsFn(this.getBuildOptions(options));
    }
    /**
  * Returns information about the Jira instance.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-serverInfo-get
  * @param options Request options.
  */
    getInfo(options) {
        return getJiraInstanceInfoFn(this.getBuildOptions(options));
    }
    /**
  * Returns licensing information about the Jira instance.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-instance-information/#api-rest-api-3-instance-license-get
  * @param options Request options.
  */
    getLicense(options) {
        return getLicenseFn(this.getBuildOptions(options));
    }
}
class ProjectGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Component = new ProjectComponentGroup(connection, options);
        this.Role = new ProjectRoleGroup(connection, options);
        this.Version = new ProjectVersionGroup(connection, options);
        this.IssueType = new ProjectIssueTypeGroup(connection, options);
        this.Validation = new ProjectValidationGroup(connection, options);
        this.Type = new ProjectTypeGroup(connection, options);
        this.Category = new ProjectCategoryGroup(connection, options);
        this.Notification = new ProjectNotificationGroup(connection, options);
        this.Permission = new ProjectPermissionGroup(connection, options);
        this.Security = new ProjectSecurityGroup(connection, options);
        this.Property = new ProjectPropertyGroup(connection, options);
    }
    /**
  * Creates a project based on a project type template, as shown in the following table:
  
  | Project Type Key | Project Template Key |
  |--|--|
  | `business` | `com.atlassian.jira-core-project-templates:jira-core-simplified-content-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-document-approval`, `com.atlassian.jira-core-project-templates:jira-core-simplified-lead-tracking`, `com.atlassian.jira-core-project-templates:jira-core-simplified-process-control`, `com.atlassian.jira-core-project-templates:jira-core-simplified-procurement`, `com.atlassian.jira-core-project-templates:jira-core-simplified-project-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-recruitment`, `com.atlassian.jira-core-project-templates:jira-core-simplified-task-tracking` |
  | `service_desk` | `com.atlassian.servicedesk:simplified-it-service-management`, `com.atlassian.servicedesk:simplified-general-service-desk`, `com.atlassian.servicedesk:simplified-internal-service-desk`, `com.atlassian.servicedesk:simplified-external-service-desk`, `com.atlassian.servicedesk:simplified-hr-service-desk`, `com.atlassian.servicedesk:simplified-facilities-service-desk`, `com.atlassian.servicedesk:simplified-legal-service-desk` |
  | `software` | `com.pyxis.greenhopper.jira:gh-simplified-agility-kanban`, `com.pyxis.greenhopper.jira:gh-simplified-agility-scrum`, `com.pyxis.greenhopper.jira:gh-simplified-basic`, `com.pyxis.greenhopper.jira:gh-simplified-kanban-classic`, `com.pyxis.greenhopper.jira:gh-simplified-scrum-classic` |
  The project types are available according to the installed Jira features as follows:
  
   *  Jira Core, the default, enables `business` projects.
   *  Jira Service Management enables `service_desk` projects.
   *  Jira Software enables `software` projects.
  
  To determine which features are installed, go to **Jira settings** > **Apps** > **Manage apps** and review the System Apps list. To add Jira Software or Jira Service Management into a JIRA instance, use **Jira settings** > **Apps** > **Finding new apps**. For more information, see [ Managing add-ons](https://confluence.atlassian.com/x/S31NLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-post
  * @param options Request options.
  */
    createProject(options) {
        return createProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of projects visible to the user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Projects are returned only where the user has one of:
  
   *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-search-get
  * @param options Request options.
  */
    getProjects(options) {
        return getProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the [project details](https://confluence.atlassian.com/x/ahLpNw) for a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-get
  * @param options Request options.
  */
    getProject(options) {
        return getProjectFn(this.getBuildOptions(options));
    }
    /**
  * Updates the [project details](https://confluence.atlassian.com/x/ahLpNw) of a project.
  
  All parameters are optional in the body of the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-put
  * @param options Request options.
  */
    updateProject(options) {
        return updateProjectFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a project.
  
  You can't delete a project if it's archived. To delete an archived project, restore the project and then delete it. To restore a project, use the Jira UI.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-delete
  * @param options Request options.
  */
    deleteProject(options) {
        return deleteProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns the valid statuses for a project. The statuses are grouped by issue type, as each project has a set of valid issue types and each issue type has a set of valid statuses.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-statuses-get
  * @param options Request options.
  */
    getStatuses(options) {
        return getStatusesForProjectFn(this.getBuildOptions(options));
    }
}
class ProjectComponentGroup extends BaseGroup {
    /**
  * Creates a component. Use components to provide containers for issues within a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the component is created or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-post
  * @param options Request options.
  */
    createComponent(options) {
        return createProjectComponentFn(this.getBuildOptions(options));
    }
    /**
  * Returns a component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for project containing the component.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-id-get
  * @param options Request options.
  */
    getComponent(options) {
        return getProjectComponentFn(this.getBuildOptions(options));
    }
    /**
  * Updates a component. Any fields included in the request are overwritten. If `leadAccountId` is an empty string ("") the component lead is removed.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-id-put
  * @param options Request options.
  */
    updateComponent(options) {
        return updateProjectComponentFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-id-delete
  * @param options Request options.
  */
    deleteComponent(options) {
        return deleteProjectComponentFn(this.getBuildOptions(options));
    }
    /**
  * Returns the counts of issues assigned to the component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-id-relatedIssueCounts-get
  * @param options Request options.
  */
    getIssueCount(options) {
        return getProjectComponentIssueCountFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all components in a project. See the [Get project components](#api-rest-api-3-project-projectIdOrKey-components-get) resource if you want to get a full list of versions without pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-component-get
  * @param options Request options.
  */
    getComponentsPaginated(options) {
        return getProjectComponentsPaginatedFn(this.getBuildOptions(options));
    }
    /**
  * Returns all components in a project. See the [Get project components paginated](#api-rest-api-3-project-projectIdOrKey-component-get) resource if you want to get a full list of components with pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-components-get
  * @param options Request options.
  */
    getComponents(options) {
        return getProjectComponentsFn(this.getBuildOptions(options));
    }
}
class ProjectRoleGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Actor = new ProjectRoleActorGroup(connection, options);
    }
    /**
  * Returns a list of [project roles](https://confluence.atlassian.com/x/3odKLg) for the project returning the name and self URL for each role.
  
  Note that all project roles are shared with all projects in Jira Cloud. See [Get all project roles](#api-rest-api-3-role-get) for more information.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for any project on the site or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-get
  * @param options Request options.
  */
    getRolesForProject(options) {
        return getProjectRolesForProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns a project role's details and actors associated with the project. The list of actors is sorted by display name.
  
  To check whether a user belongs to a role based on their group memberships, use [Get user](#api-rest-api-3-user-get) with the `groups` expand parameter selected. Then check whether the user keys and groups match with the actors returned for the project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-id-get
  * @param options Request options.
  */
    getRoleForProject(options) {
        return getProjectRoleForProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns all [project roles](https://confluence.atlassian.com/x/3odKLg) and the details for each role. Note that the list of project roles is common to all projects.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-roledetails-get
  * @param options Request options.
  */
    getDetails(options) {
        return getProjectRoleDetailsFn(this.getBuildOptions(options));
    }
    /**
  * Gets a list of all project roles, complete with project role details and default actors.
  
  ### About project roles ###
  
  [Project roles](https://confluence.atlassian.com/x/3odKLg) are a flexible way to to associate users and groups with projects. In Jira Cloud, the list of project roles is shared globally with all projects, but each project can have a different set of actors associated with it (unlike groups, which have the same membership throughout all Jira applications).
  
  Project roles are used in [permission schemes](#api-rest-api-3-permissionscheme-get), [email notification schemes](#api-rest-api-3-notificationscheme-get), [issue security levels](#api-rest-api-3-issuesecurityschemes-get), [comment visibility](#api-rest-api-3-comment-list-post), and workflow conditions.
  
  #### Members and actors ####
  
  In the Jira REST API, a member of a project role is called an *actor*. An *actor* is a group or user associated with a project role.
  
  Actors may be set as [default members](https://confluence.atlassian.com/x/3odKLg#Managingprojectroles-Specifying'defaultmembers'foraprojectrole) of the project role or set at the project level:
  
   *  Default actors: Users and groups that are assigned to the project role for all newly created projects. The default actors can be removed at the project level later if desired.
   *  Actors: Users and groups that are associated with a project role for a project, which may differ from the default actors. This enables you to assign a user to different roles in different projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-get
  * @param options Request options.
  */
    getRoles(options) {
        return getProjectRolesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a new project role with no [default actors](#api-rest-api-3-resolution-get). You can use the [Add default actors to project role](#api-rest-api-3-role-id-actors-post) operation to add default actors to the project role after creating it.
  
  *Note that although a new project role is available to all projects upon creation, any default actors that are associated with the project role are not added to projects that existed prior to the role being created.*<
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-post
  * @param options Request options.
  */
    createRole(options) {
        return createProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Gets the project role details and the default actors associated with the role. The list of default actors is sorted by display name.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-get
  * @param options Request options.
  */
    getRole(options) {
        return getProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Updates the project role's name and description. You must include both a name and a description in the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-put
  * @param options Request options.
  */
    fullyUpdateRole(options) {
        return fullyUpdateProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Updates either the project role's name or its description.
  
  You cannot update both the name and description at the same time using this operation. If you send a request with a name and a description only the name is updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-post
  * @param options Request options.
  */
    partiallyUpdateRole(options) {
        return partiallyUpdateProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a project role. You must specify a replacement project role if you wish to delete a project role that is in use.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-delete
  * @param options Request options.
  */
    deleteRole(options) {
        return deleteProjectRoleFn(this.getBuildOptions(options));
    }
}
class ProjectRoleActorGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Default = new ProjectRoleActorDefaultGroup(connection, options);
    }
    /**
  * Sets the actors for a project role for a project, replacing all existing actors.
  
  To add actors to the project without overwriting the existing list, use [Add actors to project role](#api-rest-api-3-project-projectIdOrKey-role-id-post).
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-id-put
  * @param options Request options.
  */
    setActors(options) {
        return setActorsForProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Adds actors to a project role for the project.
  
  To replace all actors for the project, use [Set actors for project role](#api-rest-api-3-project-projectIdOrKey-role-id-put).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-id-post
  * @param options Request options.
  */
    addActors(options) {
        return addActorsToProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Deletes actors from a project role for the project.
  
  To remove default actors from the project role, use [Delete default actors from project role](#api-rest-api-3-role-id-actors-delete).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-id-delete
  * @param options Request options.
  */
    deleteActors(options) {
        return deleteActorsFromProjectRoleFn(this.getBuildOptions(options));
    }
}
class ProjectRoleActorDefaultGroup extends BaseGroup {
    /**
  * Returns the [default actors](#api-rest-api-3-resolution-get) for the project role.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-actors-get
  * @param options Request options.
  */
    getActors(options) {
        return getDefaultActorsForProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Adds [default actors](#api-rest-api-3-resolution-get) to a role. You may add groups or users, but you cannot add groups and users in the same request.
  
  Changing a project role's default actors does not affect project role members for projects already created.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-actors-post
  * @param options Request options.
  */
    addActors(options) {
        return addDefaultActorsToProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the [default actors](#api-rest-api-3-resolution-get) from a project role. You may delete a group or user, but you cannot delete a group and a user in the same request.
  
  Changing a project role's default actors does not affect project role members for projects already created.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-actors-delete
  * @param options Request options.
  */
    deleteActors(options) {
        return deleteDefaultActorsFromProjectRoleFn(this.getBuildOptions(options));
    }
}
class ProjectVersionGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Count = new ProjectVersionCountGroup(connection, options);
    }
    /**
  * Returns a [paginated](#pagination) list of all versions in a project. See the [Get project versions](#api-rest-api-3-project-projectIdOrKey-versions-get) resource if you want to get a full list of versions without pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-version-get
  * @param options Request options.
  */
    getVersionsPaginated(options) {
        return getProjectVersionsPaginatedFn(this.getBuildOptions(options));
    }
    /**
  * Returns all versions in a project. The response is not paginated. Use [Get project versions paginated](#api-rest-api-3-project-projectIdOrKey-version-get) if you want to get the versions in a project with pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-versions-get
  * @param options Request options.
  */
    getVersions(options) {
        return getProjectVersionsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the version is added to.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-post
  * @param options Request options.
  */
    createVersion(options) {
        return createProjectVersionFn(this.getBuildOptions(options));
    }
    /**
  * Returns a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-get
  * @param options Request options.
  */
    getVersion(options) {
        return getProjectVersionFn(this.getBuildOptions(options));
    }
    /**
  * Updates a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-put
  * @param options Request options.
  */
    updateVersion(options) {
        return updateProjectVersionFn(this.getBuildOptions(options));
    }
    /**
  * Merges two project versions. The merge is completed by deleting the version specified in `id` and replacing any occurrences of its ID in `fixVersion` with the version ID specified in `moveIssuesTo`.
  
  Consider using [ Delete and replace version](#api-rest-api-3-version-id-removeAndSwap-post) instead. This resource supports swapping version values in `fixVersion`, `affectedVersion`, and custom fields.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-mergeto-moveIssuesTo-put
  * @param options Request options.
  */
    mergeVersions(options) {
        return mergeProjectVersionsFn(this.getBuildOptions(options));
    }
    /**
  * Modifies the version's sequence within the project, which affects the display order of the versions in Jira.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-move-post
  * @param options Request options.
  */
    moveVersion(options) {
        return moveProjectVersionFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a project version.
  
  Alternative versions can be provided to update issues that use the deleted version in `fixVersion`, `affectedVersion`, or any version picker custom fields. If alternatives are not provided, occurrences of `fixVersion`, `affectedVersion`, and any version picker custom field, that contain the deleted version, are cleared. Any replacement version must be in the same project as the version being deleted and cannot be the version being deleted.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-removeAndSwap-post
  * @param options Request options.
  */
    deleteAndReplaceVersion(options) {
        return deleteAndReplaceProjectVersionFn(this.getBuildOptions(options));
    }
}
class ProjectVersionCountGroup extends BaseGroup {
    /**
  * Returns the following counts for a version:
  
   *  Number of issues where the `fixVersion` is set to the version.
   *  Number of issues where the `affectedVersion` is set to the version.
   *  Number of issues where a version custom field is set to the version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-relatedIssueCounts-get
  * @param options Request options.
  */
    getRelatedIssueCount(options) {
        return getProjectVersionRelatedIssueCountFn(this.getBuildOptions(options));
    }
    /**
  * Returns counts of the issues and unresolved issues for the project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-unresolvedIssueCount-get
  * @param options Request options.
  */
    getUnresolvedIssueCount(options) {
        return getProjectVersionUnresolvedIssueCountFn(this.getBuildOptions(options));
    }
}
class ProjectIssueTypeGroup extends BaseGroup {
    /**
  * Get the issue type hierarchy for a next-gen project.
  
  The issue type hierarchy for a project consists of:
  
   *  *Epic* at level 1 (optional).
   *  One or more issue types at level 0 such as *Story*, *Task*, or *Bug*. Where the issue type *Epic* is defined, these issue types are used to break down the content of an epic.
   *  *Subtask* at level -1 (optional). This issue type enables level 0 issue types to be broken down into components. Issues based on a level -1 issue type must have a parent issue.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectId-hierarchy-get
  * @param options Request options.
  * @deprecated
  */
    getHierarchy(options) {
        return getProjectIssueTypeHierarchyFn(this.getBuildOptions(options));
    }
}
class ProjectValidationGroup extends BaseGroup {
    /**
  * Validates a project key by confirming the key is a valid string and not in use.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-projectvalidate-key-get
  * @param options Request options.
  */
    validateProjectKey(options) {
        return validateProjectKeyFn(this.getBuildOptions(options));
    }
    /**
  * Validates a project key and, if the key is invalid or in use, generates a valid random string for the project key.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-projectvalidate-validProjectKey-get
  * @param options Request options.
  */
    getValidProjectKey(options) {
        return getValidProjectKeyFn(this.getBuildOptions(options));
    }
    /**
  * Checks that a project name isn't in use. If the name isn't in use, the passed string is returned. If the name is in use, this operation attempts to generate a valid project name based on the one supplied, usually by adding a sequence number. If a valid project name cannot be generated, a 404 response is returned.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-projectvalidate-validProjectName-get
  * @param options Request options.
  */
    getValidProjectName(options) {
        return getValidProjectNameFn(this.getBuildOptions(options));
    }
}
class ProjectTypeGroup extends BaseGroup {
    /**
  * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw), whether or not the instance has a valid license for each type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-get
  * @param options Request options.
  */
    getTypes(options) {
        return getProjectTypesFn(this.getBuildOptions(options));
    }
    /**
     * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw) with a valid license.
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-accessible-get
     * @param options Request options.
     */
    getLicensedTypes(options) {
        return getLicensedProjectTypesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-get
  * @param options Request options.
  */
    getTypeByKey(options) {
        return getProjectTypeByKeyFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw) if it is accessible to the user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-accessible-get
  * @param options Request options.
  */
    getAccessibleTypeByKey(options) {
        return getAccessibleProjectTypeByKeyFn(this.getBuildOptions(options));
    }
}
class ProjectCategoryGroup extends BaseGroup {
    /**
  * Returns all project categories.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-get
  * @param options Request options.
  */
    getCategories(options) {
        return getProjectCategoriesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-post
  * @param options Request options.
  */
    createCategory(options) {
        return createProjectCategoryFn(this.getBuildOptions(options));
    }
    /**
  * Returns a project category.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-get
  * @param options Request options.
  */
    getCategory(options) {
        return getProjectCategoryFn(this.getBuildOptions(options));
    }
    /**
  * Updates a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-put
  * @param options Request options.
  */
    updateCategory(options) {
        return updateProjectCategoryFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-delete
  * @param options Request options.
  */
    deleteCategory(options) {
        return deleteProjectCategoryFn(this.getBuildOptions(options));
    }
}
class ProjectNotificationGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Scheme = new ProjectNotificationSchemeGroup(connection, options);
    }
}
class ProjectNotificationSchemeGroup extends BaseGroup {
    /**
  * Gets a [notification scheme](https://confluence.atlassian.com/x/8YdKLg) associated with the project. See the [Get notification scheme](#api-rest-api-3-notificationscheme-id-get) resource for more information about notification schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectkeyorid-notificationscheme-get
  * @param options Request options.
  */
    getScheme(options) {
        return getProjectNotificationSchemeFn(this.getBuildOptions(options));
    }
}
class ProjectPermissionGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Scheme = new ProjectPermissionSchemeGroup(connection, options);
    }
}
class ProjectPermissionSchemeGroup extends BaseGroup {
    /**
  * Assigns a permission scheme with a project. See [Managing project permissions](https://confluence.atlassian.com/x/yodKLg) for more information about permission schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg)
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-permissionscheme-put
  * @param options Request options.
  */
    assignScheme(options) {
        return assignProjectPermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Gets the [permission scheme](https://confluence.atlassian.com/x/yodKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-permissionscheme-get
  * @param options Request options.
  */
    getScheme(options) {
        return getProjectPermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns all [issue security](https://confluence.atlassian.com/x/J4lKLg) levels for the project that the user has access to.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project, however, issue security levels are only returned for authenticated user with *Set Issue Security* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-securitylevel-get
  * @param options Request options.
  */
    getIssueSecurityLevels(options) {
        return getProjectIssueSecurityLevelsFn(this.getBuildOptions(options));
    }
}
class ProjectSecurityGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Scheme = new ProjectSecuritySchemeGroup(connection, options);
    }
}
class ProjectSecuritySchemeGroup extends BaseGroup {
    /**
  * Returns the [issue security scheme](https://confluence.atlassian.com/x/J4lKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or the *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-issuesecuritylevelscheme-get
  * @param options Request options.
  */
    getIssueScheme(options) {
        return getProjectIssueSecuritySchemeFn(this.getBuildOptions(options));
    }
}
class ProjectPropertyGroup extends BaseGroup {
    /**
  * Returns all [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys for the project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-get
  * @param options Request options.
  */
    getPropertyKeys(options) {
        return getProjectPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the value of a [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-get
  * @param options Request options.
  */
    getProperty(options) {
        return getProjectPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of the [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). You can use project properties to store custom data against the project.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the property is created.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-put
  * @param options Request options.
  */
    setProperty(options) {
        return setProjectPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the [property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) from a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProperty(options) {
        return deleteProjectPropertyFn(this.getBuildOptions(options));
    }
}
class FilterGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Favourite = new FilterFavouriteGroup(connection, options);
        this.Column = new FilterColumnGroup(connection, options);
        this.Share = new FilterShareGroup(connection, options);
    }
    /**
  * Creates a filter. The filter is shared according to the [default share scope](#api-rest-api-3-filter-post). The filter is not selected as a favorite.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-post
  * @param options Request options.
  */
    createFilter(options) {
        return createFilterFn(this.getBuildOptions(options));
    }
    /**
  * Returns the filters owned by the user. If `includeFavourites` is `true`, the user's visible favorite filters are also returned.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, a favorite filters is only visible to the user where the filter is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  
  For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-my-get
  * @param options Request options.
  */
    getMyFilters(options) {
        return getMyFiltersFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of filters. Use this operation to get:
  
   *  specific filters, by defining `id` only.
   *  filters that match all of the specified attributes. For example, all filters for a user with a particular word in their name. When multiple attributes are specified only filters matching all attributes are returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, only the following filters that match the query parameters are returned:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-search-get
  * @param options Request options.
  */
    searchFilters(options) {
        return searchFiltersFn(this.getBuildOptions(options));
    }
    /**
  * Returns a filter.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, the filter is only returned where it is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-get
  * @param options Request options.
  */
    getFilter(options) {
        return getFilterFn(this.getBuildOptions(options));
    }
    /**
  * Updates a filter. Use this operation to update a filter's name, description, JQL, or sharing.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however the user must own the filter.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-put
  * @param options Request options.
  */
    updateFilter(options) {
        return updateFilterFn(this.getBuildOptions(options));
    }
    /**
  * Delete a filter.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however filters can only be deleted by the creator of the filter or a user with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-delete
  * @param options Request options.
  */
    deleteFilter(options) {
        return deleteFilterFn(this.getBuildOptions(options));
    }
}
class FilterFavouriteGroup extends BaseGroup {
    /**
  * Returns the visible favorite filters of the user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** A favorite filter is only visible to the user where the filter is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  
  For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-favourite-get
  * @param options Request options.
  */
    getFilters(options) {
        return getFavouriteFiltersFn(this.getBuildOptions(options));
    }
    /**
  * Add a filter as a favorite for the user.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, the user can only favorite:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-favourite-put
  * @param options Request options.
  */
    addFilter(options) {
        return addFilterAsFavouriteFn(this.getBuildOptions(options));
    }
    /**
  * Removes a filter as a favorite for the user. Note that this operation only removes filters visible to the user from the user's favorites list. For example, if the user favorites a public filter that is subsequently made private (and is therefore no longer visible on their favorites list) they cannot remove it from their favorites list.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-favourite-delete
  * @param options Request options.
  */
    removeFilter(options) {
        return removeFilterAsFavouriteFn(this.getBuildOptions(options));
    }
}
class FilterColumnGroup extends BaseGroup {
    /**
  * Returns the columns configured for a filter. The column configuration is used when the filter's results are viewed in *List View* with the *Columns* set to *Filter*.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, column details are only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-columns-get
  * @param options Request options.
  */
    getColumns(options) {
        return getFilterColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Sets the columns for a filter. Only navigable fields can be set as columns. Use [Get fields](#api-rest-api-3-field-get) to get the list fields in Jira. A navigable field has `navigable` set to `true`.
  
  The parameters for this resource are expressed as HTML form data. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/filter/10000/columns`
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only set for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-columns-put
  * @param options Request options.
  */
    setColumns(options) {
        return setFilterColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Reset the user's column configuration for the filter to the default.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only reset for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-columns-delete
  * @param options Request options.
  */
    resetColumns(options) {
        return resetFilterColumnsFn(this.getBuildOptions(options));
    }
}
class FilterShareGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Permission = new FilterSharePermissionGroup(connection, options);
    }
    /**
  * Returns the default sharing settings for new filters and dashboards for a user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-get
  * @param options Request options.
  */
    getDefaultScope(options) {
        return getFiltersDefaultShareScopeFn(this.getBuildOptions(options));
    }
    /**
  * Sets the default sharing for new filters and dashboards for a user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-put
  * @param options Request options.
  */
    setDefaultScope(options) {
        return setFiltersDefaultShareScopeFn(this.getBuildOptions(options));
    }
}
class FilterSharePermissionGroup extends BaseGroup {
    /**
  * Returns the share permissions for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, share permissions are only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-get
  * @param options Request options.
  */
    getPermissions(options) {
        return getFiltersSharePermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Add a share permissions to a filter. If you add a global share permission (one for all logged-in users or the public) it will overwrite all share permissions for the filter.
  
  Be aware that this operation uses different objects for updating share permissions compared to [Update filter](#api-rest-api-3-filter-id-put).
  
  **[Permissions](#permissions) required:** *Share dashboards and filters* [global permission](https://confluence.atlassian.com/x/x4dKLg) and the user must own the filter.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-post
  * @param options Request options.
  */
    addPermission(options) {
        return addFiltersSharePermissionFn(this.getBuildOptions(options));
    }
    /**
  * Returns a share permission for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, a share permission is only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-get
  * @param options Request options.
  */
    getPermission(options) {
        return getFiltersSharePermissionFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a share permission from a filter.
  
  **[Permissions](#permissions) required:** Permission to access Jira and the user must own the filter.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-delete
  * @param options Request options.
  */
    deletePermission(options) {
        return deleteFiltersSharePermissionFn(this.getBuildOptions(options));
    }
}
class GroupGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.User = new GroupUserGroup(connection, options);
    }
    /**
  * Creates a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-post
  * @param options Request options.
  */
    createGroup(options) {
        return createGroupFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* strategic [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-delete
  * @param options Request options.
  */
    removeGroup(options) {
        return removeGroupFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of groups whose names contain a query string. A list of group names can be provided to exclude groups from the results.
  
  The primary use case for this resource is to populate a group picker suggestions list. To this end, the returned object includes the `html` field where the matched query term is highlighted in the group name with the HTML strong tag. Also, the groups list is wrapped in a response object that contains a header for use in the picker, specifically *Showing X of Y matching groups*.
  
  The list returns with the groups sorted. If no groups match the list criteria, an empty list is returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg). Anonymous calls and calls by users without the required permission return an empty list.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-groups-picker-get
  * @param options Request options.
  */
    findGroups(options) {
        return findGroupsFn(this.getBuildOptions(options));
    }
}
class GroupUserGroup extends BaseGroup {
    /**
  * Returns a [paginated](#pagination) list of all users in a group.
  
  Note that users are ordered by username, however the username is not returned in the results due to privacy reasons.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-member-get
  * @param options Request options.
  */
    getUsers(options) {
        return getUsersFromGroupFn(this.getBuildOptions(options));
    }
    /**
  * Adds a user to a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-user-post
  * @param options Request options.
  */
    addUser(options) {
        return addUserToGroupFn(this.getBuildOptions(options));
    }
    /**
  * Removes a user from a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-user-delete
  * @param options Request options.
  */
    removeUser(options) {
        return removeUserFromGroupFn(this.getBuildOptions(options));
    }
}
class GroupAndUserPickerGroup extends BaseGroup {
    /**
  * Returns a list of users and groups matching a string. The string is used:
  
   *  for users, to find a case-insensitive match with display name and e-mail address. Note that if a user has hidden their email address in their user profile, partial matches of the email address will not find the user. An exact match is required.
   *  for groups, to find a case-sensitive match with group name.
  
  For example, if the string *tin* is used, records with the display name *Tina*, email address *sarah@tinplatetraining.com*, and the group *accounting* would be returned.
  
  Optionally, the search can be refined to:
  
   *  the projects and issue types associated with a custom field, such as a user picker. The search can then be further refined to return only users and groups that have permission to view specific:
      
       *  projects.
       *  issue types.
      
      If multiple projects or issue types are specified, they must be a subset of those enabled for the custom field or no results are returned. For example, if a field is enabled for projects A, B, and C then the search could be limited to projects B and C. However, if the search is limited to projects B and D, nothing is returned.
   *  not return Connect app users and groups.
   *  return groups that have a case-insensitive match with the query.
  
  The primary use case for this resource is to populate a picker field suggestion list with users or groups. To this end, the returned object includes an `html` field for each list. This field highlights the matched query term in the item name with the HTML strong tag. Also, each list is wrapped in a response object that contains a header for use in a picker, specifically *Showing X of Y matching groups*.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/yodKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-groupuserpicker-get
  * @param options Request options.
  */
    findUsersAndGroups(options) {
        return findUsersAndGroupsForPickerFn(this.getBuildOptions(options));
    }
}
class JqlGroup extends BaseGroup {
    /**
  * Parses and validates JQL queries.
  
  Validation is performed in context of the current user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-jql-parse-post
  * @param options Request options.
  */
    parseQuery(options) {
        return parseJqlQueryFn(this.getBuildOptions(options));
    }
    /**
  * Converts one or more JQL queries with user identifiers (username or user key) to equivalent JQL queries with account IDs.
  
  You may wish to use this operation if your system stores JQL queries and you want to make them GDPR-compliant. For more information about GDPR-related changes, see the [migration guide](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/).
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-jql-pdcleaner-post
  * @param options Request options.
  */
    convertUserIdentifiersToAccountIdsInQueries(options) {
        return convertUserIdentifiersToAccountIdsInJqlQueriesFn(this.getBuildOptions(options));
    }
    /**
  * Returns reference data for JQL searches. This is a downloadable version of the documentation provided in [Advanced searching - fields reference](https://confluence.atlassian.com/x/gwORLQ) and [Advanced searching - functions reference](https://confluence.atlassian.com/x/hgORLQ), along with a list of JQL-reserved words. Use this information to assist with the programmatic creation of JQL queries or the validation of queries built in a custom query builder.
  
  To filter visible field details by project or collapse non-unique fields by field type then [Get field reference data (POST)](#api-rest-api-3-jql-autocompletedata-post) can be used.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jql/#api-rest-api-3-jql-autocompletedata-get
  * @param options Request options.
  */
    getReferenceData(options) {
        return getReferenceDataForJqlFn(this.getBuildOptions(options));
    }
}
class LabelGroup extends BaseGroup {
    /**
     * Returns a [paginated](#pagination) list of labels.
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-label-get
     * @param options Request options.
     */
    getLabels(options) {
        return getLabelsFn(this.getBuildOptions(options));
    }
}
class PermissionGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Scheme = new PermissionSchemeGroup(connection, options);
    }
    /**
  * Returns a list of permissions indicating which permissions the user has. Details of the user's permissions can be obtained in a global, project, or issue context.
  
  The user is reported as having a project permission:
  
   *  in the global context, if the user has the project permission in any project.
   *  for a project, where the project permission is determined using issue data, if the user meets the permission's criteria for any issue in the project. Otherwise, if the user has the project permission in the project.
   *  for an issue, where a project permission is determined using issue data, if the user has the permission in the issue. Otherwise, if the user has the project permission in the project containing the issue.
  
  This means that users may be shown as having an issue permission (such as EDIT\_ISSUES) in the global context or a project context but may not have the permission for any or all issues. For example, if Reporters have the EDIT\_ISSUES permission a user would be shown as having this permission in the global context or the context of a project, because any user can be a reporter. However, if they are not the user who reported the issue queried they would not have EDIT\_ISSUES permission for that issue.
  
  Global permissions are unaffected by context.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypermissions-get
  * @param options Request options.
  */
    getMyPermissions(options) {
        return getMyPermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns all permissions, including:
  
   *  global permissions.
   *  project permissions.
   *  global permissions added by plugins.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-permissions-get
  * @param options Request options.
  */
    getPermissions(options) {
        return getPermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns:
  
   *  for a list of global permissions, the global permissions granted to a user.
   *  for a list of project permissions and lists of projects and issues, for each project permission a list of the projects and issues a user can access or manipulate.
  
  If no account ID is provided, the operation returns details for the logged in user.
  
  Note that:
  
   *  Invalid project and issue IDs are ignored.
   *  A maximum of 1000 projects and 1000 issues can be checked.
   *  Null values in `globalPermissions`, `projectPermissions`, `projectPermissions.projects`, and `projectPermissions.issues` are ignored.
   *  Empty strings in `projectPermissions.permissions` are ignored.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to check the permissions for other users, otherwise none. However, Connect apps can make a call from the app server to the product to obtain permission details for any user, without admin permission. This Connect app ability doesn't apply to calls made using AP.request() in a browser.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-permissions-check-post
  * @param options Request options.
  */
    getBulkPermissions(options) {
        return getBulkPermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns all the projects where the user is granted a list of project permissions.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-permissions-project-post
  * @param options Request options.
  */
    getPermittedProjects(options) {
        return getPermittedProjectsFn(this.getBuildOptions(options));
    }
}
class PermissionSchemeGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Grant = new PermissionSchemeGrantGroup(connection, options);
    }
    /**
  * Returns all permission schemes.
  
  ### About permission schemes and grants ###
  
  A permission scheme is a collection of permission grants. A permission grant consists of a `holder` and a `permission`.
  
  #### Holder object ####
  
  The `holder` object contains information about the user or group being granted the permission. For example, the *Administer projects* permission is granted to a group named *Teams in space administrators*. In this case, the type is `"type": "group"`, and the parameter is the group name, `"parameter": "Teams in space administrators"`. The `holder` object is defined by the following properties:
  
   *  `type` Identifies the user or group (see the list of types below).
   *  `parameter` The value of this property depends on the `type`. For example, if the `type` is a group, then you need to specify the group name.
  
  The following `types` are available. The expected values for the `parameter` are given in parenthesis (some `types` may not have a `parameter`):
  
   *  `anyone` Grant for anonymous users.
   *  `applicationRole` Grant for users with access to the specified application (application name). See [Update product access settings](https://confluence.atlassian.com/x/3YxjL) for more information.
   *  `assignee` Grant for the user currently assigned to an issue.
   *  `group` Grant for the specified group (group name).
   *  `groupCustomField` Grant for a user in the group selected in the specified custom field (custom field ID).
   *  `projectLead` Grant for a project lead.
   *  `projectRole` Grant for the specified project role (project role ID).
   *  `reporter` Grant for the user who reported the issue.
   *  `sd.customer.portal.only` Jira Service Desk only. Grants customers permission to access the customer portal but not Jira. See [Customizing Jira Service Desk permissions](https://confluence.atlassian.com/x/24dKLg) for more information.
   *  `user` Grant for the specified user (user ID - historically this was the userkey but that is deprecated and the account ID should be used).
   *  `userCustomField` Grant for a user selected in the specified custom field (custom field ID).
  
  #### Built-in permissions ####
  
  The [built-in Jira permissions](https://confluence.atlassian.com/x/yodKLg) are listed below. Apps can also define custom permissions. See the [project permission](https://developer.atlassian.com/cloud/jira/platform/modules/project-permission/) and [global permission](https://developer.atlassian.com/cloud/jira/platform/modules/global-permission/) module documentation for more information.
  
  **Project permissions**
  
   *  `ADMINISTER_PROJECTS`
   *  `BROWSE_PROJECTS`
   *  `MANAGE_SPRINTS_PERMISSION` (Jira Software only)
   *  `SERVICEDESK_AGENT` (Jira Service Desk only)
   *  `VIEW_DEV_TOOLS` (Jira Software only)
   *  `VIEW_READONLY_WORKFLOW`
  
  **Issue permissions**
  
   *  `ASSIGNABLE_USER`
   *  `ASSIGN_ISSUES`
   *  `CLOSE_ISSUES`
   *  `CREATE_ISSUES`
   *  `DELETE_ISSUES`
   *  `EDIT_ISSUES`
   *  `LINK_ISSUES`
   *  `MODIFY_REPORTER`
   *  `MOVE_ISSUES`
   *  `RESOLVE_ISSUES`
   *  `SCHEDULE_ISSUES`
   *  `SET_ISSUE_SECURITY`
   *  `TRANSITION_ISSUES`
  
  **Voters and watchers permissions**
  
   *  `MANAGE_WATCHERS`
   *  `VIEW_VOTERS_AND_WATCHERS`
  
  **Comments permissions**
  
   *  `ADD_COMMENTS`
   *  `DELETE_ALL_COMMENTS`
   *  `DELETE_OWN_COMMENTS`
   *  `EDIT_ALL_COMMENTS`
   *  `EDIT_OWN_COMMENTS`
  
  **Attachments permissions**
  
   *  `CREATE_ATTACHMENTS`
   *  `DELETE_ALL_ATTACHMENTS`
   *  `DELETE_OWN_ATTACHMENTS`
  
  **Time tracking permissions**
  
   *  `DELETE_ALL_WORKLOGS`
   *  `DELETE_OWN_WORKLOGS`
   *  `EDIT_ALL_WORKLOGS`
   *  `EDIT_OWN_WORKLOGS`
   *  `WORK_ON_ISSUES`
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-get
  * @param options Request options.
  */
    getSchemes(options) {
        return getPermissionSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a new permission scheme. You can create a permission scheme with or without defining a set of permission grants.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-post
  * @param options Request options.
  */
    createScheme(options) {
        return createPermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a permission scheme.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-get
  * @param options Request options.
  */
    getScheme(options) {
        return getPermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates a permission scheme. Below are some important things to note when using this resource:
  
   *  If a permissions list is present in the request, then it is set in the permission scheme, overwriting *all existing* grants.
   *  If you want to update only the name and description, then do not send a permissions list in the request.
   *  Sending an empty list will remove all permission grants from the permission scheme.
  
  If you want to add or delete a permission grant instead of updating the whole list, see [Create permission grant](#api-rest-api-3-permissionscheme-schemeId-permission-post) or [Delete permission scheme entity](#api-rest-api-3-permissionscheme-schemeId-permission-permissionId-delete).
  
  See [About permission schemes and grants](#about-permission-schemes) for more details.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-put
  * @param options Request options.
  */
    updateScheme(options) {
        return updatePermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a permission scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-delete
  * @param options Request options.
  */
    deleteScheme(options) {
        return deletePermissionSchemeFn(this.getBuildOptions(options));
    }
}
class PermissionSchemeGrantGroup extends BaseGroup {
    /**
  * Returns all permission grants for a permission scheme.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-get
  * @param options Request options.
  */
    getGrants(options) {
        return getPermissionSchemeGrantsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a permission grant in a permission scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-post
  * @param options Request options.
  */
    createGrant(options) {
        return createPermissionSchemeGrantFn(this.getBuildOptions(options));
    }
    /**
  * Returns a permission grant.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-permissionid-get
  * @param options Request options.
  */
    getGrant(options) {
        return getPermissionSchemeGrantFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a permission grant from a permission scheme. See [About permission schemes and grants](../api-group-permission-schemes/#about-permission-schemes-and-grants) for more details.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-permissionid-delete
  * @param options Request options.
  */
    deleteGrant(options) {
        return deletePermissionSchemeGrantFn(this.getBuildOptions(options));
    }
}
class MyselfGroup extends BaseGroup {
    /**
  * Returns the value of a preference of the current user.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default this is not set and the user takes the locale of the instance.
   *  *jira.user.timezone* The time zone of the user. By default this is not set and the user takes the timezone of the instance.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypreferences-get
  * @param options Request options.
  */
    getPreference(options) {
        return getMyPreferenceFn(this.getBuildOptions(options));
    }
    /**
  * Creates a preference for the user or updates a preference's value by sending a plain text string. For example, `false`. An arbitrary preference can be created with the value containing up to 255 characters. In addition, the following keys define system preferences that can be set or created:
  
   *  *user.notifications.mimetype* The mime type used in notifications sent to the user. Defaults to `html`.
   *  *user.notify.own.changes* Whether the user gets notified of their own changes. Defaults to `false`.
   *  *user.default.share.private* Whether new [ filters](https://confluence.atlassian.com/x/eQiiLQ) are set to private. Defaults to `true`.
   *  *user.keyboard.shortcuts.disabled* Whether keyboard shortcuts are disabled. Defaults to `false`.
   *  *user.autowatch.disabled* Whether the user automatically watches issues they create or add a comment to. By default, not set: the user takes the instance autowatch setting.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
   *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypreferences-put
  * @param options Request options.
  */
    setPreference(options) {
        return setMyPreferenceFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a preference of the user, which restores the default value of system defined settings.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
   *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypreferences-delete
  * @param options Request options.
  */
    deletePreference(options) {
        return deleteMyPreferenceFn(this.getBuildOptions(options));
    }
    /**
  * Returns the locale for the user.
  
  If the user has no language preference set (which is the default setting) or this resource is accessed anonymous, the browser locale detected by Jira is returned. Jira detects the browser locale using the *Accept-Language* header in the request. However, if this doesn't match a locale available Jira, the site default locale is returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypreferences-locale-get
  * @param options Request options.
  */
    getLocale(options) {
        return getMyLocaleFn(this.getBuildOptions(options));
    }
    /**
  * Returns details for the current user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-myself-get
  * @param options Request options.
  */
    getCurrentUser(options) {
        return getCurrentUserFn(this.getBuildOptions(options));
    }
}
class WorkflowGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Status = new WorkflowStatusGroup(connection, options);
        this.Scheme = new WorkflowSchemeGroup(connection, options);
        this.Transition = new WorkflowTransitionGroup(connection, options);
    }
    /**
  * Returns a [paginated](#pagination) list of published classic workflows. When workflow names are specified, details of those workflows are returned. Otherwise, all published classic workflows are returned.
  
  This operation does not return next-gen workflows.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-search-get
  * @param options Request options.
  */
    getWorkflows(options) {
        return getWorkflowsFn(this.getBuildOptions(options));
    }
}
class WorkflowStatusGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Category = new WorkflowStatusCategoryGroup(connection, options);
    }
    /**
  * Returns a list of all statuses associated with workflows.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-status-get
  * @param options Request options.
  */
    getStatuses(options) {
        return getWorkflowStatusesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a status. The status must be associated with a workflow to be returned.
  
  If a name is used on more than one status, only the status found first is returned. Therefore, identifying the status by its ID may be preferable.
  
  This operation can be accessed anonymously.
  
  [Permissions](#permissions) required: None.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-status-idOrName-get
  * @param options Request options.
  */
    getStatus(options) {
        return getWorkflowStatusFn(this.getBuildOptions(options));
    }
}
class WorkflowStatusCategoryGroup extends BaseGroup {
    /**
  * Returns a list of all status categories.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-get
  * @param options Request options.
  */
    getCategories(options) {
        return getWorkflowStatusCategoriesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a status category. Status categories provided a mechanism for categorizing [statuses](#api-rest-api-3-status-idOrName-get).
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-idorkey-get
  * @param options Request options.
  */
    getCategory(options) {
        return getWorkflowStatusCategoryFn(this.getBuildOptions(options));
    }
}
class WorkflowSchemeGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Project = new WorkflowSchemeProjectGroup(connection, options);
    }
    /**
  * Returns a [paginated](#pagination) list of all workflow schemes, not including draft workflow schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-workflowscheme-get
  * @param options Request options.
  */
    getSchemes(options) {
        return getWorkflowSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-post
  * @param options Request options.
  */
    createScheme(options) {
        return createWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-get
  * @param options Request options.
  */
    getScheme(options) {
        return getWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates a workflow scheme, including the name, default workflow, issue type to project mappings, and more. If the workflow scheme is active (that is, being used by at least one project), then a draft workflow scheme is created or updated instead, provided that `updateDraftIfNeeded` is set to `true`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-put
  * @param options Request options.
  */
    updateScheme(options) {
        return updateWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a workflow scheme. Note that a workflow scheme cannot be deleted if it is active (that is, being used by at least one project).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-delete
  * @param options Request options.
  */
    deleteScheme(options) {
        return deleteWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns the issue type-workflow mapping for an issue type in a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-get
  * @param options Request options.
  */
    getWorkflowForIssueType(options) {
        return getWorkflowForIssueTypeInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Sets the workflow for an issue type in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new issue type-workflow mapping. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-put
  * @param options Request options.
  */
    setWorkflowForIssueType(options) {
        return setWorkflowForIssueTypeInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the issue type-workflow mapping for an issue type in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the issue type-workflow mapping deleted. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-delete
  * @param options Request options.
  */
    deleteWorkflowForIssueType(options) {
        return deleteWorkflowForIssueTypeInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns the workflow-issue type mappings for a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-get
  * @param options Request options.
  */
    getIssueTypesForWorkflow(options) {
        return getIssueTypesForWorkflowInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Sets the issue types for a workflow in a workflow scheme. The workflow can also be set as the default workflow for the workflow scheme. Unmapped issues types are mapped to the default workflow.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new workflow-issue types mappings. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-put
  * @param options Request options.
  */
    setIssueTypesForWorkflow(options) {
        return setIssueTypesForWorkflowInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the workflow-issue type mapping for a workflow in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the workflow-issue type mapping deleted. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-delete
  * @param options Request options.
  */
    deleteIssueTypesForWorkflow(options) {
        return deleteIssueTypesForWorkflowInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns the default workflow for a workflow scheme. The default workflow is the workflow that is assigned any issue types that have not been mapped to any other workflow. The default workflow has *All Unassigned Issue Types* listed in its issue types for the workflow scheme in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-get
  * @param options Request options.
  */
    getDefaultWorkflow(options) {
        return getDefaultWorkflowForWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Sets the default workflow for a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request object and a draft workflow scheme is created or updated with the new default workflow. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-put
  * @param options Request options.
  */
    updateDefaultWorkflow(options) {
        return updateDefaultWorkflowForWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Resets the default workflow for a workflow scheme. That is, the default workflow is set to Jira's system workflow (the *jira* workflow).
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the default workflow reset. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-delete
  * @param options Request options.
  */
    deleteDefaultWorkflow(options) {
        return deleteDefaultWorkflowForWorkflowSchemeFn(this.getBuildOptions(options));
    }
}
class WorkflowSchemeProjectGroup extends BaseGroup {
    /**
  * Returns a list of the workflow schemes associated with a list of projects. Each returned workflow scheme includes a list of the requested projects associated with it. Any team-managed or non-existent projects in the request are ignored and no errors are returned.
  
  If the project is associated with the `Default Workflow Scheme` no ID is returned. This is because the way the `Default Workflow Scheme` is stored means it has no ID.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-scheme-project-associations/#api-rest-api-3-workflowscheme-project-get
  * @param options Request options.
  */
    getProjectAssociations(options) {
        return getWorkflowSchemeProjectAssociationsFn(this.getBuildOptions(options));
    }
    /**
  * Assigns a workflow scheme to a project. This operation is performed only when there are no issues in the project.
  
  Workflow schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-scheme-project-associations/#api-rest-api-3-workflowscheme-project-put
  * @param options Request options.
  */
    assignWorkflow(options) {
        return assignWorkflowSchemeToProjectFn(this.getBuildOptions(options));
    }
}
class WorkflowTransitionGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Property = new WorkflowTransitionPropertyGroup(connection, options);
    }
}
class WorkflowTransitionPropertyGroup extends BaseGroup {
    /**
  * Updates a workflow transition by changing the property value. Trying to update a property that does not exist results in a new property being added to the transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-put
  * @param options Request options.
  */
    updateProperty(options) {
        return updateWorkflowTransitionPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Adds a property to a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-post
  * @param options Request options.
  */
    createProperty(options) {
        return createWorkflowTransitionPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a property from a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-delete
  * @param options Request options.
  */
    deleteProperty(options) {
        return deleteWorkflowTransitionPropertyFn(this.getBuildOptions(options));
    }
}
class ScreenGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Scheme = new ScreenSchemeGroup(connection, options);
        this.Tab = new ScreenTabGroup(connection, options);
    }
    /**
  * Returns a [paginated](#pagination) list of the screens a field is used in.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-field-fieldid-screens-get
  * @param options Request options.
  */
    getScreensForField(options) {
        return getScreensForFieldFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all screens or those specified by one or more screen IDs.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-get
  * @param options Request options.
  */
    getScreens(options) {
        return getScreensFn(this.getBuildOptions(options));
    }
    /**
  * Creates a screen with a default field tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-post
  * @param options Request options.
  */
    createScreen(options) {
        return createScreenFn(this.getBuildOptions(options));
    }
    /**
  * Adds a field to the default tab of the default screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-addtodefault-fieldid-post
  * @param options Request options.
  */
    addFieldToDefaultScreen(options) {
        return addFieldToDefaultScreenFn(this.getBuildOptions(options));
    }
    /**
  * Returns the fields that can be added to a tab on a screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-availablefields-get
  * @param options Request options.
  */
    getAvailableScreenFields(options) {
        return getAvailableScreenFieldsFn(this.getBuildOptions(options));
    }
    /**
  * Updates a screen. Only screens used in classic projects can be updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-put
  * @param options Request options.
  */
    updateScreen(options) {
        return updateScreenFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a screen. A screen cannot be deleted if it is used in a screen scheme, workflow, or workflow draft.
  
  Only screens used in classic projects can be deleted.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-delete
  * @param options Request options.
  */
    deleteScreen(options) {
        return deleteScreenFn(this.getBuildOptions(options));
    }
}
class ScreenSchemeGroup extends BaseGroup {
    /**
  * Returns a [paginated](#pagination) list of screen schemes.
  
  Only screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-screenscheme-get
  * @param options Request options.
  */
    getSchemes(options) {
        return getScreenSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-post
  * @param options Request options.
  */
    createScheme(options) {
        return createScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates a screen scheme. Only screen schemes used in classic projects can be updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-screenschemeid-put
  * @param options Request options.
  */
    updateScheme(options) {
        return updateScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a screen scheme. A screen scheme cannot be deleted if it is used in an issue type screen scheme.
  
  Only screens schemes used in classic projects can be deleted.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-screenschemeid-delete
  * @param options Request options.
  */
    deleteScheme(options) {
        return deleteScreenSchemeFn(this.getBuildOptions(options));
    }
}
class ScreenTabGroup extends BaseGroup {
    constructor(connection, options) {
        super(connection, options);
        this.Field = new ScreenTabFieldGroup(connection, options);
    }
    /**
  * Returns the list of tabs for a screen.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-get
  * @param options Request options.
  */
    getTabs(options) {
        return getScreenTabsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a tab for a screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-post
  * @param options Request options.
  */
    createTab(options) {
        return createScreenTabFn(this.getBuildOptions(options));
    }
    /**
  * Updates the name of a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-put
  * @param options Request options.
  */
    updateTab(options) {
        return updateScreenTabFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-delete
  * @param options Request options.
  */
    deleteTab(options) {
        return deleteScreenTabFn(this.getBuildOptions(options));
    }
    /**
  * Moves a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-move-pos-post
  * @param options Request options.
  */
    moveTab(options) {
        return moveScreenTabFn(this.getBuildOptions(options));
    }
}
class ScreenTabFieldGroup extends BaseGroup {
    /**
  * Returns all fields for a screen tab.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-get
  * @param options Request options.
  */
    getFields(options) {
        return getScreenTabFieldsFn(this.getBuildOptions(options));
    }
    /**
  * Adds a field to a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-post
  * @param options Request options.
  */
    addField(options) {
        return addScreenTabFieldFn(this.getBuildOptions(options));
    }
    /**
  * Removes a field from a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-id-delete
  * @param options Request options.
  */
    removeField(options) {
        return removeScreenTabFieldFn(this.getBuildOptions(options));
    }
    /**
  * Moves a screen tab field.
  
  If `after` and `position` are provided in the request, `position` is ignored.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-id-move-post
  * @param options Request options.
  */
    moveField(options) {
        return moveScreenTabFieldFn(this.getBuildOptions(options));
    }
}
class AvatarGroup extends BaseGroup {
    /**
  * Returns the system and custom avatars for a project or issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  for custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
   *  for custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
   *  for system avatars, none.
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-entityid-get
  * @param options Request options.
  */
    getAvatars(options) {
        return getAvatarsFn(this.getBuildOptions(options));
    }
    /**
  * Loads a custom avatar for a project or issue type.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST `
  
  `--user email@example.com:<api_token> `
  
  `--header 'X-Atlassian-Token: no-check' `
  
  `--header 'Content-Type: image/< image_type>' `
  
  `--data-binary "<@/path/to/file/with/your/avatar>" `
  
  `--url 'https://your-domain.atlassian.net/rest/api/3/universal_avatar/type/{type}/owner/{entityId}'`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar use:
  
   *  [Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
   *  [Set project avatar](#api-rest-api-3-project-projectIdOrKey-avatar-put) to set it as the project's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-entityid-post
  * @param options Request options.
  */
    loadAvatar(options) {
        return loadAvatarFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an avatar from a project or issue type.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-owningobjectid-avatar-id-delete
  * @param options Request options.
  */
    deleteAvatar(options) {
        return deleteAvatarFn(this.getBuildOptions(options));
    }
}
class AllGroup extends BaseGroup {
    constructor(connection, options, issueHelper) {
        super(connection, options);
        this.issueHelper = issueHelper;
    }
    /**
  * Creates an issue or, where the option to create subtasks is enabled in Jira, a subtask. A transition may be applied, to move the issue or subtask to a workflow step other than the default start step, and issue properties set.
  
  The content of the issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issue's create screen. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Creating a subtask differs from creating an issue as follows:
  
   *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
   *  `parent` must contain the ID or key of the parent issue.
  
  In a next-gen project any issue may be made a child providing that the parent and child are members of the same project. In a classic project the parent field is only valid for subtasks.
  
  **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which the issue or subtask is created.
  * Recommended usage: Issue.createIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-post
  * @param options Request options.
  */
    createIssue(options) {
        return createIssueFn(this.getBuildOptions(injectBuilderForCreateIssueFunction(options, this.connection, this.options)));
    }
    /**
  * Creates issues and, where the option to create subtasks is enabled in Jira, subtasks. Transitions may be applied, to move the issues or subtasks to a workflow step other than the default start step, and issue properties set.
  
  The content of each issue or subtask is defined using `update` and `fields`. The fields that can be set in the issue or subtask are determined using the [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get). These are the same fields that appear on the issues' create screens. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Creating a subtask differs from creating an issue as follows:
  
   *  `issueType` must be set to a subtask issue type (use [ Get create issue metadata](#api-rest-api-3-issue-createmeta-get) to find subtask issue types).
   *  `parent` the must contain the ID or key of the parent issue.
  
  **[Permissions](#permissions) required:** *Browse projects* and *Create issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project in which each issue or subtask is created.
  * Recommended usage: Issue.createIssues
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-bulk-post
  * @param options Request options.
  */
    createIssues(options) {
        return createIssuesFn(this.getBuildOptions(options));
    }
    /**
  * Returns the details for an issue.
  
  The issue is identified by its ID or key, however, if the identifier doesn't match an issue, a case-insensitive search and check for moved issues is performed. If a matching issue is found its details are returned, a 302 or other redirect is **not** returned. The issue key returned in the response is the key of the issue found.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.getIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-get
  * @param options Request options.
  */
    getIssue(options) {
        return getIssueFn(this.getBuildOptions(options)).then(issue => {
            if (issue.id && issue.key && issue.fields) {
                issue.getCustomFields = () => this.issueHelper.getCustomFieldReader(issue);
            }
            return Promise.resolve(issue);
        });
    }
    /**
  * Edits an issue. A transition may be applied and issue properties updated as part of the edit.
  
  The edits to the issue's fields are defined using `update` and `fields`. The fields that can be edited are determined using [ Get edit issue metadata](#api-rest-api-3-issue-issueIdOrKey-editmeta-get).
  
  The parent field may be set by key or ID. For standard issue types, the parent may be removed by setting `update.parent.set.none` to *true*. Note that the `description`, `environment`, and any `textarea` type custom fields (multi-line text fields) take Atlassian Document Format content. Single line custom fields (`textfield`) accept a string and don't handle Atlassian Document Format content.
  
  Connect app users with admin permissions (from user permissions and app scopes) can override the screen security configuration using `overrideScreenSecurity` and `overrideEditableFlag`.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.editIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-put
  * @param options Request options.
  */
    editIssue(options) {
        return editIssueFn(this.getBuildOptions(injectBuilderForEditIssueFunction(options, this.connection, this.options)));
    }
    /**
  * Deletes an issue.
  
  An issue cannot be deleted if it has one or more subtasks. To delete an issue with subtasks, set `deleteSubtasks`. This causes the issue's subtasks to be deleted with the issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Delete issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.deleteIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-delete
  * @param options Request options.
  */
    deleteIssue(options) {
        return deleteIssueFn(this.getBuildOptions(options));
    }
    /**
  * Assigns an issue to a user. Use this operation when the calling user does not have the *Edit Issues* permission but has the *Assign issue* permission for the project that the issue is in.
  
  If `name` or `accountId` is set to:
  
   *  `"-1"`, the issue is assigned to the default assignee for the project.
   *  `null`, the issue is set to unassigned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* and *Assign Issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.assignIssue
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-assignee-put
  * @param options Request options.
  */
    assignIssue(options) {
        return assignIssueFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all changelogs for an issue sorted by date, starting from the oldest.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.getChangeLogs
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-changelog-get
  * @param options Request options.
  */
    getIssueChangeLogs(options) {
        return getIssueChangeLogsFn(this.getBuildOptions(options));
    }
    /**
  * Returns changelogs for an issue specified by a list of changelog IDs.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.getChangeLogsById
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-changelog-list-post
  * @param options Request options.
  */
    getIssueChangeLogsById(options) {
        return getIssueChangeLogsByIdFn(this.getBuildOptions(options));
    }
    /**
  * Creates an email notification for an issue and adds it to the mail queue.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.sendNotification
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-notify-post
  * @param options Request options.
  */
    sendNotificationForIssue(options) {
        return sendNotificationForIssueFn(this.getBuildOptions(options));
    }
    /**
  * Returns all issue types.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issue types are only returned as follows:
  
   *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), all issue types are returned.
   *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for one or more projects, the issue types associated with the projects the user has permission to browse are returned.
  * Recommended usage: Issue.Type.getTypesForUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-get
  * @param options Request options.
  */
    getIssueTypesForUser(options) {
        return getIssueTypesForUserFn(this.getBuildOptions(options));
    }
    /**
  * Creates an issue type and adds it to the default issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.createType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-post
  * @param options Request options.
  */
    createIssueType(options) {
        return createIssueTypeFn(this.getBuildOptions(options));
    }
    /**
  * Returns issue types for a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in the relevant project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.getTypesForProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-project-get
  * @param options Request options.
  */
    getIssueTypesForProject(options) {
        return getIssueTypesForProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) in a project the issue type is associated with or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.getType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-get
  * @param options Request options.
  */
    getIssueType(options) {
        return getIssueTypeFn(this.getBuildOptions(options));
    }
    /**
  * Updates the issue type.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.updateType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-put
  * @param options Request options.
  */
    updateIssueType(options) {
        return updateIssueTypeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the issue type. If the issue type is in use, all uses are updated with the alternative issue type (`alternativeIssueTypeId`). A list of alternative issue types are obtained from the [Get alternative issue types](#api-rest-api-3-issuetype-id-alternatives-get) resource.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.deleteType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-delete
  * @param options Request options.
  */
    deleteIssueType(options) {
        return deleteIssueTypeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of issue types that can be used to replace the issue type. The alternative issue types are those assigned to the same workflow scheme, field configuration scheme, and screen scheme.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Issue.Type.getAlternativeTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-alternatives-get
  * @param options Request options.
  */
    getAlternativeIssueTypes(options) {
        return getAlternativeIssueTypesFn(this.getBuildOptions(options));
    }
    /**
  * Loads an avatar for the issue type.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST \ --user email@example.com:<api_token> \ --header 'X-Atlassian-Token: no-check' \ --header 'Content-Type: image/< image_type>' \ --data-binary "<@/path/to/file/with/your/avatar>" \ --url 'https://your-domain.atlassian.net/rest/api/3/issuetype/{issueTypeId}'This`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar, use [ Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.loadTypeAvatar
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetype-id-avatar2-post
  * @param options Request options.
  */
    loadIssueTypeAvatar(options) {
        return loadIssueTypeAvatarFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of projects associated with an issue type screen scheme.
  
  Only company-managed projects associated with an issue type screen scheme are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.getProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-project-get
  * @param options Request options.
  */
    getIssueTypeScreenSchemeProjects(options) {
        return getIssueTypeScreenSchemeProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type screen schemes.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescreenscheme-get
  * @param options Request options.
  */
    getIssueTypeScreenSchemes(options) {
        return getIssueTypeScreenSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-post
  * @param options Request options.
  */
    createIssueTypeScreenScheme(options) {
        return createIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type screen scheme items.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.getSchemeItems
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescreenscheme-mapping-get
  * @param options Request options.
  */
    getIssueTypeScreenSchemeItems(options) {
        return getIssueTypeScreenSchemeItemsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type screen schemes and, for each issue type screen scheme, a list of the projects that use it.
  
  Only issue type screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.getSchemesForProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescreenscheme-project-get
  * @param options Request options.
  */
    getIssueTypeScreenSchemesForProjects(options) {
        return getIssueTypeScreenSchemesForProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Assigns an issue type screen scheme to a project.
  
  Issue type screen schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.assignSchemeToProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-project-put
  * @param options Request options.
  */
    assignIssueTypeScreenSchemeToProject(options) {
        return assignIssueTypeScreenSchemeToProjectFn(this.getBuildOptions(options));
    }
    /**
  * Updates an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-put
  * @param options Request options.
  */
    updateIssueTypeScreenScheme(options) {
        return updateIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-delete
  * @param options Request options.
  */
    deleteIssueTypeScreenScheme(options) {
        return deleteIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Appends issue type to screen scheme mappings to an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.appendMappings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-put
  * @param options Request options.
  */
    appendMappingsToIssueTypeScreenScheme(options) {
        return appendMappingsToIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates the default screen scheme of an issue type screen scheme. The default screen scheme is used for all unmapped issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.updateDefaultScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-default-put
  * @param options Request options.
  */
    updateDefaultIssueTypeScreenScheme(options) {
        return updateDefaultIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Removes issue type to screen scheme mappings from an issue type screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Screen.Scheme.removeMappings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-mapping-remove-post
  * @param options Request options.
  */
    removeMappingsFromIssueTypeScreenScheme(options) {
        return removeMappingsFromIssueTypeScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns all the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys of the issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the property keys of any issue type.
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the property keys of any issue types associated with the projects the user has permission to browse.
  * Recommended usage: Issue.Type.Property.getPropertyKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-get
  * @param options Request options.
  */
    getIssueTypePropertyKeys(options) {
        return getIssueTypePropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the key and value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to get the details of any issue type.
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) to get the details of any issue types associated with the projects the user has permission to browse.
  * Recommended usage: Issue.Type.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-get
  * @param options Request options.
  */
    getIssueTypeProperty(options) {
        return getIssueTypePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Creates or updates the value of the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). Use this resource to store and update data against an issue type.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-put
  * @param options Request options.
  */
    setIssueTypeProperty(options) {
        return setIssueTypePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the [issue type property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteIssueTypeProperty(options) {
        return deleteIssueTypePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type schemes.
  
  Only issue type schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescheme-get
  * @param options Request options.
  */
    getIssueTypeSchemes(options) {
        return getIssueTypeSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-post
  * @param options Request options.
  */
    createIssueTypeScheme(options) {
        return createIssueTypeSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type scheme items.
  
  Only issue type scheme items used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.getSchemeItems
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescheme-mapping-get
  * @param options Request options.
  */
    getIssueTypeSchemeItems(options) {
        return getIssueTypeSchemeItemsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of issue type schemes and, for each issue type scheme, a list of the projects that use it.
  
  Only issue type schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.getSchemesForProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuetypescheme-project-get
  * @param options Request options.
  */
    getIssueTypeSchemesForProjects(options) {
        return getIssueTypeSchemesForProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Assigns an issue type scheme to a project.
  
  If any issues in the project are assigned issue types not present in the new scheme, the operation will fail. To complete the assignment those issues must be updated to use issue types in the new scheme.
  
  Issue type schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.assignToProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-project-put
  * @param options Request options.
  */
    assignIssueTypeSchemeToProject(options) {
        return assignIssueTypeSchemeToProjectFn(this.getBuildOptions(options));
    }
    /**
  * Adds issue types to an issue type scheme.
  
  The added issue types are appended to the issue types list.
  
  If any of the issue types exist in the issue type scheme, the operation fails and no issue types are added.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.addIssueTypesToScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-put
  * @param options Request options.
  */
    addIssueTypesToIssueTypeScheme(options) {
        return addIssueTypesToIssueTypeSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-put
  * @param options Request options.
  */
    updateIssueTypeScheme(options) {
        return updateIssueTypeSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue type scheme.
  
  Only issue type schemes used in classic projects can be deleted.
  
  Any projects assigned to the scheme are reassigned to the default issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-delete
  * @param options Request options.
  */
    deleteIssueTypeScheme(options) {
        return deleteIssueTypeSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Changes the order of issue types in an issue type scheme.
  
  The request body parameters must meet the following requirements:
  
   *  all of the issue types must belong to the issue type scheme.
   *  either `after` or `position` must be provided.
   *  the issue type in `after` must not be in the issue type list.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.changeIssueTypesOrder
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-move-put
  * @param options Request options.
  */
    changeIssueTypeSchemeIssueTypesOrder(options) {
        return changeIssueTypeSchemeIssueTypesOrderFn(this.getBuildOptions(options));
    }
    /**
  * Removes an issue type from an issue type scheme.
  
  This operation cannot remove:
  
   *  any issue type used by issues.
   *  any issue types from the default issue type scheme.
   *  the last standard issue type from an issue type scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Type.Scheme.removeIssueTypesFromScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-schemes/#api-rest-api-3-issuetypescheme-issuetypeschemeid-issuetype-issuetypeid-delete
  * @param options Request options.
  */
    removeIssueTypesFromIssueTypeScheme(options) {
        return removeIssueTypesFromIssueTypeSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns system and custom issue fields according to the following rules:
  
   *  Fields that cannot be added to the issue navigator are always returned.
   *  Fields that cannot be placed on an issue screen are always returned.
   *  Fields that depend on global Jira settings are only returned if the setting is enabled. That is, timetracking fields, subtasks, votes, and watches.
   *  For all other fields, this operation only returns the fields that the user has permission to view (that is, the field is used in at least one project that the user has *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.)
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Issue.Field.getFields
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-field-get
  * @param options Request options.
  */
    getIssueFields(options) {
        return getIssueFieldsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of fields for Classic Jira projects. The list can include:
  
   *  all fields.
   *  specific fields, by defining `id`.
   *  fields that contain a string in the field name or description, by defining `query`.
   *  specific fields that contain a string in the field name or description, by defining `id` and `query`.
  
  Only custom fields can be queried, `type` must be set to `custom`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.getFieldsPaginated
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-field-search-get
  * @param options Request options.
  */
    getFieldsPaginated(options) {
        return getFieldsPaginatedFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of the contexts a field is used in. Deprecated, use [ Get custom field contexts](#api-rest-api-3-field-fieldId-context-get).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.getContexts
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-contexts-get
  * @param options Request options.
  * @deprecated
  */
    getFieldContexts(options) {
        return getFieldContextsFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a custom field. The custom field is deleted whether it is in the trash or not. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  This operation is [asynchronous](#async). Follow the `location` link in the response to determine the status of the task and use [Get task](#api-rest-api-3-task-taskId-get) to obtain subsequent updates.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.deleteField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-delete
  * @param options Request options.
  */
    deleteIssueCustomField(options) {
        return deleteIssueCustomFieldFn(this.getBuildOptions(options));
    }
    /**
  * Restores a custom field from trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.restoreField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-restore-post
  * @param options Request options.
  */
    restoreIssueCustomField(options) {
        return restoreIssueCustomFieldFn(this.getBuildOptions(options));
    }
    /**
  * Moves a custom field to trash. See [Edit or delete a custom field](https://confluence.atlassian.com/x/Z44fOw) for more information on trashing and deleting custom fields.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.moveToTrash
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-trash-post
  * @param options Request options.
  */
    moveIssueCustomFieldToTrash(options) {
        return moveIssueCustomFieldToTrashFn(this.getBuildOptions(options));
    }
    /**
  * Creates a field configuration. The field configuration is created with the same field properties as the default configuration, with all the fields being optional.
  
  This operation can only create configurations for use in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Configuration.createConfiguration
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-post
  * @param options Request options.
  */
    createIssueFieldConfiguration(options) {
        return createIssueFieldConfigurationFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of field configurations. The list can be for all field configurations or a subset determined by any combination of these criteria:
  
   *  a list of field configuration item IDs.
   *  whether the field configuration is a default.
   *  whether the field configuration name or description contains a query string.
  
  Only field configurations used in company-managed (classic) projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Configuration.getConfigurations
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-fieldconfiguration-get
  * @param options Request options.
  */
    getIssueFieldConfigurations(options) {
        return getIssueFieldConfigurationsFn(this.getBuildOptions(options));
    }
    /**
  * Updates a field configuration. The name and the description provided in the request override the existing values.
  
  This operation can only update configurations used in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Configuration.updateConfiguration
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-put
  * @param options Request options.
  */
    updateIssueFieldConfiguration(options) {
        return updateIssueFieldConfigurationFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a field configuration.
  
  This operation can only delete configurations used in company-managed (classic) projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Configuration.deleteConfiguration
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-delete
  * @param options Request options.
  */
    deleteIssueFieldConfiguration(options) {
        return deleteIssueFieldConfigurationFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all fields for a configuration.
  
  Only the fields from configurations used in company-managed (classic) projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Configuration.getConfigurationItems
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-fieldconfiguration-id-fields-get
  * @param options Request options.
  */
    getIssueFieldConfigurationItems(options) {
        return getIssueFieldConfigurationItemsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of field configuration issue type items.
  
  Only items used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Configuration.getConfigurationIssueTypeItems
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-fieldconfigurationscheme-mapping-get
  * @param options Request options.
  */
    getIssueFieldConfigurationIssueTypeItems(options) {
        return getIssueFieldConfigurationIssueTypeItemsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of field configuration schemes.
  
  Only field configuration schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Configuration.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-get
  * @param options Request options.
  */
    getIssueFieldConfigurationSchemes(options) {
        return getIssueFieldConfigurationSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of field configuration schemes and, for each scheme, a list of the projects that use it.
  
  The list is sorted by field configuration scheme ID. The first item contains the list of project IDs assigned to the default field configuration scheme.
  
  Only field configuration schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Configuration.Scheme.getSchemesForProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-fieldconfigurationscheme-project-get
  * @param options Request options.
  */
    getIssueFieldConfigurationSchemesForProjects(options) {
        return getIssueFieldConfigurationSchemesForProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Assigns a field configuration scheme to a project. If the field configuration scheme ID is `null`, the operation assigns the default field configuration scheme.
  
  Field configuration schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Configuration.Scheme.assignSchemeToProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfigurationscheme-project-put
  * @param options Request options.
  */
    assignIssueFieldConfigurationSchemeToProject(options) {
        return assignIssueFieldConfigurationSchemeToProjectFn(this.getBuildOptions(options));
    }
    /**
  * Creates a custom field.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.createField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-field-post
  * @param options Request options.
  */
    createIssueCustomField(options) {
        return createIssueCustomFieldFn(this.getBuildOptions(options));
    }
    /**
  * Updates a custom field.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.updateField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-put
  * @param options Request options.
  */
    updateIssueCustomField(options) {
        return updateIssueCustomFieldFn(this.getBuildOptions(options));
    }
    /**
  * Returns a custom field option. For example, an option in a select list.
  
  Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The custom field option is returned as follows:
  
   *  if the user has the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  if the user has the *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the custom field is used in, and the field is visible in at least one layout the user has permission to view.
  * Recommended usage: Issue.Field.Custom.Option.getOption
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-customFieldOption-id-get
  * @param options Request options.
  * @deprecated
  */
    getIssueCustomFieldOption(options) {
        return getIssueCustomFieldOptionFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of [ contexts](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html) for a custom field. Contexts can be returned as follows:
  
   *  With no other parameters set, all contexts.
   *  By defining `id` only, all contexts from the list of IDs.
   *  By defining `isAnyIssueType`, limit the list of contexts returned to either those that apply to all issue types (true) or those that apply to only a subset of issue types (false)
   *  By defining `isGlobalContext`, limit the list of contexts return to either those that apply to all projects (global contexts) (true) or those that apply to only a subset of projects (false).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.getContexts
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-get
  * @param options Request options.
  */
    getIssueCustomFieldContexts(options) {
        return getIssueCustomFieldContextsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a custom field context.
  
  If `projectIds` is empty, a global context is created. A global context is one that applies to all project. If `issueTypeIds` is empty, the context applies to all issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.createContext
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-post
  * @param options Request options.
  */
    createIssueCustomFieldContext(options) {
        return createIssueCustomFieldContextFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of defaults for a custom field. The results can be filtered by `contextId`, otherwise all values are returned. If no defaults are set for a context, nothing is returned.
  The returned object depends on type of the custom field:
  
   *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
   *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
   *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
   *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
   *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
   *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
   *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
   *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group picker.
   *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group picker.
   *  `CustomFieldContextDefaultValueURL` (type `url`) for URL.
   *  `CustomFieldContextDefaultValueProject` (type `project`) for project picker.
   *  `CustomFieldContextDefaultValueFloat` (type `float`) for float (a floating-point number).
   *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
   *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text field.
   *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area field.
   *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) field.
   *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version picker.
   *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version picker.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.getDefaultContexts
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-get
  * @param options Request options.
  */
    getIssueCustomFieldDefaultContexts(options) {
        return getIssueCustomFieldDefaultContextsFn(this.getBuildOptions(options));
    }
    /**
  * Sets default for contexts of a custom field. Default are defined using these objects:
  
   *  `CustomFieldContextDefaultValueDate` (type `datepicker`) for date fields.
   *  `CustomFieldContextDefaultValueDateTime` (type `datetimepicker`) for date-time fields.
   *  `CustomFieldContextDefaultValueSingleOption` (type `option.single`) for single choice select lists and radio buttons.
   *  `CustomFieldContextDefaultValueMultipleOption` (type `option.multiple`) for multiple choice select lists and checkboxes.
   *  `CustomFieldContextDefaultValueCascadingOption` (type `option.cascading`) for cascading select lists.
   *  `CustomFieldContextSingleUserPickerDefaults` (type `single.user.select`) for single users.
   *  `CustomFieldContextDefaultValueMultiUserPicker` (type `multi.user.select`) for user lists.
   *  `CustomFieldContextDefaultValueSingleGroupPicker` (type `grouppicker.single`) for single choice group picker.
   *  `CustomFieldContextDefaultValueMultipleGroupPicker` (type `grouppicker.multiple`) for multiple choice group picker.
   *  `CustomFieldContextDefaultValueURL` (type `url`) for URL.
   *  `CustomFieldContextDefaultValueProject` (type `project`) for project picker.
   *  `CustomFieldContextDefaultValueFloat` (type `float`) for float (a floating-point number).
   *  `CustomFieldContextDefaultValueLabels` (type `labels`) for labels.
   *  `CustomFieldContextDefaultValueTextField` (type `textfield`) for text field.
   *  `CustomFieldContextDefaultValueTextArea` (type `textarea`) for text area field.
   *  `CustomFieldContextDefaultValueReadOnly` (type `readonly`) for read only (text) field.
   *  `CustomFieldContextDefaultValueMultipleVersion` (type `version.multiple`) for single choice version picker.
   *  `CustomFieldContextDefaultValueSingleVersion` (type `version.single`) for multiple choice version picker.
  
  Only one type of default object can be included in a request. To remove a default for a context, set the default parameter to `null`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.setDefaultContexts
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-put
  * @param options Request options.
  */
    setIssueCustomFieldDefaultContexts(options) {
        return setIssueCustomFieldDefaultContextsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of context to issue type mappings for a custom field. Mappings are returned for all contexts or a list of contexts. Mappings are ordered first by context ID and then by issue type ID.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.getIssueTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-issuetypemapping-get
  * @param options Request options.
  */
    getIssueCustomFieldIssueTypesForContext(options) {
        return getIssueCustomFieldIssueTypesForContextFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of context to project mappings for a custom field. The result can be filtered by `contextId`. Otherwise, all mappings are returned. Invalid IDs are ignored.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.getProjectMappings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-projectmapping-get
  * @param options Request options.
  */
    getIssueCustomFieldContextToProjectMappings(options) {
        return getIssueCustomFieldContextToProjectMappingsFn(this.getBuildOptions(options));
    }
    /**
  * Updates a [ custom field context](https://confluence.atlassian.com/adminjiracloud/what-are-custom-field-contexts-991923859.html).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.updateContext
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-put
  * @param options Request options.
  */
    updateIssueCustomFieldContext(options) {
        return updateIssueCustomFieldContextFn(this.getBuildOptions(options));
    }
    /**
  * Adds issue types to a custom field context, appending the issue types to the issue types list.
  
  A custom field context without any issue types applies to all issue types. Adding issue types to such a custom field context would result in it applying to only the listed issue types.
  
  If any of the issue types exists in the custom field context, the operation fails and no issue types are added.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.addIssueTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-put
  * @param options Request options.
  */
    addIssueTypesToIssueCustomFieldContext(options) {
        return addIssueTypesToIssueCustomFieldContextFn(this.getBuildOptions(options));
    }
    /**
  * Removes issue types from a custom field context.
  
  A custom field context without any issue types applies to all issue types.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.removeIssueTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-remove-post
  * @param options Request options.
  */
    removeIssueTypesFromIssueCustomFieldContext(options) {
        return removeIssueTypesFromIssueCustomFieldContextFn(this.getBuildOptions(options));
    }
    /**
  * Assigns a custom field context to projects.
  
  If any project in the request is assigned to any context of the custom field, the operation fails.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.assignToProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-put
  * @param options Request options.
  */
    assignIssueCustomFieldContextToProjects(options) {
        return assignIssueCustomFieldContextToProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Removes a custom field context from projects.
  
  A custom field context without any projects applies to all projects. Removing all projects from a custom field context would result in it applying to all projects.
  
  If any project in the request is not assigned to the context, or the operation would result in two global contexts for the field, the operation fails.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.removeFromProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-remove-post
  * @param options Request options.
  */
    removeIssueCustomFieldContextFromProjects(options) {
        return removeIssueCustomFieldContextFromProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all custom field option for a context. Options are returned first then cascading options, in the order they display in Jira.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.Option.getOptions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-get
  * @param options Request options.
  */
    getIssueCustomFieldContextOptions(options) {
        return getIssueCustomFieldContextOptionsFn(this.getBuildOptions(options));
    }
    /**
  * Creates options and, where the custom select field is of the type Select List (cascading), cascading options for a custom select field. The options are added to a context of the field.
  
  The maximum number of options that can be created per request is 1000 and each field can have a maximum of 10000 options.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.Option.createOptions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-post
  * @param options Request options.
  */
    createIssueCustomFieldContextOptions(options) {
        return createIssueCustomFieldContextOptionsFn(this.getBuildOptions(options));
    }
    /**
  * Updates the options of a custom field.
  
  If any of the options are not found, no options are updated. Options where the values in the request match the current values aren't updated and aren't reported in the response.
  
  Note that this operation **only works for issue field select list options created in Jira or using operations from the [Issue custom field options](#api-group-Issue-custom-field-options) resource**, it cannot be used with issue field select list options created by Connect apps.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.Option.updateOptions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-put
  * @param options Request options.
  */
    updateIssueCustomFieldContextOptions(options) {
        return updateIssueCustomFieldContextOptionsFn(this.getBuildOptions(options));
    }
    /**
  * Changes the order of custom field options or cascading options in a context.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.Option.reorderOptions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-move-put
  * @param options Request options.
  */
    reorderIssueCustomFieldContextOptions(options) {
        return reorderIssueCustomFieldContextOptionsFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a custom field option.
  
  Options with cascading options cannot be deleted without deleting the cascading options first.
  
  This operation works for custom field options created in Jira or the operations from this resource. **To work with issue field select list options created for Connect apps use the [Issue custom field options (apps)](#api-group-issue-custom-field-options--apps-) operations.**
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Field.Custom.Context.Option.deleteOption
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-optionid-delete
  * @param options Request options.
  */
    deleteIssueCustomFieldContextOption(options) {
        return deleteIssueCustomFieldContextOptionFn(this.getBuildOptions(options));
    }
    /**
  * Returns worklogs for an issue, starting from the oldest worklog or from the worklog started on or after a date and time.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Workloads are only returned where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Worklog.getWorklogs
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-get
  * @param options Request options.
  */
    getIssueWorklogs(options) {
        return getIssueWorklogsFn(this.getBuildOptions(options));
    }
    /**
  * Adds a worklog to an issue.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Work on issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Worklog.addWorklog
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-post
  * @param options Request options.
  */
    addIssueWorklog(options) {
        return addIssueWorklogFn(this.getBuildOptions(options));
    }
    /**
  * Returns a worklog.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Worklog.getWorklog
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-id-get
  * @param options Request options.
  */
    getIssueWorklog(options) {
        return getIssueWorklogFn(this.getBuildOptions(options));
    }
    /**
  * Updates a worklog.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Worklog.updateWorklog
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-id-put
  * @param options Request options.
  */
    updateIssueWorklog(options) {
        return updateIssueWorklogFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a worklog from an issue.
  
  Time tracking must be enabled in Jira, otherwise this operation returns an error. For more information, see [Configuring time tracking](https://confluence.atlassian.com/x/qoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Delete all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any worklog or *Delete own worklogs* to delete worklogs created by the user,
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Worklog.deleteWorklog
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-worklog-id-delete
  * @param options Request options.
  */
    deleteIssueWorklog(options) {
        return deleteIssueWorklogFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of IDs and delete timestamps for worklogs deleted after a date and time.
  
  This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
  
  This resource does not return worklogs deleted during the minute preceding the request.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Issue.Worklog.getDeletedIds
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-worklog-deleted-get
  * @param options Request options.
  */
    getDeletedIssueWorklogIds(options) {
        return getDeletedIssueWorklogIdsFn(this.getBuildOptions(options));
    }
    /**
  * Returns worklog details for a list of worklog IDs.
  
  The returned list of worklogs is limited to 1000 items.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
  
   *  the worklog is set as *Viewable by All Users*.
   *  the user is a member of a project role or group with permission to view the worklog.
  * Recommended usage: Issue.Worklog.getFromIds
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-worklog-list-post
  * @param options Request options.
  */
    getIssueWorklogsFromIds(options) {
        return getIssueWorklogsFromIdsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of IDs and update timestamps for worklogs updated after a date and time.
  
  This resource is paginated, with a limit of 1000 worklogs per page. Each page lists worklogs from oldest to youngest. If the number of items in the date range exceeds 1000, `until` indicates the timestamp of the youngest item on the page. Also, `nextPage` provides the URL for the next page of worklogs. The `lastPage` parameter is set to true on the last page of worklogs.
  
  This resource does not return worklogs updated during the minute preceding the request.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, worklogs are only returned where either of the following is true:
  
   *  the worklog is set as *Viewable by All Users*.
   *  the user is a member of a project role or group with permission to view the worklog.
  * Recommended usage: Issue.Worklog.getUpdatedIds
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-worklog-updated-get
  * @param options Request options.
  */
    getUpdatedIssueWorklogIds(options) {
        return getUpdatedIssueWorklogIdsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the keys of all properties for a worklog.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Worklog.Property.getKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-get
  * @param options Request options.
  */
    getWorklogPropertyKeys(options) {
        return getWorklogPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the value of a worklog property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Worklog.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-get
  * @param options Request options.
  */
    getWorklogProperty(options) {
        return getWorklogPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of a worklog property. Use this operation to store custom data against the worklog.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all worklogs*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any worklog or *Edit own worklogs* to update worklogs created by the user.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Worklog.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-put
  * @param options Request options.
  */
    setWorklogProperty(options) {
        return setWorklogPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a worklog property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the worklog has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Worklog.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteWorklogProperty(options) {
        return deleteWorklogPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an attachment from an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the project holding the issue containing the attachment:
  
   *  *Delete own attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by the calling user.
   *  *Delete all attachments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete an attachment created by any user.
  * Recommended usage: Issue.Attachment.deleteAttachment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-id-delete
  * @param options Request options.
  */
    deleteIssueAttachment(options) {
        return deleteIssueAttachmentFn(this.getBuildOptions(options));
    }
    /**
  * Adds one or more attachments to an issue. Attachments are posted as multipart/form-data ([RFC 1867](https://www.ietf.org/rfc/rfc1867.txt)).
  
  Note that:
  
   *  The request must have a `X-Atlassian-Token: no-check` header, if not it is blocked. See [Special headers](#special-request-headers) for more information.
   *  The name of the multipart/form-data parameter that contains the attachments must be `file`.
  
  The following examples upload a file called *myfile.txt* to the issue *TEST-123*:
  
  #### curl ####
  
      curl --location --request POST 'https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments'
       -u 'email@example.com:<api_token>'
       -H 'X-Atlassian-Token: no-check'
       --form 'file=@"myfile.txt"'
  
  #### Node.js ####
  
      // This code sample uses the 'node-fetch' and 'form-data' libraries:
       // https://www.npmjs.com/package/node-fetch
       // https://www.npmjs.com/package/form-data
       const fetch = require('node-fetch');
       const FormData = require('form-data');
       const fs = require('fs');
      
       const filePath = 'myfile.txt';
       const form = new FormData();
       const stats = fs.statSync(filePath);
       const fileSizeInBytes = stats.size;
       const fileStream = fs.createReadStream(filePath);
      
       form.append('file', fileStream, {knownLength: fileSizeInBytes});
      
       fetch('https://your-domain.atlassian.net/rest/api/3/issue/TEST-123/attachments', {
           method: 'POST',
           body: form,
           headers: {
               'Authorization': `Basic ${Buffer.from(
                   'email@example.com:'
               ).toString('base64')}`,
               'Accept': 'application/json',
               'X-Atlassian-Token': 'no-check'
           }
       })
           .then(response => {
               console.log(
                   `Response: ${response.status} ${response.statusText}`
               );
               return response.text();
           })
           .then(text => console.log(text))
           .catch(err => console.error(err));
  
  #### Java ####
  
      // This code sample uses the  'Unirest' library:
       // http://unirest.io/java.html
       HttpResponse response = Unirest.post("https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments")
               .basicAuth("email@example.com", "")
               .header("Accept", "application/json")
               .header("X-Atlassian-Token", "no-check")
               .field("file", new File("myfile.txt"))
               .asJson();
      
               System.out.println(response.getBody());
  
  #### Python ####
  
      # This code sample uses the 'requests' library:
       # http://docs.python-requests.org
       import requests
       from requests.auth import HTTPBasicAuth
       import json
      
       url = "https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments"
      
       auth = HTTPBasicAuth("email@example.com", "")
      
       headers = {
          "Accept": "application/json",
          "X-Atlassian-Token": "no-check"
       }
      
       response = requests.request(
          "POST",
          url,
          headers = headers,
          auth = auth,
          files = {
               "file": ("myfile.txt", open("myfile.txt","rb"), "application-type")
          }
       )
      
       print(json.dumps(json.loads(response.text), sort_keys=True, indent=4, separators=(",", ": ")))
  
  #### PHP ####
  
      // This code sample uses the 'Unirest' library:
       // http://unirest.io/php.html
       Unirest\Request::auth('email@example.com', '');
      
       $headers = array(
         'Accept' => 'application/json',
         'X-Atlassian-Token' => 'no-check'
       );
      
       $parameters = array(
         'file' => File::add('myfile.txt')
       );
      
       $response = Unirest\Request::post(
         'https://your-domain.atlassian.net/rest/api/2/issue/{issueIdOrKey}/attachments',
         $headers,
         $parameters
       );
      
       var_dump($response)
  
  #### Forge ####
  
      // This sample uses Atlassian Forge and the `form-data` library.
       // https://developer.atlassian.com/platform/forge/
       // https://www.npmjs.com/package/form-data
       import api from "@forge/api";
       import FormData from "form-data";
      
       const form = new FormData();
       form.append('file', fileStream, {knownLength: fileSizeInBytes});
      
       const response = await api.asApp().requestJira('/rest/api/2/issue/{issueIdOrKey}/attachments', {
           method: 'POST',
           body: form,
           headers: {
               'Accept': 'application/json',
               'X-Atlassian-Token': 'no-check'
           }
       });
      
       console.log(`Response: ${response.status} ${response.statusText}`);
       console.log(await response.json());
  
  Tip: Use a client library. Many client libraries have classes for handling multipart POST operations. For example, in Java, the Apache HTTP Components library provides a [MultiPartEntity](http://hc.apache.org/httpcomponents-client-ga/httpmime/apidocs/org/apache/http/entity/mime/MultipartEntity.html) class for multipart POST operations.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse Projects* and *Create attachments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Attachment.addAttachments
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-attachments-post
  * @param options Request options.
  */
    addIssueAttachments(options) {
        return addIssueAttachmentsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the metadata for an attachment. Note that the attachment itself is not returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Attachment.Metadata.getMetadata
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-id-get
  * @param options Request options.
  */
    getIssueAttachmentMetadata(options) {
        return getIssueAttachmentMetadataFn(this.getBuildOptions(options));
    }
    /**
  * Returns the metadata for the contents of an attachment, if it is an archive, and metadata for the attachment itself. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned and metadata for the ZIP archive. Currently, only the ZIP archive format is supported.
  
  Use this operation to retrieve data that is presented to the user, as this operation returns the metadata for the attachment itself, such as the attachment's ID and name. Otherwise, use [ Get contents metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-raw-get), which only returns the metadata for the attachment's contents.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Attachment.Metadata.getMetadataForExpandedAttachment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-id-expand-human-get
  * @param options Request options.
  */
    getMetadataForExpandedIssueAttachment(options) {
        return getMetadataForExpandedIssueAttachmentFn(this.getBuildOptions(options));
    }
    /**
  * Returns the metadata for the contents of an attachment, if it is an archive. For example, if the attachment is a ZIP archive, then information about the files in the archive is returned. Currently, only the ZIP archive format is supported.
  
  Use this operation if you are processing the data without presenting it to the user, as this operation only returns the metadata for the contents of the attachment. Otherwise, to retrieve data to present to the user, use [ Get all metadata for an expanded attachment](#api-rest-api-3-attachment-id-expand-human-get) which also returns the metadata for the attachment itself, such as the attachment's ID and name.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** For the issue containing the attachment:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Attachment.Metadata.getContentsMetadataForExpandedAttachment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-id-expand-raw-get
  * @param options Request options.
  */
    getContentsMetadataForExpandedIssueAttachment(options) {
        return getContentsMetadataForExpandedIssueAttachmentFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of comments specified by a list of comment IDs.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Comments are returned where the user:
  
   *  has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Comment.getCommentsByIds
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-list-post
  * @param options Request options.
  */
    getIssueCommentsByIds(options) {
        return getIssueCommentsByIdsFn(this.getBuildOptions(options));
    }
    /**
  * Returns all comments for an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Comments are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is role visibility is restricted to.
  * Recommended usage: Issue.Comment.getComments
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-get
  * @param options Request options.
  */
    getIssueComments(options) {
        return getIssueCommentsFn(this.getBuildOptions(options));
    }
    /**
  * Adds a comment to an issue.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Add comments* [ project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Comment.addComment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-post
  * @param options Request options.
  */
    addIssueComment(options) {
        return addIssueCommentFn(this.getBuildOptions(options));
    }
    /**
  * Returns a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the comment.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Comment.getComment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-id-get
  * @param options Request options.
  */
    getIssueComment(options) {
        return getIssueCommentFn(this.getBuildOptions(options));
    }
    /**
  * Updates a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Edit all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to update any comment or *Edit own comments* to update comment created by the user.
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Comment.updateComment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-id-put
  * @param options Request options.
  */
    updateIssueComment(options) {
        return updateIssueCommentFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a comment.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue containing the comment is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  *Delete all comments*[ project permission](https://confluence.atlassian.com/x/yodKLg) to delete any comment or *Delete own comments* to delete comment created by the user,
   *  If the comment has visibility restrictions, the user belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Comment.deleteComment
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-comment-id-delete
  * @param options Request options.
  */
    deleteIssueComment(options) {
        return deleteIssueCommentFn(this.getBuildOptions(options));
    }
    /**
  * Returns the keys of all the properties of a comment.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Comment.Property.getKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-commentId-properties-get
  * @param options Request options.
  */
    getIssueCommentPropertyKeys(options) {
        return getIssueCommentPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the value of a comment property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Comment.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-commentId-properties-propertyKey-get
  * @param options Request options.
  */
    getIssueCommentProperty(options) {
        return getIssueCommentPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Creates or updates the value of a property for a comment. Use this resource to store custom data against a comment.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on any comment.
   *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to create or update the value of a property on a comment created by the user.
  
  Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
  * Recommended usage: Issue.Comment.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-commentId-properties-propertyKey-put
  * @param options Request options.
  */
    setIssueCommentProperty(options) {
        return setIssueCommentPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a comment property.
  
  **[Permissions](#permissions) required:** either of:
  
   *  *Edit All Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from any comment.
   *  *Edit Own Comments* [project permission](https://confluence.atlassian.com/x/yodKLg) to delete a property from a comment created by the user.
  
  Also, when the visibility of a comment is restricted to a role or group the user must be a member of that role or group.
  * Recommended usage: Issue.Comment.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-comment-commentId-properties-propertyKey-delete
  * @param options Request options.
  */
    deleteIssueCommentProperty(options) {
        return deleteIssueCommentPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Returns details of projects, issue types within projects, and, when requested, the create screen fields for each issue type for the user. Use the information to populate the requests in [ Create issue](#api-rest-api-3-issue-post) and [Create issues](#api-rest-api-3-issue-bulk-post).
  
  The request can be restricted to specific projects or issue types using the query parameters. The response will contain information for the valid projects, issue types, or project and issue type combinations requested. Note that invalid project, issue type, or project and issue type combinations do not generate errors.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Create issues* [project permission](https://confluence.atlassian.com/x/yodKLg) in the requested projects.
  * Recommended usage: Issue.Metadata.getCreateMetadata
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-createmeta-get
  * @param options Request options.
  */
    getCreateIssueMetadata(options) {
        return getCreateIssueMetadataFn(this.getBuildOptions(options));
    }
    /**
  * Returns the edit screen fields for an issue that are visible to and editable by the user. Use the information to populate the requests in [Edit issue](#api-rest-api-3-issue-issueIdOrKey-put).
  
  Connect app users with admin permission (from user permissions and app scopes) and Forge app users with the `manage:jira-configuration` scope can return additional details using:
  
   *  `overrideScreenSecurity` Returns hidden fields.
   *  `overrideEditableFlag` Returns uneditable fields. For example, where an issue has a workflow status of closed none of its fields are editable.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  Note: For any fields to be editable the user must have the *Edit issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the issue.
  * Recommended usage: Issue.Metadata.getEditMetadata
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-editmeta-get
  * @param options Request options.
  */
    getEditIssueMetadata(options) {
        return getEditIssueMetadataFn(this.getBuildOptions(options));
    }
    /**
  * Returns the URLs and keys of an issue's properties.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Property details are only returned where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Property.getKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-properties-get
  * @param options Request options.
  */
    getIssuePropertyKeys(options) {
        return getIssuePropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the key and value of an issue's property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-properties-propertyKey-get
  * @param options Request options.
  */
    getIssueProperty(options) {
        return getIssuePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of an issue's property. Use this resource to store custom data against an issue.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-properties-propertyKey-put
  * @param options Request options.
  */
    setIssueProperty(options) {
        return setIssuePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue's property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Edit issues* [project permissions](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-properties-propertyKey-delete
  * @param options Request options.
  */
    deleteIssueProperty(options) {
        return deleteIssuePropertyFn(this.getBuildOptions(options));
    }
    /**
  * Creates a link between two issues. Use this operation to indicate a relationship between two issues and optionally add a comment to the from (outward) issue. To use this resource the site must have [Issue Linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This resource returns nothing on the creation of an issue link. To obtain the ID of the issue link, use `https://your-domain.atlassian.net/rest/api/3/issue/[linked issue key]?fields=issuelinks`.
  
  If the link request duplicates a link, the response indicates that the issue link was created. If the request included a comment, the comment is added.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues to be linked,
   *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) on the project containing the from (outward) issue,
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  If the comment has visibility restrictions, belongs to the group or has the role visibility is restricted to.
  * Recommended usage: Issue.Link.createLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLink-post
  * @param options Request options.
  */
    createIssueLink(options) {
        return createIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue link.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse project* [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the linked issues.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
  * Recommended usage: Issue.Link.getLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLink-linkId-get
  * @param options Request options.
  */
    getIssueLink(options) {
        return getIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue link.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  Browse project [project permission](https://confluence.atlassian.com/x/yodKLg) for all the projects containing the issues in the link.
   *  *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one of the projects containing issues in the link.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, permission to view both of the issues.
  * Recommended usage: Issue.Link.deleteLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLink-linkId-delete
  * @param options Request options.
  */
    deleteIssueLink(options) {
        return deleteIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Returns the remote issue links for an issue. When a remote issue link global ID is provided the record with that global ID is returned, otherwise all remote issue links are returned. Where a global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Link.Remote.getLinks
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-get
  * @param options Request options.
  */
    getRemoteIssueLinks(options) {
        return getRemoteIssueLinksFn(this.getBuildOptions(options));
    }
    /**
  * Creates or updates a remote issue link for an issue.
  
  If a `globalId` is provided and a remote issue link with that global ID is found it is updated. Any fields without values in the request are set to null. Otherwise, the remote issue link is created.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Link.Remote.createOrUpdateLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-post
  * @param options Request options.
  */
    createOrUpdateRemoteIssueLink(options) {
        return createOrUpdateRemoteIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the remote issue link from the issue using the link's global ID. Where the global ID includes reserved URL characters these must be escaped in the request. For example, pass `system=http://www.mycompany.com/support&id=1` as `system%3Dhttp%3A%2F%2Fwww.mycompany.com%2Fsupport%26id%3D1`.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is implemented, issue-level security permission to view the issue.
  * Recommended usage: Issue.Link.Remote.deleteLinkByGlobalId
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-delete
  * @param options Request options.
  */
    deleteRemoteIssueLinkByGlobalId(options) {
        return deleteRemoteIssueLinkByGlobalIdFn(this.getBuildOptions(options));
    }
    /**
  * Returns a remote issue link for an issue.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Link.Remote.getLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-linkId-get
  * @param options Request options.
  */
    getRemoteIssueLink(options) {
        return getRemoteIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Updates a remote issue link for an issue.
  
  Note: Fields without values in the request are set to null.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Link.Remote.updateLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-linkId-put
  * @param options Request options.
  */
    updateRemoteIssueLink(options) {
        return updateRemoteIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a remote issue link from an issue.
  
  This operation requires [issue linking to be active](https://confluence.atlassian.com/x/yoXKM).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects*, *Edit issues*, and *Link issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Link.Remote.deleteLink
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-remotelink-linkId-delete
  * @param options Request options.
  */
    deleteRemoteIssueLink(options) {
        return deleteRemoteIssueLinkFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of all issue link types.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
  * Recommended usage: Issue.Link.Type.getTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-get
  * @param options Request options.
  */
    getIssueLinkTypes(options) {
        return getIssueLinkTypesFn(this.getBuildOptions(options));
    }
    /**
  * Creates an issue link type. Use this operation to create descriptions of the reasons why issues are linked. The issue link type consists of a name and descriptions for a link's inward and outward relationships.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Link.Type.createType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-post
  * @param options Request options.
  */
    createIssueLinkType(options) {
        return createIssueLinkTypeFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project in the site.
  * Recommended usage: Issue.Link.Type.getType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-issueLinkTypeId-get
  * @param options Request options.
  */
    getIssueLinkType(options) {
        return getIssueLinkTypeFn(this.getBuildOptions(options));
    }
    /**
  * Updates an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Link.Type.updateType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-issueLinkTypeId-put
  * @param options Request options.
  */
    updateIssueLinkType(options) {
        return updateIssueLinkTypeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an issue link type.
  
  To use this operation, the site must have [issue linking](https://confluence.atlassian.com/x/yoXKM) enabled.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Link.Type.deleteType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issueLinkType-issueLinkTypeId-delete
  * @param options Request options.
  */
    deleteIssueLinkType(options) {
        return deleteIssueLinkTypeFn(this.getBuildOptions(options));
    }
    /**
  * Returns either all transitions or a transition that can be performed by the user on an issue, based on the issue's status.
  
  Note, if a request is made for a transition that does not exist or cannot be performed on the issue, given its status, the response will return any empty transitions list.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required: A list or transition is returned only when the user has:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  However, if the user does not have the *Transition issues* [ project permission](https://confluence.atlassian.com/x/yodKLg) the response will not list any transitions.
  * Recommended usage: Issue.Transition.getTransitions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-transitions-get
  * @param options Request options.
  */
    getIssueTransitions(options) {
        return getIssueTransitionsFn(this.getBuildOptions(options));
    }
    /**
  * Performs an issue transition and, if the transition has a screen, updates the fields from the transition screen.
  
  sortByCategory To update the fields on the transition screen, specify the fields in the `fields` or `update` parameters in the request body. Get details about the fields using [ Get transitions](#api-rest-api-3-issue-issueIdOrKey-transitions-get) with the `transitions.fields` expand.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* and *Transition issues* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Transition.performTransition
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-transitions-post
  * @param options Request options.
  */
    performIssueTransition(options) {
        return performIssueTransitionFn(this.getBuildOptions(options));
    }
    /**
  * Returns details about the votes on an issue.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  
  Note that users with the necessary permissions for this operation but without the *View voters and watchers* project permissions are not returned details in the `voters` field.
  * Recommended usage: Issue.Vote.getVotes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-votes-get
  * @param options Request options.
  */
    getIssueVotes(options) {
        return getIssueVotesFn(this.getBuildOptions(options));
    }
    /**
  * Adds the user's vote to an issue. This is the equivalent of the user clicking *Vote* on an issue in Jira.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Vote.addVote
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-votes-post
  * @param options Request options.
  */
    addIssueVote(options) {
        return addIssueVoteFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a user's vote from an issue. This is the equivalent of the user clicking *Unvote* on an issue in Jira.
  
  This operation requires the **Allow users to vote on issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Vote.deleteVote
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-votes-delete
  * @param options Request options.
  */
    deleteIssueVote(options) {
        return deleteIssueVoteFn(this.getBuildOptions(options));
    }
    /**
  * Returns the watchers for an issue.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is ini
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To see details of users on the watchlist other than themselves, *View voters and watchers* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Recommended usage: Issue.Watcher.getWatchers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-watchers-get
  * @param options Request options.
  */
    getIssueWatchers(options) {
        return getIssueWatchersFn(this.getBuildOptions(options));
    }
    /**
  * Adds a user as a watcher of an issue by passing the account ID of the user. For example, `"5b10ac8d82e05b22cc7d4ef5"`. If no user is specified the calling user is added.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To add users other than themselves to the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Recommended usage: Issue.Watcher.addWatcher
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-watchers-post
  * @param options Request options.
  */
    addIssueWatcher(options) {
        return addIssueWatcherFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a user as a watcher of an issue.
  
  This operation requires the **Allow users to watch issues** option to be *ON*. This option is set in General configuration for Jira. See [Configuring Jira application options](https://confluence.atlassian.com/x/uYXKM) for details.
  
  **[Permissions](#permissions) required:**
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
   *  To remove users other than themselves from the watchlist, *Manage watcher list* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
  * Recommended usage: Issue.Watcher.deleteWatcher
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issue-issueIdOrKey-watchers-delete
  * @param options Request options.
  */
    deleteIssueWatcher(options) {
        return deleteIssueWatcherFn(this.getBuildOptions(options));
    }
    /**
  * Checks whether one or more issues would be returned by one or more JQL queries.
  
  **[Permissions](#permissions) required:** None, however, issues are only matched against JQL queries where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that the issue is in.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Search.checkAgainstJql
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-search-post
  * @param options Request options.
  */
    checkIssuesAgainstJql(options) {
        return checkIssuesAgainstJqlFn(this.getBuildOptions(options));
    }
    /**
  * Searches for issues using [JQL](https://confluence.atlassian.com/x/egORLQ).
  
  There is a [GET](#api-rest-api-3-search-get) version of this resource that can be used for smaller JQL query expressions.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Issues are included in the response where the user has:
  
   *  *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the issue.
   *  If [issue-level security](https://confluence.atlassian.com/x/J4lKLg) is configured, issue-level security permission to view the issue.
  * Recommended usage: Issue.Search.searchByJql
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-search-get
  * @param options Request options.
  */
    searchIssuesByJql(options) {
        return searchIssuesByJqlFn(this.getBuildOptions(options));
    }
    /**
  * Returns the list of all issue priorities.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Issue.Priority.getPriorities
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-get
  * @param options Request options.
  */
    getIssuePriorities(options) {
        return getIssuePrioritiesFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue priority.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Issue.Priority.getPriority
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-priority-id-get
  * @param options Request options.
  */
    getIssuePriority(options) {
        return getIssuePriorityFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of all issue resolution values.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Issue.Resolution.getResolutions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-get
  * @param options Request options.
  */
    getIssueResolutions(options) {
        return getIssueResolutionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue resolution value.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Issue.Resolution.getResolution
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-resolution-id-get
  * @param options Request options.
  */
    getIssueResolution(options) {
        return getIssueResolutionFn(this.getBuildOptions(options));
    }
    /**
  * Returns issue security level members.
  
  Only issue security level members in context of classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Security.getMembers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-issuesecurityschemes-issueSecuritySchemeId-members-get
  * @param options Request options.
  */
    getIssueSecurityMembers(options) {
        return getIssueSecurityMembersFn(this.getBuildOptions(options));
    }
    /**
  * Returns details of an issue security level.
  
  Use [Get issue security scheme](#api-rest-api-3-issuesecurityschemes-id-get) to obtain the IDs of issue security levels associated with the issue security scheme.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Issue.Security.getLevel
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-level/#api-rest-api-3-securitylevel-id-get
  * @param options Request options.
  */
    getIssueSecurityLevel(options) {
        return getIssueSecurityLevelFn(this.getBuildOptions(options));
    }
    /**
  * Returns all [issue security schemes](https://confluence.atlassian.com/x/J4lKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Security.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-get
  * @param options Request options.
  */
    getIssueSecuritySchemes(options) {
        return getIssueSecuritySchemesFn(this.getBuildOptions(options));
    }
    /**
  * Returns an issue security scheme along with its security levels.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project that uses the requested issue security scheme.
  * Recommended usage: Issue.Security.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-schemes/#api-rest-api-3-issuesecurityschemes-id-get
  * @param options Request options.
  */
    getIssueSecurityScheme(options) {
        return getIssueSecuritySchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of [notification schemes](https://confluence.atlassian.com/x/8YdKLg) ordered by display name.
  
  ### About notification schemes ###
  
  A notification scheme is a list of events and recipients who will receive notifications for those events. The list is contained within the `notificationSchemeEvents` object and contains pairs of `events` and `notifications`:
  
   *  `event` Identifies the type of event. The events can be [Jira system events](https://confluence.atlassian.com/x/8YdKLg#Creatinganotificationscheme-eventsEvents) or [custom events](https://confluence.atlassian.com/x/AIlKLg).
   *  `notifications` Identifies the [recipients](https://confluence.atlassian.com/x/8YdKLg#Creatinganotificationscheme-recipientsRecipients) of notifications for each event. Recipients can be any of the following types:
      
       *  `CurrentAssignee`
       *  `Reporter`
       *  `CurrentUser`
       *  `ProjectLead`
       *  `ComponentLead`
       *  `User` (the `parameter` is the user key)
       *  `Group` (the `parameter` is the group name)
       *  `ProjectRole` (the `parameter` is the project role ID)
       *  `EmailAddress`
       *  `AllWatchers`
       *  `UserCustomField` (the `parameter` is the ID of the custom field)
       *  `GroupCustomField`(the `parameter` is the ID of the custom field)
  
  *Note that you should allow for events without recipients to appear in responses.*
  
  **[Permissions](#permissions) required:** Permission to access Jira, however the user must have permission to administer at least one project associated with a notification scheme for it to be returned.
  * Recommended usage: Issue.Notification.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-notification-schemes/#api-rest-api-3-notificationscheme-get
  * @param options Request options.
  */
    getIssueNotificationSchemes(options) {
        return getIssueNotificationSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [notification scheme](https://confluence.atlassian.com/x/8YdKLg), including the list of events and the recipients who will receive notifications for those events.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however the user must have permission to administer at least one project associated with the notification scheme.
  * Recommended usage: Issue.Notification.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-notification-schemes/#api-rest-api-3-notificationscheme-id-get
  * @param options Request options.
  */
    getIssueNotificationScheme(options) {
        return getIssueNotificationSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns the default issue navigator columns.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Navigator.getDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-get
  * @param options Request options.
  */
    getIssueNavigatorDefaultColumns(options) {
        return getIssueNavigatorDefaultColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Sets the default issue navigator columns.
  
  The `columns` parameter accepts a navigable field value and is expressed as HTML form data. To specify multiple columns, pass multiple `columns` parameters. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/settings/columns`
  
  If no column details are sent, then all default columns are removed.
  
  A navigable field is one that can be used as a column on the issue navigator. Find details of navigable issue columns using [Get fields](#api-rest-api-3-field-get).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Issue.Navigator.setDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-put
  * @param options Request options.
  */
    setIssueNavigatorDefaultColumns(options) {
        return setIssueNavigatorDefaultColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of dashboards owned by or shared with the user. The list may be filtered to include only favorite or owned dashboards.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Dashboard.getDashboards
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-get
  * @param options Request options.
  */
    getDashboards(options) {
        return getDashboardsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a dashboard.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Dashboard.createDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-post
  * @param options Request options.
  */
    createDashboard(options) {
        return createDashboardFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of dashboards. This operation is similar to [Get dashboards](#api-rest-api-3-dashboard-get) except that the results can be refined to include dashboards that have specific attributes. For example, dashboards with a particular name. When multiple attributes are specified only filters matching all attributes are returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The following dashboards that match the query parameters are returned:
  
   *  Dashboards owned by the user. Not returned for anonymous users.
   *  Dashboards shared with a group that the user is a member of. Not returned for anonymous users.
   *  Dashboards shared with a private project that the user can browse. Not returned for anonymous users.
   *  Dashboards shared with a public project.
   *  Dashboards shared with the public.
  * Recommended usage: Dashboard.searchDashboards
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-search-get
  * @param options Request options.
  */
    searchDashboards(options) {
        return searchDashboardsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a dashboard.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  
  However, to get a dashboard, the dashboard must be shared with the user or the user must own it. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users.
  * Recommended usage: Dashboard.getDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-get
  * @param options Request options.
  */
    getDashboard(options) {
        return getDashboardFn(this.getBuildOptions(options));
    }
    /**
  * Updates a dashboard, replacing all the dashboard details with those provided.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be updated must be owned by the user.
  * Recommended usage: Dashboard.updateDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-put
  * @param options Request options.
  */
    updateDashboard(options) {
        return updateDashboardFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a dashboard.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be deleted must be owned by the user.
  * Recommended usage: Dashboard.deleteDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-delete
  * @param options Request options.
  */
    deleteDashboard(options) {
        return deleteDashboardFn(this.getBuildOptions(options));
    }
    /**
  * Copies a dashboard. Any values provided in the `dashboard` parameter replace those in the copied dashboard.
  
  **[Permissions](#permissions) required:** None
  
  The dashboard to be copied must be owned by or shared with the user.
  * Recommended usage: Dashboard.copyDashboard
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-id-copy-post
  * @param options Request options.
  */
    copyDashboard(options) {
        return copyDashboardFn(this.getBuildOptions(options));
    }
    /**
  * Returns the keys of all properties for a dashboard item.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira’s anonymous access is permitted.
  * Recommended usage: Dashboard.Property.getPropertyKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-get
  * @param options Request options.
  */
    getDashboardItemPropertyKeys(options) {
        return getDashboardItemPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the key and value of a dashboard item property.
  
  A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
  
  When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
  
  There is no resource to set or get dashboard items.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard or have the dashboard shared with them. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard. The System dashboard is considered to be shared with all other users, and is accessible to anonymous users when Jira’s anonymous access is permitted.
  * Recommended usage: Dashboard.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-get
  * @param options Request options.
  */
    getDashboardItemProperty(options) {
        return getDashboardItemPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of a dashboard item property. Use this resource in apps to store custom data against a dashboard item.
  
  A dashboard item enables an app to add user-specific information to a user dashboard. Dashboard items are exposed to users as gadgets that users can add to their dashboards. For more information on how users do this, see [Adding and customizing gadgets](https://confluence.atlassian.com/x/7AeiLQ).
  
  When an app creates a dashboard item it registers a callback to receive the dashboard item ID. The callback fires whenever the item is rendered or, where the item is configurable, the user edits the item. The app then uses this resource to store the item's content or configuration details. For more information on working with dashboard items, see [ Building a dashboard item for a JIRA Connect add-on](https://developer.atlassian.com/server/jira/platform/guide-building-a-dashboard-item-for-a-jira-connect-add-on-33746254/) and the [Dashboard Item](https://developer.atlassian.com/cloud/jira/platform/modules/dashboard-item/) documentation.
  
  There is no resource to set or get dashboard items.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
  * Recommended usage: Dashboard.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-put
  * @param options Request options.
  */
    setDashboardItemProperty(options) {
        return setDashboardItemPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a dashboard item property.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** The user must be the owner of the dashboard. Note, users with the *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) are considered owners of the System dashboard.
  * Recommended usage: Dashboard.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-delete
  * @param options Request options.
  */
    deleteDashboardItemProperty(options) {
        return deleteDashboardItemPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Returns all application roles. In Jira, application roles are managed using the [Application access configuration](https://confluence.atlassian.com/x/3YxjL) page.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Application.Role.getRoles
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-get
  * @param options Request options.
  */
    getApplicationRoles(options) {
        return getApplicationRolesFn(this.getBuildOptions(options));
    }
    /**
  * Returns an application role.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Application.Role.getRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-key-get
  * @param options Request options.
  */
    getApplicationRole(options) {
        return getApplicationRoleFn(this.getBuildOptions(options));
    }
    /**
  * Returns the default [issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If `accountId` is not passed in the request, the calling user's details are returned.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLgl), to get the column details for any user.
   *  Permission to access Jira, to get the calling user's column details.
  * Recommended usage: User.getDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-get
  * @param options Request options.
  */
    getUserDefaultColumns(options) {
        return getUserDefaultColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Sets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user. If an account ID is not passed, the calling user's default columns are set. If no column details are sent, then all default columns are removed.
  
  The parameters for this resource are expressed as HTML form data. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/user/columns?accountId=5b10ac8d82e05b22cc7d4ef5'`
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
   *  Permission to access Jira, to set the calling user's columns.
  * Recommended usage: User.setDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-put
  * @param options Request options.
  */
    setUserDefaultColumns(options) {
        return setUserDefaultColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Resets the default [ issue table columns](https://confluence.atlassian.com/x/XYdKLg) for the user to the system default. If `accountId` is not passed, the calling user's default columns are reset.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set the columns on any user.
   *  Permission to access Jira, to set the calling user's columns.
  * Recommended usage: User.resetDefaultColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-delete
  * @param options Request options.
  */
    resetUserDefaultColumns(options) {
        return resetUserDefaultColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a user.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: User.getUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-get
  * @param options Request options.
  */
    getUser(options) {
        return getUserFn(this.getBuildOptions(options));
    }
    /**
  * Creates a user. This resource is retained for legacy compatibility. As soon as a more suitable alternative is available this resource will be deprecated.
  
  If the user exists and has access to Jira, the operation returns a 201 status. If the user exists but does not have access to Jira, the operation returns a 400 status.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: User.createUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-post
  * @param options Request options.
  */
    createUser(options) {
        return createUserFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a user.
  
  **[Permissions](#permissions) required:** Site administration (that is, membership of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Recommended usage: User.deleteUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-delete
  * @param options Request options.
  */
    deleteUser(options) {
        return deleteUserFn(this.getBuildOptions(options));
    }
    /**
  * Returns the account IDs for the users specified in the `key` or `username` parameters. Note that multiple `key` or `username` parameters can be specified.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: User.getAccountIdsForUsers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-bulk-migration-get
  * @param options Request options.
  */
    getAccountIdsForUsers(options) {
        return getAccountIdsForUsersFn(this.getBuildOptions(options));
    }
    /**
     * Returns a user's email address. This API is only available to apps approved by Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
     * Recommended usage: User.getEmail
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-email-get
     * @param options Request options.
     */
    getUserEmail(options) {
        return getUserEmailFn(this.getBuildOptions(options));
    }
    /**
  * Returns the groups to which a user belongs.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: User.getGroups
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-groups-get
  * @param options Request options.
  */
    getUserGroups(options) {
        return getUserGroupsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of all (active and inactive) users.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: User.getUsers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-users-search-get
  * @param options Request options.
  */
    getUsers(options) {
        return getUsersFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users who can be assigned issues in one or more projects. The list may be restricted to users whose attributes match a string.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned issues in the projects. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned issues in the projects, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: User.Search.findUsersAssignableToProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-assignable-multiProjectSearch-get
  * @param options Request options.
  */
    findUsersAssignableToProjects(options) {
        return findUsersAssignableToProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users that can be assigned to an issue. Use this operation to find the list of users who can be assigned to:
  
   *  a new issue, by providing the `projectKeyOrId`.
   *  an updated issue, by providing the `issueKey`.
   *  to an issue during a transition (workflow action), by providing the `issueKey` and the transition id in `actionDescriptorId`. You can obtain the IDs of an issue's valid transitions using the `transitions` option in the `expand` parameter of [ Get issue](#api-rest-api-3-issue-issueIdOrKey-get).
  
  In all these cases, you can pass an account ID to determine if a user can be assigned to an issue. The user is returned in the response if they can be assigned to the issue or issue transition.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that can be assigned the issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who can be assigned the issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: User.Search.findUsersAssignableToIssues
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-assignable-search-get
  * @param options Request options.
  */
    findUsersAssignableToIssues(options) {
        return findUsersAssignableToIssuesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users who fulfill these criteria:
  
   *  their user attributes match a search string.
   *  they have a set of permissions for a project or issue.
  
  If no search string is provided, a list of all users with the permissions is returned.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission for the project or issue. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission for the project or issue, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get users for any project.
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for a project, to get users for that project.
  * Recommended usage: User.Search.findUsersWithPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-permission-search-get
  * @param options Request options.
  */
    findUsersWithPermissions(options) {
        return findUsersWithPermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users whose attributes match the query term. The returned object includes the `html` field where the matched query term is highlighted with the HTML strong tag. A list of account IDs can be provided to exclude users from the results.
  
  This operation takes the users in the range defined by `maxResults`, up to the thousandth user, and then returns only the users from that range that match the query term. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the query term, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return search results for an exact name match only.
  * Recommended usage: User.Search.findUsersForPicker
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-picker-get
  * @param options Request options.
  */
    findUsersForPicker(options) {
        return findUsersForPickerFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users that match the search string and property.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and property. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and property, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls or calls by users without the required permission return empty search results.
  * Recommended usage: User.Search.findUsers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-search-get
  * @param options Request options.
  */
    findUsers(options) {
        return findUsersFn(this.getBuildOptions(options));
    }
    /**
  * Finds users with a structured query and returns a [paginated](#pagination) list of user details.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  
  The query statements are:
  
   *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
   *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
   *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
   *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
   *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
   *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
   *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
   *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value.
  
  The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
  
  `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
  * Recommended usage: User.Search.findUsersByQuery
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-search-query-get
  * @param options Request options.
  */
    findUsersByQuery(options) {
        return findUsersByQueryFn(this.getBuildOptions(options));
    }
    /**
  * Finds users with a structured query and returns a [paginated](#pagination) list of user keys.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the structured query. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the structured query, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  
  The query statements are:
  
   *  `is assignee of PROJ` Returns the users that are assignees of at least one issue in project *PROJ*.
   *  `is assignee of (PROJ-1, PROJ-2)` Returns users that are assignees on the issues *PROJ-1* or *PROJ-2*.
   *  `is reporter of (PROJ-1, PROJ-2)` Returns users that are reporters on the issues *PROJ-1* or *PROJ-2*.
   *  `is watcher of (PROJ-1, PROJ-2)` Returns users that are watchers on the issues *PROJ-1* or *PROJ-2*.
   *  `is voter of (PROJ-1, PROJ-2)` Returns users that are voters on the issues *PROJ-1* or *PROJ-2*.
   *  `is commenter of (PROJ-1, PROJ-2)` Returns users that have posted a comment on the issues *PROJ-1* or *PROJ-2*.
   *  `is transitioner of (PROJ-1, PROJ-2)` Returns users that have performed a transition on issues *PROJ-1* or *PROJ-2*.
   *  `[propertyKey].entity.property.path is "property value"` Returns users with the entity property value.
  
  The list of issues can be extended as needed, as in *(PROJ-1, PROJ-2, ... PROJ-n)*. Statements can be combined using the `AND` and `OR` operators to form more complex queries. For example:
  
  `is assignee of PROJ AND [propertyKey].entity.property.path is "property value"`
  * Recommended usage: User.Search.findUserKeysByQuery
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-search-query-key-get
  * @param options Request options.
  */
    findUserKeysByQuery(options) {
        return findUserKeysByQueryFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users who fulfill these criteria:
  
   *  their user attributes match a search string.
   *  they have permission to browse issues.
  
  Use this resource to find users who can browse:
  
   *  an issue, by providing the `issueKey`.
   *  any issue in a project, by providing the `projectKey`.
  
  This operation takes the users in the range defined by `startAt` and `maxResults`, up to the thousandth user, and then returns only the users from that range that match the search string and have permission to browse issues. This means the operation usually returns fewer users than specified in `maxResults`. To get all the users who match the search string and have permission to browse issues, use [Get all users](#api-rest-api-3-users-search-get) and filter the records in your code.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/x4dKLg). Anonymous calls and calls by users without the required permission return empty search results.
  * Recommended usage: User.Search.findUsersWithBrowsePermission
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-user-viewissue-search-get
  * @param options Request options.
  */
    findUsersWithBrowsePermission(options) {
        return findUsersWithBrowsePermissionFn(this.getBuildOptions(options));
    }
    /**
  * Returns the keys of all properties for a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to access the property keys on any user.
   *  Access to Jira, to access the calling user's property keys.
  * Recommended usage: User.Property.getPropertyKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-get
  * @param options Request options.
  */
    getUserPropertyKeys(options) {
        return getUserPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the value of a user's property.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to get a property from any user.
   *  Access to Jira, to get a property from the calling user's record.
  * Recommended usage: User.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-get
  * @param options Request options.
  */
    getUserProperty(options) {
        return getUserPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of a user's property. Use this resource to store custom data against a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to set a property on any user.
   *  Access to Jira, to set a property on the calling user's record.
  * Recommended usage: User.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-put
  * @param options Request options.
  */
    setUserProperty(options) {
        return setUserPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a property from a user.
  
  Note: This operation does not access the [user properties](https://confluence.atlassian.com/x/8YxjL) created and maintained in Jira.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg), to delete a property from any user.
   *  Access to Jira, to delete a property from the calling user's record.
  * Recommended usage: User.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-delete
  * @param options Request options.
  */
    deleteUserProperty(options) {
        return deleteUserPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Changes the value of an application property. For example, you can change the value of the `jira.clone.prefix` from its default value of *CLONE -* to *Clone -* if you prefer sentence case capitalization. Editable properties are described below along with their default values.
  
  #### Advanced settings ####
  
  The advanced settings below are also accessible in [Jira](https://confluence.atlassian.com/x/vYXKM).
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.clone.prefix` | The string of text prefixed to the title of a cloned issue. | `CLONE -` |
  | `jira.date.picker.java.format` | The date format for the Java (server-side) generated dates. This must be the same as the `jira.date.picker.javascript.format` format setting. | `d/MMM/yy` |
  | `jira.date.picker.javascript.format` | The date format for the JavaScript (client-side) generated dates. This must be the same as the `jira.date.picker.java.format` format setting. | `%e/%b/%y` |
  | `jira.date.time.picker.java.format` | The date format for the Java (server-side) generated date times. This must be the same as the `jira.date.time.picker.javascript.format` format setting. | `dd/MMM/yy h:mm a` |
  | `jira.date.time.picker.javascript.format` | The date format for the JavaScript (client-side) generated date times. This must be the same as the `jira.date.time.picker.java.format` format setting. | `%e/%b/%y %I:%M %p` |
  | `jira.issue.actions.order` | The default order of actions (such as *Comments* or *Change history*) displayed on the issue view. | `asc` |
  | `jira.table.cols.subtasks` | The columns to show while viewing subtask issues in a table. For example, a list of subtasks on an issue. | `issuetype, status, assignee, progress` |
  | `jira.view.issue.links.sort.order` | The sort order of the list of issue links on the issue view. | `type, status, priority` |
  | `jira.comment.collapsing.minimum.hidden` | The minimum number of comments required for comment collapsing to occur. A value of `0` disables comment collapsing. | `4` |
  | `jira.newsletter.tip.delay.days` | The number of days before a prompt to sign up to the Jira Insiders newsletter is shown. A value of `-1` disables this feature. | `7` |
  
  
  #### Look and feel ####
  
  The settings listed below adjust the [look and feel](https://confluence.atlassian.com/x/VwCLLg).
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.lf.date.time` | The [ time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `h:mm a` |
  | `jira.lf.date.day` | The [ day format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `EEEE h:mm a` |
  | `jira.lf.date.complete` | The [ date and time format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy h:mm a` |
  | `jira.lf.date.dmy` | The [ date format](https://docs.oracle.com/javase/6/docs/api/index.html?java/text/SimpleDateFormat.html). | `dd/MMM/yy` |
  | `jira.date.time.picker.use.iso8061` | When enabled, sets Monday as the first day of the week in the date picker, as specified by the ISO8601 standard. | `false` |
  | `jira.lf.logo.url` | The URL of the logo image file. | `/images/icon-jira-logo.png` |
  | `jira.lf.logo.show.application.title` | Controls the visibility of the application title on the sidebar. | `false` |
  | `jira.lf.favicon.url` | The URL of the favicon. | `/favicon.ico` |
  | `jira.lf.favicon.hires.url` | The URL of the high-resolution favicon. | `/images/64jira.png` |
  | `jira.lf.navigation.bgcolour` | The background color of the sidebar. | `#0747A6` |
  | `jira.lf.navigation.highlightcolour` | The color of the text and logo of the sidebar. | `#DEEBFF` |
  | `jira.lf.hero.button.base.bg.colour` | The background color of the hero button. | `#3b7fc4` |
  | `jira.title` | The text for the application title. The application title can also be set in *General settings*. | `Jira` |
  | `jira.option.globalsharing` | Whether filters and dashboards can be shared with anyone signed into Jira. | `true` |
  | `xflow.product.suggestions.enabled` | Whether to expose product suggestions for other Atlassian products within Jira. | `true` |
  
  
  #### Other settings ####
  
  | Key | Description | Default value |
  | -- | -- | -- |
  | `jira.issuenav.criteria.autoupdate` | Whether instant updates to search criteria is active. | `true` |
  
  
  *Note: Be careful when changing [application properties and advanced settings](https://confluence.atlassian.com/x/vYXKM).*
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Instance.setApplicationProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-application-properties-id-put
  * @param options Request options.
  */
    setApplicationProperty(options) {
        return setApplicationPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Returns all application properties or an application property.
  
  If you specify a value for the `key` parameter, then an application property is returned as an object (not in an array). Otherwise, an array of all editable application properties is returned. See [Set application property](#api-rest-api-3-application-properties-id-put) for descriptions of editable properties.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Instance.getApplicationProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-application-properties-get
  * @param options Request options.
  */
    getApplicationProperty(options) {
        return getApplicationPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Returns the application properties that are accessible on the *Advanced Settings* page. To navigate to the *Advanced Settings* page in Jira, choose the Jira icon > **Jira settings** > **System**, **General Configuration** and then click **Advanced Settings** (in the upper right).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Instance.getAdvancedSettings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-application-properties-advanced-settings-get
  * @param options Request options.
  */
    getAdvancedSettings(options) {
        return getAdvancedSettingsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the attachment settings, that is, whether attachments are enabled and the maximum attachment size allowed.
  
  Note that there are also [project permissions](https://confluence.atlassian.com/x/yodKLg) that restrict whether users can create and delete attachments.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Instance.getAttachmentSettings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-attachment-meta-get
  * @param options Request options.
  */
    getJiraAttachmentSettings(options) {
        return getJiraAttachmentSettingsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the [global settings](https://confluence.atlassian.com/x/qYXKM) in Jira. These settings determine whether optional features (for example, subtasks, time tracking, and others) are enabled. If time tracking is enabled, this operation also returns the time tracking configuration.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Instance.getGlobalSettings
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-configuration-get
  * @param options Request options.
  */
    getGlobalSettings(options) {
        return getGlobalSettingsFn(this.getBuildOptions(options));
    }
    /**
  * Returns information about the Jira instance.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Instance.getInfo
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-serverInfo-get
  * @param options Request options.
  */
    getJiraInstanceInfo(options) {
        return getJiraInstanceInfoFn(this.getBuildOptions(options));
    }
    /**
  * Returns licensing information about the Jira instance.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Instance.getLicense
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-instance-information/#api-rest-api-3-instance-license-get
  * @param options Request options.
  */
    getLicense(options) {
        return getLicenseFn(this.getBuildOptions(options));
    }
    /**
  * Creates a project based on a project type template, as shown in the following table:
  
  | Project Type Key | Project Template Key |
  |--|--|
  | `business` | `com.atlassian.jira-core-project-templates:jira-core-simplified-content-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-document-approval`, `com.atlassian.jira-core-project-templates:jira-core-simplified-lead-tracking`, `com.atlassian.jira-core-project-templates:jira-core-simplified-process-control`, `com.atlassian.jira-core-project-templates:jira-core-simplified-procurement`, `com.atlassian.jira-core-project-templates:jira-core-simplified-project-management`, `com.atlassian.jira-core-project-templates:jira-core-simplified-recruitment`, `com.atlassian.jira-core-project-templates:jira-core-simplified-task-tracking` |
  | `service_desk` | `com.atlassian.servicedesk:simplified-it-service-management`, `com.atlassian.servicedesk:simplified-general-service-desk`, `com.atlassian.servicedesk:simplified-internal-service-desk`, `com.atlassian.servicedesk:simplified-external-service-desk`, `com.atlassian.servicedesk:simplified-hr-service-desk`, `com.atlassian.servicedesk:simplified-facilities-service-desk`, `com.atlassian.servicedesk:simplified-legal-service-desk` |
  | `software` | `com.pyxis.greenhopper.jira:gh-simplified-agility-kanban`, `com.pyxis.greenhopper.jira:gh-simplified-agility-scrum`, `com.pyxis.greenhopper.jira:gh-simplified-basic`, `com.pyxis.greenhopper.jira:gh-simplified-kanban-classic`, `com.pyxis.greenhopper.jira:gh-simplified-scrum-classic` |
  The project types are available according to the installed Jira features as follows:
  
   *  Jira Core, the default, enables `business` projects.
   *  Jira Service Management enables `service_desk` projects.
   *  Jira Software enables `software` projects.
  
  To determine which features are installed, go to **Jira settings** > **Apps** > **Manage apps** and review the System Apps list. To add Jira Software or Jira Service Management into a JIRA instance, use **Jira settings** > **Apps** > **Finding new apps**. For more information, see [ Managing add-ons](https://confluence.atlassian.com/x/S31NLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.createProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-post
  * @param options Request options.
  */
    createProject(options) {
        return createProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of projects visible to the user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** Projects are returned only where the user has one of:
  
   *  *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.getProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-search-get
  * @param options Request options.
  */
    getProjects(options) {
        return getProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the [project details](https://confluence.atlassian.com/x/ahLpNw) for a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Recommended usage: Project.getProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-get
  * @param options Request options.
  */
    getProject(options) {
        return getProjectFn(this.getBuildOptions(options));
    }
    /**
  * Updates the [project details](https://confluence.atlassian.com/x/ahLpNw) of a project.
  
  All parameters are optional in the body of the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.updateProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-put
  * @param options Request options.
  */
    updateProject(options) {
        return updateProjectFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a project.
  
  You can't delete a project if it's archived. To delete an archived project, restore the project and then delete it. To restore a project, use the Jira UI.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.deleteProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-delete
  * @param options Request options.
  */
    deleteProject(options) {
        return deleteProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns the valid statuses for a project. The statuses are grouped by issue type, as each project has a set of valid issue types and each issue type has a set of valid statuses.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Recommended usage: Project.getStatuses
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-statuses-get
  * @param options Request options.
  */
    getStatusesForProject(options) {
        return getStatusesForProjectFn(this.getBuildOptions(options));
    }
    /**
  * Creates a component. Use components to provide containers for issues within a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the component is created or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Component.createComponent
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-post
  * @param options Request options.
  */
    createProjectComponent(options) {
        return createProjectComponentFn(this.getBuildOptions(options));
    }
    /**
  * Returns a component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for project containing the component.
  * Recommended usage: Project.Component.getComponent
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-id-get
  * @param options Request options.
  */
    getProjectComponent(options) {
        return getProjectComponentFn(this.getBuildOptions(options));
    }
    /**
  * Updates a component. Any fields included in the request are overwritten. If `leadAccountId` is an empty string ("") the component lead is removed.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Component.updateComponent
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-id-put
  * @param options Request options.
  */
    updateProjectComponent(options) {
        return updateProjectComponentFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the component or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Component.deleteComponent
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-id-delete
  * @param options Request options.
  */
    deleteProjectComponent(options) {
        return deleteProjectComponentFn(this.getBuildOptions(options));
    }
    /**
  * Returns the counts of issues assigned to the component.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Project.Component.getIssueCount
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-component-id-relatedIssueCounts-get
  * @param options Request options.
  */
    getProjectComponentIssueCount(options) {
        return getProjectComponentIssueCountFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all components in a project. See the [Get project components](#api-rest-api-3-project-projectIdOrKey-components-get) resource if you want to get a full list of versions without pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Recommended usage: Project.Component.getComponentsPaginated
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-component-get
  * @param options Request options.
  */
    getProjectComponentsPaginated(options) {
        return getProjectComponentsPaginatedFn(this.getBuildOptions(options));
    }
    /**
  * Returns all components in a project. See the [Get project components paginated](#api-rest-api-3-project-projectIdOrKey-component-get) resource if you want to get a full list of components with pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Recommended usage: Project.Component.getComponents
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-components-get
  * @param options Request options.
  */
    getProjectComponents(options) {
        return getProjectComponentsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of [project roles](https://confluence.atlassian.com/x/3odKLg) for the project returning the name and self URL for each role.
  
  Note that all project roles are shared with all projects in Jira Cloud. See [Get all project roles](#api-rest-api-3-role-get) for more information.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for any project on the site or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.getRolesForProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-get
  * @param options Request options.
  */
    getProjectRolesForProject(options) {
        return getProjectRolesForProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns a project role's details and actors associated with the project. The list of actors is sorted by display name.
  
  To check whether a user belongs to a role based on their group memberships, use [Get user](#api-rest-api-3-user-get) with the `groups` expand parameter selected. Then check whether the user keys and groups match with the actors returned for the project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.getRoleForProject
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-id-get
  * @param options Request options.
  */
    getProjectRoleForProject(options) {
        return getProjectRoleForProjectFn(this.getBuildOptions(options));
    }
    /**
  * Returns all [project roles](https://confluence.atlassian.com/x/3odKLg) and the details for each role. Note that the list of project roles is common to all projects.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Recommended usage: Project.Role.getDetails
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-roledetails-get
  * @param options Request options.
  */
    getProjectRoleDetails(options) {
        return getProjectRoleDetailsFn(this.getBuildOptions(options));
    }
    /**
  * Gets a list of all project roles, complete with project role details and default actors.
  
  ### About project roles ###
  
  [Project roles](https://confluence.atlassian.com/x/3odKLg) are a flexible way to to associate users and groups with projects. In Jira Cloud, the list of project roles is shared globally with all projects, but each project can have a different set of actors associated with it (unlike groups, which have the same membership throughout all Jira applications).
  
  Project roles are used in [permission schemes](#api-rest-api-3-permissionscheme-get), [email notification schemes](#api-rest-api-3-notificationscheme-get), [issue security levels](#api-rest-api-3-issuesecurityschemes-get), [comment visibility](#api-rest-api-3-comment-list-post), and workflow conditions.
  
  #### Members and actors ####
  
  In the Jira REST API, a member of a project role is called an *actor*. An *actor* is a group or user associated with a project role.
  
  Actors may be set as [default members](https://confluence.atlassian.com/x/3odKLg#Managingprojectroles-Specifying'defaultmembers'foraprojectrole) of the project role or set at the project level:
  
   *  Default actors: Users and groups that are assigned to the project role for all newly created projects. The default actors can be removed at the project level later if desired.
   *  Actors: Users and groups that are associated with a project role for a project, which may differ from the default actors. This enables you to assign a user to different roles in different projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.getRoles
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-get
  * @param options Request options.
  */
    getProjectRoles(options) {
        return getProjectRolesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a new project role with no [default actors](#api-rest-api-3-resolution-get). You can use the [Add default actors to project role](#api-rest-api-3-role-id-actors-post) operation to add default actors to the project role after creating it.
  
  *Note that although a new project role is available to all projects upon creation, any default actors that are associated with the project role are not added to projects that existed prior to the role being created.*<
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.createRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-post
  * @param options Request options.
  */
    createProjectRole(options) {
        return createProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Gets the project role details and the default actors associated with the role. The list of default actors is sorted by display name.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.getRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-get
  * @param options Request options.
  */
    getProjectRole(options) {
        return getProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Updates the project role's name and description. You must include both a name and a description in the request.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.fullyUpdateRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-put
  * @param options Request options.
  */
    fullyUpdateProjectRole(options) {
        return fullyUpdateProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Updates either the project role's name or its description.
  
  You cannot update both the name and description at the same time using this operation. If you send a request with a name and a description only the name is updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.partiallyUpdateRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-post
  * @param options Request options.
  */
    partiallyUpdateProjectRole(options) {
        return partiallyUpdateProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a project role. You must specify a replacement project role if you wish to delete a project role that is in use.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.deleteRole
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-delete
  * @param options Request options.
  */
    deleteProjectRole(options) {
        return deleteProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Sets the actors for a project role for a project, replacing all existing actors.
  
  To add actors to the project without overwriting the existing list, use [Add actors to project role](#api-rest-api-3-project-projectIdOrKey-role-id-post).
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.Actor.setActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-id-put
  * @param options Request options.
  */
    setActorsForProjectRole(options) {
        return setActorsForProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Adds actors to a project role for the project.
  
  To replace all actors for the project, use [Set actors for project role](#api-rest-api-3-project-projectIdOrKey-role-id-put).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.Actor.addActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-id-post
  * @param options Request options.
  */
    addActorsToProjectRole(options) {
        return addActorsToProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Deletes actors from a project role for the project.
  
  To remove default actors from the project role, use [Delete default actors from project role](#api-rest-api-3-role-id-actors-delete).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project or *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.Actor.deleteActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-role-id-delete
  * @param options Request options.
  */
    deleteActorsFromProjectRole(options) {
        return deleteActorsFromProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Returns the [default actors](#api-rest-api-3-resolution-get) for the project role.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.Actor.Default.getActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-actors-get
  * @param options Request options.
  */
    getDefaultActorsForProjectRole(options) {
        return getDefaultActorsForProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Adds [default actors](#api-rest-api-3-resolution-get) to a role. You may add groups or users, but you cannot add groups and users in the same request.
  
  Changing a project role's default actors does not affect project role members for projects already created.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.Actor.Default.addActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-actors-post
  * @param options Request options.
  */
    addDefaultActorsToProjectRole(options) {
        return addDefaultActorsToProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the [default actors](#api-rest-api-3-resolution-get) from a project role. You may delete a group or user, but you cannot delete a group and a user in the same request.
  
  Changing a project role's default actors does not affect project role members for projects already created.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Role.Actor.Default.deleteActors
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-role-id-actors-delete
  * @param options Request options.
  */
    deleteDefaultActorsFromProjectRole(options) {
        return deleteDefaultActorsFromProjectRoleFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all versions in a project. See the [Get project versions](#api-rest-api-3-project-projectIdOrKey-versions-get) resource if you want to get a full list of versions without pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Recommended usage: Project.Version.getVersionsPaginated
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-version-get
  * @param options Request options.
  */
    getProjectVersionsPaginated(options) {
        return getProjectVersionsPaginatedFn(this.getBuildOptions(options));
    }
    /**
  * Returns all versions in a project. The response is not paginated. Use [Get project versions paginated](#api-rest-api-3-project-projectIdOrKey-version-get) if you want to get the versions in a project with pagination.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Recommended usage: Project.Version.getVersions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectIdOrKey-versions-get
  * @param options Request options.
  */
    getProjectVersions(options) {
        return getProjectVersionsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the version is added to.
  * Recommended usage: Project.Version.createVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-post
  * @param options Request options.
  */
    createProjectVersion(options) {
        return createProjectVersionFn(this.getBuildOptions(options));
    }
    /**
  * Returns a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the version.
  * Recommended usage: Project.Version.getVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-get
  * @param options Request options.
  */
    getProjectVersion(options) {
        return getProjectVersionFn(this.getBuildOptions(options));
    }
    /**
  * Updates a project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Recommended usage: Project.Version.updateVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-put
  * @param options Request options.
  */
    updateProjectVersion(options) {
        return updateProjectVersionFn(this.getBuildOptions(options));
    }
    /**
  * Merges two project versions. The merge is completed by deleting the version specified in `id` and replacing any occurrences of its ID in `fixVersion` with the version ID specified in `moveIssuesTo`.
  
  Consider using [ Delete and replace version](#api-rest-api-3-version-id-removeAndSwap-post) instead. This resource supports swapping version values in `fixVersion`, `affectedVersion`, and custom fields.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Recommended usage: Project.Version.mergeVersions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-mergeto-moveIssuesTo-put
  * @param options Request options.
  */
    mergeProjectVersions(options) {
        return mergeProjectVersionsFn(this.getBuildOptions(options));
    }
    /**
  * Modifies the version's sequence within the project, which affects the display order of the versions in Jira.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Recommended usage: Project.Version.moveVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-move-post
  * @param options Request options.
  */
    moveProjectVersion(options) {
        return moveProjectVersionFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a project version.
  
  Alternative versions can be provided to update issues that use the deleted version in `fixVersion`, `affectedVersion`, or any version picker custom fields. If alternatives are not provided, occurrences of `fixVersion`, `affectedVersion`, and any version picker custom field, that contain the deleted version, are cleared. Any replacement version must be in the same project as the version being deleted and cannot be the version being deleted.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project that contains the version.
  * Recommended usage: Project.Version.deleteAndReplaceVersion
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-removeAndSwap-post
  * @param options Request options.
  */
    deleteAndReplaceProjectVersion(options) {
        return deleteAndReplaceProjectVersionFn(this.getBuildOptions(options));
    }
    /**
  * Returns the following counts for a version:
  
   *  Number of issues where the `fixVersion` is set to the version.
   *  Number of issues where the `affectedVersion` is set to the version.
   *  Number of issues where a version custom field is set to the version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Recommended usage: Project.Version.Count.getRelatedIssueCount
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-relatedIssueCounts-get
  * @param options Request options.
  */
    getProjectVersionRelatedIssueCount(options) {
        return getProjectVersionRelatedIssueCountFn(this.getBuildOptions(options));
    }
    /**
  * Returns counts of the issues and unresolved issues for the project version.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* project permission for the project that contains the version.
  * Recommended usage: Project.Version.Count.getUnresolvedIssueCount
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-version-id-unresolvedIssueCount-get
  * @param options Request options.
  */
    getProjectVersionUnresolvedIssueCount(options) {
        return getProjectVersionUnresolvedIssueCountFn(this.getBuildOptions(options));
    }
    /**
  * Get the issue type hierarchy for a next-gen project.
  
  The issue type hierarchy for a project consists of:
  
   *  *Epic* at level 1 (optional).
   *  One or more issue types at level 0 such as *Story*, *Task*, or *Bug*. Where the issue type *Epic* is defined, these issue types are used to break down the content of an epic.
   *  *Subtask* at level -1 (optional). This issue type enables level 0 issue types to be broken down into components. Issues based on a level -1 issue type must have a parent issue.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Recommended usage: Project.IssueType.getHierarchy
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-project-projectId-hierarchy-get
  * @param options Request options.
  * @deprecated
  */
    getProjectIssueTypeHierarchy(options) {
        return getProjectIssueTypeHierarchyFn(this.getBuildOptions(options));
    }
    /**
  * Validates a project key by confirming the key is a valid string and not in use.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Project.Validation.validateProjectKey
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-projectvalidate-key-get
  * @param options Request options.
  */
    validateProjectKey(options) {
        return validateProjectKeyFn(this.getBuildOptions(options));
    }
    /**
  * Validates a project key and, if the key is invalid or in use, generates a valid random string for the project key.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Project.Validation.getValidProjectKey
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-projectvalidate-validProjectKey-get
  * @param options Request options.
  */
    getValidProjectKey(options) {
        return getValidProjectKeyFn(this.getBuildOptions(options));
    }
    /**
  * Checks that a project name isn't in use. If the name isn't in use, the passed string is returned. If the name is in use, this operation attempts to generate a valid project name based on the one supplied, usually by adding a sequence number. If a valid project name cannot be generated, a 404 response is returned.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Project.Validation.getValidProjectName
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-projectvalidate-validProjectName-get
  * @param options Request options.
  */
    getValidProjectName(options) {
        return getValidProjectNameFn(this.getBuildOptions(options));
    }
    /**
  * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw), whether or not the instance has a valid license for each type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Project.Type.getTypes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-get
  * @param options Request options.
  */
    getProjectTypes(options) {
        return getProjectTypesFn(this.getBuildOptions(options));
    }
    /**
     * Returns all [project types](https://confluence.atlassian.com/x/Var1Nw) with a valid license.
     * Recommended usage: Project.Type.getLicensedTypes
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-accessible-get
     * @param options Request options.
     */
    getLicensedProjectTypes(options) {
        return getLicensedProjectTypesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Project.Type.getTypeByKey
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-get
  * @param options Request options.
  */
    getProjectTypeByKey(options) {
        return getProjectTypeByKeyFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [project type](https://confluence.atlassian.com/x/Var1Nw) if it is accessible to the user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Project.Type.getAccessibleTypeByKey
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-accessible-get
  * @param options Request options.
  */
    getAccessibleProjectTypeByKey(options) {
        return getAccessibleProjectTypeByKeyFn(this.getBuildOptions(options));
    }
    /**
  * Returns all project categories.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Project.Category.getCategories
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-get
  * @param options Request options.
  */
    getProjectCategories(options) {
        return getProjectCategoriesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Category.createCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-post
  * @param options Request options.
  */
    createProjectCategory(options) {
        return createProjectCategoryFn(this.getBuildOptions(options));
    }
    /**
  * Returns a project category.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Project.Category.getCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-get
  * @param options Request options.
  */
    getProjectCategory(options) {
        return getProjectCategoryFn(this.getBuildOptions(options));
    }
    /**
  * Updates a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Category.updateCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-put
  * @param options Request options.
  */
    updateProjectCategory(options) {
        return updateProjectCategoryFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a project category.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Project.Category.deleteCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-categories/#api-rest-api-3-projectcategory-id-delete
  * @param options Request options.
  */
    deleteProjectCategory(options) {
        return deleteProjectCategoryFn(this.getBuildOptions(options));
    }
    /**
  * Gets a [notification scheme](https://confluence.atlassian.com/x/8YdKLg) associated with the project. See the [Get notification scheme](#api-rest-api-3-notificationscheme-id-get) resource for more information about notification schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Recommended usage: Project.Notification.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-projects/#api-rest-api-3-project-projectkeyorid-notificationscheme-get
  * @param options Request options.
  */
    getProjectNotificationScheme(options) {
        return getProjectNotificationSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Assigns a permission scheme with a project. See [Managing project permissions](https://confluence.atlassian.com/x/yodKLg) for more information about permission schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg)
  * Recommended usage: Project.Permission.Scheme.assignScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-permissionscheme-put
  * @param options Request options.
  */
    assignProjectPermissionScheme(options) {
        return assignProjectPermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Gets the [permission scheme](https://confluence.atlassian.com/x/yodKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Recommended usage: Project.Permission.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-permissionscheme-get
  * @param options Request options.
  */
    getProjectPermissionScheme(options) {
        return getProjectPermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns all [issue security](https://confluence.atlassian.com/x/J4lKLg) levels for the project that the user has access to.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project, however, issue security levels are only returned for authenticated user with *Set Issue Security* [global permission](https://confluence.atlassian.com/x/x4dKLg) for the project.
  * Recommended usage: Project.Permission.Scheme.getIssueSecurityLevels
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-securitylevel-get
  * @param options Request options.
  */
    getProjectIssueSecurityLevels(options) {
        return getProjectIssueSecurityLevelsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the [issue security scheme](https://confluence.atlassian.com/x/J4lKLg) associated with the project.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or the *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg).
  * Recommended usage: Project.Security.Scheme.getIssueScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-issuesecuritylevelscheme-get
  * @param options Request options.
  */
    getProjectIssueSecurityScheme(options) {
        return getProjectIssueSecuritySchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns all [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) keys for the project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project.
  * Recommended usage: Project.Property.getPropertyKeys
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-get
  * @param options Request options.
  */
    getProjectPropertyKeys(options) {
        return getProjectPropertyKeysFn(this.getBuildOptions(options));
    }
    /**
  * Returns the value of a [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties).
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
  * Recommended usage: Project.Property.getProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-get
  * @param options Request options.
  */
    getProjectProperty(options) {
        return getProjectPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Sets the value of the [project property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties). You can use project properties to store custom data against the project.
  
  The value of the request body must be a [valid](http://tools.ietf.org/html/rfc4627), non-empty JSON blob. The maximum length is 32768 characters.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project in which the property is created.
  * Recommended usage: Project.Property.setProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-put
  * @param options Request options.
  */
    setProjectProperty(options) {
        return setProjectPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the [property](https://developer.atlassian.com/cloud/jira/platform/storing-data-without-a-database/#a-id-jira-entity-properties-a-jira-entity-properties) from a project.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) or *Administer Projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project containing the property.
  * Recommended usage: Project.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-delete
  * @param options Request options.
  */
    deleteProjectProperty(options) {
        return deleteProjectPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Creates a filter. The filter is shared according to the [default share scope](#api-rest-api-3-filter-post). The filter is not selected as a favorite.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Filter.createFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-post
  * @param options Request options.
  */
    createFilter(options) {
        return createFilterFn(this.getBuildOptions(options));
    }
    /**
  * Returns the filters owned by the user. If `includeFavourites` is `true`, the user's visible favorite filters are also returned.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, a favorite filters is only visible to the user where the filter is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  
  For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
  * Recommended usage: Filter.getMyFilters
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-my-get
  * @param options Request options.
  */
    getMyFilters(options) {
        return getMyFiltersFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of filters. Use this operation to get:
  
   *  specific filters, by defining `id` only.
   *  filters that match all of the specified attributes. For example, all filters for a user with a particular word in their name. When multiple attributes are specified only filters matching all attributes are returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, only the following filters that match the query parameters are returned:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Recommended usage: Filter.searchFilters
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-search-get
  * @param options Request options.
  */
    searchFilters(options) {
        return searchFiltersFn(this.getBuildOptions(options));
    }
    /**
  * Returns a filter.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, the filter is only returned where it is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  * Recommended usage: Filter.getFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-get
  * @param options Request options.
  */
    getFilter(options) {
        return getFilterFn(this.getBuildOptions(options));
    }
    /**
  * Updates a filter. Use this operation to update a filter's name, description, JQL, or sharing.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however the user must own the filter.
  * Recommended usage: Filter.updateFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-put
  * @param options Request options.
  */
    updateFilter(options) {
        return updateFilterFn(this.getBuildOptions(options));
    }
    /**
  * Delete a filter.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however filters can only be deleted by the creator of the filter or a user with *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Filter.deleteFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-delete
  * @param options Request options.
  */
    deleteFilter(options) {
        return deleteFilterFn(this.getBuildOptions(options));
    }
    /**
  * Returns the visible favorite filters of the user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** A favorite filter is only visible to the user where the filter is:
  
   *  owned by the user.
   *  shared with a group that the user is a member of.
   *  shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  shared with a public project.
   *  shared with the public.
  
  For example, if the user favorites a public filter that is subsequently made private that filter is not returned by this operation.
  * Recommended usage: Filter.Favourite.getFilters
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-favourite-get
  * @param options Request options.
  */
    getFavouriteFilters(options) {
        return getFavouriteFiltersFn(this.getBuildOptions(options));
    }
    /**
  * Add a filter as a favorite for the user.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, the user can only favorite:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Recommended usage: Filter.Favourite.addFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-favourite-put
  * @param options Request options.
  */
    addFilterAsFavourite(options) {
        return addFilterAsFavouriteFn(this.getBuildOptions(options));
    }
    /**
  * Removes a filter as a favorite for the user. Note that this operation only removes filters visible to the user from the user's favorites list. For example, if the user favorites a public filter that is subsequently made private (and is therefore no longer visible on their favorites list) they cannot remove it from their favorites list.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Filter.Favourite.removeFilter
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-favourite-delete
  * @param options Request options.
  */
    removeFilterAsFavourite(options) {
        return removeFilterAsFavouriteFn(this.getBuildOptions(options));
    }
    /**
  * Returns the columns configured for a filter. The column configuration is used when the filter's results are viewed in *List View* with the *Columns* set to *Filter*.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, column details are only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Recommended usage: Filter.Column.getColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-columns-get
  * @param options Request options.
  */
    getFilterColumns(options) {
        return getFilterColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Sets the columns for a filter. Only navigable fields can be set as columns. Use [Get fields](#api-rest-api-3-field-get) to get the list fields in Jira. A navigable field has `navigable` set to `true`.
  
  The parameters for this resource are expressed as HTML form data. For example, in curl:
  
  `curl -X PUT -d columns=summary -d columns=description https://your-domain.atlassian.net/rest/api/3/filter/10000/columns`
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only set for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Recommended usage: Filter.Column.setColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-columns-put
  * @param options Request options.
  */
    setFilterColumns(options) {
        return setFilterColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Reset the user's column configuration for the filter to the default.
  
  **[Permissions](#permissions) required:** Permission to access Jira, however, columns are only reset for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Recommended usage: Filter.Column.resetColumns
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-filter-id-columns-delete
  * @param options Request options.
  */
    resetFilterColumns(options) {
        return resetFilterColumnsFn(this.getBuildOptions(options));
    }
    /**
  * Returns the default sharing settings for new filters and dashboards for a user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Filter.Share.getDefaultScope
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-get
  * @param options Request options.
  */
    getFiltersDefaultShareScope(options) {
        return getFiltersDefaultShareScopeFn(this.getBuildOptions(options));
    }
    /**
  * Sets the default sharing for new filters and dashboards for a user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Filter.Share.setDefaultScope
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-put
  * @param options Request options.
  */
    setFiltersDefaultShareScope(options) {
        return setFiltersDefaultShareScopeFn(this.getBuildOptions(options));
    }
    /**
  * Returns the share permissions for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, share permissions are only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Recommended usage: Filter.Share.Permission.getPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-get
  * @param options Request options.
  */
    getFiltersSharePermissions(options) {
        return getFiltersSharePermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Add a share permissions to a filter. If you add a global share permission (one for all logged-in users or the public) it will overwrite all share permissions for the filter.
  
  Be aware that this operation uses different objects for updating share permissions compared to [Update filter](#api-rest-api-3-filter-id-put).
  
  **[Permissions](#permissions) required:** *Share dashboards and filters* [global permission](https://confluence.atlassian.com/x/x4dKLg) and the user must own the filter.
  * Recommended usage: Filter.Share.Permission.addPermission
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-post
  * @param options Request options.
  */
    addFiltersSharePermission(options) {
        return addFiltersSharePermissionFn(this.getBuildOptions(options));
    }
    /**
  * Returns a share permission for a filter. A filter can be shared with groups, projects, all logged-in users, or the public. Sharing with all logged-in users or the public is known as a global share permission.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None, however, a share permission is only returned for:
  
   *  filters owned by the user.
   *  filters shared with a group that the user is a member of.
   *  filters shared with a private project that the user has *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for.
   *  filters shared with a public project.
   *  filters shared with the public.
  * Recommended usage: Filter.Share.Permission.getPermission
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-get
  * @param options Request options.
  */
    getFiltersSharePermission(options) {
        return getFiltersSharePermissionFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a share permission from a filter.
  
  **[Permissions](#permissions) required:** Permission to access Jira and the user must own the filter.
  * Recommended usage: Filter.Share.Permission.deletePermission
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-delete
  * @param options Request options.
  */
    deleteFiltersSharePermission(options) {
        return deleteFiltersSharePermissionFn(this.getBuildOptions(options));
    }
    /**
  * Creates a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Recommended usage: Group.createGroup
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-post
  * @param options Request options.
  */
    createGroup(options) {
        return createGroupFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* strategic [group](https://confluence.atlassian.com/x/24xjL)).
  * Recommended usage: Group.removeGroup
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-delete
  * @param options Request options.
  */
    removeGroup(options) {
        return removeGroupFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of groups whose names contain a query string. A list of group names can be provided to exclude groups from the results.
  
  The primary use case for this resource is to populate a group picker suggestions list. To this end, the returned object includes the `html` field where the matched query term is highlighted in the group name with the HTML strong tag. Also, the groups list is wrapped in a response object that contains a header for use in the picker, specifically *Showing X of Y matching groups*.
  
  The list returns with the groups sorted. If no groups match the list criteria, an empty list is returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg). Anonymous calls and calls by users without the required permission return an empty list.
  * Recommended usage: Group.findGroups
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-groups-picker-get
  * @param options Request options.
  */
    findGroups(options) {
        return findGroupsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all users in a group.
  
  Note that users are ordered by username, however the username is not returned in the results due to privacy reasons.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Group.User.getUsers
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-member-get
  * @param options Request options.
  */
    getUsersFromGroup(options) {
        return getUsersFromGroupFn(this.getBuildOptions(options));
    }
    /**
  * Adds a user to a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Recommended usage: Group.User.addUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-user-post
  * @param options Request options.
  */
    addUserToGroup(options) {
        return addUserToGroupFn(this.getBuildOptions(options));
    }
    /**
  * Removes a user from a group.
  
  **[Permissions](#permissions) required:** Site administration (that is, member of the *site-admin* [group](https://confluence.atlassian.com/x/24xjL)).
  * Recommended usage: Group.User.removeUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-group-user-delete
  * @param options Request options.
  */
    removeUserFromGroup(options) {
        return removeUserFromGroupFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of users and groups matching a string. The string is used:
  
   *  for users, to find a case-insensitive match with display name and e-mail address. Note that if a user has hidden their email address in their user profile, partial matches of the email address will not find the user. An exact match is required.
   *  for groups, to find a case-sensitive match with group name.
  
  For example, if the string *tin* is used, records with the display name *Tina*, email address *sarah@tinplatetraining.com*, and the group *accounting* would be returned.
  
  Optionally, the search can be refined to:
  
   *  the projects and issue types associated with a custom field, such as a user picker. The search can then be further refined to return only users and groups that have permission to view specific:
      
       *  projects.
       *  issue types.
      
      If multiple projects or issue types are specified, they must be a subset of those enabled for the custom field or no results are returned. For example, if a field is enabled for projects A, B, and C then the search could be limited to projects B and C. However, if the search is limited to projects B and D, nothing is returned.
   *  not return Connect app users and groups.
   *  return groups that have a case-insensitive match with the query.
  
  The primary use case for this resource is to populate a picker field suggestion list with users or groups. To this end, the returned object includes an `html` field for each list. This field highlights the matched query term in the item name with the HTML strong tag. Also, each list is wrapped in a response object that contains a header for use in a picker, specifically *Showing X of Y matching groups*.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Browse users and groups* [global permission](https://confluence.atlassian.com/x/yodKLg).
  * Recommended usage: GroupAndUserPicker.findUsersAndGroups
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-groupuserpicker-get
  * @param options Request options.
  */
    findUsersAndGroupsForPicker(options) {
        return findUsersAndGroupsForPickerFn(this.getBuildOptions(options));
    }
    /**
  * Parses and validates JQL queries.
  
  Validation is performed in context of the current user.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Jql.parseQuery
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-jql-parse-post
  * @param options Request options.
  */
    parseJqlQuery(options) {
        return parseJqlQueryFn(this.getBuildOptions(options));
    }
    /**
  * Converts one or more JQL queries with user identifiers (username or user key) to equivalent JQL queries with account IDs.
  
  You may wish to use this operation if your system stores JQL queries and you want to make them GDPR-compliant. For more information about GDPR-related changes, see the [migration guide](https://developer.atlassian.com/cloud/jira/platform/deprecation-notice-user-privacy-api-migration-guide/).
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Jql.convertUserIdentifiersToAccountIdsInQueries
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-jql-pdcleaner-post
  * @param options Request options.
  */
    convertUserIdentifiersToAccountIdsInJqlQueries(options) {
        return convertUserIdentifiersToAccountIdsInJqlQueriesFn(this.getBuildOptions(options));
    }
    /**
  * Returns reference data for JQL searches. This is a downloadable version of the documentation provided in [Advanced searching - fields reference](https://confluence.atlassian.com/x/gwORLQ) and [Advanced searching - functions reference](https://confluence.atlassian.com/x/hgORLQ), along with a list of JQL-reserved words. Use this information to assist with the programmatic creation of JQL queries or the validation of queries built in a custom query builder.
  
  To filter visible field details by project or collapse non-unique fields by field type then [Get field reference data (POST)](#api-rest-api-3-jql-autocompletedata-post) can be used.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Jql.getReferenceData
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jql/#api-rest-api-3-jql-autocompletedata-get
  * @param options Request options.
  */
    getReferenceDataForJql(options) {
        return getReferenceDataForJqlFn(this.getBuildOptions(options));
    }
    /**
     * Returns a [paginated](#pagination) list of labels.
     * Recommended usage: Label.getLabels
     * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-label-get
     * @param options Request options.
     */
    getLabels(options) {
        return getLabelsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of permissions indicating which permissions the user has. Details of the user's permissions can be obtained in a global, project, or issue context.
  
  The user is reported as having a project permission:
  
   *  in the global context, if the user has the project permission in any project.
   *  for a project, where the project permission is determined using issue data, if the user meets the permission's criteria for any issue in the project. Otherwise, if the user has the project permission in the project.
   *  for an issue, where a project permission is determined using issue data, if the user has the permission in the issue. Otherwise, if the user has the project permission in the project containing the issue.
  
  This means that users may be shown as having an issue permission (such as EDIT\_ISSUES) in the global context or a project context but may not have the permission for any or all issues. For example, if Reporters have the EDIT\_ISSUES permission a user would be shown as having this permission in the global context or the context of a project, because any user can be a reporter. However, if they are not the user who reported the issue queried they would not have EDIT\_ISSUES permission for that issue.
  
  Global permissions are unaffected by context.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Permission.getMyPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypermissions-get
  * @param options Request options.
  */
    getMyPermissions(options) {
        return getMyPermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns all permissions, including:
  
   *  global permissions.
   *  project permissions.
   *  global permissions added by plugins.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Permission.getPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-permissions-get
  * @param options Request options.
  */
    getPermissions(options) {
        return getPermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns:
  
   *  for a list of global permissions, the global permissions granted to a user.
   *  for a list of project permissions and lists of projects and issues, for each project permission a list of the projects and issues a user can access or manipulate.
  
  If no account ID is provided, the operation returns details for the logged in user.
  
  Note that:
  
   *  Invalid project and issue IDs are ignored.
   *  A maximum of 1000 projects and 1000 issues can be checked.
   *  Null values in `globalPermissions`, `projectPermissions`, `projectPermissions.projects`, and `projectPermissions.issues` are ignored.
   *  Empty strings in `projectPermissions.permissions` are ignored.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg) to check the permissions for other users, otherwise none. However, Connect apps can make a call from the app server to the product to obtain permission details for any user, without admin permission. This Connect app ability doesn't apply to calls made using AP.request() in a browser.
  * Recommended usage: Permission.getBulkPermissions
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-permissions-check-post
  * @param options Request options.
  */
    getBulkPermissions(options) {
        return getBulkPermissionsFn(this.getBuildOptions(options));
    }
    /**
  * Returns all the projects where the user is granted a list of project permissions.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Permission.getPermittedProjects
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-permissions-project-post
  * @param options Request options.
  */
    getPermittedProjects(options) {
        return getPermittedProjectsFn(this.getBuildOptions(options));
    }
    /**
  * Returns all permission schemes.
  
  ### About permission schemes and grants ###
  
  A permission scheme is a collection of permission grants. A permission grant consists of a `holder` and a `permission`.
  
  #### Holder object ####
  
  The `holder` object contains information about the user or group being granted the permission. For example, the *Administer projects* permission is granted to a group named *Teams in space administrators*. In this case, the type is `"type": "group"`, and the parameter is the group name, `"parameter": "Teams in space administrators"`. The `holder` object is defined by the following properties:
  
   *  `type` Identifies the user or group (see the list of types below).
   *  `parameter` The value of this property depends on the `type`. For example, if the `type` is a group, then you need to specify the group name.
  
  The following `types` are available. The expected values for the `parameter` are given in parenthesis (some `types` may not have a `parameter`):
  
   *  `anyone` Grant for anonymous users.
   *  `applicationRole` Grant for users with access to the specified application (application name). See [Update product access settings](https://confluence.atlassian.com/x/3YxjL) for more information.
   *  `assignee` Grant for the user currently assigned to an issue.
   *  `group` Grant for the specified group (group name).
   *  `groupCustomField` Grant for a user in the group selected in the specified custom field (custom field ID).
   *  `projectLead` Grant for a project lead.
   *  `projectRole` Grant for the specified project role (project role ID).
   *  `reporter` Grant for the user who reported the issue.
   *  `sd.customer.portal.only` Jira Service Desk only. Grants customers permission to access the customer portal but not Jira. See [Customizing Jira Service Desk permissions](https://confluence.atlassian.com/x/24dKLg) for more information.
   *  `user` Grant for the specified user (user ID - historically this was the userkey but that is deprecated and the account ID should be used).
   *  `userCustomField` Grant for a user selected in the specified custom field (custom field ID).
  
  #### Built-in permissions ####
  
  The [built-in Jira permissions](https://confluence.atlassian.com/x/yodKLg) are listed below. Apps can also define custom permissions. See the [project permission](https://developer.atlassian.com/cloud/jira/platform/modules/project-permission/) and [global permission](https://developer.atlassian.com/cloud/jira/platform/modules/global-permission/) module documentation for more information.
  
  **Project permissions**
  
   *  `ADMINISTER_PROJECTS`
   *  `BROWSE_PROJECTS`
   *  `MANAGE_SPRINTS_PERMISSION` (Jira Software only)
   *  `SERVICEDESK_AGENT` (Jira Service Desk only)
   *  `VIEW_DEV_TOOLS` (Jira Software only)
   *  `VIEW_READONLY_WORKFLOW`
  
  **Issue permissions**
  
   *  `ASSIGNABLE_USER`
   *  `ASSIGN_ISSUES`
   *  `CLOSE_ISSUES`
   *  `CREATE_ISSUES`
   *  `DELETE_ISSUES`
   *  `EDIT_ISSUES`
   *  `LINK_ISSUES`
   *  `MODIFY_REPORTER`
   *  `MOVE_ISSUES`
   *  `RESOLVE_ISSUES`
   *  `SCHEDULE_ISSUES`
   *  `SET_ISSUE_SECURITY`
   *  `TRANSITION_ISSUES`
  
  **Voters and watchers permissions**
  
   *  `MANAGE_WATCHERS`
   *  `VIEW_VOTERS_AND_WATCHERS`
  
  **Comments permissions**
  
   *  `ADD_COMMENTS`
   *  `DELETE_ALL_COMMENTS`
   *  `DELETE_OWN_COMMENTS`
   *  `EDIT_ALL_COMMENTS`
   *  `EDIT_OWN_COMMENTS`
  
  **Attachments permissions**
  
   *  `CREATE_ATTACHMENTS`
   *  `DELETE_ALL_ATTACHMENTS`
   *  `DELETE_OWN_ATTACHMENTS`
  
  **Time tracking permissions**
  
   *  `DELETE_ALL_WORKLOGS`
   *  `DELETE_OWN_WORKLOGS`
   *  `EDIT_ALL_WORKLOGS`
   *  `EDIT_OWN_WORKLOGS`
   *  `WORK_ON_ISSUES`
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Permission.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-get
  * @param options Request options.
  */
    getPermissionSchemes(options) {
        return getPermissionSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a new permission scheme. You can create a permission scheme with or without defining a set of permission grants.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Permission.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-post
  * @param options Request options.
  */
    createPermissionScheme(options) {
        return createPermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a permission scheme.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Permission.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-get
  * @param options Request options.
  */
    getPermissionScheme(options) {
        return getPermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates a permission scheme. Below are some important things to note when using this resource:
  
   *  If a permissions list is present in the request, then it is set in the permission scheme, overwriting *all existing* grants.
   *  If you want to update only the name and description, then do not send a permissions list in the request.
   *  Sending an empty list will remove all permission grants from the permission scheme.
  
  If you want to add or delete a permission grant instead of updating the whole list, see [Create permission grant](#api-rest-api-3-permissionscheme-schemeId-permission-post) or [Delete permission scheme entity](#api-rest-api-3-permissionscheme-schemeId-permission-permissionId-delete).
  
  See [About permission schemes and grants](#about-permission-schemes) for more details.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Permission.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-put
  * @param options Request options.
  */
    updatePermissionScheme(options) {
        return updatePermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a permission scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Permission.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-delete
  * @param options Request options.
  */
    deletePermissionScheme(options) {
        return deletePermissionSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns all permission grants for a permission scheme.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Permission.Scheme.Grant.getGrants
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-get
  * @param options Request options.
  */
    getPermissionSchemeGrants(options) {
        return getPermissionSchemeGrantsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a permission grant in a permission scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Permission.Scheme.Grant.createGrant
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-post
  * @param options Request options.
  */
    createPermissionSchemeGrant(options) {
        return createPermissionSchemeGrantFn(this.getBuildOptions(options));
    }
    /**
  * Returns a permission grant.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Permission.Scheme.Grant.getGrant
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-permissionid-get
  * @param options Request options.
  */
    getPermissionSchemeGrant(options) {
        return getPermissionSchemeGrantFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a permission grant from a permission scheme. See [About permission schemes and grants](../api-group-permission-schemes/#about-permission-schemes-and-grants) for more details.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Permission.Scheme.Grant.deleteGrant
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-permission-schemes/#api-rest-api-3-permissionscheme-schemeid-permission-permissionid-delete
  * @param options Request options.
  */
    deletePermissionSchemeGrant(options) {
        return deletePermissionSchemeGrantFn(this.getBuildOptions(options));
    }
    /**
  * Returns the value of a preference of the current user.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default this is not set and the user takes the locale of the instance.
   *  *jira.user.timezone* The time zone of the user. By default this is not set and the user takes the timezone of the instance.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Myself.getPreference
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypreferences-get
  * @param options Request options.
  */
    getMyPreference(options) {
        return getMyPreferenceFn(this.getBuildOptions(options));
    }
    /**
  * Creates a preference for the user or updates a preference's value by sending a plain text string. For example, `false`. An arbitrary preference can be created with the value containing up to 255 characters. In addition, the following keys define system preferences that can be set or created:
  
   *  *user.notifications.mimetype* The mime type used in notifications sent to the user. Defaults to `html`.
   *  *user.notify.own.changes* Whether the user gets notified of their own changes. Defaults to `false`.
   *  *user.default.share.private* Whether new [ filters](https://confluence.atlassian.com/x/eQiiLQ) are set to private. Defaults to `true`.
   *  *user.keyboard.shortcuts.disabled* Whether keyboard shortcuts are disabled. Defaults to `false`.
   *  *user.autowatch.disabled* Whether the user automatically watches issues they create or add a comment to. By default, not set: the user takes the instance autowatch setting.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
   *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Myself.setPreference
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypreferences-put
  * @param options Request options.
  */
    setMyPreference(options) {
        return setMyPreferenceFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a preference of the user, which restores the default value of system defined settings.
  
  Note that these keys are deprecated:
  
   *  *jira.user.locale* The locale of the user. By default, not set. The user takes the instance locale.
   *  *jira.user.timezone* The time zone of the user. By default, not set. The user takes the instance timezone.
  
  Use [ Update a user profile](https://developer.atlassian.com/cloud/admin/user-management/rest/#api-users-account-id-manage-profile-patch) from the user management REST API to manage timezone and locale instead.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Myself.deletePreference
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypreferences-delete
  * @param options Request options.
  */
    deleteMyPreference(options) {
        return deleteMyPreferenceFn(this.getBuildOptions(options));
    }
    /**
  * Returns the locale for the user.
  
  If the user has no language preference set (which is the default setting) or this resource is accessed anonymous, the browser locale detected by Jira is returned. Jira detects the browser locale using the *Accept-Language* header in the request. However, if this doesn't match a locale available Jira, the site default locale is returned.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Myself.getLocale
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-mypreferences-locale-get
  * @param options Request options.
  */
    getMyLocale(options) {
        return getMyLocaleFn(this.getBuildOptions(options));
    }
    /**
  * Returns details for the current user.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Myself.getCurrentUser
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-myself-get
  * @param options Request options.
  */
    getCurrentUser(options) {
        return getCurrentUserFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of published classic workflows. When workflow names are specified, details of those workflows are returned. Otherwise, all published classic workflows are returned.
  
  This operation does not return next-gen workflows.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.getWorkflows
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-search-get
  * @param options Request options.
  */
    getWorkflows(options) {
        return getWorkflowsFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of all statuses associated with workflows.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:** None.
  * Recommended usage: Workflow.Status.getStatuses
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-status-get
  * @param options Request options.
  */
    getWorkflowStatuses(options) {
        return getWorkflowStatusesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a status. The status must be associated with a workflow to be returned.
  
  If a name is used on more than one status, only the status found first is returned. Therefore, identifying the status by its ID may be preferable.
  
  This operation can be accessed anonymously.
  
  [Permissions](#permissions) required: None.
  * Recommended usage: Workflow.Status.getStatus
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-status-idOrName-get
  * @param options Request options.
  */
    getWorkflowStatus(options) {
        return getWorkflowStatusFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of all status categories.
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Workflow.Status.Category.getCategories
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-get
  * @param options Request options.
  */
    getWorkflowStatusCategories(options) {
        return getWorkflowStatusCategoriesFn(this.getBuildOptions(options));
    }
    /**
  * Returns a status category. Status categories provided a mechanism for categorizing [statuses](#api-rest-api-3-status-idOrName-get).
  
  **[Permissions](#permissions) required:** Permission to access Jira.
  * Recommended usage: Workflow.Status.Category.getCategory
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-idorkey-get
  * @param options Request options.
  */
    getWorkflowStatusCategory(options) {
        return getWorkflowStatusCategoryFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all workflow schemes, not including draft workflow schemes.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-workflowscheme-get
  * @param options Request options.
  */
    getWorkflowSchemes(options) {
        return getWorkflowSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-post
  * @param options Request options.
  */
    createWorkflowScheme(options) {
        return createWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.getScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-get
  * @param options Request options.
  */
    getWorkflowScheme(options) {
        return getWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates a workflow scheme, including the name, default workflow, issue type to project mappings, and more. If the workflow scheme is active (that is, being used by at least one project), then a draft workflow scheme is created or updated instead, provided that `updateDraftIfNeeded` is set to `true`.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-put
  * @param options Request options.
  */
    updateWorkflowScheme(options) {
        return updateWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a workflow scheme. Note that a workflow scheme cannot be deleted if it is active (that is, being used by at least one project).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-delete
  * @param options Request options.
  */
    deleteWorkflowScheme(options) {
        return deleteWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns the issue type-workflow mapping for an issue type in a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.getWorkflowForIssueType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-get
  * @param options Request options.
  */
    getWorkflowForIssueTypeInWorkflowScheme(options) {
        return getWorkflowForIssueTypeInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Sets the workflow for an issue type in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new issue type-workflow mapping. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.setWorkflowForIssueType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-put
  * @param options Request options.
  */
    setWorkflowForIssueTypeInWorkflowScheme(options) {
        return setWorkflowForIssueTypeInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the issue type-workflow mapping for an issue type in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the issue type-workflow mapping deleted. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.deleteWorkflowForIssueType
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-issuetype-issuetype-delete
  * @param options Request options.
  */
    deleteWorkflowForIssueTypeInWorkflowScheme(options) {
        return deleteWorkflowForIssueTypeInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns the workflow-issue type mappings for a workflow scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.getIssueTypesForWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-get
  * @param options Request options.
  */
    getIssueTypesForWorkflowInWorkflowScheme(options) {
        return getIssueTypesForWorkflowInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Sets the issue types for a workflow in a workflow scheme. The workflow can also be set as the default workflow for the workflow scheme. Unmapped issues types are mapped to the default workflow.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request body and a draft workflow scheme is created or updated with the new workflow-issue types mappings. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.setIssueTypesForWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-put
  * @param options Request options.
  */
    setIssueTypesForWorkflowInWorkflowScheme(options) {
        return setIssueTypesForWorkflowInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes the workflow-issue type mapping for a workflow in a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the workflow-issue type mapping deleted. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.deleteIssueTypesForWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-workflow-delete
  * @param options Request options.
  */
    deleteIssueTypesForWorkflowInWorkflowScheme(options) {
        return deleteIssueTypesForWorkflowInWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns the default workflow for a workflow scheme. The default workflow is the workflow that is assigned any issue types that have not been mapped to any other workflow. The default workflow has *All Unassigned Issue Types* listed in its issue types for the workflow scheme in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.getDefaultWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-get
  * @param options Request options.
  */
    getDefaultWorkflowForWorkflowScheme(options) {
        return getDefaultWorkflowForWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Sets the default workflow for a workflow scheme.
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` in the request object and a draft workflow scheme is created or updated with the new default workflow. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.updateDefaultWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-put
  * @param options Request options.
  */
    updateDefaultWorkflowForWorkflowScheme(options) {
        return updateDefaultWorkflowForWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Resets the default workflow for a workflow scheme. That is, the default workflow is set to Jira's system workflow (the *jira* workflow).
  
  Note that active workflow schemes cannot be edited. If the workflow scheme is active, set `updateDraftIfNeeded` to `true` and a draft workflow scheme is created or updated with the default workflow reset. The draft workflow scheme can be published in Jira.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.deleteDefaultWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-schemes/#api-rest-api-3-workflowscheme-id-default-delete
  * @param options Request options.
  */
    deleteDefaultWorkflowForWorkflowScheme(options) {
        return deleteDefaultWorkflowForWorkflowSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns a list of the workflow schemes associated with a list of projects. Each returned workflow scheme includes a list of the requested projects associated with it. Any team-managed or non-existent projects in the request are ignored and no errors are returned.
  
  If the project is associated with the `Default Workflow Scheme` no ID is returned. This is because the way the `Default Workflow Scheme` is stored means it has no ID.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.Project.getProjectAssociations
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-scheme-project-associations/#api-rest-api-3-workflowscheme-project-get
  * @param options Request options.
  */
    getWorkflowSchemeProjectAssociations(options) {
        return getWorkflowSchemeProjectAssociationsFn(this.getBuildOptions(options));
    }
    /**
  * Assigns a workflow scheme to a project. This operation is performed only when there are no issues in the project.
  
  Workflow schemes can only be assigned to classic projects.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Scheme.Project.assignWorkflow
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-scheme-project-associations/#api-rest-api-3-workflowscheme-project-put
  * @param options Request options.
  */
    assignWorkflowSchemeToProject(options) {
        return assignWorkflowSchemeToProjectFn(this.getBuildOptions(options));
    }
    /**
  * Updates a workflow transition by changing the property value. Trying to update a property that does not exist results in a new property being added to the transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Transition.Property.updateProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-put
  * @param options Request options.
  */
    updateWorkflowTransitionProperty(options) {
        return updateWorkflowTransitionPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Adds a property to a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Transition.Property.createProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-post
  * @param options Request options.
  */
    createWorkflowTransitionProperty(options) {
        return createWorkflowTransitionPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a property from a workflow transition. Transition properties are used to change the behavior of a transition. For more information, see [Transition properties](https://confluence.atlassian.com/x/zIhKLg#Advancedworkflowconfiguration-transitionproperties) and [Workflow properties](https://confluence.atlassian.com/x/JYlKLg).
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Workflow.Transition.Property.deleteProperty
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-transition-properties/#api-rest-api-3-workflow-transitions-transitionid-properties-delete
  * @param options Request options.
  */
    deleteWorkflowTransitionProperty(options) {
        return deleteWorkflowTransitionPropertyFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of the screens a field is used in.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.getScreensForField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-field-fieldid-screens-get
  * @param options Request options.
  */
    getScreensForField(options) {
        return getScreensForFieldFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of all screens or those specified by one or more screen IDs.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.getScreens
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-get
  * @param options Request options.
  */
    getScreens(options) {
        return getScreensFn(this.getBuildOptions(options));
    }
    /**
  * Creates a screen with a default field tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.createScreen
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-post
  * @param options Request options.
  */
    createScreen(options) {
        return createScreenFn(this.getBuildOptions(options));
    }
    /**
  * Adds a field to the default tab of the default screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.addFieldToDefaultScreen
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-addtodefault-fieldid-post
  * @param options Request options.
  */
    addFieldToDefaultScreen(options) {
        return addFieldToDefaultScreenFn(this.getBuildOptions(options));
    }
    /**
  * Returns the fields that can be added to a tab on a screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.getAvailableScreenFields
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-availablefields-get
  * @param options Request options.
  */
    getAvailableScreenFields(options) {
        return getAvailableScreenFieldsFn(this.getBuildOptions(options));
    }
    /**
  * Updates a screen. Only screens used in classic projects can be updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.updateScreen
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-put
  * @param options Request options.
  */
    updateScreen(options) {
        return updateScreenFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a screen. A screen cannot be deleted if it is used in a screen scheme, workflow, or workflow draft.
  
  Only screens used in classic projects can be deleted.
  * Recommended usage: Screen.deleteScreen
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-delete
  * @param options Request options.
  */
    deleteScreen(options) {
        return deleteScreenFn(this.getBuildOptions(options));
    }
    /**
  * Returns a [paginated](#pagination) list of screen schemes.
  
  Only screen schemes used in classic projects are returned.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Scheme.getSchemes
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-screenscheme-get
  * @param options Request options.
  */
    getScreenSchemes(options) {
        return getScreenSchemesFn(this.getBuildOptions(options));
    }
    /**
  * Creates a screen scheme.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Scheme.createScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-post
  * @param options Request options.
  */
    createScreenScheme(options) {
        return createScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Updates a screen scheme. Only screen schemes used in classic projects can be updated.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Scheme.updateScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-screenschemeid-put
  * @param options Request options.
  */
    updateScreenScheme(options) {
        return updateScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a screen scheme. A screen scheme cannot be deleted if it is used in an issue type screen scheme.
  
  Only screens schemes used in classic projects can be deleted.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Scheme.deleteScheme
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screen-schemes/#api-rest-api-3-screenscheme-screenschemeid-delete
  * @param options Request options.
  */
    deleteScreenScheme(options) {
        return deleteScreenSchemeFn(this.getBuildOptions(options));
    }
    /**
  * Returns the list of tabs for a screen.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
  * Recommended usage: Screen.Tab.getTabs
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-get
  * @param options Request options.
  */
    getScreenTabs(options) {
        return getScreenTabsFn(this.getBuildOptions(options));
    }
    /**
  * Creates a tab for a screen.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Tab.createTab
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-post
  * @param options Request options.
  */
    createScreenTab(options) {
        return createScreenTabFn(this.getBuildOptions(options));
    }
    /**
  * Updates the name of a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Tab.updateTab
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-put
  * @param options Request options.
  */
    updateScreenTab(options) {
        return updateScreenTabFn(this.getBuildOptions(options));
    }
    /**
  * Deletes a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Tab.deleteTab
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-delete
  * @param options Request options.
  */
    deleteScreenTab(options) {
        return deleteScreenTabFn(this.getBuildOptions(options));
    }
    /**
  * Moves a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Tab.moveTab
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-move-pos-post
  * @param options Request options.
  */
    moveScreenTab(options) {
        return moveScreenTabFn(this.getBuildOptions(options));
    }
    /**
  * Returns all fields for a screen tab.
  
  **[Permissions](#permissions) required:**
  
   *  *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
   *  *Administer projects* [project permission](https://confluence.atlassian.com/x/yodKLg) when the project key is specified, providing that the screen is associated with the project through a Screen Scheme and Issue Type Screen Scheme.
  * Recommended usage: Screen.Tab.Field.getFields
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-get
  * @param options Request options.
  */
    getScreenTabFields(options) {
        return getScreenTabFieldsFn(this.getBuildOptions(options));
    }
    /**
  * Adds a field to a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Tab.Field.addField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-post
  * @param options Request options.
  */
    addScreenTabField(options) {
        return addScreenTabFieldFn(this.getBuildOptions(options));
    }
    /**
  * Removes a field from a screen tab.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Tab.Field.removeField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-id-delete
  * @param options Request options.
  */
    removeScreenTabField(options) {
        return removeScreenTabFieldFn(this.getBuildOptions(options));
    }
    /**
  * Moves a screen tab field.
  
  If `after` and `position` are provided in the request, `position` is ignored.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Screen.Tab.Field.moveField
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-tabs-tabid-fields-id-move-post
  * @param options Request options.
  */
    moveScreenTabField(options) {
        return moveScreenTabFieldFn(this.getBuildOptions(options));
    }
    /**
  * Returns the system and custom avatars for a project or issue type.
  
  This operation can be accessed anonymously.
  
  **[Permissions](#permissions) required:**
  
   *  for custom project avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for the project the avatar belongs to.
   *  for custom issue type avatars, *Browse projects* [project permission](https://confluence.atlassian.com/x/yodKLg) for at least one project the issue type is used in.
   *  for system avatars, none.
  * Recommended usage: Avatar.getAvatars
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-entityid-get
  * @param options Request options.
  */
    getAvatars(options) {
        return getAvatarsFn(this.getBuildOptions(options));
    }
    /**
  * Loads a custom avatar for a project or issue type.
  
  Specify the avatar's local file location in the body of the request. Also, include the following headers:
  
   *  `X-Atlassian-Token: no-check` To prevent XSRF protection blocking the request, for more information see [Special Headers](#special-request-headers).
   *  `Content-Type: image/image type` Valid image types are JPEG, GIF, or PNG.
  
  For example:
  `curl --request POST `
  
  `--user email@example.com:<api_token> `
  
  `--header 'X-Atlassian-Token: no-check' `
  
  `--header 'Content-Type: image/< image_type>' `
  
  `--data-binary "<@/path/to/file/with/your/avatar>" `
  
  `--url 'https://your-domain.atlassian.net/rest/api/3/universal_avatar/type/{type}/owner/{entityId}'`
  
  The avatar is cropped to a square. If no crop parameters are specified, the square originates at the top left of the image. The length of the square's sides is set to the smaller of the height or width of the image.
  
  The cropped image is then used to create avatars of 16x16, 24x24, 32x32, and 48x48 in size.
  
  After creating the avatar use:
  
   *  [Update issue type](#api-rest-api-3-issuetype-id-put) to set it as the issue type's displayed avatar.
   *  [Set project avatar](#api-rest-api-3-project-projectIdOrKey-avatar-put) to set it as the project's displayed avatar.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Avatar.loadAvatar
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-entityid-post
  * @param options Request options.
  */
    loadAvatar(options) {
        return loadAvatarFn(this.getBuildOptions(options));
    }
    /**
  * Deletes an avatar from a project or issue type.
  
  **[Permissions](#permissions) required:** *Administer Jira* [global permission](https://confluence.atlassian.com/x/x4dKLg).
  * Recommended usage: Avatar.deleteAvatar
  * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-avatars/#api-rest-api-3-universal-avatar-type-type-owner-owningobjectid-avatar-id-delete
  * @param options Request options.
  */
    deleteAvatar(options) {
        return deleteAvatarFn(this.getBuildOptions(options));
    }
}
